![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)

---

## Mikromedia Software Dev Kit

--- 

Version : 1.0.0

---

Common Development Kit used for all MMB boards.

---

### Folder Description

- **bsp** Board support package definition files.
- **compiler** Compiler specific types and other stuff.
- **doc** Datasheets and other documentation.
- **driver** Module drivers
- **hal** HW architecture specific stuff
- **template** - Template files for porting
- **test** - Unit test for all modules

---

### Development board modules 

| Module / Board    | MMB 7 | MMB 7 FPI | MMB 5 | MMB 5 FPI | MMB 4 | MMB 4 FPI | MMB 3 | MMB 3 FPI |
|:-----------------:|:-----:|:---------:|:-----:|:---------:|:-----:|:---------:|:-----:|:---------:|
| Power             | +     | +         | +     | +         | +     | +         | +     | +         |
| microSD           | +     | +         | +     | +         | +     | +         | +     | +         |
| Flash             | +     | +         | +     | +         | +     | +         | +     | +         |
| RGB LED           | +     |           | +     |           | +     |           |       |           |
| IR                | +     |           | +     |           | +     |           |       |           |
| RF                | +     | +         | +     | +         | +     | +         |       |           |
| MP3               | +     | +         | +     | +         | +     | +         | +     | +         |
| Accelerometer     | +     | +         | +     | +         | +     | +         | +     | +         |
| Ambient Light     | +     |           | +     |           | +     |           | +     |           |
| Temperature       | +     |           | +     |           | +     |           | +     |           |
| WiFi              | +     | +         | +     | +         |       |           |       |           |
| Buzzer            | +     | +         | +     | +         | +     | +         |       |           |
| Ethernet          | +     | +         | +     |           | 	    |           |       |           |
| RTC               | +     | +         | +     | +         | +     | +         |       |           |
| USB               | +     | +         | +     | +         | +     | +         | +     | +         |

---

Version History :

- 1.0.0 - Milos Vidojevic - All modules added and tested
- 0.2.1 - Milos Vidojevic - BSP and MMB templates added
- 0.2.0 - Milos Vidojevic - Content Reorganized
- 0.1.0 - Milos Vidojevic - SDK Created

---