#line 1 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/demo/mm_5_fpi/accel_module.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/demo/mm_5_fpi/system_types.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia_5_fpi_demo_project/mikromedia_5_fpi_demo_objects.h"



typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;
typedef enum {_tavTop, _tavMiddle, _tavBottom} TTextAlignVertical;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 TTextAlignVertical TextAlignVertical;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 void (*OnSwipeLeftPtr)();
 void (*OnSwipeRightPtr)();
 void (*OnSwipeUpPtr)();
 void (*OnSwipeDownPtr)();
 void (*OnZoomInPtr)();
 void (*OnZoomOutPtr)();
};

extern TScreen Screen_00_MAIN;
extern TImage Image_00_00_MAIN;
extern TButton Button_00_00_OUTDOOR;
extern TButton Button_00_02_MP3;
extern TButton Button_00_03_ACCEL;
extern TButton Button_00_09_PREV;
extern TButton Button_00_04_PLAY;
extern TButton Button_00_08_NEXT;
extern TButton Button_00_06_VOL_INC;
extern TButton Button_00_07_VOL_DEC;
extern TButton Button_00_05_MUTE;
extern TButton * const code Screen_00_MAIN_Buttons[9];
extern TImage * const code Screen_00_MAIN_Images[1];

extern TScreen Screen_02_OUTDOOR;
extern TImage Image_00_01_OUTDOOR;
extern TLabel Label_00_03_Outdoor_Humidity;
extern TLabel Label_00_04_Outdoor_Pressure;
extern TLabel Label_00_05_Outdoor_Weather;
extern TLabel Label_00_02_Outdoor_Temperature;
extern TLabel * const code Screen_02_OUTDOOR_Labels[4];
extern TImage * const code Screen_02_OUTDOOR_Images[1];

extern TScreen Screen_03_MP3;
extern TImage Image_00_03_MP3;
extern TImage * const code Screen_03_MP3_Images[1];

extern TScreen Screen_04_ACCEL;
extern TImage Image_00_04_ACCEL;
extern TLabel Label_00_06_Accel_X_Axis;
extern TLabel Label_00_07_Accel_Y_Axis;
extern TLabel Label_00_08_Accel_Z_Axis;
extern TLabel * const code Screen_04_ACCEL_Labels[3];
extern TImage * const code Screen_04_ACCEL_Images[1];




void Button_00_00_OUTDOOR_OnClick();
void Button_00_02_MP3_OnClick();
void Button_00_03_ACCEL_OnClick();
void Button_00_04_PLAY_OnClick();
void Button_00_05_MUTE_OnClick();
void Button_00_06_VOL_INC_OnClick();
void Button_00_07_VOL_DEC_OnClick();
void Button_00_08_NEXT_OnClick();
void Button_00_09_PREV_OnClick();




extern char Image_00_00_MAIN_Caption[];
extern char Button_00_00_OUTDOOR_Caption[];
extern char Button_00_02_MP3_Caption[];
extern char Button_00_03_ACCEL_Caption[];
extern char Button_00_09_PREV_Caption[];
extern char Button_00_04_PLAY_Caption[];
extern char Button_00_08_NEXT_Caption[];
extern char Button_00_06_VOL_INC_Caption[];
extern char Button_00_07_VOL_DEC_Caption[];
extern char Button_00_05_MUTE_Caption[];
extern char Image_00_01_OUTDOOR_Caption[];
extern char Label_00_03_Outdoor_Humidity_Caption[];
extern char Label_00_04_Outdoor_Pressure_Caption[];
extern char Label_00_05_Outdoor_Weather_Caption[];
extern char Label_00_02_Outdoor_Temperature_Caption[];
extern char Image_00_03_MP3_Caption[];
extern char Image_00_04_ACCEL_Caption[];
extern char Label_00_06_Accel_X_Axis_Caption[];
extern char Label_00_07_Accel_Y_Axis_Caption[];
extern char Label_00_08_Accel_Z_Axis_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 8 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/demo/mm_5_fpi/system_types.h"
typedef enum
{
 MODULE_MP3,
 MODULE_ACCEL,
 MODULE_OUTDOOR,

} system_module_t;

typedef enum
{
 MODULE_INACTIVE,
 MODULE_ACTIVE,

} module_state_t;

typedef struct
{
 module_state_t state;

} module_t;
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/bsp.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/bsp/mmb.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/bsp/mmb_5_fpi.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/compiler/compiler.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/compiler/mikroc_arm.h"
#line 41 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/compiler/mikroc_arm.h"
typedef void ( * hal_spi_write_fp_t ) ( unsigned int );
typedef unsigned int ( * hal_spi_read_fp_t ) ( unsigned int );

typedef struct
{
 hal_spi_write_fp_t spi_write;
 hal_spi_read_fp_t spi_read;

} hal_spi_obj_t;

typedef unsigned int ( * hal_i2c_start_fp_t ) ( void );
typedef unsigned int ( * hal_i2c_write_fp_t ) ( unsigned char, unsigned char *, unsigned long, unsigned long );
typedef void ( * hal_i2c_read_fp_t ) ( unsigned char, unsigned char *, unsigned long, unsigned long );

typedef struct
{
 hal_i2c_start_fp_t i2c_start;
 hal_i2c_write_fp_t i2c_write;
 hal_i2c_read_fp_t i2c_read;

} hal_i2c_obj_t;

typedef void ( * hal_uart_write_fp_t ) ( unsigned int );
typedef unsigned int ( * hal_uart_read_fp_t ) ( void );
typedef unsigned int ( * hal_uart_ready_fp_t ) ( void );

typedef struct
{
 hal_uart_write_fp_t uart_write;
 hal_uart_read_fp_t uart_read;
 hal_uart_ready_fp_t uart_ready;

} hal_uart_obj_t;

typedef void ( * hal_pwm_duty_fp_t ) ( unsigned int, char, char );

typedef void ( * hal_pwm_stop_fp_t ) ( char );

typedef struct
{
 hal_pwm_duty_fp_t pwm_duty;

 hal_pwm_stop_fp_t pwm_stop;

} hal_pwm_obj_t;

typedef unsigned int ( * hal_adc_read_fp_t ) ( unsigned int );
typedef unsigned int ( * hal_adc_sample_fp_t ) ( unsigned int );

typedef struct
{
 hal_adc_read_fp_t adc_read;
 hal_adc_sample_fp_t adc_sample;

} hal_adc_obj_t;
#line 79 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
extern sfr sbit TFT_BLED;
extern sfr sbit TFT_CS;
extern sfr sbit TFT_RD;
extern sfr sbit TFT_RS;
extern sfr sbit TFT_RST;
extern sfr sbit TFT_WR;

static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
{
 GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
}

static void Set_Index ( unsigned short index )
{
 TFT_RS = 0;
 Write_to_Data_Lines( 0, index );
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

static void Write_Command ( unsigned short cmd )
{
 TFT_RS = 1;
 Write_to_Data_Lines( 0, cmd );
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

static void Write_Data ( unsigned int _data )
{
 TFT_RS = 1;
 Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

static void hal_display_init ( void )
{


 TFT_Set_Default_Mode( );
 TFT_Set_Active( Set_Index, Write_Command, Write_Data );
 TFT_Init_SSD1963_Board_70( 800, 480 );
 TFT_Set_DBC_SSD1963( 255 );
}





static uint8_t hal_touch_init ( void )
{


 GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
 GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );

 GPIOB_ODR.B6 = 1;

 while ( GPIOB_IDR.B7 == 0 )
 {
 GPIOB_ODR.B6 = 0;
 Delay_us( 10 );
 GPIOB_ODR.B6 = 1;
 Delay_us( 10 );
 }

 I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );

 FT5XX6_SetI2CAddress( 0x38 );

 if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
 {
 return FT5XX6_FAILURE;
 }

 FT5XX6_SetDefaultMode( );
 FT5XX6_SetController( _TC_FT5X16 );
 FT5XX6_SetSizeAndRotation( 800, 480, 2 );

 return FT5XX6_OK;
}
#line 175 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
static void hal_console_init ( void )
{


 UART6_Init_Advanced(
 115200,
 _UART_8_BIT_DATA,
 _UART_NOPARITY,
 _UART_ONE_STOPBIT,
 &_GPIO_MODULE_UART6_PC67
 );
}









static sbit BSP_DC_STATUS at GPIOF_IDR.B6;



static sbit BSP_CHARGER_STATUS at GPIOF_IDR.B3;
#line 213 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
const static hal_adc_obj_t BSP_POWER_ADC_MODULE =
{
 ADC3_Read,
 ADC3_Get_Sample
};

static void hal_power_init ( void )
{


 GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );



 GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );



 GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );



 ADC_Set_Input_Channel(  ( 15 )  );
 ADC3_Init( );
}
#line 249 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
const static hal_spi_obj_t BSP_MICROSD_SPI_MODULE =
{
 SPI1_Write,
 SPI1_Read
};

static void hal_microsd_init ( void )
{


 GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);



 SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
 _SPI_MASTER |
 _SPI_8_BIT |
 _SPI_CLK_IDLE_LOW |
 _SPI_FIRST_CLK_EDGE_TRANSITION |
 _SPI_MSB_FIRST |
 _SPI_SS_DISABLE |
 _SPI_SSM_ENABLE |
 _SPI_SSI_1,
 &_GPIO_MODULE_SPI1_PA56_PB5 );
}









static sbit BSP_FLASH_CE at GPIOB_ODR.B11;

const static hal_spi_obj_t BSP_FLASH_SPI_MODULE =
{
 SPI2_Write,
 SPI2_Read
};

static void hal_flash_init ( void )
{


 GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );



 SPI2_Init_Advanced(
 _SPI_FPCLK_DIV16,
 _SPI_MASTER |
 _SPI_8_BIT |
 _SPI_CLK_IDLE_LOW |
 _SPI_FIRST_CLK_EDGE_TRANSITION |
 _SPI_MSB_FIRST |
 _SPI_SS_DISABLE |
 _SPI_SSM_ENABLE |
 _SPI_SSI_1,
 &_GPIO_MODULE_SPI2_PB13_14_15
 );

 BSP_FLASH_CE = 1;
}
#line 392 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
static sbit BSP_RF_CS at GPIOG_ODR.B9;
static sbit BSP_RF_CE at GPIOG_ODR.B12;
static sbit BSP_RF_INT at GPIOG_IDR.B10;

const static hal_spi_obj_t BSP_RF_SPI_MODULE =
{
 SPI2_Write,
 SPI2_Read
};

static void hal_rf_init ( void )
{


 GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );



 GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );



 GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);



 SPI2_Init_Advanced(
 _SPI_FPCLK_DIV16,
 _SPI_MASTER |
 _SPI_8_BIT |
 _SPI_CLK_IDLE_LOW |
 _SPI_FIRST_CLK_EDGE_TRANSITION |
 _SPI_MSB_FIRST |
 _SPI_SS_DISABLE |
 _SPI_SSM_ENABLE |
 _SPI_SSI_1,
 &_GPIO_MODULE_SPI2_PB13_14_15
 );

}










static volatile sbit BSP_MP3_DREQ at GPIOD_IDR.B9;
static volatile sbit BSP_MP3_CS at GPIOD_ODR.B11;
static volatile sbit BSP_MP3_RST at GPIOD_ODR.B8;
static volatile sbit BSP_MP3_DCS at GPIOD_ODR.B10;

static const hal_spi_obj_t BSP_MP3_SPI_MODULE =
{
 SPI2_Write,
 SPI2_Read
};

static void hal_mp3_init ( void )
{


 GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );



 GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );



 GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );



 GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );



 SPI2_Init_Advanced(
 _SPI_FPCLK_DIV256,
 _SPI_MASTER |
 _SPI_8_BIT |
 _SPI_CLK_IDLE_LOW |
 _SPI_FIRST_CLK_EDGE_TRANSITION |
 _SPI_MSB_FIRST |
 _SPI_SS_DISABLE |
 _SPI_SSM_ENABLE |
 _SPI_SSI_1,
 &_GPIO_MODULE_SPI2_PB13_14_15
 );
}









static sbit BSP_ACCEL_INT_1 at GPIOB_IDR.B9;
static sbit BSP_ACCEL_INT_2 at GPIOF_IDR.B2;

const static hal_i2c_obj_t BSP_ACCEL_I2C_MODULE =
{
 I2C1_Start,
 I2C1_Write,
 I2C1_Read
};

static void hal_accel_init ( void )
{


 GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );



 GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );


 GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );

 GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );

 GPIOB_ODR.B6 = 0;
 GPIOB_ODR.B7 = 0;

 Delay_ms(100);

 I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
 Delay_ms(500);
}
#line 596 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
static volatile sbit CC3100_HIB_PIN at GPIOB_ODR.B10;
static volatile sbit CC3100_CS_PIN at GPIOC_ODR.B8;
static volatile sbit CC3100_RST_PIN at GPIOG_ODR.B1;

const static hal_spi_obj_t BSP_WIFI_SPI_MODULE =
{
 SPI1_Write,
 SPI1_Read
};

static void hal_wifi_init ( void )
{


 NVIC_IntDisable( IVT_INT_EXTI0 );



 GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );



 GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );



 GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );



 GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
#line 636 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
 SPI1_Init_Advanced(
 _SPI_FPCLK_DIV16,
 _SPI_MASTER |
 _SPI_8_BIT |
 _SPI_CLK_IDLE_LOW |
 _SPI_FIRST_CLK_EDGE_TRANSITION |
 _SPI_MSB_FIRST |
 _SPI_SS_DISABLE |
 _SPI_SSM_ENABLE |
 _SPI_SSI_1,
 &_GPIO_MODULE_SPI1_PA56_PB5
 );

 CC3100_CS_PIN = 1;
}








static void hal_buzzer_init ( void )
{


 GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );



 Sound_Init( &GPIOB_ODR, 8 );
}
#line 695 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
static void hal_rtc_init ( void )
{


 RCC_APB1ENR.PWREN = 1;
 RCC_APB1LPENR.PWREN = 1;
 if (RCC_BDCR.RTCEN == 0){
 PWR_CR1.DBP = 1;

 RCC_BDCR |= 0x00010000;


 RTC_WPR = 0xCA;
 RTC_WPR = 0x53;
 RCC_CSR = 0x00000000ul;
 RCC_BDCR = 0x8101u;
 RTC_CR |= 0x00880000ul;
 LSERDYIE_bit = 1;
 }
 while(RTC_ISR.B5 != 1){}

 while(RCC_BDCR.LSERDY != 1){};


 RTC_WPR = 0xFF;
}
#line 761 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/mmb_5_fpi_stm32.h"
static void hal_shuttle_init ( void ) {


}
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/driver/bsp_accel_driver.h"
#line 1 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/portable/bsp.h"
#line 168 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/driver/bsp_accel_driver.h"
uint8_t bsp_accel_init ( void );
#line 182 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/driver/bsp_accel_driver.h"
void bsp_accel_single_data_write ( uint8_t address, uint8_t input );
#line 197 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/driver/bsp_accel_driver.h"
void bsp_accel_multi_data_read ( uint8_t address, uint8_t * buf, uint32_t len );
#line 212 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/driver/bsp_accel_driver.h"
void bsp_accel_read_measurement ( int16_t * x, int16_t * y, int16_t * z );
#line 13 "c:/users/stefan.filipovic/downloads/mikromedia 5 fpi for stm32f7 capacitive/mikromedia-sdk/demo/mm_5_fpi/accel_module.h"
void accel_module_init ( module_t ** module );

void accel_module_task ( void );
#line 9 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
static module_t accel_module;
#line 16 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 static int16_t x_axis;
 static int16_t y_axis;
 static int16_t z_axis;
#line 25 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
static char text[30];
static uint16_t i;







void accel_module_init ( module_t ** module )
{
#line 39 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 accel_module.state = MODULE_INACTIVE;
#line 46 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 bsp_accel_init( );
#line 53 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 *module = &accel_module;
}

void accel_module_task ( void )
{
 switch ( accel_module.state )
 {
 case MODULE_INACTIVE :
 {
#line 65 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 DrawImage( &Image_00_04_ACCEL );
#line 70 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 accel_module.state = MODULE_ACTIVE;
#line 75 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 i = 50;

 break;
 }
 case MODULE_ACTIVE :
 {


 if (i == 50)
 {
 i = 0;
#line 90 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 bsp_accel_read_measurement( &x_axis, &y_axis, &z_axis );
#line 95 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 Label_00_06_Accel_X_Axis.Font_Color = CL_WHITE;
 Label_00_07_Accel_Y_Axis.Font_Color = CL_WHITE;
 Label_00_08_Accel_Z_Axis.Font_Color = CL_WHITE;
 DrawLabel( &Label_00_06_Accel_X_Axis );
 DrawLabel( &Label_00_07_Accel_Y_Axis );
 DrawLabel( &Label_00_08_Accel_Z_Axis );

 Label_00_06_Accel_X_Axis_Caption[0] = 0;
 Label_00_07_Accel_Y_Axis_Caption[0] = 0;
 Label_00_08_Accel_Z_Axis_Caption[0] = 0;
#line 109 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 IntToStr( x_axis, text );
 Ltrim( text );
 strcat( Label_00_06_Accel_X_Axis_Caption, text );
 IntToStr( y_axis, text );
 Ltrim( text );
 strcat( Label_00_07_Accel_Y_Axis_Caption, text );
 IntToStr( z_axis, text );
 Ltrim( text );
 strcat( Label_00_08_Accel_Z_Axis_Caption, text );
#line 122 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 Label_00_06_Accel_X_Axis.Font_Color = CL_BLACK;
 Label_00_07_Accel_Y_Axis.Font_Color = CL_BLACK;
 Label_00_08_Accel_Z_Axis.Font_Color = CL_BLACK;
 DrawLabel( &Label_00_06_Accel_X_Axis );
 DrawLabel( &Label_00_07_Accel_Y_Axis );
 DrawLabel( &Label_00_08_Accel_Z_Axis );
 }
 else
 {
 i++;
 }
#line 137 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 Check_TP( );



 break;
 }
 default :
 {
#line 148 "C:/Users/stefan.filipovic/Downloads/Mikromedia 5 FPI for STM32F7 CAPACITIVE/mikromedia-sdk/demo/mm_5_FPI/accel_module.c"
 while (1);
 }
 }
}
