socket_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of socket_Write_to_Data_Lines
socket_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	socket_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_Set_Index
socket_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	socket_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_Write_Command
socket_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	socket_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_Write_Data
socket_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(socket_Write_Data+0)
MOVT	R2, #hi_addr(socket_Write_Data+0)
MOVW	R1, #lo_addr(socket_Write_Command+0)
MOVT	R1, #hi_addr(socket_Write_Command+0)
MOVW	R0, #lo_addr(socket_Set_Index+0)
MOVT	R0, #hi_addr(socket_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_display_init
socket_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_socket_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_socket_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_socket_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_socket_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_socket_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_socket_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_socket_hal_touch_init0
L_socket_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_socket_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_socket_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_touch_init
socket_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_console_init
socket_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_power_init
socket_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_microsd_init
socket_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_flash_init
socket_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_rf_init
socket_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_mp3_init
socket_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_socket_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_socket_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_socket_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_socket_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_accel_init
socket_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_wifi_init
socket_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of socket_hal_buzzer_init
socket_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_socket_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_socket_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_socket_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_socket_hal_rtc_init13
IT	AL
BAL	L_socket_hal_rtc_init12
L_socket_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_socket_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_socket_hal_rtc_init15
IT	AL
BAL	L_socket_hal_rtc_init14
L_socket_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of socket_hal_rtc_init
socket_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of socket_hal_shuttle_init
__sl_BuildAddress:
;socket.c,97 :: 		_SocketAddrCommand_u    *pCmd )
; pCmd start address is: 4 (R1)
; addr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; pCmd end address is: 4 (R1)
; addr end address is: 0 (R0)
; addr start address is: 24 (R6)
; pCmd start address is: 28 (R7)
;socket.c,103 :: 		pCmd->IpV4.FamilyAndFlags = ( addr->sa_family << 4 ) & 0xF0;
ADDS	R3, R7, #3
LDRH	R2, [R6, #0]
LSLS	R2, R2, #4
UXTH	R2, R2
AND	R2, R2, #240
STRB	R2, [R3, #0]
;socket.c,104 :: 		pCmd->IpV4.port = ( ( SlSockAddrIn_t * )addr )->sin_port;
ADDS	R3, R7, #4
MOV	R2, R6
ADDS	R2, R2, #2
LDRH	R2, [R2, #0]
STRH	R2, [R3, #0]
;socket.c,106 :: 		if( SL_AF_INET == addr->sa_family )
LDRH	R2, [R6, #0]
CMP	R2, #2
IT	NE
BNE	L__sl_BuildAddress16
;socket.c,107 :: 		pCmd->IpV4.address  = ( ( SlSockAddrIn_t * )addr )->sin_addr.s_addr;
ADDW	R3, R7, #8
; pCmd end address is: 28 (R7)
MOV	R2, R6
; addr end address is: 24 (R6)
ADDS	R2, R2, #4
LDR	R2, [R2, #0]
STR	R2, [R3, #0]
IT	AL
BAL	L__sl_BuildAddress17
L__sl_BuildAddress16:
;socket.c,108 :: 		else if ( SL_AF_INET6_EUI_48 == addr->sa_family )
; pCmd start address is: 28 (R7)
; addr start address is: 24 (R6)
LDRH	R2, [R6, #0]
CMP	R2, #9
IT	NE
BNE	L__sl_BuildAddress18
;socket.c,110 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8, 6 );
MOV	R2, R6
; addr end address is: 24 (R6)
ADDW	R3, R2, #8
;socket.c,109 :: 		sl_Memcpy( pCmd->IpV6EUI48.address,
ADDS	R2, R7, #6
; pCmd end address is: 28 (R7)
;socket.c,110 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8, 6 );
MOV	R1, R3
;socket.c,109 :: 		sl_Memcpy( pCmd->IpV6EUI48.address,
MOV	R0, R2
;socket.c,110 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8, 6 );
MOVS	R2, #6
SXTH	R2, R2
BL	_memcpy+0
L__sl_BuildAddress18:
L__sl_BuildAddress17:
;socket.c,116 :: 		}
L_end__sl_BuildAddress:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __sl_BuildAddress
__sl_TruncatePayloadByProtocol:
;socket.c,122 :: 		_u16 _sl_TruncatePayloadByProtocol( const _i16 sd, const _u16 length )
; length start address is: 4 (R1)
; sd start address is: 0 (R0)
; length end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; length start address is: 4 (R1)
;socket.c,128 :: 		sd & SL_SOCKET_PAYLOAD_TYPE_MASK ) >> 4 )];
AND	R2, R0, #240
SXTH	R2, R2
; sd end address is: 0 (R0)
ASRS	R3, R2, #4
SXTH	R3, R3
MOVW	R2, #lo_addr(__SlPayloadByProtocolLUT+0)
MOVT	R2, #hi_addr(__SlPayloadByProtocolLUT+0)
ADDS	R2, R2, R3
LDRB	R2, [R2, #0]
ADDW	R2, R2, #1350
; maxLength start address is: 0 (R0)
UXTH	R0, R2
;socket.c,132 :: 		if( length > maxLength )
UXTH	R2, R2
CMP	R1, R2
IT	LS
BLS	L__sl_TruncatePayloadByProtocol19
; length end address is: 4 (R1)
;socket.c,133 :: 		return maxLength;
; maxLength end address is: 0 (R0)
IT	AL
BAL	L_end__sl_TruncatePayloadByProtocol
L__sl_TruncatePayloadByProtocol19:
;socket.c,135 :: 		return length;
; length start address is: 4 (R1)
UXTH	R0, R1
; length end address is: 4 (R1)
;socket.c,136 :: 		}
L_end__sl_TruncatePayloadByProtocol:
BX	LR
; end of __sl_TruncatePayloadByProtocol
__sl_ParseAddress:
;socket.c,144 :: 		SlSocklen_t *addrlen )
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
; pRsp start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; addrlen end address is: 8 (R2)
; addr end address is: 4 (R1)
; pRsp end address is: 0 (R0)
; pRsp start address is: 24 (R6)
; addr start address is: 28 (R7)
; addrlen start address is: 8 (R2)
;socket.c,149 :: 		addr->sa_family                 = pRsp->IpV4.family;
ADDS	R3, R6, #3
LDRB	R3, [R3, #0]
STRH	R3, [R7, #0]
;socket.c,150 :: 		( ( SlSockAddrIn_t * )addr )->sin_port = pRsp->IpV4.port;
ADDS	R4, R7, #2
ADDS	R3, R6, #4
LDRH	R3, [R3, #0]
STRH	R3, [R4, #0]
;socket.c,152 :: 		*addrlen = ( SL_AF_INET == addr->sa_family ) ? sizeof( SlSockAddrIn_t ) :
LDRH	R3, [R7, #0]
CMP	R3, #2
IT	NE
BNE	L__sl_ParseAddress21
; ?FLOC____sl_ParseAddress?T177 start address is: 0 (R0)
MOVS	R0, #16
SXTB	R0, R0
; ?FLOC____sl_ParseAddress?T177 end address is: 0 (R0)
IT	AL
BAL	L__sl_ParseAddress22
L__sl_ParseAddress21:
;socket.c,153 :: 		sizeof( SlSockAddrIn6_t );
; ?FLOC____sl_ParseAddress?T177 start address is: 0 (R0)
MOVS	R0, #28
SXTB	R0, R0
; ?FLOC____sl_ParseAddress?T177 end address is: 0 (R0)
L__sl_ParseAddress22:
; ?FLOC____sl_ParseAddress?T177 start address is: 0 (R0)
STRH	R0, [R2, #0]
; addrlen end address is: 8 (R2)
; ?FLOC____sl_ParseAddress?T177 end address is: 0 (R0)
;socket.c,155 :: 		if( SL_AF_INET == addr->sa_family )
LDRH	R3, [R7, #0]
CMP	R3, #2
IT	NE
BNE	L__sl_ParseAddress23
;socket.c,156 :: 		( ( SlSockAddrIn_t * )addr )->sin_addr.s_addr  = pRsp->IpV4.address;
ADDS	R4, R7, #4
; addr end address is: 28 (R7)
ADDW	R3, R6, #8
; pRsp end address is: 24 (R6)
LDR	R3, [R3, #0]
STR	R3, [R4, #0]
IT	AL
BAL	L__sl_ParseAddress24
L__sl_ParseAddress23:
;socket.c,157 :: 		else if ( SL_AF_INET6_EUI_48 == addr->sa_family )
; addr start address is: 28 (R7)
; pRsp start address is: 24 (R6)
LDRH	R3, [R7, #0]
CMP	R3, #9
IT	NE
BNE	L__sl_ParseAddress25
;socket.c,159 :: 		pRsp->IpV6EUI48.address, 6 );
ADDS	R4, R6, #6
; pRsp end address is: 24 (R6)
;socket.c,158 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
ADDW	R3, R7, #8
; addr end address is: 28 (R7)
;socket.c,159 :: 		pRsp->IpV6EUI48.address, 6 );
MOVS	R2, #6
SXTH	R2, R2
MOV	R1, R4
;socket.c,158 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
MOV	R0, R3
;socket.c,159 :: 		pRsp->IpV6EUI48.address, 6 );
BL	_memcpy+0
L__sl_ParseAddress25:
L__sl_ParseAddress24:
;socket.c,165 :: 		}
L_end__sl_ParseAddress:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __sl_ParseAddress
_sl_Socket:
;socket.c,190 :: 		_i16 sl_Socket( _i16 Domain, _i16 Type, _i16 Protocol )
; Protocol start address is: 8 (R2)
; Type start address is: 4 (R1)
; Domain start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; Protocol end address is: 8 (R2)
; Type end address is: 4 (R1)
; Domain end address is: 0 (R0)
; Domain start address is: 0 (R0)
; Type start address is: 4 (R1)
; Protocol start address is: 8 (R2)
;socket.c,194 :: 		Msg.Cmd.Domain      = ( _u8 )Domain;
UXTB	R3, R0
; Domain end address is: 0 (R0)
STRB	R3, [SP, #4]
;socket.c,195 :: 		Msg.Cmd.Type        = ( _u8 )Type;
UXTB	R3, R1
; Type end address is: 4 (R1)
STRB	R3, [SP, #5]
;socket.c,196 :: 		Msg.Cmd.Protocol    = ( _u8 )Protocol;
UXTB	R3, R2
; Protocol end address is: 8 (R2)
STRB	R3, [SP, #6]
;socket.c,198 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSockSocketCmdCtrl, &Msg,
ADD	R3, SP, #4
MOVS	R2, #0
MOV	R1, R3
MOVW	R0, #lo_addr(__SlSockSocketCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSockSocketCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Socket26
L_sl_Socket27:
IT	AL
BAL	L_sl_Socket27
L_sl_Socket26:
;socket.c,201 :: 		if( Msg.Rsp.statusOrLen < 0 )
LDRSH	R3, [SP, #4]
CMP	R3, #0
IT	GE
BGE	L_sl_Socket29
;socket.c,202 :: 		return( Msg.Rsp.statusOrLen );
LDRSH	R0, [SP, #4]
IT	AL
BAL	L_end_sl_Socket
L_sl_Socket29:
;socket.c,204 :: 		return ( _i16 )( ( _u8 )Msg.Rsp.sd );
LDRB	R3, [SP, #6]
SXTH	R0, R3
;socket.c,205 :: 		}
L_end_sl_Socket:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_Socket
_sl_Close:
;socket.c,227 :: 		_i16 sl_Close( _i16 sd )
; sd start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
;socket.c,231 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R1, R0
; sd end address is: 0 (R0)
STRB	R1, [SP, #4]
;socket.c,233 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSockCloseCmdCtrl, &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlSockCloseCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSockCloseCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Close31
L_sl_Close32:
IT	AL
BAL	L_sl_Close32
L_sl_Close31:
;socket.c,236 :: 		return Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #4]
;socket.c,237 :: 		}
L_end_sl_Close:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_Close
_sl_Bind:
;socket.c,250 :: 		_i16 sl_Bind( _i16 sd, const SlSockAddr_t *addr, _i16 addrlen )
; addr start address is: 4 (R1)
; sd start address is: 0 (R0)
SUB	SP, SP, #20
STR	LR, [SP, #0]
; addr end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; addr start address is: 4 (R1)
;socket.c,253 :: 		_SlCmdCtrl_t         CmdCtrl = {0, 0, sizeof( _SocketResponse_t )};
MOVW	R3, #0
STRH	R3, [SP, #16]
MOVS	R3, #0
STRB	R3, [SP, #18]
MOVS	R3, #4
STRB	R3, [SP, #19]
;socket.c,255 :: 		switch( addr->sa_family )
MOV	R4, R1
IT	AL
BAL	L_sl_Bind34
;socket.c,257 :: 		case SL_AF_INET :
L_sl_Bind36:
;socket.c,258 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_BIND;
MOVW	R3, #37892
STRH	R3, [SP, #16]
;socket.c,259 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv4Command_t );
MOVS	R3, #12
STRB	R3, [SP, #18]
;socket.c,260 :: 		break;
IT	AL
BAL	L_sl_Bind35
;socket.c,262 :: 		case SL_AF_INET6_EUI_48:
L_sl_Bind37:
;socket.c,263 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_BIND_V6;
MOVW	R3, #38404
STRH	R3, [SP, #16]
;socket.c,264 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv6EUI48Command_t );
MOVS	R3, #12
STRB	R3, [SP, #18]
;socket.c,265 :: 		break;
IT	AL
BAL	L_sl_Bind35
; sd end address is: 0 (R0)
; addr end address is: 4 (R1)
;socket.c,276 :: 		case SL_AF_RF   :
L_sl_Bind38:
;socket.c,277 :: 		default:
L_sl_Bind39:
;socket.c,278 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Bind
;socket.c,279 :: 		}
L_sl_Bind34:
; addr start address is: 4 (R1)
; sd start address is: 0 (R0)
LDRH	R3, [R4, #0]
CMP	R3, #2
IT	EQ
BEQ	L_sl_Bind36
LDRH	R3, [R4, #0]
CMP	R3, #9
IT	EQ
BEQ	L_sl_Bind37
; sd end address is: 0 (R0)
; addr end address is: 4 (R1)
LDRH	R3, [R4, #0]
CMP	R3, #6
IT	EQ
BEQ	L_sl_Bind38
IT	AL
BAL	L_sl_Bind39
L_sl_Bind35:
;socket.c,281 :: 		Msg.Cmd.IpV4.lenOrPadding = 0;
; addr start address is: 4 (R1)
; sd start address is: 0 (R0)
MOVS	R3, #0
SXTH	R3, R3
STRH	R3, [SP, #4]
;socket.c,282 :: 		Msg.Cmd.IpV4.sd = ( _u8 )sd;
UXTB	R3, R0
; sd end address is: 0 (R0)
STRB	R3, [SP, #6]
;socket.c,284 :: 		_sl_BuildAddress( addr, &Msg.Cmd );
ADD	R3, SP, #4
MOV	R0, R1
MOV	R1, R3
; addr end address is: 4 (R1)
BL	__sl_BuildAddress+0
;socket.c,286 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&CmdCtrl, &Msg, NULL ) );
ADD	R4, SP, #4
ADD	R3, SP, #16
MOVS	R2, #0
MOV	R1, R4
MOV	R0, R3
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Bind40
L_sl_Bind41:
IT	AL
BAL	L_sl_Bind41
L_sl_Bind40:
;socket.c,288 :: 		return Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #4]
;socket.c,289 :: 		}
L_end_sl_Bind:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _sl_Bind
_sl_SendTo:
;socket.c,303 :: 		const SlSockAddr_t *to, SlSocklen_t tolen )
SUB	SP, SP, #60
STR	LR, [SP, #0]
STRH	R0, [SP, #44]
STR	R1, [SP, #48]
STRH	R2, [SP, #52]
STRH	R3, [SP, #56]
; to start address is: 4 (R1)
LDR	R1, [SP, #60]
; tolen start address is: 16 (R4)
LDRH	R4, [SP, #64]
; tolen end address is: 16 (R4)
;socket.c,306 :: 		_SlCmdCtrl_t     CmdCtrl = {0, 0, 0};
MOVW	R4, #0
STRH	R4, [SP, #38]
MOVS	R4, #0
STRB	R4, [SP, #40]
MOVS	R4, #0
STRB	R4, [SP, #41]
;socket.c,311 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #20
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;socket.c,312 :: 		CmdExt.TxPayloadLen = ( _u16 )Len;
LDRH	R4, [SP, #52]
STRH	R4, [SP, #20]
;socket.c,313 :: 		CmdExt.pTxPayload = ( _u8 * )pBuf;
LDR	R4, [SP, #48]
STR	R4, [SP, #28]
;socket.c,315 :: 		switch( to->sa_family )
MOV	R5, R1
IT	AL
BAL	L_sl_SendTo43
;socket.c,317 :: 		case SL_AF_INET:
L_sl_SendTo45:
;socket.c,318 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_SENDTO;
MOVW	R4, #37901
STRH	R4, [SP, #38]
;socket.c,319 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv4Command_t );
MOVS	R4, #12
STRB	R4, [SP, #40]
;socket.c,320 :: 		break;
IT	AL
BAL	L_sl_SendTo44
;socket.c,322 :: 		case SL_AF_INET6_EUI_48:
L_sl_SendTo46:
;socket.c,323 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_BIND_V6;
MOVW	R4, #38404
STRH	R4, [SP, #38]
;socket.c,324 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv6EUI48Command_t );
MOVS	R4, #12
STRB	R4, [SP, #40]
;socket.c,325 :: 		break;
IT	AL
BAL	L_sl_SendTo44
; to end address is: 4 (R1)
;socket.c,333 :: 		case SL_AF_RF:
L_sl_SendTo47:
;socket.c,334 :: 		default:
L_sl_SendTo48:
;socket.c,335 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_SendTo
;socket.c,336 :: 		}
L_sl_SendTo43:
; to start address is: 4 (R1)
LDRH	R4, [R5, #0]
CMP	R4, #2
IT	EQ
BEQ	L_sl_SendTo45
LDRH	R4, [R5, #0]
CMP	R4, #9
IT	EQ
BEQ	L_sl_SendTo46
; to end address is: 4 (R1)
LDRH	R4, [R5, #0]
CMP	R4, #6
IT	EQ
BEQ	L_sl_SendTo47
IT	AL
BAL	L_sl_SendTo48
L_sl_SendTo44:
;socket.c,338 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, Len );
; to start address is: 4 (R1)
STR	R1, [SP, #4]
LDRSH	R1, [SP, #52]
LDRSH	R0, [SP, #44]
BL	__sl_TruncatePayloadByProtocol+0
LDR	R1, [SP, #4]
STRH	R0, [SP, #36]
;socket.c,339 :: 		Msg.Cmd.IpV4.lenOrPadding = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,340 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #20]
;socket.c,342 :: 		Msg.Cmd.IpV4.sd = ( _u8 )sd;
LDRB	R4, [SP, #44]
STRB	R4, [SP, #10]
;socket.c,344 :: 		_sl_BuildAddress( to, &Msg.Cmd );
ADD	R4, SP, #8
MOV	R0, R1
MOV	R1, R4
; to end address is: 4 (R1)
BL	__sl_BuildAddress+0
;socket.c,346 :: 		Msg.Cmd.IpV4.FamilyAndFlags |= flags & 0x0F;
LDRSH	R4, [SP, #56]
AND	R5, R4, #15
SXTH	R5, R5
LDRB	R4, [SP, #11]
ORRS	R4, R5
STRB	R4, [SP, #11]
;socket.c,348 :: 		do
L_sl_SendTo49:
;socket.c,350 :: 		RetVal = _SlDrvDataWriteOp( ( _SlSd_t )sd, &CmdCtrl, &Msg, &CmdExt );
ADD	R6, SP, #20
ADD	R5, SP, #8
ADD	R4, SP, #38
MOV	R3, R6
MOV	R2, R5
MOV	R1, R4
LDRB	R0, [SP, #44]
BL	__SlDrvDataWriteOp+0
; RetVal start address is: 28 (R7)
SXTH	R7, R0
;socket.c,352 :: 		if( SL_OS_RET_CODE_OK == RetVal )
CMP	R0, #0
IT	NE
BNE	L_sl_SendTo52
;socket.c,354 :: 		CmdExt.pTxPayload += ChunkLen;
LDRH	R5, [SP, #36]
LDR	R4, [SP, #28]
ADDS	R6, R4, R5
STR	R6, [SP, #28]
;socket.c,355 :: 		ChunkLen = ( _u16 )( ( _u8 * )pBuf + Len - CmdExt.pTxPayload );
LDR	R5, [SP, #48]
LDRSH	R4, [SP, #52]
ADDS	R4, R5, R4
SUB	R4, R4, R6
;socket.c,356 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, ChunkLen );
UXTH	R1, R4
LDRSH	R0, [SP, #44]
BL	__sl_TruncatePayloadByProtocol+0
STRH	R0, [SP, #36]
;socket.c,357 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #20]
;socket.c,358 :: 		Msg.Cmd.IpV4.lenOrPadding = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,359 :: 		}
IT	AL
BAL	L_sl_SendTo53
L_sl_SendTo52:
;socket.c,361 :: 		return RetVal;
SXTH	R0, R7
; RetVal end address is: 28 (R7)
IT	AL
BAL	L_end_sl_SendTo
L_sl_SendTo53:
;socket.c,363 :: 		while( ChunkLen > 0 );
; RetVal start address is: 28 (R7)
LDRH	R4, [SP, #36]
CMP	R4, #0
IT	HI
BHI	L_sl_SendTo49
; RetVal end address is: 28 (R7)
;socket.c,365 :: 		return ( _i16 )Len;
LDRSH	R0, [SP, #52]
;socket.c,366 :: 		}
L_end_sl_SendTo:
LDR	LR, [SP, #0]
ADD	SP, SP, #60
BX	LR
; end of _sl_SendTo
_sl_RecvFrom:
;socket.c,389 :: 		SlSockAddr_t *from, SlSocklen_t *fromlen )
; flags start address is: 12 (R3)
; Len start address is: 8 (R2)
; buf start address is: 4 (R1)
; sd start address is: 0 (R0)
SUB	SP, SP, #56
STR	LR, [SP, #0]
STR	R1, [SP, #4]
SXTH	R1, R0
LDR	R0, [SP, #4]
SXTH	R5, R2
SXTH	R6, R3
; flags end address is: 12 (R3)
; Len end address is: 8 (R2)
; buf end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 4 (R1)
; buf start address is: 0 (R0)
; Len start address is: 20 (R5)
; flags start address is: 24 (R6)
; from start address is: 8 (R2)
LDR	R2, [SP, #56]
; fromlen start address is: 12 (R3)
LDR	R3, [SP, #60]
;socket.c,396 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #40
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STRH	R6, [SP, #12]
STRH	R5, [SP, #16]
STR	R0, [SP, #20]
STRH	R1, [SP, #24]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRSH	R1, [SP, #24]
LDR	R0, [SP, #20]
LDRSH	R5, [SP, #16]
LDRSH	R6, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;socket.c,397 :: 		CmdExt.RxPayloadLen = Len;
STRH	R5, [SP, #42]
;socket.c,398 :: 		CmdExt.pRxPayload = ( _u8 * )buf;
STR	R0, [SP, #52]
; buf end address is: 0 (R0)
;socket.c,400 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R4, R1
STRB	R4, [SP, #30]
;socket.c,401 :: 		Msg.Cmd.StatusOrLen = Len;
STRH	R5, [SP, #28]
;socket.c,403 :: 		CmdExt.RxPayloadLen = Msg.Cmd.StatusOrLen;
SXTH	R4, R5
; Len end address is: 20 (R5)
STRH	R4, [SP, #42]
;socket.c,406 :: 		Msg.Cmd.FamilyAndFlags = flags & 0x0F;
AND	R4, R6, #15
; flags end address is: 24 (R6)
STRB	R4, [SP, #31]
;socket.c,409 :: 		if( sizeof( SlSockAddrIn_t ) == *fromlen )
LDRH	R4, [R3, #0]
CMP	R4, #16
IT	NE
BNE	L_sl_RecvFrom54
;socket.c,410 :: 		Msg.Cmd.FamilyAndFlags |= ( SL_AF_INET << 4 );
LDRB	R4, [SP, #31]
ORR	R4, R4, #32
STRB	R4, [SP, #31]
IT	AL
BAL	L_sl_RecvFrom55
L_sl_RecvFrom54:
;socket.c,411 :: 		else if ( sizeof( SlSockAddrIn6_t ) == *fromlen )
LDRH	R4, [R3, #0]
CMP	R4, #28
IT	NE
BNE	L_sl_RecvFrom56
;socket.c,412 :: 		Msg.Cmd.FamilyAndFlags |= ( SL_AF_INET6 << 4 );
LDRB	R4, [SP, #31]
ORR	R4, R4, #48
STRB	R4, [SP, #31]
IT	AL
BAL	L_sl_RecvFrom57
; sd end address is: 4 (R1)
; from end address is: 8 (R2)
; fromlen end address is: 12 (R3)
L_sl_RecvFrom56:
;socket.c,414 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_RecvFrom
L_sl_RecvFrom57:
; fromlen start address is: 12 (R3)
; from start address is: 8 (R2)
; sd start address is: 4 (R1)
L_sl_RecvFrom55:
;socket.c,417 :: 		( _SlCmdCtrl_t * )&_SlRecvfomCmdCtrl, &Msg, &CmdExt );
ADD	R5, SP, #40
ADD	R4, SP, #28
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STRH	R1, [SP, #12]
MOV	R3, R5
MOV	R2, R4
;socket.c,416 :: 		RetVal = _SlDrvDataReadOp( ( _SlSd_t )sd,
UXTB	R0, R1
;socket.c,417 :: 		( _SlCmdCtrl_t * )&_SlRecvfomCmdCtrl, &Msg, &CmdExt );
MOVW	R1, #lo_addr(__SlRecvfomCmdCtrl+0)
MOVT	R1, #hi_addr(__SlRecvfomCmdCtrl+0)
BL	__SlDrvDataReadOp+0
LDRSH	R1, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
; RetVal start address is: 16 (R4)
SXTH	R4, R0
;socket.c,418 :: 		if( RetVal != SL_OS_RET_CODE_OK )
CMP	R0, #0
IT	EQ
BEQ	L_sl_RecvFrom58
; sd end address is: 4 (R1)
; from end address is: 8 (R2)
; fromlen end address is: 12 (R3)
;socket.c,419 :: 		return RetVal;
SXTH	R0, R4
; RetVal end address is: 16 (R4)
IT	AL
BAL	L_end_sl_RecvFrom
L_sl_RecvFrom58:
;socket.c,421 :: 		RetVal = Msg.Rsp.IpV4.statusOrLen;
; RetVal start address is: 24 (R6)
; fromlen start address is: 12 (R3)
; from start address is: 8 (R2)
; sd start address is: 4 (R1)
LDRSH	R6, [SP, #28]
;socket.c,423 :: 		if( RetVal >= 0 )
LDRSH	R4, [SP, #28]
CMP	R4, #0
IT	LT
BLT	L_sl_RecvFrom59
;socket.c,425 :: 		VERIFY_PROTOCOL( sd == Msg.Rsp.IpV4.sd );
LDRB	R4, [SP, #30]
CMP	R1, R4
IT	EQ
BEQ	L_sl_RecvFrom60
; sd end address is: 4 (R1)
; from end address is: 8 (R2)
; fromlen end address is: 12 (R3)
; RetVal end address is: 24 (R6)
L_sl_RecvFrom61:
IT	AL
BAL	L_sl_RecvFrom61
L_sl_RecvFrom60:
;socket.c,429 :: 		from->sa_family = Msg.Rsp.IpV4.family;
; RetVal start address is: 24 (R6)
; fromlen start address is: 12 (R3)
; from start address is: 8 (R2)
LDRB	R4, [SP, #31]
STRH	R4, [R2, #0]
;socket.c,430 :: 		if( SL_AF_INET == from->sa_family )
LDRH	R4, [R2, #0]
CMP	R4, #2
IT	NE
BNE	L_sl_RecvFrom63
;socket.c,432 :: 		( ( SlSockAddrIn_t * )from )->sin_port = Msg.Rsp.IpV4.port;
ADDS	R5, R2, #2
LDRH	R4, [SP, #32]
STRH	R4, [R5, #0]
;socket.c,433 :: 		( ( SlSockAddrIn_t * )from )->sin_addr.s_addr = Msg.Rsp.IpV4.address;
ADDS	R5, R2, #4
; from end address is: 8 (R2)
LDR	R4, [SP, #36]
STR	R4, [R5, #0]
;socket.c,434 :: 		*fromlen = sizeof( SlSockAddrIn_t );
MOVS	R4, #16
STRH	R4, [R3, #0]
; fromlen end address is: 12 (R3)
;socket.c,435 :: 		}
IT	AL
BAL	L_sl_RecvFrom64
L_sl_RecvFrom63:
;socket.c,436 :: 		else if ( SL_AF_INET6_EUI_48 == from->sa_family )
; from start address is: 8 (R2)
LDRH	R4, [R2, #0]
CMP	R4, #9
IT	NE
BNE	L_sl_RecvFrom65
;socket.c,438 :: 		( ( SlSockAddrIn6_t * )from )->sin6_port  = Msg.Rsp.IpV6EUI48.port;
ADDS	R5, R2, #2
LDRH	R4, [SP, #32]
STRH	R4, [R5, #0]
;socket.c,440 :: 		Msg.Rsp.IpV6EUI48.address, 6 );
ADD	R5, SP, #34
;socket.c,439 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )from )->sin6_addr._S6_un._S6_u8,
ADDW	R4, R2, #8
; from end address is: 8 (R2)
;socket.c,440 :: 		Msg.Rsp.IpV6EUI48.address, 6 );
MOVS	R2, #6
SXTH	R2, R2
MOV	R1, R5
;socket.c,439 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )from )->sin6_addr._S6_un._S6_u8,
MOV	R0, R4
;socket.c,440 :: 		Msg.Rsp.IpV6EUI48.address, 6 );
BL	_memcpy+0
;socket.c,441 :: 		}
L_sl_RecvFrom65:
L_sl_RecvFrom64:
;socket.c,454 :: 		}
L_sl_RecvFrom59:
;socket.c,456 :: 		return ( _i16 )RetVal;
SXTH	R0, R6
; RetVal end address is: 24 (R6)
;socket.c,457 :: 		}
L_end_sl_RecvFrom:
LDR	LR, [SP, #0]
ADD	SP, SP, #56
BX	LR
; end of _sl_RecvFrom
_sl_Connect:
;socket.c,470 :: 		_i16 sl_Connect( _i16 sd, const SlSockAddr_t *addr, _i16 addrlen )
; addr start address is: 4 (R1)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STRH	R0, [SP, #28]
MOV	R0, R1
; addr end address is: 4 (R1)
; addr start address is: 0 (R0)
;socket.c,474 :: 		_SlCmdCtrl_t         CmdCtrl = {0, 0, sizeof( _SocketResponse_t )};
MOVW	R3, #0
STRH	R3, [SP, #22]
MOVS	R3, #0
STRB	R3, [SP, #24]
MOVS	R3, #4
STRB	R3, [SP, #25]
;socket.c,476 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;socket.c,479 :: 		switch( addr->sa_family )
MOV	R4, R0
IT	AL
BAL	L_sl_Connect66
;socket.c,481 :: 		case SL_AF_INET :
L_sl_Connect68:
;socket.c,482 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_CONNECT;
MOVW	R3, #37894
STRH	R3, [SP, #22]
;socket.c,483 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv4Command_t );
MOVS	R3, #12
STRB	R3, [SP, #24]
;socket.c,485 :: 		break;
IT	AL
BAL	L_sl_Connect67
;socket.c,486 :: 		case  SL_AF_INET6_EUI_48:
L_sl_Connect69:
;socket.c,487 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_CONNECT_V6;
MOVW	R3, #38406
STRH	R3, [SP, #22]
;socket.c,488 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv6EUI48Command_t );
MOVS	R3, #12
STRB	R3, [SP, #24]
;socket.c,489 :: 		break;
IT	AL
BAL	L_sl_Connect67
; addr end address is: 0 (R0)
;socket.c,496 :: 		case SL_AF_RF:
L_sl_Connect70:
;socket.c,497 :: 		default:
L_sl_Connect71:
;socket.c,498 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Connect
;socket.c,499 :: 		}
L_sl_Connect66:
; addr start address is: 0 (R0)
LDRH	R3, [R4, #0]
CMP	R3, #2
IT	EQ
BEQ	L_sl_Connect68
LDRH	R3, [R4, #0]
CMP	R3, #9
IT	EQ
BEQ	L_sl_Connect69
; addr end address is: 0 (R0)
LDRH	R3, [R4, #0]
CMP	R3, #6
IT	EQ
BEQ	L_sl_Connect70
IT	AL
BAL	L_sl_Connect71
L_sl_Connect67:
;socket.c,501 :: 		Msg.Cmd.IpV4.lenOrPadding = 0;
; addr start address is: 0 (R0)
MOVS	R3, #0
SXTH	R3, R3
STRH	R3, [SP, #4]
;socket.c,502 :: 		Msg.Cmd.IpV4.sd = ( _u8 )sd;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #6]
;socket.c,504 :: 		_sl_BuildAddress( addr, &Msg.Cmd );
ADD	R3, SP, #4
MOV	R1, R3
; addr end address is: 0 (R0)
BL	__sl_BuildAddress+0
;socket.c,508 :: 		sd  & BSD_SOCKET_ID_MASK );
LDRSH	R3, [SP, #28]
AND	R4, R3, #15
;socket.c,507 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, CONNECT_ID,
ADD	R3, SP, #18
;socket.c,508 :: 		sd  & BSD_SOCKET_ID_MASK );
UXTB	R2, R4
;socket.c,507 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, CONNECT_ID,
MOVS	R1, #9
MOV	R0, R3
;socket.c,508 :: 		sd  & BSD_SOCKET_ID_MASK );
BL	__SlDrvProtectAsyncRespSetting+0
STRB	R0, [SP, #30]
;socket.c,510 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_Connect72
;socket.c,511 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Connect
L_sl_Connect72:
;socket.c,514 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&CmdCtrl, &Msg, NULL ) );
ADD	R4, SP, #4
ADD	R3, SP, #22
MOVS	R2, #0
MOV	R1, R4
MOV	R0, R3
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Connect73
L_sl_Connect74:
IT	AL
BAL	L_sl_Connect74
L_sl_Connect73:
;socket.c,515 :: 		VERIFY_PROTOCOL( Msg.Rsp.sd == sd )
LDRSH	R4, [SP, #28]
LDRB	R3, [SP, #6]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Connect76
L_sl_Connect77:
IT	AL
BAL	L_sl_Connect77
L_sl_Connect76:
;socket.c,517 :: 		RetVal = Msg.Rsp.statusOrLen;
LDRSH	R3, [SP, #4]
STRH	R3, [SP, #16]
;socket.c,519 :: 		if( SL_RET_CODE_OK == RetVal )
LDRSH	R3, [SP, #4]
CMP	R3, #0
IT	NE
BNE	L_sl_Connect79
;socket.c,522 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDW	R5, R3, #12
LDRB	R4, [SP, #30]
MOVS	R3, #12
MULS	R3, R4, R3
ADDS	R3, R5, R3
MOV	R0, R3
BL	__SlDrvSyncObjWaitForever+0
;socket.c,524 :: 		VERIFY_PROTOCOL( AsyncRsp.sd == sd );
LDRSH	R4, [SP, #28]
LDRB	R3, [SP, #20]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Connect80
L_sl_Connect81:
IT	AL
BAL	L_sl_Connect81
L_sl_Connect80:
;socket.c,526 :: 		RetVal = AsyncRsp.statusOrLen;
LDRSH	R3, [SP, #18]
STRH	R3, [SP, #16]
;socket.c,527 :: 		}
L_sl_Connect79:
;socket.c,531 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #30]
BL	__SlDrvReleasePoolObj+0
;socket.c,532 :: 		return RetVal;
LDRSH	R0, [SP, #16]
;socket.c,533 :: 		}
L_end_sl_Connect:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _sl_Connect
__sl_HandleAsync_Connect:
;socket.c,541 :: 		void _sl_HandleAsync_Connect( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;socket.c,544 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;socket.c,546 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;socket.c,548 :: 		VERIFY_PROTOCOL( ( pMsgArgs->sd & BSD_SOCKET_ID_MASK ) <= SL_MAX_SOCKETS );
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
AND	R1, R1, #15
UXTB	R1, R1
CMP	R1, #8
IT	LS
BLS	L__sl_HandleAsync_Connect83
; pMsgArgs end address is: 0 (R0)
L__sl_HandleAsync_Connect84:
IT	AL
BAL	L__sl_HandleAsync_Connect84
L__sl_HandleAsync_Connect83:
;socket.c,554 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs ) )->sd =
; pMsgArgs start address is: 0 (R0)
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R1, [R4, #0]
ADDW	R3, R1, #12
MOV	R1, R4
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
ADDS	R2, R1, #2
;socket.c,555 :: 		pMsgArgs->sd;
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;socket.c,557 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs ) )->statusOrLen
MOV	R1, R4
LDR	R1, [R1, #0]
ADDW	R3, R1, #12
MOV	R1, R4
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R2, [R1, #0]
;socket.c,558 :: 		= pMsgArgs->statusOrLen;
LDRSH	R1, [R0, #0]
; pMsgArgs end address is: 0 (R0)
STRH	R1, [R2, #0]
;socket.c,562 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOV	R1, R4
LDR	R1, [R1, #0]
ADDW	R3, R1, #12
MOV	R1, R4
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;socket.c,563 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;socket.c,564 :: 		return;
;socket.c,565 :: 		}
L_end__sl_HandleAsync_Connect:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Connect
_sl_Send:
;socket.c,584 :: 		_i16 sl_Send( _i16 sd, const void *pBuf, _i16 Len, _i16 flags )
; Len start address is: 8 (R2)
SUB	SP, SP, #52
STR	LR, [SP, #0]
STRH	R0, [SP, #40]
STR	R1, [SP, #44]
SXTH	R1, R2
STRH	R3, [SP, #48]
; Len end address is: 8 (R2)
; Len start address is: 4 (R1)
;socket.c,591 :: 		_u8  runSingleChunk = FALSE;
MOVS	R4, #0
STRB	R4, [SP, #36]
;socket.c,593 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRH	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRSH	R1, [SP, #4]
;socket.c,594 :: 		CmdExt.TxPayloadLen = Len;
STRH	R1, [SP, #12]
;socket.c,595 :: 		CmdExt.pTxPayload = ( _u8 * )pBuf;
LDR	R4, [SP, #44]
STR	R4, [SP, #20]
;socket.c,598 :: 		if ( ( sd & SL_SOCKET_PAYLOAD_TYPE_MASK ) ==
LDRSH	R4, [SP, #40]
AND	R4, R4, #240
SXTH	R4, R4
;socket.c,599 :: 		SL_SOCKET_PAYLOAD_TYPE_RAW_TRANCEIVER )
CMP	R4, #128
IT	NE
BNE	L_sl_Send86
;socket.c,601 :: 		tempVal = flags;
LDRSH	R4, [SP, #48]
STR	R4, [SP, #32]
;socket.c,602 :: 		CmdExt.pRxPayload = ( _u8 * )&tempVal;
ADD	R4, SP, #32
STR	R4, [SP, #24]
;socket.c,603 :: 		CmdExt.RxPayloadLen = -4; /* mark as Rx data to send */
MOVW	R4, #65532
SXTH	R4, R4
STRH	R4, [SP, #14]
;socket.c,604 :: 		runSingleChunk = TRUE;
MOVS	R4, #1
STRB	R4, [SP, #36]
;socket.c,605 :: 		}
IT	AL
BAL	L_sl_Send87
L_sl_Send86:
;socket.c,607 :: 		CmdExt.pRxPayload = NULL;
MOVS	R4, #0
STR	R4, [SP, #24]
L_sl_Send87:
;socket.c,609 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, Len );
STRH	R1, [SP, #4]
UXTH	R1, R1
LDRSH	R0, [SP, #40]
BL	__sl_TruncatePayloadByProtocol+0
LDRSH	R1, [SP, #4]
STRH	R0, [SP, #28]
;socket.c,610 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #12]
;socket.c,611 :: 		Msg.Cmd.StatusOrLen = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,612 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R4, [SP, #40]
STRB	R4, [SP, #10]
;socket.c,613 :: 		Msg.Cmd.FamilyAndFlags |= flags & 0x0F;
LDRSH	R4, [SP, #48]
AND	R5, R4, #15
SXTH	R5, R5
LDRB	R4, [SP, #11]
ORRS	R4, R5
STRB	R4, [SP, #11]
;socket.c,615 :: 		do
L_sl_Send88:
;socket.c,618 :: 		&Msg, &CmdExt );
; Len start address is: 4 (R1)
; Len end address is: 4 (R1)
ADD	R5, SP, #12
ADD	R4, SP, #8
STRH	R1, [SP, #4]
MOV	R3, R5
MOV	R2, R4
;socket.c,617 :: 		RetVal = _SlDrvDataWriteOp( ( _u8 )sd, ( _SlCmdCtrl_t * )&_SlSendCmdCtrl,
MOVW	R1, #lo_addr(__SlSendCmdCtrl+0)
MOVT	R1, #hi_addr(__SlSendCmdCtrl+0)
LDRB	R0, [SP, #40]
;socket.c,618 :: 		&Msg, &CmdExt );
BL	__SlDrvDataWriteOp+0
LDRSH	R1, [SP, #4]
; RetVal start address is: 24 (R6)
SXTH	R6, R0
;socket.c,619 :: 		if( SL_OS_RET_CODE_OK == RetVal )
CMP	R0, #0
IT	NE
BNE	L_sl_Send91
; Len end address is: 4 (R1)
;socket.c,621 :: 		CmdExt.pTxPayload += ChunkLen;
; Len start address is: 4 (R1)
LDRH	R5, [SP, #28]
LDR	R4, [SP, #20]
ADDS	R5, R4, R5
STR	R5, [SP, #20]
;socket.c,622 :: 		ChunkLen = ( _u8 * )pBuf + Len - CmdExt.pTxPayload;
LDR	R4, [SP, #44]
ADDS	R4, R4, R1
SUB	R4, R4, R5
;socket.c,623 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, ChunkLen );
STRH	R1, [SP, #4]
UXTH	R1, R4
LDRSH	R0, [SP, #40]
BL	__sl_TruncatePayloadByProtocol+0
LDRSH	R1, [SP, #4]
STRH	R0, [SP, #28]
;socket.c,624 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #12]
;socket.c,625 :: 		Msg.Cmd.StatusOrLen = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,626 :: 		}
IT	AL
BAL	L_sl_Send92
; Len end address is: 4 (R1)
L_sl_Send91:
;socket.c,628 :: 		return RetVal;
SXTH	R0, R6
; RetVal end address is: 24 (R6)
IT	AL
BAL	L_end_sl_Send
L_sl_Send92:
;socket.c,630 :: 		while( ( ChunkLen > 0 ) && ( runSingleChunk == FALSE ) );
; RetVal start address is: 24 (R6)
; Len start address is: 4 (R1)
LDRH	R4, [SP, #28]
CMP	R4, #0
IT	LS
BLS	L__sl_Send157
LDRB	R4, [SP, #36]
CMP	R4, #0
IT	NE
BNE	L__sl_Send156
; RetVal end address is: 24 (R6)
IT	AL
BAL	L_sl_Send88
L__sl_Send157:
L__sl_Send156:
;socket.c,632 :: 		return ( _i16 )Len;
SXTH	R0, R1
; Len end address is: 4 (R1)
;socket.c,633 :: 		}
L_end_sl_Send:
LDR	LR, [SP, #0]
ADD	SP, SP, #52
BX	LR
; end of _sl_Send
_sl_Listen:
;socket.c,656 :: 		_i16 sl_Listen( _i16 sd, _i16 backlog )
; backlog start address is: 4 (R1)
; sd start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; backlog end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; backlog start address is: 4 (R1)
;socket.c,660 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R2, R0
; sd end address is: 0 (R0)
STRB	R2, [SP, #4]
;socket.c,661 :: 		Msg.Cmd.backlog = ( _u8 )backlog;
UXTB	R2, R1
; backlog end address is: 4 (R1)
STRB	R2, [SP, #5]
;socket.c,663 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlListenCmdCtrl, &Msg,
ADD	R2, SP, #4
MOV	R1, R2
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlListenCmdCtrl+0)
MOVT	R0, #hi_addr(__SlListenCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Listen95
L_sl_Listen96:
IT	AL
BAL	L_sl_Listen96
L_sl_Listen95:
;socket.c,666 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;socket.c,667 :: 		}
L_end_sl_Listen:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_Listen
_sl_Accept:
;socket.c,690 :: 		_i16 sl_Accept( _i16 sd, SlSockAddr_t *addr, SlSocklen_t *addrlen )
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRH	R0, [SP, #32]
; addrlen end address is: 8 (R2)
; addr end address is: 4 (R1)
; addr start address is: 4 (R1)
; addrlen start address is: 8 (R2)
;socket.c,696 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;socket.c,699 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R3, [SP, #32]
STRB	R3, [SP, #12]
;socket.c,700 :: 		Msg.Cmd.family = ( sizeof( SlSockAddrIn_t ) == *addrlen ) ? SL_AF_INET :
LDRH	R3, [R2, #0]
CMP	R3, #16
IT	NE
BNE	L_sl_Accept98
; ?FLOC___sl_Accept?T508 start address is: 0 (R0)
MOVS	R0, #2
SXTB	R0, R0
; ?FLOC___sl_Accept?T508 end address is: 0 (R0)
IT	AL
BAL	L_sl_Accept99
L_sl_Accept98:
;socket.c,701 :: 		SL_AF_INET6;
; ?FLOC___sl_Accept?T508 start address is: 0 (R0)
MOVS	R0, #3
SXTB	R0, R0
; ?FLOC___sl_Accept?T508 end address is: 0 (R0)
L_sl_Accept99:
; ?FLOC___sl_Accept?T508 start address is: 0 (R0)
STRB	R0, [SP, #13]
; ?FLOC___sl_Accept?T508 end address is: 0 (R0)
;socket.c,705 :: 		sd  & BSD_SOCKET_ID_MASK );
LDRSH	R3, [SP, #32]
AND	R4, R3, #15
;socket.c,704 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, ACCEPT_ID,
ADD	R3, SP, #20
;socket.c,705 :: 		sd  & BSD_SOCKET_ID_MASK );
STR	R2, [SP, #4]
STR	R1, [SP, #8]
UXTB	R2, R4
;socket.c,704 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, ACCEPT_ID,
MOVS	R1, #8
MOV	R0, R3
;socket.c,705 :: 		sd  & BSD_SOCKET_ID_MASK );
BL	__SlDrvProtectAsyncRespSetting+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
STRB	R0, [SP, #34]
;socket.c,707 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_Accept100
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
;socket.c,708 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Accept
L_sl_Accept100:
;socket.c,711 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlAcceptCmdCtrl, &Msg,
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
ADD	R3, SP, #12
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOVS	R2, #0
MOV	R1, R3
MOVW	R0, #lo_addr(__SlAcceptCmdCtrl+0)
MOVT	R0, #hi_addr(__SlAcceptCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_Accept101
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
L_sl_Accept102:
IT	AL
BAL	L_sl_Accept102
L_sl_Accept101:
;socket.c,713 :: 		VERIFY_PROTOCOL( Msg.Rsp.sd == sd );
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRSH	R4, [SP, #32]
LDRB	R3, [SP, #14]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Accept104
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
L_sl_Accept105:
IT	AL
BAL	L_sl_Accept105
L_sl_Accept104:
;socket.c,715 :: 		RetVal = Msg.Rsp.statusOrLen;
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRSH	R3, [SP, #12]
STRH	R3, [SP, #16]
;socket.c,717 :: 		if( SL_OS_RET_CODE_OK == RetVal )
LDRSH	R3, [SP, #12]
CMP	R3, #0
IT	NE
BNE	L_sl_Accept107
;socket.c,720 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDW	R5, R3, #12
LDRB	R4, [SP, #34]
MOVS	R3, #12
MULS	R3, R4, R3
ADDS	R3, R5, R3
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R0, R3
BL	__SlDrvSyncObjWaitForever+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
;socket.c,722 :: 		VERIFY_PROTOCOL( AsyncRsp.IpV4.sd == sd );
LDRSH	R4, [SP, #32]
LDRB	R3, [SP, #22]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Accept108
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
L_sl_Accept109:
IT	AL
BAL	L_sl_Accept109
L_sl_Accept108:
;socket.c,724 :: 		RetVal = AsyncRsp.IpV4.statusOrLen;
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRSH	R3, [SP, #20]
STRH	R3, [SP, #16]
;socket.c,725 :: 		if( ( NULL != addr ) && ( NULL != addrlen ) )
CMP	R1, #0
IT	EQ
BEQ	L__sl_Accept160
CMP	R2, #0
IT	EQ
BEQ	L__sl_Accept159
L__sl_Accept158:
;socket.c,730 :: 		addr->sa_family = AsyncRsp.IpV4.family;
LDRB	R3, [SP, #23]
STRH	R3, [R1, #0]
;socket.c,732 :: 		if( SL_AF_INET == addr->sa_family )
LDRH	R3, [R1, #0]
CMP	R3, #2
IT	NE
BNE	L_sl_Accept114
;socket.c,734 :: 		if( *addrlen == sizeof( SlSockAddrIn_t ) )
LDRH	R3, [R2, #0]
CMP	R3, #16
IT	NE
BNE	L_sl_Accept115
; addrlen end address is: 8 (R2)
;socket.c,736 :: 		( ( SlSockAddrIn_t * )addr )->sin_port         = AsyncRsp.IpV4.port;
ADDS	R4, R1, #2
LDRH	R3, [SP, #24]
STRH	R3, [R4, #0]
;socket.c,737 :: 		( ( SlSockAddrIn_t * )addr )->sin_addr.s_addr  = AsyncRsp.IpV4.address;
ADDS	R4, R1, #4
; addr end address is: 4 (R1)
LDR	R3, [SP, #28]
STR	R3, [R4, #0]
;socket.c,738 :: 		}
IT	AL
BAL	L_sl_Accept116
L_sl_Accept115:
;socket.c,740 :: 		*addrlen = 0;
; addrlen start address is: 8 (R2)
MOVS	R3, #0
STRH	R3, [R2, #0]
; addrlen end address is: 8 (R2)
L_sl_Accept116:
;socket.c,741 :: 		}
IT	AL
BAL	L_sl_Accept117
L_sl_Accept114:
;socket.c,742 :: 		else if ( SL_AF_INET6_EUI_48 == addr->sa_family )
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRH	R3, [R1, #0]
CMP	R3, #9
IT	NE
BNE	L_sl_Accept118
;socket.c,744 :: 		if( *addrlen == sizeof( SlSockAddrIn6_t ) )
LDRH	R3, [R2, #0]
CMP	R3, #28
IT	NE
BNE	L_sl_Accept119
; addrlen end address is: 8 (R2)
;socket.c,746 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_port                   =
ADDS	R4, R1, #2
;socket.c,747 :: 		AsyncRsp.IpV6EUI48.port    ;
LDRH	R3, [SP, #24]
STRH	R3, [R4, #0]
;socket.c,750 :: 		AsyncRsp.IpV6EUI48.address, 6 );
ADD	R4, SP, #26
;socket.c,749 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
ADDW	R3, R1, #8
; addr end address is: 4 (R1)
;socket.c,750 :: 		AsyncRsp.IpV6EUI48.address, 6 );
MOVS	R2, #6
SXTH	R2, R2
MOV	R1, R4
;socket.c,749 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
MOV	R0, R3
;socket.c,750 :: 		AsyncRsp.IpV6EUI48.address, 6 );
BL	_memcpy+0
;socket.c,751 :: 		}
IT	AL
BAL	L_sl_Accept120
L_sl_Accept119:
;socket.c,753 :: 		*addrlen = 0;
; addrlen start address is: 8 (R2)
MOVS	R3, #0
STRH	R3, [R2, #0]
; addrlen end address is: 8 (R2)
L_sl_Accept120:
;socket.c,754 :: 		}
L_sl_Accept118:
L_sl_Accept117:
;socket.c,725 :: 		if( ( NULL != addr ) && ( NULL != addrlen ) )
L__sl_Accept160:
L__sl_Accept159:
;socket.c,771 :: 		}
L_sl_Accept107:
;socket.c,773 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #34]
BL	__SlDrvReleasePoolObj+0
;socket.c,774 :: 		return ( _i16 )RetVal;
LDRSH	R0, [SP, #16]
;socket.c,775 :: 		}
L_end_sl_Accept:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_Accept
_sl_Htonl:
;socket.c,782 :: 		_u32 sl_Htonl( _u32 val )
SUB	SP, SP, #8
STR	R0, [SP, #4]
;socket.c,784 :: 		_u32 i = 1;
MOV	R1, #1
STR	R1, [SP, #0]
;socket.c,785 :: 		_i8 *p = ( _i8 * )&i;
ADD	R1, SP, #0
; p start address is: 0 (R0)
MOV	R0, R1
;socket.c,786 :: 		if ( p[0] == 1 ) /* little endian */
LDRSB	R1, [R1, #0]
CMP	R1, #1
IT	NE
BNE	L_sl_Htonl121
;socket.c,788 :: 		p[0] = ( ( _i8 * )&val )[3];
ADD	R3, SP, #4
ADDS	R1, R3, #3
LDRSB	R1, [R1, #0]
STRB	R1, [R0, #0]
;socket.c,789 :: 		p[1] = ( ( _i8 * )&val )[2];
ADDS	R2, R0, #1
ADDS	R1, R3, #2
LDRSB	R1, [R1, #0]
STRB	R1, [R2, #0]
;socket.c,790 :: 		p[2] = ( ( _i8 * )&val )[1];
ADDS	R2, R0, #2
ADDS	R1, R3, #1
LDRSB	R1, [R1, #0]
STRB	R1, [R2, #0]
;socket.c,791 :: 		p[3] = ( ( _i8 * )&val )[0];
ADDS	R2, R0, #3
; p end address is: 0 (R0)
LDRSB	R1, [R3, #0]
STRB	R1, [R2, #0]
;socket.c,792 :: 		return i;
LDR	R0, [SP, #0]
IT	AL
BAL	L_end_sl_Htonl
;socket.c,793 :: 		}
L_sl_Htonl121:
;socket.c,795 :: 		return val;
LDR	R0, [SP, #4]
;socket.c,796 :: 		}
L_end_sl_Htonl:
ADD	SP, SP, #8
BX	LR
; end of _sl_Htonl
_sl_Htons:
;socket.c,801 :: 		_u16 sl_Htons( _u16 val )
SUB	SP, SP, #8
STRH	R0, [SP, #4]
;socket.c,803 :: 		_i16 i = 1;
MOVW	R1, #1
STRH	R1, [SP, #0]
;socket.c,804 :: 		_i8 *p = ( _i8 * )&i;
ADD	R1, SP, #0
; p start address is: 0 (R0)
MOV	R0, R1
;socket.c,805 :: 		if ( p[0] == 1 ) /* little endian */
LDRSB	R1, [R1, #0]
CMP	R1, #1
IT	NE
BNE	L_sl_Htons123
;socket.c,807 :: 		p[0] = ( ( _i8 * )&val )[1];
ADD	R3, SP, #4
ADDS	R1, R3, #1
LDRSB	R1, [R1, #0]
STRB	R1, [R0, #0]
;socket.c,808 :: 		p[1] = ( ( _i8 * )&val )[0];
ADDS	R2, R0, #1
; p end address is: 0 (R0)
LDRSB	R1, [R3, #0]
STRB	R1, [R2, #0]
;socket.c,809 :: 		return i;
LDRSH	R0, [SP, #0]
IT	AL
BAL	L_end_sl_Htons
;socket.c,810 :: 		}
L_sl_Htons123:
;socket.c,812 :: 		return val;
LDRH	R0, [SP, #4]
;socket.c,813 :: 		}
L_end_sl_Htons:
ADD	SP, SP, #8
BX	LR
; end of _sl_Htons
__sl_HandleAsync_Accept:
;socket.c,819 :: 		void _sl_HandleAsync_Accept( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;socket.c,822 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;socket.c,824 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;socket.c,826 :: 		VERIFY_PROTOCOL( ( pMsgArgs->IpV4.sd & BSD_SOCKET_ID_MASK ) <=
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
AND	R1, R1, #15
UXTB	R1, R1
CMP	R1, #8
IT	LS
BLS	L__sl_HandleAsync_Accept125
; pMsgArgs end address is: 0 (R0)
L__sl_HandleAsync_Accept126:
IT	AL
BAL	L__sl_HandleAsync_Accept126
L__sl_HandleAsync_Accept125:
;socket.c,832 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
; pMsgArgs start address is: 0 (R0)
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;socket.c,833 :: 		pMsgArgs, sizeof( _SocketAddrResponse_u ) );
MOVS	R2, #12
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;socket.c,832 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;socket.c,833 :: 		pMsgArgs, sizeof( _SocketAddrResponse_u ) );
BL	_memcpy+0
;socket.c,835 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;socket.c,837 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;socket.c,838 :: 		return;
;socket.c,839 :: 		}
L_end__sl_HandleAsync_Accept:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Accept
__sl_HandleAsync_Select:
;socket.c,844 :: 		void _sl_HandleAsync_Select( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;socket.c,847 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;socket.c,849 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;socket.c,855 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;socket.c,856 :: 		pMsgArgs, sizeof( _SelectAsyncResponse_t ) );
MOVS	R2, #8
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;socket.c,855 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;socket.c,856 :: 		pMsgArgs, sizeof( _SelectAsyncResponse_t ) );
BL	_memcpy+0
;socket.c,859 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;socket.c,860 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;socket.c,862 :: 		return;
;socket.c,863 :: 		}
L_end__sl_HandleAsync_Select:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Select
_sl_Recv:
;socket.c,887 :: 		_i16 sl_Recv( _i16 sd, void *pBuf, _i16 Len, _i16 flags )
; Len start address is: 8 (R2)
; sd start address is: 0 (R0)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STR	R1, [SP, #32]
SXTH	R1, R2
STRH	R3, [SP, #36]
; Len end address is: 8 (R2)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; Len start address is: 4 (R1)
;socket.c,893 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
STRH	R1, [SP, #4]
STRH	R0, [SP, #8]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRSH	R0, [SP, #8]
LDRSH	R1, [SP, #4]
;socket.c,894 :: 		CmdExt.RxPayloadLen = Len;
STRH	R1, [SP, #18]
;socket.c,895 :: 		CmdExt.pRxPayload = ( _u8 * )pBuf;
LDR	R4, [SP, #32]
STR	R4, [SP, #28]
;socket.c,897 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R4, R0
STRB	R4, [SP, #14]
;socket.c,898 :: 		Msg.Cmd.StatusOrLen = Len;
STRH	R1, [SP, #12]
;socket.c,901 :: 		CmdExt.RxPayloadLen = Msg.Cmd.StatusOrLen;
SXTH	R4, R1
; Len end address is: 4 (R1)
STRH	R4, [SP, #18]
;socket.c,903 :: 		Msg.Cmd.FamilyAndFlags = flags & 0x0F;
LDRSH	R4, [SP, #36]
AND	R4, R4, #15
STRB	R4, [SP, #15]
;socket.c,906 :: 		&Msg, &CmdExt );
ADD	R5, SP, #16
ADD	R4, SP, #12
MOV	R3, R5
MOV	R2, R4
;socket.c,905 :: 		status = _SlDrvDataReadOp( ( _SlSd_t )sd, ( _SlCmdCtrl_t * )&_SlRecvCmdCtrl,
MOVW	R1, #lo_addr(__SlRecvCmdCtrl+0)
MOVT	R1, #hi_addr(__SlRecvCmdCtrl+0)
UXTB	R0, R0
; sd end address is: 0 (R0)
;socket.c,906 :: 		&Msg, &CmdExt );
BL	__SlDrvDataReadOp+0
; status start address is: 4 (R1)
SXTH	R1, R0
;socket.c,907 :: 		if( status != SL_OS_RET_CODE_OK )
CMP	R0, #0
IT	EQ
BEQ	L_sl_Recv128
;socket.c,908 :: 		return status;
SXTH	R0, R1
; status end address is: 4 (R1)
IT	AL
BAL	L_end_sl_Recv
L_sl_Recv128:
;socket.c,912 :: 		return ( _i16 )Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #12]
;socket.c,913 :: 		}
L_end_sl_Recv:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_Recv
_sl_SetSockOpt:
;socket.c,934 :: 		SlSocklen_t optlen )
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRH	R0, [SP, #28]
STRH	R1, [SP, #32]
STRH	R2, [SP, #36]
STR	R3, [SP, #40]
; optlen start address is: 0 (R0)
LDRH	R0, [SP, #44]
;socket.c,940 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;socket.c,941 :: 		CmdExt.TxPayloadLen = optlen;
STRH	R0, [SP, #12]
;socket.c,942 :: 		CmdExt.pTxPayload = ( _u8 * )optval;
LDR	R4, [SP, #40]
STR	R4, [SP, #20]
;socket.c,944 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;socket.c,945 :: 		Msg.Cmd.level = ( _u8 )level;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #9]
;socket.c,946 :: 		Msg.Cmd.optionLen = ( _u8 )optlen;
UXTB	R4, R0
; optlen end address is: 0 (R0)
STRB	R4, [SP, #11]
;socket.c,947 :: 		Msg.Cmd.optionName = ( _u8 )optname;
LDRB	R4, [SP, #36]
STRB	R4, [SP, #10]
;socket.c,949 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSetSockOptCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlSetSockOptCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSetSockOptCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_SetSockOpt129
L_sl_SetSockOpt130:
IT	AL
BAL	L_sl_SetSockOpt130
L_sl_SetSockOpt129:
;socket.c,952 :: 		return ( _i16 )Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #8]
;socket.c,953 :: 		}
L_end_sl_SetSockOpt:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_SetSockOpt
_sl_GetSockOpt:
;socket.c,976 :: 		SlSocklen_t *optlen )
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRH	R0, [SP, #28]
STRH	R1, [SP, #32]
STRH	R2, [SP, #36]
STR	R3, [SP, #40]
; optlen start address is: 4 (R1)
LDR	R1, [SP, #44]
;socket.c,981 :: 		if ( *optlen == 0 )
LDRH	R4, [R1, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_GetSockOpt132
; optlen end address is: 4 (R1)
;socket.c,982 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_GetSockOpt
L_sl_GetSockOpt132:
;socket.c,984 :: 		_SlDrvResetCmdExt( &CmdExt );
; optlen start address is: 4 (R1)
ADD	R4, SP, #12
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;socket.c,985 :: 		CmdExt.RxPayloadLen = *optlen;
LDRH	R4, [R1, #0]
STRH	R4, [SP, #14]
;socket.c,986 :: 		CmdExt.pRxPayload = optval;
LDR	R4, [SP, #40]
STR	R4, [SP, #24]
;socket.c,988 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;socket.c,989 :: 		Msg.Cmd.level = ( _u8 )level;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #9]
;socket.c,990 :: 		Msg.Cmd.optionLen = ( _u8 )( *optlen );
LDRH	R4, [R1, #0]
UXTB	R4, R4
STRB	R4, [SP, #11]
;socket.c,991 :: 		Msg.Cmd.optionName = ( _u8 )optname;
LDRB	R4, [SP, #36]
STRB	R4, [SP, #10]
;socket.c,993 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlGetSockOptCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
STR	R1, [SP, #4]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlGetSockOptCmdCtrl+0)
MOVT	R0, #hi_addr(__SlGetSockOptCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_GetSockOpt133
; optlen end address is: 4 (R1)
L_sl_GetSockOpt134:
IT	AL
BAL	L_sl_GetSockOpt134
L_sl_GetSockOpt133:
;socket.c,996 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
; optlen start address is: 4 (R1)
LDRSH	R5, [SP, #16]
LDRSH	R4, [SP, #14]
CMP	R4, R5
IT	GE
BGE	L_sl_GetSockOpt136
;socket.c,998 :: 		*optlen = Msg.Rsp.optionLen;
LDRB	R4, [SP, #11]
STRH	R4, [R1, #0]
; optlen end address is: 4 (R1)
;socket.c,999 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_GetSockOpt
;socket.c,1000 :: 		}
L_sl_GetSockOpt136:
;socket.c,1002 :: 		*optlen = ( _u8 )CmdExt.ActualRxPayloadLen;
; optlen start address is: 4 (R1)
LDRB	R4, [SP, #16]
STRH	R4, [R1, #0]
; optlen end address is: 4 (R1)
;socket.c,1003 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;socket.c,1004 :: 		}
L_end_sl_GetSockOpt:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_GetSockOpt
_sl_Select:
;socket.c,1030 :: 		SlFdSet_t *exceptsds, struct SlTimeval_t *timeout )
; nfds start address is: 0 (R0)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STR	R1, [SP, #24]
SXTH	R1, R0
STR	R2, [SP, #28]
; nfds end address is: 0 (R0)
; nfds start address is: 4 (R1)
; timeout start address is: 0 (R0)
LDR	R0, [SP, #36]
;socket.c,1034 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;socket.c,1036 :: 		Msg.Cmd.nfds          = ( _u8 )nfds;
UXTB	R4, R1
; nfds end address is: 4 (R1)
STRB	R4, [SP, #4]
;socket.c,1037 :: 		Msg.Cmd.readFdsCount  = 0;
MOVS	R4, #0
STRB	R4, [SP, #5]
;socket.c,1038 :: 		Msg.Cmd.writeFdsCount = 0;
MOVS	R4, #0
STRB	R4, [SP, #6]
;socket.c,1040 :: 		Msg.Cmd.readFds = 0;
MOVS	R4, #0
STRH	R4, [SP, #8]
;socket.c,1041 :: 		Msg.Cmd.writeFds = 0;
MOVS	R4, #0
STRH	R4, [SP, #10]
;socket.c,1044 :: 		if( readsds )
LDR	R4, [SP, #24]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select138
;socket.c,1045 :: 		Msg.Cmd.readFds       = ( _u16 )readsds->fd_array[0];
LDR	R4, [SP, #24]
LDR	R4, [R4, #0]
UXTH	R4, R4
STRH	R4, [SP, #8]
L_sl_Select138:
;socket.c,1046 :: 		if( writesds )
LDR	R4, [SP, #28]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select139
;socket.c,1047 :: 		Msg.Cmd.writeFds      = ( _u16 )writesds->fd_array[0];
LDR	R4, [SP, #28]
LDR	R4, [R4, #0]
UXTH	R4, R4
STRH	R4, [SP, #10]
L_sl_Select139:
;socket.c,1048 :: 		if( NULL == timeout )
CMP	R0, #0
IT	NE
BNE	L_sl_Select140
; timeout end address is: 0 (R0)
;socket.c,1050 :: 		Msg.Cmd.tv_sec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #14]
;socket.c,1051 :: 		Msg.Cmd.tv_usec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #12]
;socket.c,1052 :: 		}
IT	AL
BAL	L_sl_Select141
L_sl_Select140:
;socket.c,1055 :: 		if( 0xffff <= timeout->tv_sec )
; timeout start address is: 0 (R0)
LDR	R5, [R0, #0]
MOVW	R4, #65535
CMP	R5, R4
IT	CC
BCC	L_sl_Select142
;socket.c,1056 :: 		Msg.Cmd.tv_sec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #14]
IT	AL
BAL	L_sl_Select143
L_sl_Select142:
;socket.c,1058 :: 		Msg.Cmd.tv_sec = ( _u16 )timeout->tv_sec;
LDR	R4, [R0, #0]
UXTH	R4, R4
STRH	R4, [SP, #14]
L_sl_Select143:
;socket.c,1059 :: 		timeout->tv_usec = timeout->tv_usec >> 10;  /*  convert to milliseconds */
ADDS	R5, R0, #4
LDR	R4, [R5, #0]
LSRS	R4, R4, #10
STR	R4, [R5, #0]
;socket.c,1060 :: 		if( 0xffff <= timeout->tv_usec )
ADDS	R4, R0, #4
LDR	R5, [R4, #0]
MOVW	R4, #65535
CMP	R5, R4
IT	CC
BCC	L_sl_Select144
; timeout end address is: 0 (R0)
;socket.c,1061 :: 		Msg.Cmd.tv_usec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #12]
IT	AL
BAL	L_sl_Select145
L_sl_Select144:
;socket.c,1063 :: 		Msg.Cmd.tv_usec = ( _u16 )timeout->tv_usec;
; timeout start address is: 0 (R0)
ADDS	R4, R0, #4
; timeout end address is: 0 (R0)
LDR	R4, [R4, #0]
UXTH	R4, R4
STRH	R4, [SP, #12]
L_sl_Select145:
;socket.c,1064 :: 		}
L_sl_Select141:
;socket.c,1067 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, SELECT_ID,
ADD	R4, SP, #16
;socket.c,1068 :: 		SL_MAX_SOCKETS );
MOVS	R2, #8
;socket.c,1067 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, SELECT_ID,
MOVS	R1, #10
MOV	R0, R4
;socket.c,1068 :: 		SL_MAX_SOCKETS );
BL	__SlDrvProtectAsyncRespSetting+0
STRB	R0, [SP, #32]
;socket.c,1070 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_Select146
;socket.c,1071 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Select
L_sl_Select146:
;socket.c,1075 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSelectCmdCtrl, &Msg,
ADD	R4, SP, #4
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlSelectCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSelectCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Select147
L_sl_Select148:
IT	AL
BAL	L_sl_Select148
L_sl_Select147:
;socket.c,1078 :: 		if( SL_OS_RET_CODE_OK == ( _i16 )Msg.Rsp.status )
LDRSH	R4, [SP, #4]
CMP	R4, #0
IT	NE
BNE	L_sl_Select150
;socket.c,1080 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #32]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
MOV	R0, R4
BL	__SlDrvSyncObjWaitForever+0
;socket.c,1082 :: 		Msg.Rsp.status = AsyncRsp.status;
LDRH	R4, [SP, #16]
STRH	R4, [SP, #4]
;socket.c,1084 :: 		if(  ( ( _i16 )Msg.Rsp.status ) >= 0 )
LDRSH	R4, [SP, #16]
CMP	R4, #0
IT	LT
BLT	L_sl_Select151
;socket.c,1086 :: 		if( readsds )
LDR	R4, [SP, #24]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select152
;socket.c,1087 :: 		readsds->fd_array[0]  = AsyncRsp.readFds;
LDRH	R5, [SP, #20]
LDR	R4, [SP, #24]
STR	R5, [R4, #0]
L_sl_Select152:
;socket.c,1088 :: 		if( writesds )
LDR	R4, [SP, #28]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select153
;socket.c,1089 :: 		writesds->fd_array[0] = AsyncRsp.writeFds;
LDRH	R5, [SP, #22]
LDR	R4, [SP, #28]
STR	R5, [R4, #0]
L_sl_Select153:
;socket.c,1090 :: 		}
L_sl_Select151:
;socket.c,1091 :: 		}
L_sl_Select150:
;socket.c,1093 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #32]
BL	__SlDrvReleasePoolObj+0
;socket.c,1094 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;socket.c,1095 :: 		}
L_end_sl_Select:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_Select
_SL_FD_SET:
;socket.c,1101 :: 		void SL_FD_SET( _i16 fd, SlFdSet_t *fdset )
; fdset start address is: 4 (R1)
; fd start address is: 0 (R0)
; fdset end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; fdset start address is: 4 (R1)
;socket.c,1103 :: 		fdset->fd_array[0] |=  ( 1 << ( fd & BSD_SOCKET_ID_MASK ) );
AND	R3, R0, #15
SXTH	R3, R3
; fd end address is: 0 (R0)
MOVS	R2, #1
LSL	R3, R2, R3
UXTH	R3, R3
LDR	R2, [R1, #0]
ORRS	R2, R3
STR	R2, [R1, #0]
; fdset end address is: 4 (R1)
;socket.c,1104 :: 		}
L_end_SL_FD_SET:
BX	LR
; end of _SL_FD_SET
_SL_FD_CLR:
;socket.c,1108 :: 		void SL_FD_CLR( _i16 fd, SlFdSet_t *fdset )
; fdset start address is: 4 (R1)
; fd start address is: 0 (R0)
; fdset end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; fdset start address is: 4 (R1)
;socket.c,1110 :: 		fdset->fd_array[0] &=  ~( 1 << ( fd & BSD_SOCKET_ID_MASK ) );
AND	R3, R0, #15
SXTH	R3, R3
; fd end address is: 0 (R0)
MOVS	R2, #1
LSLS	R2, R3
UXTH	R2, R2
MVN	R3, R2
UXTH	R3, R3
LDR	R2, [R1, #0]
ANDS	R2, R3
STR	R2, [R1, #0]
; fdset end address is: 4 (R1)
;socket.c,1111 :: 		}
L_end_SL_FD_CLR:
BX	LR
; end of _SL_FD_CLR
_SL_FD_ISSET:
;socket.c,1115 :: 		_i16  SL_FD_ISSET( _i16 fd, SlFdSet_t *fdset )
; fdset start address is: 4 (R1)
; fd start address is: 0 (R0)
; fdset end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; fdset start address is: 4 (R1)
;socket.c,1117 :: 		if( fdset->fd_array[0] & ( 1 << ( fd & BSD_SOCKET_ID_MASK ) ) )
LDR	R4, [R1, #0]
; fdset end address is: 4 (R1)
AND	R3, R0, #15
SXTH	R3, R3
; fd end address is: 0 (R0)
MOVS	R2, #1
LSLS	R2, R3
UXTH	R2, R2
AND	R2, R4, R2, LSL #0
CMP	R2, #0
IT	EQ
BEQ	L_SL_FD_ISSET154
;socket.c,1118 :: 		return 1;
MOVS	R0, #1
SXTH	R0, R0
IT	AL
BAL	L_end_SL_FD_ISSET
L_SL_FD_ISSET154:
;socket.c,1119 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;socket.c,1120 :: 		}
L_end_SL_FD_ISSET:
BX	LR
; end of _SL_FD_ISSET
_SL_FD_ZERO:
;socket.c,1124 :: 		void SL_FD_ZERO( SlFdSet_t *fdset )
; fdset start address is: 0 (R0)
; fdset end address is: 0 (R0)
; fdset start address is: 0 (R0)
;socket.c,1126 :: 		fdset->fd_array[0] = 0;
MOVS	R1, #0
STR	R1, [R0, #0]
; fdset end address is: 0 (R0)
;socket.c,1127 :: 		}
L_end_SL_FD_ZERO:
BX	LR
; end of _SL_FD_ZERO
