accel_test_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of accel_test_Write_to_Data_Lines
accel_test_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	accel_test_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_Set_Index
accel_test_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	accel_test_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_Write_Command
accel_test_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	accel_test_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_Write_Data
accel_test_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(accel_test_Write_Data+0)
MOVT	R2, #hi_addr(accel_test_Write_Data+0)
MOVW	R1, #lo_addr(accel_test_Write_Command+0)
MOVT	R1, #hi_addr(accel_test_Write_Command+0)
MOVW	R0, #lo_addr(accel_test_Set_Index+0)
MOVT	R0, #hi_addr(accel_test_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_display_init
accel_test_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_accel_test_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_accel_test_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_accel_test_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_accel_test_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_accel_test_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_accel_test_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_accel_test_hal_touch_init0
L_accel_test_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_accel_test_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_accel_test_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_touch_init
accel_test_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_console_init
accel_test_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_power_init
accel_test_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_microsd_init
accel_test_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_flash_init
accel_test_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_rf_init
accel_test_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_mp3_init
accel_test_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_accel_test_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_accel_test_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_accel_test_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_accel_test_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_accel_init
accel_test_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_wifi_init
accel_test_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of accel_test_hal_buzzer_init
accel_test_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_accel_test_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_accel_test_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_accel_test_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_accel_test_hal_rtc_init13
IT	AL
BAL	L_accel_test_hal_rtc_init12
L_accel_test_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_accel_test_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_accel_test_hal_rtc_init15
IT	AL
BAL	L_accel_test_hal_rtc_init14
L_accel_test_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of accel_test_hal_rtc_init
accel_test_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of accel_test_hal_shuttle_init
_accel_test:
;accel_test.c,50 :: 		void accel_test ( test_param_t * tp )
; tp start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; tp end address is: 0 (R0)
; tp start address is: 0 (R0)
;accel_test.c,52 :: 		switch ( tp->step )
MOV	R1, R0
STR	R1, [SP, #8]
IT	AL
BAL	L_accel_test16
;accel_test.c,54 :: 		case TEST_PREINIT :
L_accel_test18:
;accel_test.c,56 :: 		tp->step = TEST_INIT;
MOVS	R1, #1
STRB	R1, [R0, #0]
;accel_test.c,57 :: 		tp->delay = TASK_DELAY;
ADDS	R2, R0, #2
MOVS	R1, #50
STRH	R1, [R2, #0]
;accel_test.c,58 :: 		strcpy( tp->name, TASK_NAME );
MOVW	R2, #lo_addr(?lstr1_accel_test+0)
MOVT	R2, #hi_addr(?lstr1_accel_test+0)
ADDS	R1, R0, #4
; tp end address is: 0 (R0)
MOV	R0, R1
MOV	R1, R2
BL	_strcpy+0
;accel_test.c,60 :: 		break;
IT	AL
BAL	L_accel_test17
;accel_test.c,62 :: 		case TEST_INIT :
L_accel_test19:
;accel_test.c,67 :: 		bsp_accel_init( );
; tp start address is: 0 (R0)
STR	R0, [SP, #4]
BL	_bsp_accel_init+0
LDR	R0, [SP, #4]
;accel_test.c,75 :: 		tp->step = TEST_TASK;
MOVS	R1, #2
STRB	R1, [R0, #0]
; tp end address is: 0 (R0)
;accel_test.c,77 :: 		break;
IT	AL
BAL	L_accel_test17
;accel_test.c,79 :: 		case TEST_TASK :
L_accel_test20:
;accel_test.c,85 :: 		bsp_accel_read_measurement( &x, &y, &z );
MOVW	R2, #lo_addr(accel_test_z+0)
MOVT	R2, #hi_addr(accel_test_z+0)
MOVW	R1, #lo_addr(accel_test_y+0)
MOVT	R1, #hi_addr(accel_test_y+0)
MOVW	R0, #lo_addr(accel_test_x+0)
MOVT	R0, #hi_addr(accel_test_x+0)
BL	_bsp_accel_read_measurement+0
;accel_test.c,87 :: 		test_console_output( "X", ( void * ) &x, SIGNED_WORD_FORMAT, " / " );
MOVW	R2, #lo_addr(?lstr3_accel_test+0)
MOVT	R2, #hi_addr(?lstr3_accel_test+0)
MOVW	R1, #lo_addr(?lstr2_accel_test+0)
MOVT	R1, #hi_addr(?lstr2_accel_test+0)
MOV	R3, R2
MOVS	R2, #2
MOV	R0, R1
MOVW	R1, #lo_addr(accel_test_x+0)
MOVT	R1, #hi_addr(accel_test_x+0)
BL	_test_console_output+0
;accel_test.c,88 :: 		test_console_output( "Y", ( void * ) &y, SIGNED_WORD_FORMAT, " / " );
MOVW	R2, #lo_addr(?lstr5_accel_test+0)
MOVT	R2, #hi_addr(?lstr5_accel_test+0)
MOVW	R1, #lo_addr(?lstr4_accel_test+0)
MOVT	R1, #hi_addr(?lstr4_accel_test+0)
MOV	R3, R2
MOVS	R2, #2
MOV	R0, R1
MOVW	R1, #lo_addr(accel_test_y+0)
MOVT	R1, #hi_addr(accel_test_y+0)
BL	_test_console_output+0
;accel_test.c,89 :: 		test_console_output( "Z", ( void * ) &z, SIGNED_WORD_FORMAT, "\r\n" );
MOVW	R2, #lo_addr(?lstr7_accel_test+0)
MOVT	R2, #hi_addr(?lstr7_accel_test+0)
MOVW	R1, #lo_addr(?lstr6_accel_test+0)
MOVT	R1, #hi_addr(?lstr6_accel_test+0)
MOV	R3, R2
MOVS	R2, #2
MOV	R0, R1
MOVW	R1, #lo_addr(accel_test_z+0)
MOVT	R1, #hi_addr(accel_test_z+0)
BL	_test_console_output+0
;accel_test.c,90 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;accel_test.c,92 :: 		break;
IT	AL
BAL	L_accel_test17
;accel_test.c,94 :: 		}
L_accel_test16:
; tp start address is: 0 (R0)
LDR	R2, [SP, #8]
LDRB	R1, [R2, #0]
CMP	R1, #0
IT	EQ
BEQ	L_accel_test18
LDRB	R1, [R2, #0]
CMP	R1, #1
IT	EQ
BEQ	L_accel_test19
; tp end address is: 0 (R0)
LDRB	R1, [R2, #0]
CMP	R1, #2
IT	EQ
BEQ	L_accel_test20
L_accel_test17:
;accel_test.c,95 :: 		}
L_end_accel_test:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _accel_test
