shuttle_test_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of shuttle_test_Write_to_Data_Lines
shuttle_test_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	shuttle_test_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_Set_Index
shuttle_test_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	shuttle_test_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_Write_Command
shuttle_test_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	shuttle_test_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_Write_Data
shuttle_test_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(shuttle_test_Write_Data+0)
MOVT	R2, #hi_addr(shuttle_test_Write_Data+0)
MOVW	R1, #lo_addr(shuttle_test_Write_Command+0)
MOVT	R1, #hi_addr(shuttle_test_Write_Command+0)
MOVW	R0, #lo_addr(shuttle_test_Set_Index+0)
MOVT	R0, #hi_addr(shuttle_test_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_display_init
shuttle_test_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_shuttle_test_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_shuttle_test_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_shuttle_test_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_shuttle_test_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_shuttle_test_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_shuttle_test_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_shuttle_test_hal_touch_init0
L_shuttle_test_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_shuttle_test_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_shuttle_test_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_touch_init
shuttle_test_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_console_init
shuttle_test_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_power_init
shuttle_test_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_microsd_init
shuttle_test_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_flash_init
shuttle_test_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_rf_init
shuttle_test_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_mp3_init
shuttle_test_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_shuttle_test_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_shuttle_test_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_shuttle_test_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_shuttle_test_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_accel_init
shuttle_test_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_wifi_init
shuttle_test_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of shuttle_test_hal_buzzer_init
shuttle_test_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_shuttle_test_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_shuttle_test_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_shuttle_test_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_shuttle_test_hal_rtc_init13
IT	AL
BAL	L_shuttle_test_hal_rtc_init12
L_shuttle_test_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_shuttle_test_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_shuttle_test_hal_rtc_init15
IT	AL
BAL	L_shuttle_test_hal_rtc_init14
L_shuttle_test_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of shuttle_test_hal_rtc_init
shuttle_test_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of shuttle_test_hal_shuttle_init
_shuttle_test:
;shuttle_test.c,48 :: 		void shuttle_test ( test_param_t * tp )
; tp start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
MOV	R11, R0
; tp end address is: 0 (R0)
; tp start address is: 44 (R11)
;shuttle_test.c,50 :: 		switch ( tp->step )
MOV	R1, R11
STR	R1, [SP, #4]
IT	AL
BAL	L_shuttle_test16
;shuttle_test.c,52 :: 		case TEST_PREINIT :
L_shuttle_test18:
;shuttle_test.c,54 :: 		tp->step = TEST_INIT;
MOVS	R1, #1
STRB	R1, [R11, #0]
;shuttle_test.c,55 :: 		tp->delay = TASK_DELAY;
ADD	R2, R11, #2
MOVW	R1, #2000
STRH	R1, [R2, #0]
;shuttle_test.c,56 :: 		strcpy( tp->name, TASK_NAME );
MOVW	R2, #lo_addr(?lstr1_shuttle_test+0)
MOVT	R2, #hi_addr(?lstr1_shuttle_test+0)
ADD	R1, R11, #4
; tp end address is: 44 (R11)
MOV	R0, R1
MOV	R1, R2
BL	_strcpy+0
;shuttle_test.c,58 :: 		break;
IT	AL
BAL	L_shuttle_test17
;shuttle_test.c,60 :: 		case TEST_INIT :
L_shuttle_test19:
;shuttle_test.c,65 :: 		GPIO_Digital_Output(&GPIOA_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_1 | _GPIO_PINMASK_3 | _GPIO_PINMASK_8);
; tp start address is: 44 (R11)
MOVW	R1, #267
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_GPIO_Digital_Output+0
;shuttle_test.c,67 :: 		| _GPIO_PINMASK_6 | _GPIO_PINMASK_7 | _GPIO_PINMASK_9 | _GPIO_PINMASK_10 | _GPIO_PINMASK_11 | _GPIO_PINMASK_12);
MOVW	R1, #7887
;shuttle_test.c,66 :: 		GPIO_Digital_Output(&GPIOC_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_1 | _GPIO_PINMASK_2 | _GPIO_PINMASK_3
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
;shuttle_test.c,67 :: 		| _GPIO_PINMASK_6 | _GPIO_PINMASK_7 | _GPIO_PINMASK_9 | _GPIO_PINMASK_10 | _GPIO_PINMASK_11 | _GPIO_PINMASK_12);
BL	_GPIO_Digital_Output+0
;shuttle_test.c,69 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_5 | _GPIO_PINMASK_7 | _GPIO_PINMASK_14 | _GPIO_PINMASK_15);
MOVW	R1, #49312
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;shuttle_test.c,71 :: 		GPIO_Digital_Output(&GPIOF_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_1 | _GPIO_PINMASK_7 | _GPIO_PINMASK_8 | _GPIO_PINMASK_9 | _GPIO_PINMASK_10);
MOVW	R1, #1923
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Output+0
;shuttle_test.c,72 :: 		GPIO_Digital_Output(&GPIOG_BASE, _GPIO_PINMASK_11 | _GPIO_PINMASK_13 | _GPIO_PINMASK_14 | _GPIO_PINMASK_15);
MOVW	R1, #59392
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;shuttle_test.c,74 :: 		GPIOF_ODR.B8 = 0;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #8, #1
STR	R1, [R2, #0]
;shuttle_test.c,75 :: 		GPIOG_ODR.B14 = 0;   //RST
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #14, #1
STR	R1, [R2, #0]
;shuttle_test.c,76 :: 		GPIOG_ODR.B15 = 0;    //CS
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #15, #1
STR	R1, [R2, #0]
;shuttle_test.c,77 :: 		GPIOC_ODR.B10 = 0;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,78 :: 		GPIOC_ODR.B11 = 0;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,79 :: 		GPIOC_ODR.B12 = 0;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,80 :: 		GPIOD_ODR.B15 = 0;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #15, #1
STR	R1, [R2, #0]
;shuttle_test.c,81 :: 		GPIOD_ODR.B7 = 0;    //INT
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,82 :: 		GPIOA_ODR.B3 = 0;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #3, #1
STR	R1, [R2, #0]
;shuttle_test.c,83 :: 		GPIOD_ODR.B5 = 0;    //UART_TX
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #5, #1
STR	R1, [R2, #0]
;shuttle_test.c,84 :: 		GPIOF_ODR.B1 = 0;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,85 :: 		GPIOF_ODR.B0 = 0;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,87 :: 		GPIOF_ODR.B9 = 0;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;shuttle_test.c,88 :: 		GPIOC_ODR.B1 = 0;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,89 :: 		GPIOC_ODR.B0 = 0;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,90 :: 		GPIOC_ODR.B10 = 0;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,91 :: 		GPIOC_ODR.B11 = 0;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,92 :: 		GPIOC_ODR.B12 = 0;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,93 :: 		GPIOD_ODR.B14 = 0;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #14, #1
STR	R1, [R2, #0]
;shuttle_test.c,94 :: 		GPIOG_ODR.B11 = 0;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,95 :: 		GPIOA_ODR.B1 = 0;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,96 :: 		GPIOA_ODR.B0 = 0;    //UART_TX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,97 :: 		GPIOF_ODR.B1 = 0;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,98 :: 		GPIOF_ODR.B0 = 0;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,100 :: 		GPIOF_ODR.B10 = 0;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,101 :: 		GPIOC_ODR.B2 = 0;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #2, #1
STR	R1, [R2, #0]
;shuttle_test.c,102 :: 		GPIOC_ODR.B3 = 0;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #3, #1
STR	R1, [R2, #0]
;shuttle_test.c,103 :: 		GPIOC_ODR.B10 = 0;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,104 :: 		GPIOC_ODR.B11 = 0;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,105 :: 		GPIOC_ODR.B12 = 0;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,106 :: 		GPIOF_ODR.B7 = 0;   //PWM
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,107 :: 		GPIOG_ODR.B13 = 0;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #13, #1
STR	R1, [R2, #0]
;shuttle_test.c,108 :: 		GPIOC_ODR.B7 = 0;    //UART_RX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,109 :: 		GPIOC_ODR.B6 = 0;    //UART_TX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #6, #1
STR	R1, [R2, #0]
;shuttle_test.c,110 :: 		GPIOA_ODR.B8 = 0;    //SCL
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #8, #1
STR	R1, [R2, #0]
;shuttle_test.c,111 :: 		GPIOC_ODR.B9 = 0;    //SDA
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;shuttle_test.c,118 :: 		tp->step = TEST_TASK;
MOVS	R1, #2
STRB	R1, [R11, #0]
; tp end address is: 44 (R11)
;shuttle_test.c,120 :: 		break;
IT	AL
BAL	L_shuttle_test17
;shuttle_test.c,122 :: 		case TEST_TASK :
L_shuttle_test20:
;shuttle_test.c,127 :: 		GPIOF_ODR.B8 = 1;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #256
STR	R1, [R2, #0]
;shuttle_test.c,128 :: 		GPIOG_ODR.B14 = 1;   //RST
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #16384
STR	R1, [R2, #0]
;shuttle_test.c,129 :: 		GPIOG_ODR.B15 = 1;    //CS
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #32768
STR	R1, [R2, #0]
;shuttle_test.c,130 :: 		GPIOC_ODR.B10 = 1;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,131 :: 		GPIOC_ODR.B11 = 1;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,132 :: 		GPIOC_ODR.B12 = 1;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;shuttle_test.c,133 :: 		GPIOD_ODR.B15 = 1;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #32768
STR	R1, [R2, #0]
;shuttle_test.c,134 :: 		GPIOD_ODR.B7 = 1;    //INT
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #128
STR	R1, [R2, #0]
;shuttle_test.c,135 :: 		GPIOA_ODR.B3 = 1;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #8
STR	R1, [R2, #0]
;shuttle_test.c,136 :: 		GPIOD_ODR.B5 = 1;    //UART_TX
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #32
STR	R1, [R2, #0]
;shuttle_test.c,137 :: 		GPIOF_ODR.B1 = 1;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,138 :: 		GPIOF_ODR.B0 = 1;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,140 :: 		GPIOF_ODR.B9 = 1;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;shuttle_test.c,141 :: 		GPIOC_ODR.B1 = 1;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,142 :: 		GPIOC_ODR.B0 = 1;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,143 :: 		GPIOC_ODR.B10 = 1;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,144 :: 		GPIOC_ODR.B11 = 1;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,145 :: 		GPIOC_ODR.B12 = 1;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;shuttle_test.c,146 :: 		GPIOD_ODR.B14 = 1;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #16384
STR	R1, [R2, #0]
;shuttle_test.c,147 :: 		GPIOG_ODR.B11 = 1;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,148 :: 		GPIOA_ODR.B1 = 1;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,149 :: 		GPIOA_ODR.B0 = 1;    //UART_TX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,150 :: 		GPIOF_ODR.B1 = 1;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,151 :: 		GPIOF_ODR.B0 = 1;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,153 :: 		GPIOF_ODR.B10 = 1;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,154 :: 		GPIOC_ODR.B2 = 1;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4
STR	R1, [R2, #0]
;shuttle_test.c,155 :: 		GPIOC_ODR.B3 = 1;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #8
STR	R1, [R2, #0]
;shuttle_test.c,156 :: 		GPIOC_ODR.B10 = 1;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,157 :: 		GPIOC_ODR.B11 = 1;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,158 :: 		GPIOC_ODR.B12 = 1;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;shuttle_test.c,159 :: 		GPIOF_ODR.B7 = 1;   //PWM
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #128
STR	R1, [R2, #0]
;shuttle_test.c,160 :: 		GPIOG_ODR.B13 = 1;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #8192
STR	R1, [R2, #0]
;shuttle_test.c,161 :: 		GPIOC_ODR.B7 = 1;    //UART_RX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #128
STR	R1, [R2, #0]
;shuttle_test.c,162 :: 		GPIOC_ODR.B6 = 1;    //UART_TX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #64
STR	R1, [R2, #0]
;shuttle_test.c,163 :: 		GPIOA_ODR.B8 = 1;    //SCL
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #256
STR	R1, [R2, #0]
;shuttle_test.c,164 :: 		GPIOC_ODR.B9 = 1;    //SDA
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;shuttle_test.c,166 :: 		Delay_ms(3000);
MOVW	R7, #45562
MOVT	R7, #9887
NOP
NOP
L_shuttle_test21:
SUBS	R7, R7, #1
BNE	L_shuttle_test21
NOP
NOP
NOP
;shuttle_test.c,169 :: 		GPIOF_ODR.B8 = 0;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #8, #1
STR	R1, [R2, #0]
;shuttle_test.c,170 :: 		GPIOG_ODR.B14 = 0;   //RST
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #14, #1
STR	R1, [R2, #0]
;shuttle_test.c,171 :: 		GPIOG_ODR.B15 = 0;    //CS
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #15, #1
STR	R1, [R2, #0]
;shuttle_test.c,172 :: 		GPIOC_ODR.B10 = 0;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,173 :: 		GPIOC_ODR.B11 = 0;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,174 :: 		GPIOC_ODR.B12 = 0;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,175 :: 		GPIOD_ODR.B15 = 0;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #15, #1
STR	R1, [R2, #0]
;shuttle_test.c,176 :: 		GPIOD_ODR.B7 = 0;    //INT
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,177 :: 		GPIOA_ODR.B3 = 0;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #3, #1
STR	R1, [R2, #0]
;shuttle_test.c,178 :: 		GPIOD_ODR.B5 = 0;    //UART_TX
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #5, #1
STR	R1, [R2, #0]
;shuttle_test.c,179 :: 		GPIOF_ODR.B1 = 0;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,180 :: 		GPIOF_ODR.B0 = 0;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,182 :: 		GPIOF_ODR.B9 = 0;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;shuttle_test.c,183 :: 		GPIOC_ODR.B1 = 0;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,184 :: 		GPIOC_ODR.B0 = 0;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,185 :: 		GPIOC_ODR.B10 = 0;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,186 :: 		GPIOC_ODR.B11 = 0;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,187 :: 		GPIOC_ODR.B12 = 0;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,188 :: 		GPIOD_ODR.B14 = 0;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #14, #1
STR	R1, [R2, #0]
;shuttle_test.c,189 :: 		GPIOG_ODR.B11 = 0;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,190 :: 		GPIOA_ODR.B1 = 0;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,191 :: 		GPIOA_ODR.B0 = 0;    //UART_TX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,192 :: 		GPIOF_ODR.B1 = 0;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,193 :: 		GPIOF_ODR.B0 = 0;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,195 :: 		GPIOF_ODR.B10 = 0;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,196 :: 		GPIOC_ODR.B2 = 0;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #2, #1
STR	R1, [R2, #0]
;shuttle_test.c,197 :: 		GPIOC_ODR.B3 = 0;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #3, #1
STR	R1, [R2, #0]
;shuttle_test.c,198 :: 		GPIOC_ODR.B10 = 0;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,199 :: 		GPIOC_ODR.B11 = 0;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,200 :: 		GPIOC_ODR.B12 = 0;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,201 :: 		GPIOF_ODR.B7 = 0;   //PWM
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,202 :: 		GPIOG_ODR.B13 = 0;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #13, #1
STR	R1, [R2, #0]
;shuttle_test.c,203 :: 		GPIOC_ODR.B7 = 0;    //UART_RX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,204 :: 		GPIOC_ODR.B6 = 0;    //UART_TX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #6, #1
STR	R1, [R2, #0]
;shuttle_test.c,205 :: 		GPIOA_ODR.B8 = 0;    //SCL
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #8, #1
STR	R1, [R2, #0]
;shuttle_test.c,206 :: 		GPIOC_ODR.B9 = 0;    //SDA
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;shuttle_test.c,209 :: 		GPIOF_ODR.B8 = 1;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #256
STR	R1, [R2, #0]
;shuttle_test.c,210 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test23:
SUBS	R7, R7, #1
BNE	L_shuttle_test23
NOP
NOP
NOP
;shuttle_test.c,211 :: 		GPIOF_ODR.B8 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #8, #1
STR	R1, [R2, #0]
;shuttle_test.c,213 :: 		GPIOG_ODR.B14 = 1;   //RST
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #16384
STR	R1, [R2, #0]
;shuttle_test.c,214 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test25:
SUBS	R7, R7, #1
BNE	L_shuttle_test25
NOP
NOP
NOP
;shuttle_test.c,215 :: 		GPIOG_ODR.B14 = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #14, #1
STR	R1, [R2, #0]
;shuttle_test.c,217 :: 		GPIOG_ODR.B15 = 1;    //CS
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #32768
STR	R1, [R2, #0]
;shuttle_test.c,218 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test27:
SUBS	R7, R7, #1
BNE	L_shuttle_test27
NOP
NOP
NOP
;shuttle_test.c,219 :: 		GPIOG_ODR.B15 = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #15, #1
STR	R1, [R2, #0]
;shuttle_test.c,221 :: 		GPIOC_ODR.B10 = 1;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,222 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test29:
SUBS	R7, R7, #1
BNE	L_shuttle_test29
NOP
NOP
NOP
;shuttle_test.c,223 :: 		GPIOC_ODR.B10 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,225 :: 		GPIOC_ODR.B11 = 1;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,226 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test31:
SUBS	R7, R7, #1
BNE	L_shuttle_test31
NOP
NOP
NOP
;shuttle_test.c,227 :: 		GPIOC_ODR.B11 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,229 :: 		GPIOC_ODR.B12 = 1;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;shuttle_test.c,230 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test33:
SUBS	R7, R7, #1
BNE	L_shuttle_test33
NOP
NOP
NOP
;shuttle_test.c,231 :: 		GPIOC_ODR.B12 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,233 :: 		GPIOD_ODR.B15 = 1;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #32768
STR	R1, [R2, #0]
;shuttle_test.c,234 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test35:
SUBS	R7, R7, #1
BNE	L_shuttle_test35
NOP
NOP
NOP
;shuttle_test.c,235 :: 		GPIOD_ODR.B15 = 0;
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #15, #1
STR	R1, [R2, #0]
;shuttle_test.c,237 :: 		GPIOD_ODR.B7 = 1;    //INT
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #128
STR	R1, [R2, #0]
;shuttle_test.c,238 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test37:
SUBS	R7, R7, #1
BNE	L_shuttle_test37
NOP
NOP
NOP
;shuttle_test.c,239 :: 		GPIOD_ODR.B7 = 0;
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,241 :: 		GPIOA_ODR.B3 = 1;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #8
STR	R1, [R2, #0]
;shuttle_test.c,242 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test39:
SUBS	R7, R7, #1
BNE	L_shuttle_test39
NOP
NOP
NOP
;shuttle_test.c,243 :: 		GPIOA_ODR.B3 = 0;
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #3, #1
STR	R1, [R2, #0]
;shuttle_test.c,245 :: 		GPIOD_ODR.B5 = 1;    //UART_TX
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #32
STR	R1, [R2, #0]
;shuttle_test.c,246 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test41:
SUBS	R7, R7, #1
BNE	L_shuttle_test41
NOP
NOP
NOP
;shuttle_test.c,247 :: 		GPIOD_ODR.B5 = 0;
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #5, #1
STR	R1, [R2, #0]
;shuttle_test.c,249 :: 		GPIOF_ODR.B1 = 1;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,250 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test43:
SUBS	R7, R7, #1
BNE	L_shuttle_test43
NOP
NOP
NOP
;shuttle_test.c,251 :: 		GPIOF_ODR.B1 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,253 :: 		GPIOF_ODR.B0 = 1;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,254 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test45:
SUBS	R7, R7, #1
BNE	L_shuttle_test45
NOP
NOP
NOP
;shuttle_test.c,255 :: 		GPIOF_ODR.B0 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,258 :: 		GPIOF_ODR.B9 = 1;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;shuttle_test.c,259 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test47:
SUBS	R7, R7, #1
BNE	L_shuttle_test47
NOP
NOP
NOP
;shuttle_test.c,260 :: 		GPIOF_ODR.B9 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;shuttle_test.c,262 :: 		GPIOC_ODR.B1 = 1;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,263 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test49:
SUBS	R7, R7, #1
BNE	L_shuttle_test49
NOP
NOP
NOP
;shuttle_test.c,264 :: 		GPIOC_ODR.B1 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,266 :: 		GPIOC_ODR.B0 = 1;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,267 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test51:
SUBS	R7, R7, #1
BNE	L_shuttle_test51
NOP
NOP
NOP
;shuttle_test.c,268 :: 		GPIOC_ODR.B0 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,270 :: 		GPIOC_ODR.B10 = 1;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,271 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test53:
SUBS	R7, R7, #1
BNE	L_shuttle_test53
NOP
NOP
NOP
;shuttle_test.c,272 :: 		GPIOC_ODR.B10 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,274 :: 		GPIOC_ODR.B11 = 1;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,275 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test55:
SUBS	R7, R7, #1
BNE	L_shuttle_test55
NOP
NOP
NOP
;shuttle_test.c,276 :: 		GPIOC_ODR.B11 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,278 :: 		GPIOC_ODR.B12 = 1;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;shuttle_test.c,279 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test57:
SUBS	R7, R7, #1
BNE	L_shuttle_test57
NOP
NOP
NOP
;shuttle_test.c,280 :: 		GPIOC_ODR.B12 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,282 :: 		GPIOD_ODR.B14 = 1;   //PWM
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #16384
STR	R1, [R2, #0]
;shuttle_test.c,283 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test59:
SUBS	R7, R7, #1
BNE	L_shuttle_test59
NOP
NOP
NOP
;shuttle_test.c,284 :: 		GPIOD_ODR.B14 = 0;
MOVW	R2, #lo_addr(GPIOD_ODR+0)
MOVT	R2, #hi_addr(GPIOD_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #14, #1
STR	R1, [R2, #0]
;shuttle_test.c,286 :: 		GPIOG_ODR.B11 = 1;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,287 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test61:
SUBS	R7, R7, #1
BNE	L_shuttle_test61
NOP
NOP
NOP
;shuttle_test.c,288 :: 		GPIOG_ODR.B11 = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,290 :: 		GPIOA_ODR.B1 = 1;    //UART_RX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,291 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test63:
SUBS	R7, R7, #1
BNE	L_shuttle_test63
NOP
NOP
NOP
;shuttle_test.c,292 :: 		GPIOA_ODR.B1 = 0;
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,294 :: 		GPIOA_ODR.B0 = 1;    //UART_TX
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,295 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test65:
SUBS	R7, R7, #1
BNE	L_shuttle_test65
NOP
NOP
NOP
;shuttle_test.c,296 :: 		GPIOA_ODR.B0 = 0;
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,298 :: 		GPIOF_ODR.B1 = 1;    //SCL
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2
STR	R1, [R2, #0]
;shuttle_test.c,299 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test67:
SUBS	R7, R7, #1
BNE	L_shuttle_test67
NOP
NOP
NOP
;shuttle_test.c,300 :: 		GPIOF_ODR.B1 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #1, #1
STR	R1, [R2, #0]
;shuttle_test.c,302 :: 		GPIOF_ODR.B0 = 1;    //SDA
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1
STR	R1, [R2, #0]
;shuttle_test.c,303 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test69:
SUBS	R7, R7, #1
BNE	L_shuttle_test69
NOP
NOP
NOP
;shuttle_test.c,304 :: 		GPIOF_ODR.B0 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #0, #1
STR	R1, [R2, #0]
;shuttle_test.c,307 :: 		GPIOF_ODR.B10 = 1;    //AN
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,308 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test71:
SUBS	R7, R7, #1
BNE	L_shuttle_test71
NOP
NOP
NOP
;shuttle_test.c,309 :: 		GPIOF_ODR.B10 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,311 :: 		GPIOC_ODR.B2 = 1;   //RST
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4
STR	R1, [R2, #0]
;shuttle_test.c,312 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test73:
SUBS	R7, R7, #1
BNE	L_shuttle_test73
NOP
NOP
NOP
;shuttle_test.c,313 :: 		GPIOC_ODR.B2 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #2, #1
STR	R1, [R2, #0]
;shuttle_test.c,315 :: 		GPIOC_ODR.B3 = 1;    //CS
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #8
STR	R1, [R2, #0]
;shuttle_test.c,316 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test75:
SUBS	R7, R7, #1
BNE	L_shuttle_test75
NOP
NOP
NOP
;shuttle_test.c,317 :: 		GPIOC_ODR.B3 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #3, #1
STR	R1, [R2, #0]
;shuttle_test.c,319 :: 		GPIOC_ODR.B10 = 1;    //SCK
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #1024
STR	R1, [R2, #0]
;shuttle_test.c,320 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test77:
SUBS	R7, R7, #1
BNE	L_shuttle_test77
NOP
NOP
NOP
;shuttle_test.c,321 :: 		GPIOC_ODR.B10 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #10, #1
STR	R1, [R2, #0]
;shuttle_test.c,323 :: 		GPIOC_ODR.B11 = 1;    //MISO
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #2048
STR	R1, [R2, #0]
;shuttle_test.c,324 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test79:
SUBS	R7, R7, #1
BNE	L_shuttle_test79
NOP
NOP
NOP
;shuttle_test.c,325 :: 		GPIOC_ODR.B11 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #11, #1
STR	R1, [R2, #0]
;shuttle_test.c,327 :: 		GPIOC_ODR.B12 = 1;    //MOSI
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;shuttle_test.c,328 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test81:
SUBS	R7, R7, #1
BNE	L_shuttle_test81
NOP
NOP
NOP
;shuttle_test.c,329 :: 		GPIOC_ODR.B12 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;shuttle_test.c,331 :: 		GPIOF_ODR.B7 = 1;   //PWM
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #128
STR	R1, [R2, #0]
;shuttle_test.c,332 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test83:
SUBS	R7, R7, #1
BNE	L_shuttle_test83
NOP
NOP
NOP
;shuttle_test.c,333 :: 		GPIOF_ODR.B7 = 0;
MOVW	R2, #lo_addr(GPIOF_ODR+0)
MOVT	R2, #hi_addr(GPIOF_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,335 :: 		GPIOG_ODR.B13 = 1;    //INT
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #8192
STR	R1, [R2, #0]
;shuttle_test.c,336 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test85:
SUBS	R7, R7, #1
BNE	L_shuttle_test85
NOP
NOP
NOP
;shuttle_test.c,337 :: 		GPIOG_ODR.B13 = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #13, #1
STR	R1, [R2, #0]
;shuttle_test.c,339 :: 		GPIOC_ODR.B7 = 1;    //UART_RX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #128
STR	R1, [R2, #0]
;shuttle_test.c,340 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test87:
SUBS	R7, R7, #1
BNE	L_shuttle_test87
NOP
NOP
NOP
;shuttle_test.c,341 :: 		GPIOC_ODR.B7 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #7, #1
STR	R1, [R2, #0]
;shuttle_test.c,343 :: 		GPIOC_ODR.B6 = 1;    //UART_TX
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #64
STR	R1, [R2, #0]
;shuttle_test.c,344 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test89:
SUBS	R7, R7, #1
BNE	L_shuttle_test89
NOP
NOP
NOP
;shuttle_test.c,345 :: 		GPIOC_ODR.B6 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #6, #1
STR	R1, [R2, #0]
;shuttle_test.c,347 :: 		GPIOA_ODR.B8 = 1;    //SCL
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #256
STR	R1, [R2, #0]
;shuttle_test.c,348 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test91:
SUBS	R7, R7, #1
BNE	L_shuttle_test91
NOP
NOP
NOP
;shuttle_test.c,349 :: 		GPIOA_ODR.B8 = 0;
MOVW	R2, #lo_addr(GPIOA_ODR+0)
MOVT	R2, #hi_addr(GPIOA_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #8, #1
STR	R1, [R2, #0]
;shuttle_test.c,351 :: 		GPIOC_ODR.B9 = 1;    //SDA
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;shuttle_test.c,352 :: 		Delay_ms(300);
MOVW	R7, #50426
MOVT	R7, #988
NOP
NOP
L_shuttle_test93:
SUBS	R7, R7, #1
BNE	L_shuttle_test93
NOP
NOP
NOP
;shuttle_test.c,353 :: 		GPIOC_ODR.B9 = 0;
MOVW	R2, #lo_addr(GPIOC_ODR+0)
MOVT	R2, #hi_addr(GPIOC_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;shuttle_test.c,355 :: 		break;
IT	AL
BAL	L_shuttle_test17
;shuttle_test.c,357 :: 		}
L_shuttle_test16:
; tp start address is: 44 (R11)
LDR	R2, [SP, #4]
LDRB	R1, [R2, #0]
CMP	R1, #0
IT	EQ
BEQ	L_shuttle_test18
LDRB	R1, [R2, #0]
CMP	R1, #1
IT	EQ
BEQ	L_shuttle_test19
; tp end address is: 44 (R11)
LDRB	R1, [R2, #0]
CMP	R1, #2
IT	EQ
BEQ	L_shuttle_test20
L_shuttle_test17:
;shuttle_test.c,358 :: 		}
L_end_shuttle_test:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _shuttle_test
