mp3_module_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of mp3_module_Write_to_Data_Lines
mp3_module_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	mp3_module_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_Set_Index
mp3_module_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	mp3_module_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_Write_Command
mp3_module_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	mp3_module_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_Write_Data
mp3_module_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(mp3_module_Write_Data+0)
MOVT	R2, #hi_addr(mp3_module_Write_Data+0)
MOVW	R1, #lo_addr(mp3_module_Write_Command+0)
MOVT	R1, #hi_addr(mp3_module_Write_Command+0)
MOVW	R0, #lo_addr(mp3_module_Set_Index+0)
MOVT	R0, #hi_addr(mp3_module_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_display_init
mp3_module_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_mp3_module_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_mp3_module_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_mp3_module_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_mp3_module_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_mp3_module_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_mp3_module_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_mp3_module_hal_touch_init0
L_mp3_module_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_mp3_module_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_touch_init
mp3_module_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_console_init
mp3_module_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_power_init
mp3_module_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_microsd_init
mp3_module_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_flash_init
mp3_module_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_rf_init
mp3_module_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_mp3_init
mp3_module_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_mp3_module_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_mp3_module_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_mp3_module_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_mp3_module_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_accel_init
mp3_module_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_wifi_init
mp3_module_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_hal_buzzer_init
mp3_module_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_mp3_module_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_mp3_module_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_mp3_module_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_mp3_module_hal_rtc_init13
IT	AL
BAL	L_mp3_module_hal_rtc_init12
L_mp3_module_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_mp3_module_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_mp3_module_hal_rtc_init15
IT	AL
BAL	L_mp3_module_hal_rtc_init14
L_mp3_module_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of mp3_module_hal_rtc_init
mp3_module_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of mp3_module_hal_shuttle_init
_mp3_increase_volume:
;mp3_module.c,56 :: 		void mp3_increase_volume( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,60 :: 		if (mp3_volume > 0x00)
MOVW	R0, #lo_addr(mp3_module_mp3_volume+0)
MOVT	R0, #hi_addr(mp3_module_mp3_volume+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	LS
BLS	L_mp3_increase_volume16
;mp3_module.c,62 :: 		mp3_volume--;
MOVW	R2, #lo_addr(mp3_module_mp3_volume+0)
MOVT	R2, #hi_addr(mp3_module_mp3_volume+0)
LDRB	R0, [R2, #0]
SUBS	R1, R0, #1
UXTB	R1, R1
STRB	R1, [R2, #0]
;mp3_module.c,65 :: 		aux_volume |= mp3_volume;
UXTB	R0, R1
;mp3_module.c,66 :: 		aux_volume <<= 8;
LSLS	R0, R0, #8
UXTH	R0, R0
;mp3_module.c,67 :: 		aux_volume |= mp3_volume;
ORRS	R0, R1
;mp3_module.c,69 :: 		bsp_mp3_cmd_write( _BSP_MP3_VOL_ADDR, aux_volume );
UXTH	R1, R0
MOVS	R0, #11
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,70 :: 		}
L_mp3_increase_volume16:
;mp3_module.c,71 :: 		}
L_end_mp3_increase_volume:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _mp3_increase_volume
_mp3_decrease_volume:
;mp3_module.c,76 :: 		void mp3_decrease_volume( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,80 :: 		if (mp3_volume < 0xFD)
MOVW	R0, #lo_addr(mp3_module_mp3_volume+0)
MOVT	R0, #hi_addr(mp3_module_mp3_volume+0)
LDRB	R0, [R0, #0]
CMP	R0, #253
IT	CS
BCS	L_mp3_decrease_volume17
;mp3_module.c,82 :: 		mp3_volume++;
MOVW	R2, #lo_addr(mp3_module_mp3_volume+0)
MOVT	R2, #hi_addr(mp3_module_mp3_volume+0)
LDRB	R0, [R2, #0]
ADDS	R1, R0, #1
UXTB	R1, R1
STRB	R1, [R2, #0]
;mp3_module.c,85 :: 		aux_volume |= mp3_volume;
UXTB	R0, R1
;mp3_module.c,86 :: 		aux_volume <<= 8;
LSLS	R0, R0, #8
UXTH	R0, R0
;mp3_module.c,87 :: 		aux_volume |= mp3_volume;
ORRS	R0, R1
;mp3_module.c,89 :: 		bsp_mp3_cmd_write( _BSP_MP3_VOL_ADDR, aux_volume );
UXTH	R1, R0
MOVS	R0, #11
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,90 :: 		}
L_mp3_decrease_volume17:
;mp3_module.c,91 :: 		}
L_end_mp3_decrease_volume:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _mp3_decrease_volume
_mp3_mute_volume:
;mp3_module.c,99 :: 		void mp3_mute_volume( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,104 :: 		switch (aux_flag)
IT	AL
BAL	L_mp3_mute_volume18
;mp3_module.c,106 :: 		case 0 :
L_mp3_mute_volume20:
;mp3_module.c,108 :: 		bsp_mp3_cmd_write( _BSP_MP3_VOL_ADDR, 0xFDFD );
MOVW	R1, #65021
MOVS	R0, #11
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,110 :: 		aux_flag = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(mp3_mute_volume_aux_flag_L0+0)
MOVT	R0, #hi_addr(mp3_mute_volume_aux_flag_L0+0)
STRB	R1, [R0, #0]
;mp3_module.c,112 :: 		break;
IT	AL
BAL	L_mp3_mute_volume19
;mp3_module.c,114 :: 		case 1 :
L_mp3_mute_volume21:
;mp3_module.c,117 :: 		aux_volume |= mp3_volume;
MOVW	R2, #lo_addr(mp3_module_mp3_volume+0)
MOVT	R2, #hi_addr(mp3_module_mp3_volume+0)
LDRB	R0, [R2, #0]
;mp3_module.c,118 :: 		aux_volume <<= 8;
LSLS	R1, R0, #8
UXTH	R1, R1
;mp3_module.c,119 :: 		aux_volume |= mp3_volume;
MOV	R0, R2
LDRB	R0, [R0, #0]
ORR	R0, R1, R0, LSL #0
;mp3_module.c,121 :: 		bsp_mp3_cmd_write( _BSP_MP3_VOL_ADDR, aux_volume );
UXTH	R1, R0
MOVS	R0, #11
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,123 :: 		aux_flag = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_mute_volume_aux_flag_L0+0)
MOVT	R0, #hi_addr(mp3_mute_volume_aux_flag_L0+0)
STRB	R1, [R0, #0]
;mp3_module.c,125 :: 		break;
IT	AL
BAL	L_mp3_mute_volume19
;mp3_module.c,127 :: 		default :
L_mp3_mute_volume22:
;mp3_module.c,129 :: 		break;
IT	AL
BAL	L_mp3_mute_volume19
;mp3_module.c,131 :: 		}
L_mp3_mute_volume18:
MOVW	R0, #lo_addr(mp3_mute_volume_aux_flag_L0+0)
MOVT	R0, #hi_addr(mp3_mute_volume_aux_flag_L0+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_mute_volume20
MOVW	R0, #lo_addr(mp3_mute_volume_aux_flag_L0+0)
MOVT	R0, #hi_addr(mp3_mute_volume_aux_flag_L0+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_mute_volume21
IT	AL
BAL	L_mp3_mute_volume22
L_mp3_mute_volume19:
;mp3_module.c,132 :: 		}
L_end_mp3_mute_volume:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _mp3_mute_volume
_mp3_next_song:
;mp3_module.c,139 :: 		void mp3_next_song( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,144 :: 		player_stopped( );
BL	mp3_module_player_stopped+0
;mp3_module.c,146 :: 		switch (mp3_song_number)
IT	AL
BAL	L_mp3_next_song23
;mp3_module.c,148 :: 		case SONG_1:
L_mp3_next_song25:
;mp3_module.c,150 :: 		mp3_song_number = SONG_2;
MOVS	R1, #1
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R1, [R0, #0]
;mp3_module.c,151 :: 		break;
IT	AL
BAL	L_mp3_next_song24
;mp3_module.c,153 :: 		case SONG_2:
L_mp3_next_song26:
;mp3_module.c,155 :: 		mp3_song_number = SONG_3;
MOVS	R1, #2
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R1, [R0, #0]
;mp3_module.c,156 :: 		break;
IT	AL
BAL	L_mp3_next_song24
;mp3_module.c,158 :: 		case SONG_3:
L_mp3_next_song27:
;mp3_module.c,160 :: 		mp3_song_number = SONG_1;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R1, [R0, #0]
;mp3_module.c,161 :: 		break;
IT	AL
BAL	L_mp3_next_song24
;mp3_module.c,163 :: 		default :
L_mp3_next_song28:
;mp3_module.c,168 :: 		break;
IT	AL
BAL	L_mp3_next_song24
;mp3_module.c,170 :: 		}
L_mp3_next_song23:
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_next_song25
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_next_song26
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_mp3_next_song27
IT	AL
BAL	L_mp3_next_song28
L_mp3_next_song24:
;mp3_module.c,176 :: 		sd_file.sd_file_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
STR	R1, [R0, #0]
;mp3_module.c,177 :: 		sd_seek = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_seek+0)
MOVT	R0, #hi_addr(mp3_module_sd_seek+0)
STR	R1, [R0, #0]
;mp3_module.c,178 :: 		}
L_end_mp3_next_song:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _mp3_next_song
_mp3_prev_song:
;mp3_module.c,185 :: 		void mp3_prev_song( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,190 :: 		player_stopped( );
BL	mp3_module_player_stopped+0
;mp3_module.c,192 :: 		switch (mp3_song_number)
IT	AL
BAL	L_mp3_prev_song29
;mp3_module.c,194 :: 		case SONG_1:
L_mp3_prev_song31:
;mp3_module.c,196 :: 		mp3_song_number = SONG_3;
MOVS	R1, #2
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R1, [R0, #0]
;mp3_module.c,197 :: 		break;
IT	AL
BAL	L_mp3_prev_song30
;mp3_module.c,199 :: 		case SONG_2:
L_mp3_prev_song32:
;mp3_module.c,201 :: 		mp3_song_number = SONG_1;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R1, [R0, #0]
;mp3_module.c,202 :: 		break;
IT	AL
BAL	L_mp3_prev_song30
;mp3_module.c,204 :: 		case SONG_3:
L_mp3_prev_song33:
;mp3_module.c,206 :: 		mp3_song_number = SONG_2;
MOVS	R1, #1
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R1, [R0, #0]
;mp3_module.c,207 :: 		break;
IT	AL
BAL	L_mp3_prev_song30
;mp3_module.c,209 :: 		default :
L_mp3_prev_song34:
;mp3_module.c,214 :: 		break;
IT	AL
BAL	L_mp3_prev_song30
;mp3_module.c,216 :: 		}
L_mp3_prev_song29:
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_prev_song31
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_prev_song32
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_mp3_prev_song33
IT	AL
BAL	L_mp3_prev_song34
L_mp3_prev_song30:
;mp3_module.c,222 :: 		sd_file.sd_file_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
STR	R1, [R0, #0]
;mp3_module.c,223 :: 		sd_seek = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_seek+0)
MOVT	R0, #hi_addr(mp3_module_sd_seek+0)
STR	R1, [R0, #0]
;mp3_module.c,224 :: 		}
L_end_mp3_prev_song:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _mp3_prev_song
_mp3_module_state_changed:
;mp3_module.c,229 :: 		void mp3_module_state_changed ( void )
;mp3_module.c,231 :: 		switch (mp3_state)
IT	AL
BAL	L_mp3_module_state_changed35
;mp3_module.c,233 :: 		case MP3_PLAY:
L_mp3_module_state_changed37:
;mp3_module.c,235 :: 		mp3_state = MP3_STOP;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
STRB	R1, [R0, #0]
;mp3_module.c,236 :: 		break;
IT	AL
BAL	L_mp3_module_state_changed36
;mp3_module.c,238 :: 		case MP3_STOP:
L_mp3_module_state_changed38:
;mp3_module.c,240 :: 		mp3_state = MP3_PLAY;
MOVS	R1, #1
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
STRB	R1, [R0, #0]
;mp3_module.c,241 :: 		break;
IT	AL
BAL	L_mp3_module_state_changed36
;mp3_module.c,243 :: 		default :
L_mp3_module_state_changed39:
;mp3_module.c,248 :: 		while(1);
L_mp3_module_state_changed40:
IT	AL
BAL	L_mp3_module_state_changed40
;mp3_module.c,250 :: 		}
L_mp3_module_state_changed35:
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_module_state_changed37
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_state_changed38
IT	AL
BAL	L_mp3_module_state_changed39
L_mp3_module_state_changed36:
;mp3_module.c,251 :: 		}
L_end_mp3_module_state_changed:
BX	LR
; end of _mp3_module_state_changed
_mp3_module_init:
;mp3_module.c,257 :: 		void mp3_module_init ( module_t ** module )
SUB	SP, SP, #8
STR	LR, [SP, #0]
STR	R0, [SP, #4]
;mp3_module.c,259 :: 		mp3_module.state = MODULE_INACTIVE;
MOVS	R2, #0
MOVW	R1, #lo_addr(mp3_module_mp3_module+0)
MOVT	R1, #hi_addr(mp3_module_mp3_module+0)
STRB	R2, [R1, #0]
;mp3_module.c,266 :: 		bsp_mp3_init( );
BL	_bsp_mp3_init+0
;mp3_module.c,271 :: 		bsp_mp3_cmd_write( _BSP_MP3_MODE_ADDR,   0x0800 );
MOVW	R1, #2048
MOVS	R0, #0
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,272 :: 		bsp_mp3_cmd_write( _BSP_MP3_BASS_ADDR,   0x7A00 );
MOVW	R1, #31232
MOVS	R0, #2
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,273 :: 		bsp_mp3_cmd_write( _BSP_MP3_CLOCKF_ADDR, 0xC000 );
MOVW	R1, #49152
MOVS	R0, #3
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,274 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_mp3_module_init42:
SUBS	R7, R7, #1
BNE	L_mp3_module_init42
NOP
NOP
NOP
;mp3_module.c,275 :: 		bsp_mp3_cmd_write( _BSP_MP3_VOL_ADDR,    0x0000 );
MOVS	R1, #0
MOVS	R0, #11
BL	_bsp_mp3_cmd_write+0
;mp3_module.c,280 :: 		mp3_volume      = 0x00;
MOVS	R2, #0
MOVW	R1, #lo_addr(mp3_module_mp3_volume+0)
MOVT	R1, #hi_addr(mp3_module_mp3_volume+0)
STRB	R2, [R1, #0]
;mp3_module.c,281 :: 		mp3_song_number = SONG_1;
MOVS	R2, #0
MOVW	R1, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R1, #hi_addr(mp3_module_mp3_song_number+0)
STRB	R2, [R1, #0]
;mp3_module.c,286 :: 		strncpy( mp3_playlist[ SONG_1 ].SONG, "song_1.mp3", 11 );
MOVW	R1, #lo_addr(?lstr1_mp3_module+0)
MOVT	R1, #hi_addr(?lstr1_mp3_module+0)
MOVS	R2, #11
SXTH	R2, R2
MOVW	R0, #lo_addr(mp3_module_mp3_playlist+0)
MOVT	R0, #hi_addr(mp3_module_mp3_playlist+0)
BL	_strncpy+0
;mp3_module.c,287 :: 		strncpy( mp3_playlist[ SONG_2 ].SONG, "song_2.mp3", 11 );
MOVW	R1, #lo_addr(?lstr2_mp3_module+0)
MOVT	R1, #hi_addr(?lstr2_mp3_module+0)
MOVS	R2, #11
SXTH	R2, R2
MOVW	R0, #lo_addr(mp3_module_mp3_playlist+22)
MOVT	R0, #hi_addr(mp3_module_mp3_playlist+22)
BL	_strncpy+0
;mp3_module.c,288 :: 		strncpy( mp3_playlist[ SONG_3 ].SONG, "song_3.mp3", 11 );
MOVW	R1, #lo_addr(?lstr3_mp3_module+0)
MOVT	R1, #hi_addr(?lstr3_mp3_module+0)
MOVS	R2, #11
SXTH	R2, R2
MOVW	R0, #lo_addr(mp3_module_mp3_playlist+44)
MOVT	R0, #hi_addr(mp3_module_mp3_playlist+44)
BL	_strncpy+0
;mp3_module.c,313 :: 		if ( ( sd_err = FAT32_ChangeDir( "\\" ) ) < 0 )
MOVW	R1, #lo_addr(?lstr4_mp3_module+0)
MOVT	R1, #hi_addr(?lstr4_mp3_module+0)
MOV	R0, R1
BL	_FAT32_ChangeDir+0
MOVW	R1, #lo_addr(mp3_module_sd_err+0)
MOVT	R1, #hi_addr(mp3_module_sd_err+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	GE
BGE	L_mp3_module_init44
;mp3_module.c,318 :: 		while (1);
L_mp3_module_init45:
IT	AL
BAL	L_mp3_module_init45
;mp3_module.c,319 :: 		}
L_mp3_module_init44:
;mp3_module.c,325 :: 		sd_file.sd_file_size = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(mp3_module_sd_file+256)
MOVT	R1, #hi_addr(mp3_module_sd_file+256)
STR	R2, [R1, #0]
;mp3_module.c,326 :: 		sd_file.sd_file_state = SD_FILE_CLOSED;
MOVS	R2, #0
MOVW	R1, #lo_addr(mp3_module_sd_file+260)
MOVT	R1, #hi_addr(mp3_module_sd_file+260)
STRB	R2, [R1, #0]
;mp3_module.c,333 :: 		*module = &mp3_module;
MOVW	R2, #lo_addr(mp3_module_mp3_module+0)
MOVT	R2, #hi_addr(mp3_module_mp3_module+0)
LDR	R1, [SP, #4]
STR	R2, [R1, #0]
;mp3_module.c,334 :: 		}
L_end_mp3_module_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _mp3_module_init
_mp3_module_task:
;mp3_module.c,336 :: 		void mp3_module_task ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,338 :: 		switch ( mp3_module.state )
IT	AL
BAL	L_mp3_module_task47
;mp3_module.c,340 :: 		case MODULE_INACTIVE :
L_mp3_module_task49:
;mp3_module.c,345 :: 		DrawImage( &Image_00_03_MP3 );
MOVW	R0, #lo_addr(_Image_00_03_MP3+0)
MOVT	R0, #hi_addr(_Image_00_03_MP3+0)
BL	_DrawImage+0
;mp3_module.c,346 :: 		DrawButton( &Button_00_04_PLAY );
MOVW	R0, #lo_addr(_Button_00_04_PLAY+0)
MOVT	R0, #hi_addr(_Button_00_04_PLAY+0)
BL	_DrawButton+0
;mp3_module.c,347 :: 		DrawButton( &Button_00_05_MUTE );
MOVW	R0, #lo_addr(_Button_00_05_MUTE+0)
MOVT	R0, #hi_addr(_Button_00_05_MUTE+0)
BL	_DrawButton+0
;mp3_module.c,348 :: 		DrawButton( &Button_00_06_VOL_INC );
MOVW	R0, #lo_addr(_Button_00_06_VOL_INC+0)
MOVT	R0, #hi_addr(_Button_00_06_VOL_INC+0)
BL	_DrawButton+0
;mp3_module.c,349 :: 		DrawButton( &Button_00_07_VOL_DEC );
MOVW	R0, #lo_addr(_Button_00_07_VOL_DEC+0)
MOVT	R0, #hi_addr(_Button_00_07_VOL_DEC+0)
BL	_DrawButton+0
;mp3_module.c,350 :: 		DrawButton( &Button_00_08_NEXT );
MOVW	R0, #lo_addr(_Button_00_08_NEXT+0)
MOVT	R0, #hi_addr(_Button_00_08_NEXT+0)
BL	_DrawButton+0
;mp3_module.c,351 :: 		DrawButton( &Button_00_09_PREV );
MOVW	R0, #lo_addr(_Button_00_09_PREV+0)
MOVT	R0, #hi_addr(_Button_00_09_PREV+0)
BL	_DrawButton+0
;mp3_module.c,357 :: 		mp3_module.state = MODULE_ACTIVE;
MOVS	R1, #1
MOVW	R0, #lo_addr(mp3_module_mp3_module+0)
MOVT	R0, #hi_addr(mp3_module_mp3_module+0)
STRB	R1, [R0, #0]
;mp3_module.c,358 :: 		mp3_state = MP3_STOP;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
STRB	R1, [R0, #0]
;mp3_module.c,360 :: 		break;
IT	AL
BAL	L_mp3_module_task48
;mp3_module.c,362 :: 		case MODULE_ACTIVE :
L_mp3_module_task50:
;mp3_module.c,364 :: 		switch ( mp3_state )
IT	AL
BAL	L_mp3_module_task51
;mp3_module.c,366 :: 		case MP3_STOP :
L_mp3_module_task53:
;mp3_module.c,368 :: 		player_stopped( );
BL	mp3_module_player_stopped+0
;mp3_module.c,370 :: 		break;
IT	AL
BAL	L_mp3_module_task52
;mp3_module.c,372 :: 		case MP3_PLAY :
L_mp3_module_task54:
;mp3_module.c,374 :: 		player_running( );
BL	mp3_module_player_running+0
;mp3_module.c,376 :: 		break;
IT	AL
BAL	L_mp3_module_task52
;mp3_module.c,378 :: 		default :
L_mp3_module_task55:
;mp3_module.c,383 :: 		while (1);
L_mp3_module_task56:
IT	AL
BAL	L_mp3_module_task56
;mp3_module.c,385 :: 		}
L_mp3_module_task51:
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_task53
MOVW	R0, #lo_addr(mp3_module_mp3_state+0)
MOVT	R0, #hi_addr(mp3_module_mp3_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_module_task54
IT	AL
BAL	L_mp3_module_task55
L_mp3_module_task52:
;mp3_module.c,387 :: 		break;
IT	AL
BAL	L_mp3_module_task48
;mp3_module.c,389 :: 		default :
L_mp3_module_task58:
;mp3_module.c,394 :: 		while (1);
L_mp3_module_task59:
IT	AL
BAL	L_mp3_module_task59
;mp3_module.c,396 :: 		}
L_mp3_module_task47:
MOVW	R0, #lo_addr(mp3_module_mp3_module+0)
MOVT	R0, #hi_addr(mp3_module_mp3_module+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_task49
MOVW	R0, #lo_addr(mp3_module_mp3_module+0)
MOVT	R0, #hi_addr(mp3_module_mp3_module+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_module_task50
IT	AL
BAL	L_mp3_module_task58
L_mp3_module_task48:
;mp3_module.c,397 :: 		}
L_end_mp3_module_task:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _mp3_module_task
mp3_module_player_running:
;mp3_module.c,401 :: 		static void player_running ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,405 :: 		switch (sd_file.sd_file_state)
IT	AL
BAL	L_mp3_module_player_running61
;mp3_module.c,407 :: 		case SD_FILE_CLOSED:
L_mp3_module_player_running63:
;mp3_module.c,409 :: 		sd_fd = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(mp3_module_sd_fd+0)
MOVT	R0, #hi_addr(mp3_module_sd_fd+0)
STRB	R1, [R0, #0]
;mp3_module.c,414 :: 		if (( sd_fd = FAT32_Open( mp3_playlist[ mp3_song_number ].SONG, FILE_READ ) ) >= 0)
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R1, [R0, #0]
MOVS	R0, #22
MULS	R1, R0, R1
MOVW	R0, #lo_addr(mp3_module_mp3_playlist+0)
MOVT	R0, #hi_addr(mp3_module_mp3_playlist+0)
ADDS	R0, R0, R1
MOVS	R1, #1
BL	_FAT32_Open+0
MOVW	R1, #lo_addr(mp3_module_sd_fd+0)
MOVT	R1, #hi_addr(mp3_module_sd_fd+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	LT
BLT	L_mp3_module_player_running64
;mp3_module.c,419 :: 		}
IT	AL
BAL	L_mp3_module_player_running65
L_mp3_module_player_running64:
;mp3_module.c,425 :: 		while (1);
L_mp3_module_player_running66:
IT	AL
BAL	L_mp3_module_player_running66
;mp3_module.c,426 :: 		}
L_mp3_module_player_running65:
;mp3_module.c,431 :: 		if (( sd_err = FAT32_Size( mp3_playlist[ mp3_song_number ].SONG, &sd_file.sd_file_size ) ) >= 0)
MOVW	R0, #lo_addr(mp3_module_mp3_song_number+0)
MOVT	R0, #hi_addr(mp3_module_mp3_song_number+0)
LDRB	R1, [R0, #0]
MOVS	R0, #22
MULS	R1, R0, R1
MOVW	R0, #lo_addr(mp3_module_mp3_playlist+0)
MOVT	R0, #hi_addr(mp3_module_mp3_playlist+0)
ADDS	R0, R0, R1
MOVW	R1, #lo_addr(mp3_module_sd_file+256)
MOVT	R1, #hi_addr(mp3_module_sd_file+256)
BL	_FAT32_Size+0
MOVW	R1, #lo_addr(mp3_module_sd_err+0)
MOVT	R1, #hi_addr(mp3_module_sd_err+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	LT
BLT	L_mp3_module_player_running68
;mp3_module.c,436 :: 		sd_seek = 0; /** This variable is used with 'FAT32_Seek()' function to seek last played byte from SD file */
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_seek+0)
MOVT	R0, #hi_addr(mp3_module_sd_seek+0)
STR	R1, [R0, #0]
;mp3_module.c,437 :: 		}
IT	AL
BAL	L_mp3_module_player_running69
L_mp3_module_player_running68:
;mp3_module.c,443 :: 		while (1);
L_mp3_module_player_running70:
IT	AL
BAL	L_mp3_module_player_running70
;mp3_module.c,444 :: 		}
L_mp3_module_player_running69:
;mp3_module.c,449 :: 		sd_file.sd_file_state = SD_FILE_OPEN;
MOVS	R1, #1
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
STRB	R1, [R0, #0]
;mp3_module.c,451 :: 		break;
IT	AL
BAL	L_mp3_module_player_running62
;mp3_module.c,453 :: 		case SD_FILE_OPEN:
L_mp3_module_player_running72:
;mp3_module.c,455 :: 		if (sd_file.sd_file_size > 32)
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
LDR	R0, [R0, #0]
CMP	R0, #32
IT	LS
BLS	L_mp3_module_player_running73
;mp3_module.c,460 :: 		if (( sd_err = FAT32_Read( sd_fd, sd_file.sd_file_data, 32 ) ) >= 0)
MOVW	R0, #lo_addr(mp3_module_sd_fd+0)
MOVT	R0, #hi_addr(mp3_module_sd_fd+0)
LDRSB	R0, [R0, #0]
MOVS	R2, #32
MOVW	R1, #lo_addr(mp3_module_sd_file+0)
MOVT	R1, #hi_addr(mp3_module_sd_file+0)
BL	_FAT32_Read+0
MOVW	R1, #lo_addr(mp3_module_sd_err+0)
MOVT	R1, #hi_addr(mp3_module_sd_err+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	LT
BLT	L_mp3_module_player_running74
;mp3_module.c,462 :: 		for (i = 0; i < 32; i ++)
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R0, #hi_addr(mp3_module_player_running_i_L0+0)
STRB	R1, [R0, #0]
L_mp3_module_player_running75:
MOVW	R0, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R0, #hi_addr(mp3_module_player_running_i_L0+0)
LDRB	R0, [R0, #0]
CMP	R0, #32
IT	CS
BCS	L_mp3_module_player_running76
;mp3_module.c,467 :: 		while ( bsp_mp3_data_write( sd_file.sd_file_data[ i ] ) );
L_mp3_module_player_running78:
MOVW	R0, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R0, #hi_addr(mp3_module_player_running_i_L0+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(mp3_module_sd_file+0)
MOVT	R0, #hi_addr(mp3_module_sd_file+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
BL	_bsp_mp3_data_write+0
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_player_running79
IT	AL
BAL	L_mp3_module_player_running78
L_mp3_module_player_running79:
;mp3_module.c,462 :: 		for (i = 0; i < 32; i ++)
MOVW	R1, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R1, #hi_addr(mp3_module_player_running_i_L0+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;mp3_module.c,468 :: 		}
IT	AL
BAL	L_mp3_module_player_running75
L_mp3_module_player_running76:
;mp3_module.c,474 :: 		sd_file.sd_file_size -= 32;
MOVW	R1, #lo_addr(mp3_module_sd_file+256)
MOVT	R1, #hi_addr(mp3_module_sd_file+256)
LDR	R0, [R1, #0]
SUBS	R0, #32
STR	R0, [R1, #0]
;mp3_module.c,475 :: 		sd_seek += 32;
MOVW	R1, #lo_addr(mp3_module_sd_seek+0)
MOVT	R1, #hi_addr(mp3_module_sd_seek+0)
LDR	R0, [R1, #0]
ADDS	R0, #32
STR	R0, [R1, #0]
;mp3_module.c,480 :: 		FAT32_Seek( sd_fd, sd_seek );
MOV	R1, R0
MOVW	R0, #lo_addr(mp3_module_sd_fd+0)
MOVT	R0, #hi_addr(mp3_module_sd_fd+0)
LDRSB	R0, [R0, #0]
BL	_FAT32_Seek+0
;mp3_module.c,481 :: 		}
IT	AL
BAL	L_mp3_module_player_running80
L_mp3_module_player_running74:
;mp3_module.c,487 :: 		while (1);
L_mp3_module_player_running81:
IT	AL
BAL	L_mp3_module_player_running81
;mp3_module.c,488 :: 		}
L_mp3_module_player_running80:
;mp3_module.c,489 :: 		}
IT	AL
BAL	L_mp3_module_player_running83
L_mp3_module_player_running73:
;mp3_module.c,490 :: 		else if (sd_file.sd_file_size > 0)
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
LDR	R0, [R0, #0]
CMP	R0, #0
IT	LS
BLS	L_mp3_module_player_running84
;mp3_module.c,495 :: 		if (( sd_err = FAT32_Read( sd_fd, sd_file.sd_file_data, sd_file.sd_file_size ) ) >= 0)
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(mp3_module_sd_fd+0)
MOVT	R0, #hi_addr(mp3_module_sd_fd+0)
LDRSB	R0, [R0, #0]
UXTH	R2, R1
MOVW	R1, #lo_addr(mp3_module_sd_file+0)
MOVT	R1, #hi_addr(mp3_module_sd_file+0)
BL	_FAT32_Read+0
MOVW	R1, #lo_addr(mp3_module_sd_err+0)
MOVT	R1, #hi_addr(mp3_module_sd_err+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	LT
BLT	L_mp3_module_player_running85
;mp3_module.c,500 :: 		for (i = 0; i < sd_file.sd_file_size; i ++)
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R0, #hi_addr(mp3_module_player_running_i_L0+0)
STRB	R1, [R0, #0]
L_mp3_module_player_running86:
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R0, #hi_addr(mp3_module_player_running_i_L0+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	CS
BCS	L_mp3_module_player_running87
;mp3_module.c,502 :: 		while ( bsp_mp3_data_write( sd_file.sd_file_data[ i ] ) );
L_mp3_module_player_running89:
MOVW	R0, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R0, #hi_addr(mp3_module_player_running_i_L0+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(mp3_module_sd_file+0)
MOVT	R0, #hi_addr(mp3_module_sd_file+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
BL	_bsp_mp3_data_write+0
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_player_running90
IT	AL
BAL	L_mp3_module_player_running89
L_mp3_module_player_running90:
;mp3_module.c,500 :: 		for (i = 0; i < sd_file.sd_file_size; i ++)
MOVW	R1, #lo_addr(mp3_module_player_running_i_L0+0)
MOVT	R1, #hi_addr(mp3_module_player_running_i_L0+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;mp3_module.c,503 :: 		}
IT	AL
BAL	L_mp3_module_player_running86
L_mp3_module_player_running87:
;mp3_module.c,509 :: 		sd_file.sd_file_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
STR	R1, [R0, #0]
;mp3_module.c,510 :: 		sd_seek = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_seek+0)
MOVT	R0, #hi_addr(mp3_module_sd_seek+0)
STR	R1, [R0, #0]
;mp3_module.c,511 :: 		}
IT	AL
BAL	L_mp3_module_player_running91
L_mp3_module_player_running85:
;mp3_module.c,517 :: 		while (1);
L_mp3_module_player_running92:
IT	AL
BAL	L_mp3_module_player_running92
;mp3_module.c,518 :: 		}
L_mp3_module_player_running91:
;mp3_module.c,519 :: 		}
IT	AL
BAL	L_mp3_module_player_running94
L_mp3_module_player_running84:
;mp3_module.c,522 :: 		switch (sd_file.sd_file_state)
IT	AL
BAL	L_mp3_module_player_running95
;mp3_module.c,524 :: 		case SD_FILE_CLOSED:
L_mp3_module_player_running97:
;mp3_module.c,529 :: 		while (1);
L_mp3_module_player_running98:
IT	AL
BAL	L_mp3_module_player_running98
;mp3_module.c,531 :: 		case SD_FILE_OPEN:
L_mp3_module_player_running100:
;mp3_module.c,536 :: 		if (( sd_err = FAT32_Close( sd_fd ) ) >= 0)
MOVW	R0, #lo_addr(mp3_module_sd_fd+0)
MOVT	R0, #hi_addr(mp3_module_sd_fd+0)
LDRSB	R0, [R0, #0]
BL	_FAT32_Close+0
MOVW	R1, #lo_addr(mp3_module_sd_err+0)
MOVT	R1, #hi_addr(mp3_module_sd_err+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	LT
BLT	L_mp3_module_player_running101
;mp3_module.c,541 :: 		}
IT	AL
BAL	L_mp3_module_player_running102
L_mp3_module_player_running101:
;mp3_module.c,547 :: 		while (1);
L_mp3_module_player_running103:
IT	AL
BAL	L_mp3_module_player_running103
;mp3_module.c,548 :: 		}
L_mp3_module_player_running102:
;mp3_module.c,553 :: 		sd_file.sd_file_state = SD_FILE_CLOSED;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
STRB	R1, [R0, #0]
;mp3_module.c,555 :: 		break;
IT	AL
BAL	L_mp3_module_player_running96
;mp3_module.c,557 :: 		default :
L_mp3_module_player_running105:
;mp3_module.c,562 :: 		while (1);
L_mp3_module_player_running106:
IT	AL
BAL	L_mp3_module_player_running106
;mp3_module.c,564 :: 		}
L_mp3_module_player_running95:
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_player_running97
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_module_player_running100
IT	AL
BAL	L_mp3_module_player_running105
L_mp3_module_player_running96:
;mp3_module.c,565 :: 		}
L_mp3_module_player_running94:
L_mp3_module_player_running83:
;mp3_module.c,567 :: 		break;
IT	AL
BAL	L_mp3_module_player_running62
;mp3_module.c,569 :: 		default :
L_mp3_module_player_running108:
;mp3_module.c,574 :: 		while (1);
L_mp3_module_player_running109:
IT	AL
BAL	L_mp3_module_player_running109
;mp3_module.c,576 :: 		}
L_mp3_module_player_running61:
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_player_running63
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_module_player_running72
IT	AL
BAL	L_mp3_module_player_running108
L_mp3_module_player_running62:
;mp3_module.c,577 :: 		}
L_end_player_running:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_player_running
mp3_module_player_stopped:
;mp3_module.c,579 :: 		static void player_stopped ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mp3_module.c,581 :: 		switch (sd_file.sd_file_state)
IT	AL
BAL	L_mp3_module_player_stopped111
;mp3_module.c,583 :: 		case SD_FILE_CLOSED:
L_mp3_module_player_stopped113:
;mp3_module.c,588 :: 		break;
IT	AL
BAL	L_mp3_module_player_stopped112
;mp3_module.c,590 :: 		case SD_FILE_OPEN:
L_mp3_module_player_stopped114:
;mp3_module.c,595 :: 		if (( sd_err = FAT32_Close( sd_fd ) ) >= 0)
MOVW	R0, #lo_addr(mp3_module_sd_fd+0)
MOVT	R0, #hi_addr(mp3_module_sd_fd+0)
LDRSB	R0, [R0, #0]
BL	_FAT32_Close+0
MOVW	R1, #lo_addr(mp3_module_sd_err+0)
MOVT	R1, #hi_addr(mp3_module_sd_err+0)
STRB	R0, [R1, #0]
CMP	R0, #0
IT	LT
BLT	L_mp3_module_player_stopped115
;mp3_module.c,597 :: 		sd_file.sd_file_state = SD_FILE_CLOSED;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
STRB	R1, [R0, #0]
;mp3_module.c,599 :: 		sd_file.sd_file_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_file+256)
MOVT	R0, #hi_addr(mp3_module_sd_file+256)
STR	R1, [R0, #0]
;mp3_module.c,600 :: 		sd_seek = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(mp3_module_sd_seek+0)
MOVT	R0, #hi_addr(mp3_module_sd_seek+0)
STR	R1, [R0, #0]
;mp3_module.c,601 :: 		}
IT	AL
BAL	L_mp3_module_player_stopped116
L_mp3_module_player_stopped115:
;mp3_module.c,607 :: 		while (1);
L_mp3_module_player_stopped117:
IT	AL
BAL	L_mp3_module_player_stopped117
;mp3_module.c,608 :: 		}
L_mp3_module_player_stopped116:
;mp3_module.c,610 :: 		break;
IT	AL
BAL	L_mp3_module_player_stopped112
;mp3_module.c,612 :: 		default :
L_mp3_module_player_stopped119:
;mp3_module.c,617 :: 		while (1);
L_mp3_module_player_stopped120:
IT	AL
BAL	L_mp3_module_player_stopped120
;mp3_module.c,619 :: 		}
L_mp3_module_player_stopped111:
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_mp3_module_player_stopped113
MOVW	R0, #lo_addr(mp3_module_sd_file+260)
MOVT	R0, #hi_addr(mp3_module_sd_file+260)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_mp3_module_player_stopped114
IT	AL
BAL	L_mp3_module_player_stopped119
L_mp3_module_player_stopped112:
;mp3_module.c,620 :: 		}
L_end_player_stopped:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of mp3_module_player_stopped
