bsp_rf_driver_hal_spi_map:
;hal_stm32.h,22 :: 		static void hal_spi_map ( const hal_spi_obj_t * spi_obj )
; spi_obj start address is: 0 (R0)
; spi_obj end address is: 0 (R0)
; spi_obj start address is: 0 (R0)
;hal_stm32.h,24 :: 		fp_spi_write = spi_obj->spi_write;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_spi_write+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_spi_write+0)
STR	R2, [R1, #0]
;hal_stm32.h,25 :: 		fp_spi_read  = spi_obj->spi_read;
ADDS	R1, R0, #4
; spi_obj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_spi_read+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_spi_read+0)
STR	R2, [R1, #0]
;hal_stm32.h,26 :: 		}
L_end_hal_spi_map:
BX	LR
; end of bsp_rf_driver_hal_spi_map
bsp_rf_driver_hal_spi_write:
;hal_stm32.h,28 :: 		static void hal_spi_write ( uint8_t * buf, uint16_t len )
; len start address is: 4 (R1)
; buf start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
UXTH	R2, R1
; len end address is: 4 (R1)
; buf end address is: 0 (R0)
; buf start address is: 0 (R0)
; len start address is: 8 (R2)
;hal_stm32.h,30 :: 		uint8_t *ptr = buf;
; ptr start address is: 4 (R1)
MOV	R1, R0
; buf end address is: 0 (R0)
; len end address is: 8 (R2)
; ptr end address is: 4 (R1)
UXTH	R0, R2
;hal_stm32.h,32 :: 		while ( len-- )
L_bsp_rf_driver_hal_spi_write0:
; ptr start address is: 4 (R1)
; len start address is: 0 (R0)
; len start address is: 0 (R0)
UXTH	R3, R0
SUBS	R2, R0, #1
UXTH	R0, R2
; len end address is: 0 (R0)
CMP	R3, #0
IT	EQ
BEQ	L_bsp_rf_driver_hal_spi_write1
; len end address is: 0 (R0)
;hal_stm32.h,34 :: 		fp_spi_write( *( ptr++ ) );
; len start address is: 0 (R0)
LDRB	R2, [R1, #0]
UXTB	R4, R2
STRH	R0, [SP, #4]
STR	R1, [SP, #8]
UXTH	R0, R4
MOVW	R4, #lo_addr(bsp_rf_driver_fp_spi_write+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_spi_write+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #8]
LDRH	R0, [SP, #4]
ADDS	R1, R1, #1
;hal_stm32.h,35 :: 		}
; len end address is: 0 (R0)
; ptr end address is: 4 (R1)
IT	AL
BAL	L_bsp_rf_driver_hal_spi_write0
L_bsp_rf_driver_hal_spi_write1:
;hal_stm32.h,36 :: 		}
L_end_hal_spi_write:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of bsp_rf_driver_hal_spi_write
bsp_rf_driver_hal_spi_read:
;hal_stm32.h,38 :: 		static void hal_spi_read ( uint8_t * buf, uint16_t len )
; buf start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRH	R1, [SP, #8]
; buf end address is: 0 (R0)
; buf start address is: 0 (R0)
;hal_stm32.h,40 :: 		uint8_t *ptr = buf;
STR	R0, [SP, #4]
; buf end address is: 0 (R0)
;hal_stm32.h,42 :: 		while ( len-- )
L_bsp_rf_driver_hal_spi_read2:
LDRH	R3, [SP, #8]
LDRH	R2, [SP, #8]
SUBS	R2, R2, #1
STRH	R2, [SP, #8]
CMP	R3, #0
IT	EQ
BEQ	L_bsp_rf_driver_hal_spi_read3
;hal_stm32.h,44 :: 		*( ptr++ ) = fp_spi_read( 0x00 );
MOVS	R0, #0
MOVW	R4, #lo_addr(bsp_rf_driver_fp_spi_read+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_spi_read+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R2, [SP, #4]
STRB	R0, [R2, #0]
LDR	R2, [SP, #4]
ADDS	R2, R2, #1
STR	R2, [SP, #4]
;hal_stm32.h,45 :: 		}
IT	AL
BAL	L_bsp_rf_driver_hal_spi_read2
L_bsp_rf_driver_hal_spi_read3:
;hal_stm32.h,46 :: 		}
L_end_hal_spi_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of bsp_rf_driver_hal_spi_read
bsp_rf_driver_hal_spi_transfer:
;hal_stm32.h,48 :: 		static void hal_spi_transfer ( uint8_t * buf_in, uint8_t * buf_out, uint16_t len )
; buf_out start address is: 4 (R1)
; buf_in start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STRH	R2, [SP, #12]
; buf_out end address is: 4 (R1)
; buf_in end address is: 0 (R0)
; buf_in start address is: 0 (R0)
; buf_out start address is: 4 (R1)
;hal_stm32.h,50 :: 		uint8_t *in = buf_in;
STR	R0, [SP, #4]
; buf_in end address is: 0 (R0)
;hal_stm32.h,51 :: 		uint8_t *out = buf_out;
STR	R1, [SP, #8]
; buf_out end address is: 4 (R1)
;hal_stm32.h,53 :: 		while ( len-- )
L_bsp_rf_driver_hal_spi_transfer4:
LDRH	R4, [SP, #12]
LDRH	R3, [SP, #12]
SUBS	R3, R3, #1
STRH	R3, [SP, #12]
CMP	R4, #0
IT	EQ
BEQ	L_bsp_rf_driver_hal_spi_transfer5
;hal_stm32.h,55 :: 		*( out++ ) = fp_spi_read( *( in++ ) );
LDR	R3, [SP, #4]
LDRB	R3, [R3, #0]
UXTB	R4, R3
UXTH	R0, R4
MOVW	R4, #lo_addr(bsp_rf_driver_fp_spi_read+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_spi_read+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R3, [SP, #8]
STRB	R0, [R3, #0]
LDR	R3, [SP, #8]
ADDS	R3, R3, #1
STR	R3, [SP, #8]
LDR	R3, [SP, #4]
ADDS	R3, R3, #1
STR	R3, [SP, #4]
;hal_stm32.h,56 :: 		}
IT	AL
BAL	L_bsp_rf_driver_hal_spi_transfer4
L_bsp_rf_driver_hal_spi_transfer5:
;hal_stm32.h,57 :: 		}
L_end_hal_spi_transfer:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of bsp_rf_driver_hal_spi_transfer
bsp_rf_driver_hal_i2c_map:
;hal_stm32.h,63 :: 		static void hal_i2c_map ( const hal_i2c_obj_t * i2c_obj )
; i2c_obj start address is: 0 (R0)
; i2c_obj end address is: 0 (R0)
; i2c_obj start address is: 0 (R0)
;hal_stm32.h,65 :: 		fp_i2c_start    = i2c_obj->i2c_start;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_i2c_start+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_i2c_start+0)
STR	R2, [R1, #0]
;hal_stm32.h,66 :: 		fp_i2c_write    = i2c_obj->i2c_write;
ADDS	R1, R0, #4
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_i2c_write+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_i2c_write+0)
STR	R2, [R1, #0]
;hal_stm32.h,67 :: 		fp_i2c_read     = i2c_obj->i2c_read;
ADDW	R1, R0, #8
; i2c_obj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_i2c_read+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_i2c_read+0)
STR	R2, [R1, #0]
;hal_stm32.h,68 :: 		}
L_end_hal_i2c_map:
BX	LR
; end of bsp_rf_driver_hal_i2c_map
bsp_rf_driver_hal_i2c_start:
;hal_stm32.h,70 :: 		static int hal_i2c_start ( void )
SUB	SP, SP, #8
STR	LR, [SP, #0]
;hal_stm32.h,72 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;hal_stm32.h,74 :: 		res |= fp_i2c_start( );
MOVW	R4, #lo_addr(bsp_rf_driver_fp_i2c_start+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_i2c_start+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R1, [SP, #4]
ORR	R0, R1, R0, LSL #0
;hal_stm32.h,76 :: 		return res;
SXTH	R0, R0
;hal_stm32.h,77 :: 		}
L_end_hal_i2c_start:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of bsp_rf_driver_hal_i2c_start
bsp_rf_driver_hal_i2c_write:
;hal_stm32.h,79 :: 		static int hal_i2c_write ( uint8_t slaveAddress, uint8_t * pBuf, uint16_t nBytes, uint8_t endMode )
; endMode start address is: 12 (R3)
; nBytes start address is: 8 (R2)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 4 (R1)
; nBytes start address is: 8 (R2)
; endMode start address is: 12 (R3)
;hal_stm32.h,81 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;hal_stm32.h,84 :: 		res |= fp_i2c_write( slaveAddress, ptr, nBytes, endMode );
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(bsp_rf_driver_fp_i2c_write+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_i2c_write+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #4]
ORRS	R4, R0
;hal_stm32.h,86 :: 		return res;
SXTH	R0, R4
;hal_stm32.h,87 :: 		}
L_end_hal_i2c_write:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of bsp_rf_driver_hal_i2c_write
bsp_rf_driver_hal_i2c_read:
;hal_stm32.h,89 :: 		static int hal_i2c_read( uint8_t slaveAddress, uint8_t * pBuf, uint16_t nBytes, uint8_t endMode )
; endMode start address is: 12 (R3)
; nBytes start address is: 8 (R2)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 4 (R1)
; nBytes start address is: 8 (R2)
; endMode start address is: 12 (R3)
;hal_stm32.h,91 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;hal_stm32.h,94 :: 		fp_i2c_read( slaveAddress, ptr, nBytes, endMode );
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(bsp_rf_driver_fp_i2c_read+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_i2c_read+0)
LDR	R4, [R4, #0]
BLX	R4
;hal_stm32.h,96 :: 		return res;
LDRSH	R0, [SP, #4]
;hal_stm32.h,97 :: 		}
L_end_hal_i2c_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of bsp_rf_driver_hal_i2c_read
bsp_rf_driver_hal_uart_map:
;hal_stm32.h,103 :: 		static void hal_uart_map ( const hal_uart_obj_t * uart_obj )
; uart_obj start address is: 0 (R0)
; uart_obj end address is: 0 (R0)
; uart_obj start address is: 0 (R0)
;hal_stm32.h,105 :: 		fp_uart_write = uart_obj->uart_write;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_uart_write+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_uart_write+0)
STR	R2, [R1, #0]
;hal_stm32.h,106 :: 		fp_uart_read  = uart_obj->uart_read;
ADDS	R1, R0, #4
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_uart_read+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_uart_read+0)
STR	R2, [R1, #0]
;hal_stm32.h,107 :: 		fp_uart_ready = uart_obj->uart_ready;
ADDW	R1, R0, #8
; uart_obj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_uart_ready+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_uart_ready+0)
STR	R2, [R1, #0]
;hal_stm32.h,108 :: 		}
L_end_hal_uart_map:
BX	LR
; end of bsp_rf_driver_hal_uart_map
bsp_rf_driver_hal_uart_write:
;hal_stm32.h,110 :: 		static void hal_uart_write ( uint8_t input )
; input start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; input end address is: 0 (R0)
; input start address is: 0 (R0)
;hal_stm32.h,112 :: 		fp_uart_write( input );
; input end address is: 0 (R0)
MOVW	R4, #lo_addr(bsp_rf_driver_fp_uart_write+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_uart_write+0)
LDR	R4, [R4, #0]
BLX	R4
;hal_stm32.h,113 :: 		}
L_end_hal_uart_write:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_uart_write
bsp_rf_driver_hal_uart_read:
;hal_stm32.h,115 :: 		static uint8_t hal_uart_read ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;hal_stm32.h,117 :: 		return ( uint8_t ) fp_uart_read( );
MOVW	R4, #lo_addr(bsp_rf_driver_fp_uart_read+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_uart_read+0)
LDR	R4, [R4, #0]
BLX	R4
UXTB	R0, R0
;hal_stm32.h,118 :: 		}
L_end_hal_uart_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_uart_read
bsp_rf_driver_hal_uart_ready:
;hal_stm32.h,120 :: 		static uint8_t hal_uart_ready ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;hal_stm32.h,122 :: 		return ( uint8_t ) fp_uart_ready( );
MOVW	R4, #lo_addr(bsp_rf_driver_fp_uart_ready+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_uart_ready+0)
LDR	R4, [R4, #0]
BLX	R4
UXTB	R0, R0
;hal_stm32.h,123 :: 		}
L_end_hal_uart_ready:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_uart_ready
bsp_rf_driver_hal_pwm_map:
;hal_stm32.h,129 :: 		static void hal_pwm_map ( const hal_pwm_obj_t * pwm_obj )
; pwm_obj start address is: 0 (R0)
; pwm_obj end address is: 0 (R0)
; pwm_obj start address is: 0 (R0)
;hal_stm32.h,131 :: 		fp_pwm_set_duty = pwm_obj->pwm_duty;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_pwm_set_duty+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_pwm_set_duty+0)
STR	R2, [R1, #0]
;hal_stm32.h,133 :: 		fp_pwm_stop     = pwm_obj->pwm_stop;
ADDS	R1, R0, #4
; pwm_obj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_pwm_stop+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_pwm_stop+0)
STR	R2, [R1, #0]
;hal_stm32.h,134 :: 		}
L_end_hal_pwm_map:
BX	LR
; end of bsp_rf_driver_hal_pwm_map
bsp_rf_driver_hal_pwm_start:
;hal_stm32.h,136 :: 		static void hal_pwm_start ( uint32_t channel, uint32_t duty, uint32_t invert/*, const Module_Struct * module */)
; invert start address is: 8 (R2)
; duty start address is: 4 (R1)
; channel start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; invert end address is: 8 (R2)
; duty end address is: 4 (R1)
; channel end address is: 0 (R0)
; channel start address is: 0 (R0)
; duty start address is: 4 (R1)
; invert start address is: 8 (R2)
;hal_stm32.h,138 :: 		fp_pwm_set_duty( ( unsigned int ) duty, ( char ) invert, ( char ) channel );
STR	R1, [SP, #4]
; channel end address is: 0 (R0)
UXTB	R1, R2
UXTB	R2, R0
; invert end address is: 8 (R2)
LDRH	R0, [SP, #4]
; duty end address is: 4 (R1)
MOVW	R4, #lo_addr(bsp_rf_driver_fp_pwm_set_duty+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_pwm_set_duty+0)
LDR	R4, [R4, #0]
BLX	R4
;hal_stm32.h,140 :: 		}
L_end_hal_pwm_start:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of bsp_rf_driver_hal_pwm_start
bsp_rf_driver_hal_pwm_stop:
;hal_stm32.h,142 :: 		static void hal_pwm_stop ( uint32_t channel )
; channel start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; channel end address is: 0 (R0)
; channel start address is: 0 (R0)
;hal_stm32.h,144 :: 		fp_pwm_stop( ( char ) channel );
UXTB	R0, R0
; channel end address is: 0 (R0)
MOVW	R4, #lo_addr(bsp_rf_driver_fp_pwm_stop+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_pwm_stop+0)
LDR	R4, [R4, #0]
BLX	R4
;hal_stm32.h,145 :: 		}
L_end_hal_pwm_stop:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_pwm_stop
bsp_rf_driver_hal_adc_map:
;hal_stm32.h,150 :: 		static void hal_adc_map ( const hal_adc_obj_t * adc_obj )
; adc_obj start address is: 0 (R0)
; adc_obj end address is: 0 (R0)
; adc_obj start address is: 0 (R0)
;hal_stm32.h,152 :: 		fp_adc_read       = adc_obj->adc_read;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_adc_read+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_adc_read+0)
STR	R2, [R1, #0]
;hal_stm32.h,153 :: 		fp_adc_get_sample = adc_obj->adc_sample;
ADDS	R1, R0, #4
; adc_obj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(bsp_rf_driver_fp_adc_get_sample+0)
MOVT	R1, #hi_addr(bsp_rf_driver_fp_adc_get_sample+0)
STR	R2, [R1, #0]
;hal_stm32.h,154 :: 		}
L_end_hal_adc_map:
BX	LR
; end of bsp_rf_driver_hal_adc_map
bsp_rf_driver_hal_adc_read:
;hal_stm32.h,156 :: 		static uint32_t hal_adc_read ( uint32_t channel )
; channel start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; channel end address is: 0 (R0)
; channel start address is: 0 (R0)
;hal_stm32.h,158 :: 		return ( uint32_t ) fp_adc_read( ( unsigned int ) channel );
UXTH	R0, R0
; channel end address is: 0 (R0)
MOVW	R4, #lo_addr(bsp_rf_driver_fp_adc_read+0)
MOVT	R4, #hi_addr(bsp_rf_driver_fp_adc_read+0)
LDR	R4, [R4, #0]
BLX	R4
UXTH	R1, R0
MOV	R0, R1
;hal_stm32.h,159 :: 		}
L_end_hal_adc_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_adc_read
bsp_rf_driver_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of bsp_rf_driver_Write_to_Data_Lines
bsp_rf_driver_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	bsp_rf_driver_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_Set_Index
bsp_rf_driver_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	bsp_rf_driver_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_Write_Command
bsp_rf_driver_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	bsp_rf_driver_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_Write_Data
bsp_rf_driver_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(bsp_rf_driver_Write_Data+0)
MOVT	R2, #hi_addr(bsp_rf_driver_Write_Data+0)
MOVW	R1, #lo_addr(bsp_rf_driver_Write_Command+0)
MOVT	R1, #hi_addr(bsp_rf_driver_Write_Command+0)
MOVW	R0, #lo_addr(bsp_rf_driver_Set_Index+0)
MOVT	R0, #hi_addr(bsp_rf_driver_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_display_init
bsp_rf_driver_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_bsp_rf_driver_hal_touch_init6:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_bsp_rf_driver_hal_touch_init7
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_bsp_rf_driver_hal_touch_init8:
SUBS	R7, R7, #1
BNE	L_bsp_rf_driver_hal_touch_init8
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_bsp_rf_driver_hal_touch_init10:
SUBS	R7, R7, #1
BNE	L_bsp_rf_driver_hal_touch_init10
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_bsp_rf_driver_hal_touch_init6
L_bsp_rf_driver_hal_touch_init7:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_bsp_rf_driver_hal_touch_init12
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_bsp_rf_driver_hal_touch_init12:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_touch_init
bsp_rf_driver_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_console_init
bsp_rf_driver_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_power_init
bsp_rf_driver_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_microsd_init
bsp_rf_driver_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_flash_init
bsp_rf_driver_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_rf_init
bsp_rf_driver_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_mp3_init
bsp_rf_driver_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_bsp_rf_driver_hal_accel_init13:
SUBS	R7, R7, #1
BNE	L_bsp_rf_driver_hal_accel_init13
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_bsp_rf_driver_hal_accel_init15:
SUBS	R7, R7, #1
BNE	L_bsp_rf_driver_hal_accel_init15
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_accel_init
bsp_rf_driver_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_wifi_init
bsp_rf_driver_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of bsp_rf_driver_hal_buzzer_init
bsp_rf_driver_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_bsp_rf_driver_hal_rtc_init17
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_bsp_rf_driver_hal_rtc_init17:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_bsp_rf_driver_hal_rtc_init18:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_bsp_rf_driver_hal_rtc_init19
IT	AL
BAL	L_bsp_rf_driver_hal_rtc_init18
L_bsp_rf_driver_hal_rtc_init19:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_bsp_rf_driver_hal_rtc_init20:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_bsp_rf_driver_hal_rtc_init21
IT	AL
BAL	L_bsp_rf_driver_hal_rtc_init20
L_bsp_rf_driver_hal_rtc_init21:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of bsp_rf_driver_hal_rtc_init
bsp_rf_driver_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of bsp_rf_driver_hal_shuttle_init
_bsp_rf_init:
;bsp_rf_driver.c,156 :: 		void bsp_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,158 :: 		hal_spi_map( &BSP_RF_SPI_MODULE );
MOVW	R0, #lo_addr(bsp_rf_driver_BSP_RF_SPI_MODULE+0)
MOVT	R0, #hi_addr(bsp_rf_driver_BSP_RF_SPI_MODULE+0)
BL	bsp_rf_driver_hal_spi_map+0
;bsp_rf_driver.c,159 :: 		hal_rf_init( );
BL	bsp_rf_driver_hal_rf_init+0
;bsp_rf_driver.c,161 :: 		BSP_RF_CE = 0;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #12, #1
STR	R0, [R1, #0]
;bsp_rf_driver.c,162 :: 		BSP_RF_CS = 1;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #512
STR	R0, [R1, #0]
;bsp_rf_driver.c,163 :: 		}
L_end_bsp_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_init
_bsp_rf_config:
;bsp_rf_driver.c,167 :: 		void bsp_rf_config ( uint8_t channel, uint8_t pay_length )
; pay_length start address is: 4 (R1)
; channel start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; pay_length end address is: 4 (R1)
; channel end address is: 0 (R0)
; channel start address is: 0 (R0)
; pay_length start address is: 4 (R1)
;bsp_rf_driver.c,171 :: 		payload_len = pay_length;
MOVW	R2, #lo_addr(bsp_rf_driver_payload_len+0)
MOVT	R2, #hi_addr(bsp_rf_driver_payload_len+0)
STRB	R1, [R2, #0]
; pay_length end address is: 4 (R1)
;bsp_rf_driver.c,175 :: 		bsp_rf_register_config( RF_CH, channel );
UXTB	R1, R0
; channel end address is: 0 (R0)
MOVS	R0, #5
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,179 :: 		bsp_rf_register_config( RX_PW_P0, 0x00 );         // Auto-ACK pipe ...
MOVS	R1, #0
MOVS	R0, #17
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,180 :: 		bsp_rf_register_config( RX_PW_P1, payload_len );  // Data payload pipe
MOVW	R2, #lo_addr(bsp_rf_driver_payload_len+0)
MOVT	R2, #hi_addr(bsp_rf_driver_payload_len+0)
LDRB	R2, [R2, #0]
UXTB	R1, R2
MOVS	R0, #18
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,181 :: 		bsp_rf_register_config( RX_PW_P2, 0x00 );         // Pipe not used
MOVS	R1, #0
MOVS	R0, #19
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,182 :: 		bsp_rf_register_config( RX_PW_P3, 0x00 );         // Pipe not used
MOVS	R1, #0
MOVS	R0, #20
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,183 :: 		bsp_rf_register_config( RX_PW_P4, 0x00 );         // Pipe not used
MOVS	R1, #0
MOVS	R0, #21
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,184 :: 		bsp_rf_register_config( RX_PW_P5, 0x00 );         // Pipe not used
MOVS	R1, #0
MOVS	R0, #22
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,188 :: 		bsp_rf_register_config( RF_SETUP, ( 0 << RF_DR ) | ( ( 0x03 ) << RF_PWR ) );
MOVS	R1, #6
MOVS	R0, #6
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,192 :: 		bsp_rf_register_config( CONFIG, nrf24_CONFIG );
MOVS	R1, #8
MOVS	R0, #0
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,196 :: 		bsp_rf_register_config( EN_AA, ( 1 << ENAA_P0 ) | ( 1 << ENAA_P1 ) | ( 0 << ENAA_P2 ) | ( 0 << ENAA_P3 ) | ( 0 << ENAA_P4 ) | ( 0 << ENAA_P5 ) );
MOVS	R1, #3
MOVS	R0, #1
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,200 :: 		bsp_rf_register_config( EN_RXADDR, ( 1 << ERX_P0 ) | ( 1 << ERX_P1 ) | ( 0 << ERX_P2 ) | ( 0 << ERX_P3 ) | ( 0 << ERX_P4 ) | ( 0 << ERX_P5 ) );
MOVS	R1, #3
MOVS	R0, #2
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,204 :: 		bsp_rf_register_config( SETUP_RETR, ( 0x04 << ARD ) | ( 0x0F << ARC ) );
MOVS	R1, #79
MOVS	R0, #4
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,208 :: 		bsp_rf_register_config( DYNPD, ( 0 << DPL_P0 ) | ( 0 << DPL_P1 ) | ( 0 << DPL_P2 ) | ( 0 << DPL_P3 ) | ( 0 << DPL_P4 ) | ( 0 << DPL_P5 ) );
MOVS	R1, #0
MOVS	R0, #28
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,212 :: 		bsp_rf_rx_power_up( );
BL	_bsp_rf_rx_power_up+0
;bsp_rf_driver.c,213 :: 		}
L_end_bsp_rf_config:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_config
_bsp_rf_rx_address:
;bsp_rf_driver.c,217 :: 		void bsp_rf_rx_address ( uint8_t * adr )
; adr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; adr end address is: 0 (R0)
; adr start address is: 0 (R0)
;bsp_rf_driver.c,219 :: 		BSP_RF_CE = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;bsp_rf_driver.c,220 :: 		bsp_rf_register_write( RX_ADDR_P1, adr, nrf24_ADDR_LEN );
MOVS	R2, #5
MOV	R1, R0
; adr end address is: 0 (R0)
MOVS	R0, #11
BL	_bsp_rf_register_write+0
;bsp_rf_driver.c,221 :: 		BSP_RF_CE = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;bsp_rf_driver.c,222 :: 		}
L_end_bsp_rf_rx_address:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_rx_address
_bsp_rf_get_payload_length:
;bsp_rf_driver.c,226 :: 		uint8_t bsp_rf_get_payload_length ( void )
;bsp_rf_driver.c,228 :: 		return payload_len;
MOVW	R0, #lo_addr(bsp_rf_driver_payload_len+0)
MOVT	R0, #hi_addr(bsp_rf_driver_payload_len+0)
LDRB	R0, [R0, #0]
;bsp_rf_driver.c,229 :: 		}
L_end_bsp_rf_get_payload_length:
BX	LR
; end of _bsp_rf_get_payload_length
_bsp_rf_tx_address:
;bsp_rf_driver.c,233 :: 		void bsp_rf_tx_address ( uint8_t * adr )
; adr start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; adr end address is: 0 (R0)
; adr start address is: 0 (R0)
;bsp_rf_driver.c,237 :: 		bsp_rf_register_write( RX_ADDR_P0, adr, nrf24_ADDR_LEN );
STR	R0, [SP, #4]
MOVS	R2, #5
MOV	R1, R0
MOVS	R0, #10
BL	_bsp_rf_register_write+0
LDR	R0, [SP, #4]
;bsp_rf_driver.c,238 :: 		bsp_rf_register_write( TX_ADDR, adr, nrf24_ADDR_LEN );
MOVS	R2, #5
MOV	R1, R0
; adr end address is: 0 (R0)
MOVS	R0, #16
BL	_bsp_rf_register_write+0
;bsp_rf_driver.c,239 :: 		}
L_end_bsp_rf_tx_address:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _bsp_rf_tx_address
_bsp_rf_data_ready:
;bsp_rf_driver.c,244 :: 		uint8_t bsp_rf_data_ready ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,248 :: 		uint8_t status = bsp_rf_get_status( );
BL	_bsp_rf_get_status+0
;bsp_rf_driver.c,253 :: 		if ( status & ( 1 << RX_DR ) )
AND	R0, R0, #64
SXTH	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_bsp_rf_data_ready22
;bsp_rf_driver.c,255 :: 		return 1;
MOVS	R0, #1
IT	AL
BAL	L_end_bsp_rf_data_ready
;bsp_rf_driver.c,256 :: 		}
L_bsp_rf_data_ready22:
;bsp_rf_driver.c,258 :: 		return !bsp_rf_rx_fifo_empty( );
BL	_bsp_rf_rx_fifo_empty+0
CMP	R0, #0
MOVW	R0, #0
BNE	L__bsp_rf_data_ready74
MOVS	R0, #1
L__bsp_rf_data_ready74:
;bsp_rf_driver.c,259 :: 		}
L_end_bsp_rf_data_ready:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_data_ready
_bsp_rf_rx_fifo_empty:
;bsp_rf_driver.c,263 :: 		uint8_t bsp_rf_rx_fifo_empty ( void )
SUB	SP, SP, #8
STR	LR, [SP, #0]
;bsp_rf_driver.c,267 :: 		bsp_rf_register_read( FIFO_STATUS, &fifoStatus, 1 );
ADD	R0, SP, #4
MOVS	R2, #1
MOV	R1, R0
MOVS	R0, #23
BL	_bsp_rf_register_read+0
;bsp_rf_driver.c,269 :: 		return ( fifoStatus & ( 1 << RX_EMPTY ) );
LDRB	R0, [SP, #4]
AND	R0, R0, #1
UXTB	R0, R0
;bsp_rf_driver.c,270 :: 		}
L_end_bsp_rf_rx_fifo_empty:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _bsp_rf_rx_fifo_empty
_bsp_rf_payload_length:
;bsp_rf_driver.c,274 :: 		uint8_t bsp_rf_payload_length ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,278 :: 		BSP_RF_CS = 0;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #9, #1
STR	R0, [R1, #0]
;bsp_rf_driver.c,279 :: 		spi_transfer( R_RX_PL_WID );
MOVS	R0, #96
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,280 :: 		status = spi_transfer( 0x00 );
MOVS	R0, #0
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,281 :: 		BSP_RF_CS = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;bsp_rf_driver.c,283 :: 		return status;
;bsp_rf_driver.c,284 :: 		}
L_end_bsp_rf_payload_length:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_payload_length
_bsp_rf_data_read:
;bsp_rf_driver.c,288 :: 		void bsp_rf_data_read ( uint8_t * data )
; data_ start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; data_ end address is: 0 (R0)
; data_ start address is: 0 (R0)
;bsp_rf_driver.c,292 :: 		BSP_RF_CS = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;bsp_rf_driver.c,296 :: 		spi_transfer( R_RX_PAYLOAD );
STR	R0, [SP, #4]
MOVS	R0, #97
BL	bsp_rf_driver_spi_transfer+0
LDR	R0, [SP, #4]
;bsp_rf_driver.c,300 :: 		bsp_rf_transfer_sync( data, data, payload_len );
MOVW	R1, #lo_addr(bsp_rf_driver_payload_len+0)
MOVT	R1, #hi_addr(bsp_rf_driver_payload_len+0)
LDRB	R1, [R1, #0]
UXTB	R2, R1
MOV	R1, R0
; data_ end address is: 0 (R0)
BL	_bsp_rf_transfer_sync+0
;bsp_rf_driver.c,304 :: 		BSP_RF_CS = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;bsp_rf_driver.c,308 :: 		bsp_rf_register_config( STATUS, ( 1 << RX_DR ) );
MOVS	R1, #64
MOVS	R0, #7
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,309 :: 		}
L_end_bsp_rf_data_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _bsp_rf_data_read
_bsp_rf_retry_count:
;bsp_rf_driver.c,313 :: 		uint8_t bsp_rf_retry_count ( void )
SUB	SP, SP, #8
STR	LR, [SP, #0]
;bsp_rf_driver.c,317 :: 		bsp_rf_register_read( OBSERVE_TX, &rv, 1 );
ADD	R0, SP, #4
MOVS	R2, #1
MOV	R1, R0
MOVS	R0, #8
BL	_bsp_rf_register_read+0
;bsp_rf_driver.c,318 :: 		rv = rv & 0x0F;
LDRB	R0, [SP, #4]
AND	R0, R0, #15
STRB	R0, [SP, #4]
;bsp_rf_driver.c,320 :: 		return rv;
;bsp_rf_driver.c,321 :: 		}
L_end_bsp_rf_retry_count:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _bsp_rf_retry_count
_bsp_rf_data_send:
;bsp_rf_driver.c,326 :: 		void bsp_rf_data_send ( uint8_t * value )
SUB	SP, SP, #8
STR	LR, [SP, #0]
STR	R0, [SP, #4]
;bsp_rf_driver.c,330 :: 		BSP_RF_CE = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #12, #1
STR	R1, [R2, #0]
;bsp_rf_driver.c,334 :: 		bsp_rf_tx_power_up( );
BL	_bsp_rf_tx_power_up+0
;bsp_rf_driver.c,342 :: 		BSP_RF_CS = 0;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;bsp_rf_driver.c,346 :: 		spi_transfer( FLUSH_TX );
MOVS	R0, #225
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,350 :: 		BSP_RF_CS = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;bsp_rf_driver.c,356 :: 		BSP_RF_CS = 0;
LDR	R1, [R2, #0]
BFC	R1, #9, #1
STR	R1, [R2, #0]
;bsp_rf_driver.c,360 :: 		spi_transfer( W_TX_PAYLOAD );
MOVS	R0, #160
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,364 :: 		bsp_rf_tx_sync( value, payload_len );
MOVW	R1, #lo_addr(bsp_rf_driver_payload_len+0)
MOVT	R1, #hi_addr(bsp_rf_driver_payload_len+0)
LDRB	R1, [R1, #0]
LDR	R0, [SP, #4]
BL	_bsp_rf_tx_sync+0
;bsp_rf_driver.c,368 :: 		BSP_RF_CS = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;bsp_rf_driver.c,372 :: 		BSP_RF_CE = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #4096
STR	R1, [R2, #0]
;bsp_rf_driver.c,373 :: 		}
L_end_bsp_rf_data_send:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _bsp_rf_data_send
_bsp_rf_is_sending:
;bsp_rf_driver.c,375 :: 		uint8_t bsp_rf_is_sending ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,381 :: 		status = bsp_rf_get_status( );
BL	_bsp_rf_get_status+0
;bsp_rf_driver.c,385 :: 		if ( ( status & ( ( 1 << TX_DS ) | ( 1 << MAX_RT ) ) ) )
AND	R0, R0, #48
SXTH	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_bsp_rf_is_sending23
;bsp_rf_driver.c,387 :: 		return 0;   /* false */
MOVS	R0, #0
IT	AL
BAL	L_end_bsp_rf_is_sending
;bsp_rf_driver.c,388 :: 		}
L_bsp_rf_is_sending23:
;bsp_rf_driver.c,390 :: 		return 1;       /* true */
MOVS	R0, #1
;bsp_rf_driver.c,392 :: 		}
L_end_bsp_rf_is_sending:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_is_sending
_bsp_rf_get_status:
;bsp_rf_driver.c,394 :: 		uint8_t bsp_rf_get_status ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,398 :: 		BSP_RF_CS = 0;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #9, #1
STR	R0, [R1, #0]
;bsp_rf_driver.c,399 :: 		rv = spi_transfer( NOP );
MOVS	R0, #255
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,400 :: 		BSP_RF_CS = 1;
MOVW	R2, #lo_addr(GPIOG_ODR+0)
MOVT	R2, #hi_addr(GPIOG_ODR+0)
LDR	R1, [R2, #0]
ORR	R1, R1, #512
STR	R1, [R2, #0]
;bsp_rf_driver.c,402 :: 		return rv;
;bsp_rf_driver.c,403 :: 		}
L_end_bsp_rf_get_status:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_get_status
_bsp_rf_last_message_status:
;bsp_rf_driver.c,405 :: 		uint8_t bsp_rf_last_message_status ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,409 :: 		rv = bsp_rf_get_status( );
BL	_bsp_rf_get_status+0
; rv start address is: 4 (R1)
UXTB	R1, R0
;bsp_rf_driver.c,411 :: 		if ( ( rv & ( ( 1 << TX_DS ) ) ) )
AND	R0, R0, #32
SXTH	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_bsp_rf_last_message_status24
; rv end address is: 4 (R1)
;bsp_rf_driver.c,415 :: 		return NRF24_TRANSMISSON_OK;
MOVS	R0, #0
IT	AL
BAL	L_end_bsp_rf_last_message_status
;bsp_rf_driver.c,416 :: 		}
L_bsp_rf_last_message_status24:
;bsp_rf_driver.c,417 :: 		else if ( ( rv & ( ( 1 << MAX_RT ) ) ) )
; rv start address is: 4 (R1)
AND	R0, R1, #16
SXTH	R0, R0
; rv end address is: 4 (R1)
CMP	R0, #0
IT	EQ
BEQ	L_bsp_rf_last_message_status26
;bsp_rf_driver.c,422 :: 		return NRF24_MESSAGE_LOST;
MOVS	R0, #1
IT	AL
BAL	L_end_bsp_rf_last_message_status
;bsp_rf_driver.c,423 :: 		}
L_bsp_rf_last_message_status26:
;bsp_rf_driver.c,428 :: 		return 0xFF;
MOVS	R0, #255
;bsp_rf_driver.c,430 :: 		}
L_end_bsp_rf_last_message_status:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_last_message_status
_bsp_rf_rx_power_up:
;bsp_rf_driver.c,432 :: 		void bsp_rf_rx_power_up ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,434 :: 		BSP_RF_CS = 0;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #9, #1
STR	R0, [R1, #0]
;bsp_rf_driver.c,435 :: 		spi_transfer( FLUSH_RX );
MOVS	R0, #226
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,436 :: 		BSP_RF_CS = 1;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #512
STR	R0, [R1, #0]
;bsp_rf_driver.c,438 :: 		bsp_rf_register_config( STATUS, ( 1 << RX_DR ) | ( 1 << TX_DS ) | ( 1 << MAX_RT ) );
MOVS	R1, #112
MOVS	R0, #7
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,440 :: 		BSP_RF_CE = 0;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #12, #1
STR	R0, [R1, #0]
;bsp_rf_driver.c,441 :: 		bsp_rf_register_config( CONFIG, nrf24_CONFIG | ( ( 1 << PWR_UP ) | ( 1 << PRIM_RX ) ) );
MOVS	R1, #11
MOVS	R0, #0
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,442 :: 		BSP_RF_CE = 1;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #4096
STR	R0, [R1, #0]
;bsp_rf_driver.c,443 :: 		}
L_end_bsp_rf_rx_power_up:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_rx_power_up
_bsp_rf_tx_power_up:
;bsp_rf_driver.c,445 :: 		void bsp_rf_tx_power_up ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,447 :: 		bsp_rf_register_config( STATUS, ( 1 << RX_DR ) | ( 1 << TX_DS ) | ( 1 << MAX_RT ) );
MOVS	R1, #112
MOVS	R0, #7
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,448 :: 		bsp_rf_register_config( CONFIG, nrf24_CONFIG | ( ( 1 << PWR_UP ) | ( 0 << PRIM_RX ) ) );
MOVS	R1, #10
MOVS	R0, #0
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,449 :: 		}
L_end_bsp_rf_tx_power_up:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_tx_power_up
_bsp_rf_power_down:
;bsp_rf_driver.c,451 :: 		void bsp_rf_power_down ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;bsp_rf_driver.c,453 :: 		BSP_RF_CE = 0;
MOVW	R1, #lo_addr(GPIOG_ODR+0)
MOVT	R1, #hi_addr(GPIOG_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #12, #1
STR	R0, [R1, #0]
;bsp_rf_driver.c,454 :: 		bsp_rf_register_config( CONFIG, nrf24_CONFIG );
MOVS	R1, #8
MOVS	R0, #0
BL	_bsp_rf_register_config+0
;bsp_rf_driver.c,455 :: 		}
L_end_bsp_rf_power_down:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _bsp_rf_power_down
_bsp_rf_transfer_sync:
;bsp_rf_driver.c,459 :: 		void bsp_rf_transfer_sync ( uint8_t * dataout, uint8_t * datain, uint8_t len )
; i start address is: 20 (R5)
SUB	SP, SP, #28
STR	LR, [SP, #0]
;bsp_rf_driver.c,463 :: 		for ( i = 0; i < len; i++ )
;bsp_rf_driver.c,459 :: 		void bsp_rf_transfer_sync ( uint8_t * dataout, uint8_t * datain, uint8_t len )
STR	R0, [SP, #8]
STR	R1, [SP, #12]
;bsp_rf_driver.c,463 :: 		for ( i = 0; i < len; i++ )
;bsp_rf_driver.c,459 :: 		void bsp_rf_transfer_sync ( uint8_t * dataout, uint8_t * datain, uint8_t len )
STRB	R2, [SP, #16]
; i end address is: 20 (R5)
;bsp_rf_driver.c,463 :: 		for ( i = 0; i < len; i++ )
; i start address is: 20 (R5)
MOVS	R5, #0
; i end address is: 20 (R5)
UXTB	R1, R5
L_bsp_rf_transfer_sync28:
; i start address is: 4 (R1)
LDRB	R3, [SP, #16]
CMP	R1, R3
IT	CS
BCS	L_bsp_rf_transfer_sync29
;bsp_rf_driver.c,465 :: 		datain[i] = spi_transfer( dataout[i] );
LDR	R3, [SP, #12]
ADDS	R3, R3, R1
STR	R3, [SP, #24]
LDR	R3, [SP, #8]
ADDS	R3, R3, R1
LDRB	R3, [R3, #0]
STRB	R1, [SP, #4]
UXTB	R0, R3
BL	bsp_rf_driver_spi_transfer+0
LDRB	R1, [SP, #4]
LDR	R3, [SP, #24]
STRB	R0, [R3, #0]
;bsp_rf_driver.c,463 :: 		for ( i = 0; i < len; i++ )
ADDS	R3, R1, #1
; i end address is: 4 (R1)
; i start address is: 20 (R5)
UXTB	R5, R3
;bsp_rf_driver.c,466 :: 		}
UXTB	R1, R5
; i end address is: 20 (R5)
IT	AL
BAL	L_bsp_rf_transfer_sync28
L_bsp_rf_transfer_sync29:
;bsp_rf_driver.c,467 :: 		}
L_end_bsp_rf_transfer_sync:
LDR	LR, [SP, #0]
ADD	SP, SP, #28
BX	LR
; end of _bsp_rf_transfer_sync
_bsp_rf_tx_sync:
;bsp_rf_driver.c,471 :: 		void bsp_rf_tx_sync ( uint8_t * dataout, uint8_t len )
; i start address is: 12 (R3)
SUB	SP, SP, #16
STR	LR, [SP, #0]
;bsp_rf_driver.c,475 :: 		for ( i = 0; i < len; i++ )
;bsp_rf_driver.c,471 :: 		void bsp_rf_tx_sync ( uint8_t * dataout, uint8_t len )
STR	R0, [SP, #8]
;bsp_rf_driver.c,475 :: 		for ( i = 0; i < len; i++ )
;bsp_rf_driver.c,471 :: 		void bsp_rf_tx_sync ( uint8_t * dataout, uint8_t len )
STRB	R1, [SP, #12]
; i end address is: 12 (R3)
;bsp_rf_driver.c,475 :: 		for ( i = 0; i < len; i++ )
; i start address is: 12 (R3)
MOVS	R3, #0
; i end address is: 12 (R3)
UXTB	R0, R3
L_bsp_rf_tx_sync31:
; i start address is: 0 (R0)
LDRB	R2, [SP, #12]
CMP	R0, R2
IT	CS
BCS	L_bsp_rf_tx_sync32
;bsp_rf_driver.c,477 :: 		spi_transfer( dataout[i] );
LDR	R2, [SP, #8]
ADDS	R2, R2, R0
LDRB	R2, [R2, #0]
STRB	R0, [SP, #4]
UXTB	R0, R2
BL	bsp_rf_driver_spi_transfer+0
LDRB	R0, [SP, #4]
;bsp_rf_driver.c,475 :: 		for ( i = 0; i < len; i++ )
ADDS	R2, R0, #1
; i end address is: 0 (R0)
; i start address is: 12 (R3)
UXTB	R3, R2
;bsp_rf_driver.c,478 :: 		}
UXTB	R0, R3
; i end address is: 12 (R3)
IT	AL
BAL	L_bsp_rf_tx_sync31
L_bsp_rf_tx_sync32:
;bsp_rf_driver.c,479 :: 		}
L_end_bsp_rf_tx_sync:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _bsp_rf_tx_sync
_bsp_rf_register_config:
;bsp_rf_driver.c,483 :: 		void bsp_rf_register_config ( uint8_t reg, uint8_t value )
; reg start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
STRB	R1, [SP, #4]
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
;bsp_rf_driver.c,485 :: 		BSP_RF_CS = 0;
MOVW	R3, #lo_addr(GPIOG_ODR+0)
MOVT	R3, #hi_addr(GPIOG_ODR+0)
LDR	R2, [R3, #0]
BFC	R2, #9, #1
STR	R2, [R3, #0]
;bsp_rf_driver.c,486 :: 		spi_transfer( W_REGISTER | ( REGISTER_MASK & reg ) );
AND	R2, R0, #31
UXTB	R2, R2
; reg end address is: 0 (R0)
ORR	R2, R2, #32
UXTB	R0, R2
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,487 :: 		spi_transfer( value );
LDRB	R0, [SP, #4]
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,488 :: 		BSP_RF_CS = 1;
MOVW	R3, #lo_addr(GPIOG_ODR+0)
MOVT	R3, #hi_addr(GPIOG_ODR+0)
LDR	R2, [R3, #0]
ORR	R2, R2, #512
STR	R2, [R3, #0]
;bsp_rf_driver.c,489 :: 		}
L_end_bsp_rf_register_config:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _bsp_rf_register_config
_bsp_rf_register_read:
;bsp_rf_driver.c,493 :: 		void bsp_rf_register_read ( uint8_t reg, uint8_t * value, uint8_t len )
; value start address is: 4 (R1)
; reg start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRB	R2, [SP, #8]
; value end address is: 4 (R1)
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
; value start address is: 4 (R1)
;bsp_rf_driver.c,495 :: 		BSP_RF_CS = 0;
MOVW	R4, #lo_addr(GPIOG_ODR+0)
MOVT	R4, #hi_addr(GPIOG_ODR+0)
LDR	R3, [R4, #0]
BFC	R3, #9, #1
STR	R3, [R4, #0]
;bsp_rf_driver.c,496 :: 		spi_transfer( R_REGISTER | ( REGISTER_MASK & reg ) );
AND	R3, R0, #31
; reg end address is: 0 (R0)
STR	R1, [SP, #4]
UXTB	R0, R3
BL	bsp_rf_driver_spi_transfer+0
LDR	R1, [SP, #4]
;bsp_rf_driver.c,497 :: 		bsp_rf_transfer_sync( value, value, len );
LDRB	R2, [SP, #8]
MOV	R0, R1
; value end address is: 4 (R1)
BL	_bsp_rf_transfer_sync+0
;bsp_rf_driver.c,498 :: 		BSP_RF_CS = 1;
MOVW	R4, #lo_addr(GPIOG_ODR+0)
MOVT	R4, #hi_addr(GPIOG_ODR+0)
LDR	R3, [R4, #0]
ORR	R3, R3, #512
STR	R3, [R4, #0]
;bsp_rf_driver.c,499 :: 		}
L_end_bsp_rf_register_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _bsp_rf_register_read
_bsp_rf_register_write:
;bsp_rf_driver.c,503 :: 		void bsp_rf_register_write ( uint8_t reg, uint8_t * value, uint8_t len )
; reg start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R1, [SP, #4]
STRB	R2, [SP, #8]
; reg end address is: 0 (R0)
; reg start address is: 0 (R0)
;bsp_rf_driver.c,505 :: 		BSP_RF_CS = 0;
MOVW	R4, #lo_addr(GPIOG_ODR+0)
MOVT	R4, #hi_addr(GPIOG_ODR+0)
LDR	R3, [R4, #0]
BFC	R3, #9, #1
STR	R3, [R4, #0]
;bsp_rf_driver.c,506 :: 		spi_transfer( W_REGISTER | ( REGISTER_MASK & reg ) );
AND	R3, R0, #31
UXTB	R3, R3
; reg end address is: 0 (R0)
ORR	R3, R3, #32
UXTB	R0, R3
BL	bsp_rf_driver_spi_transfer+0
;bsp_rf_driver.c,507 :: 		bsp_rf_tx_sync( value, len );
LDRB	R1, [SP, #8]
LDR	R0, [SP, #4]
BL	_bsp_rf_tx_sync+0
;bsp_rf_driver.c,508 :: 		BSP_RF_CS = 1;
MOVW	R4, #lo_addr(GPIOG_ODR+0)
MOVT	R4, #hi_addr(GPIOG_ODR+0)
LDR	R3, [R4, #0]
ORR	R3, R3, #512
STR	R3, [R4, #0]
;bsp_rf_driver.c,509 :: 		}
L_end_bsp_rf_register_write:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _bsp_rf_register_write
bsp_rf_driver_spi_transfer:
;bsp_rf_driver.c,513 :: 		static uint8_t spi_transfer(uint8_t tx)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRB	R0, [SP, #8]
;bsp_rf_driver.c,515 :: 		uint8_t i = 0;
;bsp_rf_driver.c,516 :: 		uint8_t rx = 0;
MOVS	R1, #0
STRB	R1, [SP, #4]
;bsp_rf_driver.c,518 :: 		hal_spi_transfer( &tx, &rx, 1 );
ADD	R2, SP, #4
ADD	R1, SP, #8
MOV	R0, R1
MOV	R1, R2
MOVS	R2, #1
BL	bsp_rf_driver_hal_spi_transfer+0
;bsp_rf_driver.c,520 :: 		return rx;
LDRB	R0, [SP, #4]
;bsp_rf_driver.c,521 :: 		}
L_end_spi_transfer:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of bsp_rf_driver_spi_transfer
