api_wifi_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of api_wifi_Write_to_Data_Lines
api_wifi_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	api_wifi_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_Set_Index
api_wifi_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	api_wifi_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_Write_Command
api_wifi_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	api_wifi_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_Write_Data
api_wifi_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(api_wifi_Write_Data+0)
MOVT	R2, #hi_addr(api_wifi_Write_Data+0)
MOVW	R1, #lo_addr(api_wifi_Write_Command+0)
MOVT	R1, #hi_addr(api_wifi_Write_Command+0)
MOVW	R0, #lo_addr(api_wifi_Set_Index+0)
MOVT	R0, #hi_addr(api_wifi_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_display_init
api_wifi_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_api_wifi_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_api_wifi_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_api_wifi_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_api_wifi_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_api_wifi_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_api_wifi_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_api_wifi_hal_touch_init0
L_api_wifi_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_api_wifi_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_api_wifi_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_touch_init
api_wifi_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_console_init
api_wifi_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_power_init
api_wifi_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_microsd_init
api_wifi_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_flash_init
api_wifi_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_rf_init
api_wifi_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_mp3_init
api_wifi_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_api_wifi_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_api_wifi_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_api_wifi_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_api_wifi_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_accel_init
api_wifi_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_wifi_init
api_wifi_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of api_wifi_hal_buzzer_init
api_wifi_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_api_wifi_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_api_wifi_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_api_wifi_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_api_wifi_hal_rtc_init13
IT	AL
BAL	L_api_wifi_hal_rtc_init12
L_api_wifi_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_api_wifi_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_api_wifi_hal_rtc_init15
IT	AL
BAL	L_api_wifi_hal_rtc_init14
L_api_wifi_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of api_wifi_hal_rtc_init
api_wifi_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of api_wifi_hal_shuttle_init
_get_weather_station_data:
;api_wifi.c,52 :: 		_i32 get_weather_station_data( uint8_t * temperature, uint8_t * humidity, uint8_t * pressure, uint8_t * weather )
; weather start address is: 12 (R3)
; pressure start address is: 8 (R2)
; humidity start address is: 4 (R1)
; temperature start address is: 0 (R0)
SUB	SP, SP, #8
; weather end address is: 12 (R3)
; pressure end address is: 8 (R2)
; humidity end address is: 4 (R1)
; temperature end address is: 0 (R0)
; temperature start address is: 0 (R0)
; humidity start address is: 4 (R1)
; pressure start address is: 8 (R2)
; weather start address is: 12 (R3)
;api_wifi.c,56 :: 		for (i = 0; i < temperature_value_data_size; i++)
; i start address is: 24 (R6)
MOVS	R6, #0
; temperature end address is: 0 (R0)
; humidity end address is: 4 (R1)
; pressure end address is: 8 (R2)
; weather end address is: 12 (R3)
; i end address is: 24 (R6)
STR	R2, [SP, #0]
STR	R3, [SP, #4]
MOV	R3, R0
MOV	R2, R1
LDR	R0, [SP, #4]
LDR	R1, [SP, #0]
L_get_weather_station_data16:
; i start address is: 24 (R6)
; weather start address is: 0 (R0)
; pressure start address is: 4 (R1)
; humidity start address is: 8 (R2)
; temperature start address is: 12 (R3)
MOVW	R4, #lo_addr(api_wifi_temperature_value_data_size+0)
MOVT	R4, #hi_addr(api_wifi_temperature_value_data_size+0)
LDRB	R4, [R4, #0]
CMP	R6, R4
IT	CS
BCS	L_get_weather_station_data17
;api_wifi.c,58 :: 		temperature[ i ] = temperature_value_buffer[ i ];
ADDS	R5, R3, R6
MOVW	R4, #lo_addr(api_wifi_temperature_value_buffer+0)
MOVT	R4, #hi_addr(api_wifi_temperature_value_buffer+0)
ADDS	R4, R4, R6
LDRB	R4, [R4, #0]
STRB	R4, [R5, #0]
;api_wifi.c,56 :: 		for (i = 0; i < temperature_value_data_size; i++)
ADDS	R6, R6, #1
UXTB	R6, R6
;api_wifi.c,59 :: 		}
; i end address is: 24 (R6)
IT	AL
BAL	L_get_weather_station_data16
L_get_weather_station_data17:
;api_wifi.c,61 :: 		temperature[ temperature_value_data_size + 0 ] = ' ';
MOVW	R6, #lo_addr(api_wifi_temperature_value_data_size+0)
MOVT	R6, #hi_addr(api_wifi_temperature_value_data_size+0)
LDRB	R4, [R6, #0]
ADDS	R5, R3, R4
MOVS	R4, #32
STRB	R4, [R5, #0]
;api_wifi.c,62 :: 		temperature[ temperature_value_data_size + 1 ] = 'C';
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #1
SXTH	R4, R4
ADDS	R5, R3, R4
MOVS	R4, #67
STRB	R4, [R5, #0]
;api_wifi.c,63 :: 		temperature[ temperature_value_data_size + 2 ] = 0;
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #2
SXTH	R4, R4
ADDS	R5, R3, R4
; temperature end address is: 12 (R3)
MOVS	R4, #0
STRB	R4, [R5, #0]
;api_wifi.c,65 :: 		for (i = 0; i < humidity_value_data_size; i++)
; i start address is: 12 (R3)
MOVS	R3, #0
; humidity end address is: 8 (R2)
; i end address is: 12 (R3)
; pressure end address is: 4 (R1)
; weather end address is: 0 (R0)
STR	R1, [SP, #0]
MOV	R1, R0
LDR	R0, [SP, #0]
L_get_weather_station_data19:
; i start address is: 12 (R3)
; humidity start address is: 8 (R2)
; pressure start address is: 0 (R0)
; weather start address is: 4 (R1)
MOVW	R4, #lo_addr(api_wifi_humidity_value_data_size+0)
MOVT	R4, #hi_addr(api_wifi_humidity_value_data_size+0)
LDRB	R4, [R4, #0]
CMP	R3, R4
IT	CS
BCS	L_get_weather_station_data20
;api_wifi.c,67 :: 		humidity[ i ] = humidity_value_buffer[ i ];
ADDS	R5, R2, R3
MOVW	R4, #lo_addr(api_wifi_humidity_value_buffer+0)
MOVT	R4, #hi_addr(api_wifi_humidity_value_buffer+0)
ADDS	R4, R4, R3
LDRB	R4, [R4, #0]
STRB	R4, [R5, #0]
;api_wifi.c,65 :: 		for (i = 0; i < humidity_value_data_size; i++)
ADDS	R3, R3, #1
UXTB	R3, R3
;api_wifi.c,68 :: 		}
; i end address is: 12 (R3)
IT	AL
BAL	L_get_weather_station_data19
L_get_weather_station_data20:
;api_wifi.c,70 :: 		humidity[ humidity_value_data_size + 0 ] = ' ';
MOVW	R6, #lo_addr(api_wifi_humidity_value_data_size+0)
MOVT	R6, #hi_addr(api_wifi_humidity_value_data_size+0)
LDRB	R4, [R6, #0]
ADDS	R5, R2, R4
MOVS	R4, #32
STRB	R4, [R5, #0]
;api_wifi.c,71 :: 		humidity[ humidity_value_data_size + 1 ] = '%';
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #1
SXTH	R4, R4
ADDS	R5, R2, R4
MOVS	R4, #37
STRB	R4, [R5, #0]
;api_wifi.c,72 :: 		humidity[ humidity_value_data_size + 2 ] = 0;
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #2
SXTH	R4, R4
ADDS	R5, R2, R4
; humidity end address is: 8 (R2)
MOVS	R4, #0
STRB	R4, [R5, #0]
;api_wifi.c,74 :: 		for (i = 0; i < pressure_value_data_size; i++)
; i start address is: 8 (R2)
MOVS	R2, #0
; pressure end address is: 0 (R0)
; weather end address is: 4 (R1)
; i end address is: 8 (R2)
STR	R1, [SP, #0]
MOV	R1, R0
LDR	R0, [SP, #0]
L_get_weather_station_data22:
; i start address is: 8 (R2)
; weather start address is: 0 (R0)
; pressure start address is: 4 (R1)
MOVW	R4, #lo_addr(api_wifi_pressure_value_data_size+0)
MOVT	R4, #hi_addr(api_wifi_pressure_value_data_size+0)
LDRB	R4, [R4, #0]
CMP	R2, R4
IT	CS
BCS	L_get_weather_station_data23
;api_wifi.c,76 :: 		pressure[ i ] = pressure_value_buffer[ i ];
ADDS	R5, R1, R2
MOVW	R4, #lo_addr(api_wifi_pressure_value_buffer+0)
MOVT	R4, #hi_addr(api_wifi_pressure_value_buffer+0)
ADDS	R4, R4, R2
LDRB	R4, [R4, #0]
STRB	R4, [R5, #0]
;api_wifi.c,74 :: 		for (i = 0; i < pressure_value_data_size; i++)
ADDS	R2, R2, #1
UXTB	R2, R2
;api_wifi.c,77 :: 		}
; i end address is: 8 (R2)
IT	AL
BAL	L_get_weather_station_data22
L_get_weather_station_data23:
;api_wifi.c,79 :: 		pressure[ pressure_value_data_size + 0 ] = ' ';
MOVW	R6, #lo_addr(api_wifi_pressure_value_data_size+0)
MOVT	R6, #hi_addr(api_wifi_pressure_value_data_size+0)
LDRB	R4, [R6, #0]
ADDS	R5, R1, R4
MOVS	R4, #32
STRB	R4, [R5, #0]
;api_wifi.c,80 :: 		pressure[ pressure_value_data_size + 1 ] = 'h';
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #1
SXTH	R4, R4
ADDS	R5, R1, R4
MOVS	R4, #104
STRB	R4, [R5, #0]
;api_wifi.c,81 :: 		pressure[ pressure_value_data_size + 2 ] = 'P';
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #2
SXTH	R4, R4
ADDS	R5, R1, R4
MOVS	R4, #80
STRB	R4, [R5, #0]
;api_wifi.c,82 :: 		pressure[ pressure_value_data_size + 3 ] = 'a';
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #3
SXTH	R4, R4
ADDS	R5, R1, R4
MOVS	R4, #97
STRB	R4, [R5, #0]
;api_wifi.c,83 :: 		pressure[ pressure_value_data_size + 4 ] = 0;
MOV	R4, R6
LDRB	R4, [R4, #0]
ADDS	R4, R4, #4
SXTH	R4, R4
ADDS	R5, R1, R4
; pressure end address is: 4 (R1)
MOVS	R4, #0
STRB	R4, [R5, #0]
;api_wifi.c,85 :: 		for (i = 0; i < weather_condition_data_size; i++)
; i start address is: 4 (R1)
MOVS	R1, #0
; weather end address is: 0 (R0)
; i end address is: 4 (R1)
L_get_weather_station_data25:
; i start address is: 4 (R1)
; weather start address is: 0 (R0)
MOVW	R4, #lo_addr(api_wifi_weather_condition_data_size+0)
MOVT	R4, #hi_addr(api_wifi_weather_condition_data_size+0)
LDRB	R4, [R4, #0]
CMP	R1, R4
IT	CS
BCS	L_get_weather_station_data26
;api_wifi.c,87 :: 		weather[ i ] = weather_condition_buffer[ i ];
ADDS	R5, R0, R1
MOVW	R4, #lo_addr(api_wifi_weather_condition_buffer+0)
MOVT	R4, #hi_addr(api_wifi_weather_condition_buffer+0)
ADDS	R4, R4, R1
LDRB	R4, [R4, #0]
STRB	R4, [R5, #0]
;api_wifi.c,85 :: 		for (i = 0; i < weather_condition_data_size; i++)
ADDS	R1, R1, #1
UXTB	R1, R1
;api_wifi.c,88 :: 		}
; i end address is: 4 (R1)
IT	AL
BAL	L_get_weather_station_data25
L_get_weather_station_data26:
;api_wifi.c,90 :: 		weather[ weather_condition_data_size ] = 0;
MOVW	R4, #lo_addr(api_wifi_weather_condition_data_size+0)
MOVT	R4, #hi_addr(api_wifi_weather_condition_data_size+0)
LDRB	R4, [R4, #0]
ADDS	R5, R0, R4
; weather end address is: 0 (R0)
MOVS	R4, #0
STRB	R4, [R5, #0]
;api_wifi.c,92 :: 		return 0;
MOVS	R0, #0
;api_wifi.c,93 :: 		}
L_end_get_weather_station_data:
ADD	SP, SP, #8
BX	LR
; end of _get_weather_station_data
_getData:
;api_wifi.c,95 :: 		_i32 getData ( void )
SUB	SP, SP, #12
STR	LR, [SP, #0]
;api_wifi.c,97 :: 		_u8 *p_startPtr = NULL;
;api_wifi.c,98 :: 		_u8 *p_endPtr = NULL;
MOV	R0, #0
STR	R0, [SP, #8]
;api_wifi.c,99 :: 		_u8* p_bufLocation = NULL;
;api_wifi.c,100 :: 		_i32 retVal = -1;
;api_wifi.c,102 :: 		memset( g_AppData.Recvbuff, 0, sizeof( g_AppData.Recvbuff ) );
MOVW	R2, #2048
SXTH	R2, R2
MOVS	R1, #0
MOVW	R0, #lo_addr(_g_AppData+0)
MOVT	R0, #hi_addr(_g_AppData+0)
BL	_memset+0
;api_wifi.c,108 :: 		p_bufLocation = g_AppData.SendBuff;
; p_bufLocation start address is: 24 (R6)
MOVW	R6, #lo_addr(_g_AppData+2048)
MOVT	R6, #hi_addr(_g_AppData+2048)
;api_wifi.c,109 :: 		strcpy(p_bufLocation, PREFIX_BUFFER);
MOVW	R0, #lo_addr(?lstr1_api_wifi+0)
MOVT	R0, #hi_addr(?lstr1_api_wifi+0)
MOV	R1, R0
MOV	R0, R6
BL	_strcpy+0
;api_wifi.c,111 :: 		p_bufLocation += strlen(PREFIX_BUFFER);
MOVW	R0, #lo_addr(?lstr2_api_wifi+0)
MOVT	R0, #hi_addr(?lstr2_api_wifi+0)
BL	_strlen+0
ADDS	R0, R6, R0
MOV	R6, R0
;api_wifi.c,112 :: 		strcpy(p_bufLocation, g_AppData.CityName);
MOVW	R1, #lo_addr(_g_AppData+2592)
MOVT	R1, #hi_addr(_g_AppData+2592)
BL	_strcpy+0
;api_wifi.c,114 :: 		p_bufLocation += strlen(g_AppData.CityName);
MOVW	R0, #lo_addr(_g_AppData+2592)
MOVT	R0, #hi_addr(_g_AppData+2592)
BL	_strlen+0
ADDS	R1, R6, R0
MOV	R6, R1
;api_wifi.c,115 :: 		strcpy(p_bufLocation, POST_BUFFER);
MOVW	R0, #lo_addr(?lstr3_api_wifi+0)
MOVT	R0, #hi_addr(?lstr3_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strcpy+0
;api_wifi.c,117 :: 		p_bufLocation += strlen(POST_BUFFER);
MOVW	R0, #lo_addr(?lstr4_api_wifi+0)
MOVT	R0, #hi_addr(?lstr4_api_wifi+0)
BL	_strlen+0
ADDS	R1, R6, R0
; p_bufLocation end address is: 24 (R6)
;api_wifi.c,118 :: 		strcpy(p_bufLocation, POST_BUFFER2);
MOVW	R0, #lo_addr(?lstr5_api_wifi+0)
MOVT	R0, #hi_addr(?lstr5_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strcpy+0
;api_wifi.c,125 :: 		strlen( g_AppData.SendBuff ), 0 );
MOVW	R0, #lo_addr(_g_AppData+2048)
MOVT	R0, #hi_addr(_g_AppData+2048)
BL	_strlen+0
;api_wifi.c,124 :: 		retVal = sl_Send( g_AppData.SockID, g_AppData.SendBuff,
MOVW	R1, #lo_addr(_g_AppData+2628)
MOVT	R1, #hi_addr(_g_AppData+2628)
LDRSH	R1, [R1, #0]
;api_wifi.c,125 :: 		strlen( g_AppData.SendBuff ), 0 );
MOVS	R3, #0
SXTH	R3, R3
SXTH	R2, R0
;api_wifi.c,124 :: 		retVal = sl_Send( g_AppData.SockID, g_AppData.SendBuff,
SXTH	R0, R1
MOVW	R1, #lo_addr(_g_AppData+2048)
MOVT	R1, #hi_addr(_g_AppData+2048)
;api_wifi.c,125 :: 		strlen( g_AppData.SendBuff ), 0 );
BL	_sl_Send+0
; retVal start address is: 16 (R4)
SXTH	R4, R0
;api_wifi.c,127 :: 		if ( retVal != strlen( g_AppData.SendBuff ) )
MOVW	R0, #lo_addr(_g_AppData+2048)
MOVT	R0, #hi_addr(_g_AppData+2048)
BL	_strlen+0
CMP	R4, R0
IT	EQ
BEQ	L_getData28
; retVal end address is: 16 (R4)
;api_wifi.c,129 :: 		api_wifi_prerror( HTTP_SEND_ERROR );
MOVW	R0, #63535
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,130 :: 		}
L_getData28:
;api_wifi.c,136 :: 		retVal = sl_Recv( g_AppData.SockID, &g_AppData.Recvbuff[0],
MOVW	R0, #lo_addr(_g_AppData+2628)
MOVT	R0, #hi_addr(_g_AppData+2628)
LDRSH	R0, [R0, #0]
;api_wifi.c,137 :: 		MAX_SEND_RCV_SIZE, 0 );
MOVS	R3, #0
SXTH	R3, R3
MOVW	R2, #2048
SXTH	R2, R2
;api_wifi.c,136 :: 		retVal = sl_Recv( g_AppData.SockID, &g_AppData.Recvbuff[0],
MOVW	R1, #lo_addr(_g_AppData+0)
MOVT	R1, #hi_addr(_g_AppData+0)
;api_wifi.c,137 :: 		MAX_SEND_RCV_SIZE, 0 );
BL	_sl_Recv+0
; retVal start address is: 4 (R1)
SXTH	R1, R0
;api_wifi.c,139 :: 		if ( retVal <= 0 )
CMP	R1, #0
IT	GT
BGT	L_getData29
; retVal end address is: 4 (R1)
;api_wifi.c,141 :: 		api_wifi_prerror( HTTP_RECV_ERROR );
MOVW	R0, #63534
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,142 :: 		}
L_getData29:
;api_wifi.c,144 :: 		g_AppData.Recvbuff[strlen( g_AppData.Recvbuff )] = '\0';
MOVW	R0, #lo_addr(_g_AppData+0)
MOVT	R0, #hi_addr(_g_AppData+0)
BL	_strlen+0
MOVW	R1, #lo_addr(_g_AppData+0)
MOVT	R1, #hi_addr(_g_AppData+0)
ADDS	R1, R1, R0
MOVS	R0, #0
STRB	R0, [R1, #0]
;api_wifi.c,150 :: 		p_startPtr = (_u8 *) strstr( g_AppData.Recvbuff, "name=" );
MOVW	R0, #lo_addr(?lstr6_api_wifi+0)
MOVT	R0, #hi_addr(?lstr6_api_wifi+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_g_AppData+0)
MOVT	R0, #hi_addr(_g_AppData+0)
BL	_strstr+0
; p_startPtr start address is: 16 (R4)
MOV	R4, R0
;api_wifi.c,152 :: 		if ( NULL != p_startPtr )
CMP	R0, #0
IT	EQ
BEQ	L__getData89
;api_wifi.c,154 :: 		p_startPtr = p_startPtr + strlen( "name=" ) + 1;
MOVW	R0, #lo_addr(?lstr7_api_wifi+0)
MOVT	R0, #hi_addr(?lstr7_api_wifi+0)
BL	_strlen+0
ADDS	R0, R4, R0
; p_startPtr end address is: 16 (R4)
ADDS	R1, R0, #1
; p_startPtr start address is: 28 (R7)
MOV	R7, R1
;api_wifi.c,155 :: 		p_endPtr = strstr( p_startPtr, "\">" );
MOVW	R0, #lo_addr(?lstr8_api_wifi+0)
MOVT	R0, #hi_addr(?lstr8_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strstr+0
STR	R0, [SP, #8]
;api_wifi.c,157 :: 		if ( NULL != p_endPtr )
CMP	R0, #0
IT	EQ
BEQ	L_getData31
;api_wifi.c,159 :: 		*p_endPtr = 0;
MOVS	R1, #0
LDR	R0, [SP, #8]
STRB	R1, [R0, #0]
;api_wifi.c,160 :: 		}
L_getData31:
;api_wifi.c,161 :: 		}
MOV	R0, R7
IT	AL
BAL	L_getData30
; p_startPtr end address is: 28 (R7)
L__getData89:
;api_wifi.c,152 :: 		if ( NULL != p_startPtr )
MOV	R0, R4
;api_wifi.c,161 :: 		}
L_getData30:
;api_wifi.c,170 :: 		if ( p_startPtr == NULL )
; p_startPtr start address is: 0 (R0)
CMP	R0, #0
IT	NE
BNE	L_getData32
; p_startPtr end address is: 0 (R0)
;api_wifi.c,179 :: 		}
IT	AL
BAL	L_getData33
L_getData32:
;api_wifi.c,190 :: 		}
L_getData33:
;api_wifi.c,192 :: 		if ( p_endPtr == NULL )
LDR	R0, [SP, #8]
CMP	R0, #0
IT	NE
BNE	L_getData34
;api_wifi.c,201 :: 		api_wifi_prerror( HTTP_INVALID_RESPONSE );
MOVW	R0, #63533
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,202 :: 		}
L_getData34:
;api_wifi.c,208 :: 		p_startPtr = strstr( p_endPtr + 1, "temperature value" );
MOVW	R1, #lo_addr(?lstr9_api_wifi+0)
MOVT	R1, #hi_addr(?lstr9_api_wifi+0)
LDR	R0, [SP, #8]
ADDS	R0, R0, #1
BL	_strstr+0
; p_startPtr start address is: 16 (R4)
MOV	R4, R0
;api_wifi.c,210 :: 		if ( NULL != p_startPtr )
CMP	R0, #0
IT	EQ
BEQ	L__getData90
;api_wifi.c,212 :: 		p_startPtr = p_startPtr + strlen( "temperature value" ) + 2;
MOVW	R0, #lo_addr(?lstr10_api_wifi+0)
MOVT	R0, #hi_addr(?lstr10_api_wifi+0)
BL	_strlen+0
ADDS	R0, R4, R0
; p_startPtr end address is: 16 (R4)
ADDS	R1, R0, #2
; p_startPtr start address is: 28 (R7)
MOV	R7, R1
;api_wifi.c,213 :: 		p_endPtr = strstr( p_startPtr, "\" " );
MOVW	R0, #lo_addr(?lstr11_api_wifi+0)
MOVT	R0, #hi_addr(?lstr11_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strstr+0
STR	R0, [SP, #8]
;api_wifi.c,215 :: 		if ( NULL != p_endPtr )
CMP	R0, #0
IT	EQ
BEQ	L_getData36
;api_wifi.c,217 :: 		*p_endPtr = 0;
MOVS	R1, #0
LDR	R0, [SP, #8]
STRB	R1, [R0, #0]
;api_wifi.c,218 :: 		}
L_getData36:
;api_wifi.c,219 :: 		}
MOV	R3, R7
IT	AL
BAL	L_getData35
; p_startPtr end address is: 28 (R7)
L__getData90:
;api_wifi.c,210 :: 		if ( NULL != p_startPtr )
MOV	R3, R4
;api_wifi.c,219 :: 		}
L_getData35:
;api_wifi.c,227 :: 		if ( p_startPtr == NULL )
; p_startPtr start address is: 12 (R3)
CMP	R3, #0
IT	NE
BNE	L_getData37
; p_startPtr end address is: 12 (R3)
;api_wifi.c,236 :: 		temperature_value_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_temperature_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_temperature_value_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,237 :: 		temperature_value_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_temperature_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_temperature_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,238 :: 		}
IT	AL
BAL	L_getData38
L_getData37:
;api_wifi.c,248 :: 		if (( p_endPtr - p_startPtr ) <= TEMPERATURE_VALUE_BUFFER_SIZE )
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R0, R0, R3
CMP	R0, #30
IT	HI
BHI	L_getData39
;api_wifi.c,250 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
STRB	R1, [R0, #0]
; p_startPtr end address is: 12 (R3)
L_getData40:
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R1, R0, R3
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	HI
BHI	L_getData41
;api_wifi.c,252 :: 		temperature_value_buffer[ i ] = *( p_startPtr + i );
MOVW	R2, #lo_addr(api_wifi_i+0)
MOVT	R2, #hi_addr(api_wifi_i+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(api_wifi_temperature_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_temperature_value_buffer+0)
ADDS	R1, R0, R1
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R3, R0
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;api_wifi.c,250 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
;api_wifi.c,253 :: 		}
IT	AL
BAL	L_getData40
L_getData41:
;api_wifi.c,255 :: 		temperature_value_data_size = ( p_endPtr - p_startPtr );
LDR	R0, [SP, #8]
SUB	R1, R0, R3
; p_startPtr end address is: 12 (R3)
MOVW	R0, #lo_addr(api_wifi_temperature_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_temperature_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,256 :: 		}
IT	AL
BAL	L_getData43
L_getData39:
;api_wifi.c,259 :: 		temperature_value_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_temperature_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_temperature_value_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,260 :: 		temperature_value_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_temperature_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_temperature_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,261 :: 		}
L_getData43:
;api_wifi.c,269 :: 		}
L_getData38:
;api_wifi.c,275 :: 		p_startPtr = strstr( p_endPtr + 1, "humidity value" );
MOVW	R1, #lo_addr(?lstr12_api_wifi+0)
MOVT	R1, #hi_addr(?lstr12_api_wifi+0)
LDR	R0, [SP, #8]
ADDS	R0, R0, #1
BL	_strstr+0
; p_startPtr start address is: 16 (R4)
MOV	R4, R0
;api_wifi.c,277 :: 		if ( NULL != p_startPtr )
CMP	R0, #0
IT	EQ
BEQ	L__getData91
;api_wifi.c,279 :: 		p_startPtr = p_startPtr + strlen( "humidity value" ) + 2;
MOVW	R0, #lo_addr(?lstr13_api_wifi+0)
MOVT	R0, #hi_addr(?lstr13_api_wifi+0)
BL	_strlen+0
ADDS	R0, R4, R0
; p_startPtr end address is: 16 (R4)
ADDS	R1, R0, #2
; p_startPtr start address is: 28 (R7)
MOV	R7, R1
;api_wifi.c,280 :: 		p_endPtr = strstr( p_startPtr, "\" " );
MOVW	R0, #lo_addr(?lstr14_api_wifi+0)
MOVT	R0, #hi_addr(?lstr14_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strstr+0
STR	R0, [SP, #8]
;api_wifi.c,282 :: 		if ( NULL != p_endPtr )
CMP	R0, #0
IT	EQ
BEQ	L_getData45
;api_wifi.c,284 :: 		*p_endPtr = 0;
MOVS	R1, #0
LDR	R0, [SP, #8]
STRB	R1, [R0, #0]
;api_wifi.c,285 :: 		}
L_getData45:
;api_wifi.c,286 :: 		}
MOV	R3, R7
IT	AL
BAL	L_getData44
; p_startPtr end address is: 28 (R7)
L__getData91:
;api_wifi.c,277 :: 		if ( NULL != p_startPtr )
MOV	R3, R4
;api_wifi.c,286 :: 		}
L_getData44:
;api_wifi.c,294 :: 		if ( p_startPtr == NULL )
; p_startPtr start address is: 12 (R3)
CMP	R3, #0
IT	NE
BNE	L_getData46
; p_startPtr end address is: 12 (R3)
;api_wifi.c,303 :: 		humidity_value_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_humidity_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_humidity_value_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,304 :: 		humidity_value_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_humidity_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_humidity_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,305 :: 		}
IT	AL
BAL	L_getData47
L_getData46:
;api_wifi.c,315 :: 		if (( p_endPtr - p_startPtr ) <= HUMIDITY_VALUE_BUFFER_SIZE )
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R0, R0, R3
CMP	R0, #30
IT	HI
BHI	L_getData48
;api_wifi.c,317 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
STRB	R1, [R0, #0]
; p_startPtr end address is: 12 (R3)
L_getData49:
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R1, R0, R3
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	HI
BHI	L_getData50
;api_wifi.c,319 :: 		humidity_value_buffer[ i ] = *( p_startPtr + i );
MOVW	R2, #lo_addr(api_wifi_i+0)
MOVT	R2, #hi_addr(api_wifi_i+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(api_wifi_humidity_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_humidity_value_buffer+0)
ADDS	R1, R0, R1
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R3, R0
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;api_wifi.c,317 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
;api_wifi.c,320 :: 		}
IT	AL
BAL	L_getData49
L_getData50:
;api_wifi.c,322 :: 		humidity_value_data_size = ( p_endPtr - p_startPtr );
LDR	R0, [SP, #8]
SUB	R1, R0, R3
; p_startPtr end address is: 12 (R3)
MOVW	R0, #lo_addr(api_wifi_humidity_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_humidity_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,323 :: 		}
IT	AL
BAL	L_getData52
L_getData48:
;api_wifi.c,326 :: 		humidity_value_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_humidity_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_humidity_value_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,327 :: 		humidity_value_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_humidity_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_humidity_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,328 :: 		}
L_getData52:
;api_wifi.c,336 :: 		}
L_getData47:
;api_wifi.c,344 :: 		p_startPtr = strstr( p_endPtr + 1, "pressure value" );
MOVW	R1, #lo_addr(?lstr15_api_wifi+0)
MOVT	R1, #hi_addr(?lstr15_api_wifi+0)
LDR	R0, [SP, #8]
ADDS	R0, R0, #1
BL	_strstr+0
; p_startPtr start address is: 16 (R4)
MOV	R4, R0
;api_wifi.c,346 :: 		if ( NULL != p_startPtr )
CMP	R0, #0
IT	EQ
BEQ	L__getData92
;api_wifi.c,348 :: 		p_startPtr = p_startPtr + strlen( "pressure value" ) + 2;
MOVW	R0, #lo_addr(?lstr16_api_wifi+0)
MOVT	R0, #hi_addr(?lstr16_api_wifi+0)
BL	_strlen+0
ADDS	R0, R4, R0
; p_startPtr end address is: 16 (R4)
ADDS	R1, R0, #2
; p_startPtr start address is: 28 (R7)
MOV	R7, R1
;api_wifi.c,349 :: 		p_endPtr = strstr( p_startPtr, "\" " );
MOVW	R0, #lo_addr(?lstr17_api_wifi+0)
MOVT	R0, #hi_addr(?lstr17_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strstr+0
STR	R0, [SP, #8]
;api_wifi.c,351 :: 		if ( NULL != p_endPtr )
CMP	R0, #0
IT	EQ
BEQ	L_getData54
;api_wifi.c,353 :: 		*p_endPtr = 0;
MOVS	R1, #0
LDR	R0, [SP, #8]
STRB	R1, [R0, #0]
;api_wifi.c,354 :: 		}
L_getData54:
;api_wifi.c,355 :: 		}
MOV	R3, R7
IT	AL
BAL	L_getData53
; p_startPtr end address is: 28 (R7)
L__getData92:
;api_wifi.c,346 :: 		if ( NULL != p_startPtr )
MOV	R3, R4
;api_wifi.c,355 :: 		}
L_getData53:
;api_wifi.c,363 :: 		if ( p_startPtr == NULL )
; p_startPtr start address is: 12 (R3)
CMP	R3, #0
IT	NE
BNE	L_getData55
; p_startPtr end address is: 12 (R3)
;api_wifi.c,372 :: 		pressure_value_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_pressure_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_pressure_value_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,373 :: 		pressure_value_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_pressure_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_pressure_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,374 :: 		}
IT	AL
BAL	L_getData56
L_getData55:
;api_wifi.c,384 :: 		if (( p_endPtr - p_startPtr ) <= HUMIDITY_VALUE_BUFFER_SIZE )
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R0, R0, R3
CMP	R0, #30
IT	HI
BHI	L_getData57
;api_wifi.c,386 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
STRB	R1, [R0, #0]
; p_startPtr end address is: 12 (R3)
L_getData58:
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R1, R0, R3
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	HI
BHI	L_getData59
;api_wifi.c,388 :: 		pressure_value_buffer[ i ] = *( p_startPtr + i );
MOVW	R2, #lo_addr(api_wifi_i+0)
MOVT	R2, #hi_addr(api_wifi_i+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(api_wifi_pressure_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_pressure_value_buffer+0)
ADDS	R1, R0, R1
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R3, R0
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;api_wifi.c,386 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
;api_wifi.c,389 :: 		}
IT	AL
BAL	L_getData58
L_getData59:
;api_wifi.c,391 :: 		pressure_value_data_size = ( p_endPtr - p_startPtr );
LDR	R0, [SP, #8]
SUB	R1, R0, R3
; p_startPtr end address is: 12 (R3)
MOVW	R0, #lo_addr(api_wifi_pressure_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_pressure_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,392 :: 		}
IT	AL
BAL	L_getData61
L_getData57:
;api_wifi.c,395 :: 		pressure_value_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_pressure_value_buffer+0)
MOVT	R0, #hi_addr(api_wifi_pressure_value_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,396 :: 		pressure_value_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_pressure_value_data_size+0)
MOVT	R0, #hi_addr(api_wifi_pressure_value_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,397 :: 		}
L_getData61:
;api_wifi.c,405 :: 		}
L_getData56:
;api_wifi.c,411 :: 		p_startPtr = strstr( p_endPtr + 1, "weather number" );
MOVW	R1, #lo_addr(?lstr18_api_wifi+0)
MOVT	R1, #hi_addr(?lstr18_api_wifi+0)
LDR	R0, [SP, #8]
ADDS	R0, R0, #1
BL	_strstr+0
; p_startPtr start address is: 16 (R4)
MOV	R4, R0
;api_wifi.c,413 :: 		if ( NULL != p_startPtr )
CMP	R0, #0
IT	EQ
BEQ	L__getData93
;api_wifi.c,415 :: 		p_startPtr = p_startPtr + strlen( "weather number" ) + 14;
MOVW	R0, #lo_addr(?lstr19_api_wifi+0)
MOVT	R0, #hi_addr(?lstr19_api_wifi+0)
BL	_strlen+0
ADDS	R0, R4, R0
; p_startPtr end address is: 16 (R4)
ADDW	R1, R0, #14
; p_startPtr start address is: 28 (R7)
MOV	R7, R1
;api_wifi.c,416 :: 		p_endPtr = strstr( ( char * ) p_startPtr, "\" " );
MOVW	R0, #lo_addr(?lstr20_api_wifi+0)
MOVT	R0, #hi_addr(?lstr20_api_wifi+0)
STR	R1, [SP, #4]
MOV	R1, R0
LDR	R0, [SP, #4]
BL	_strstr+0
STR	R0, [SP, #8]
;api_wifi.c,418 :: 		if ( NULL != p_endPtr )
CMP	R0, #0
IT	EQ
BEQ	L_getData63
;api_wifi.c,420 :: 		*p_endPtr = 0;
MOVS	R1, #0
LDR	R0, [SP, #8]
STRB	R1, [R0, #0]
;api_wifi.c,421 :: 		}
L_getData63:
;api_wifi.c,422 :: 		}
MOV	R3, R7
IT	AL
BAL	L_getData62
; p_startPtr end address is: 28 (R7)
L__getData93:
;api_wifi.c,413 :: 		if ( NULL != p_startPtr )
MOV	R3, R4
;api_wifi.c,422 :: 		}
L_getData62:
;api_wifi.c,430 :: 		if ( p_startPtr == NULL )
; p_startPtr start address is: 12 (R3)
CMP	R3, #0
IT	NE
BNE	L_getData64
; p_startPtr end address is: 12 (R3)
;api_wifi.c,439 :: 		weather_condition_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_weather_condition_buffer+0)
MOVT	R0, #hi_addr(api_wifi_weather_condition_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,440 :: 		weather_condition_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_weather_condition_data_size+0)
MOVT	R0, #hi_addr(api_wifi_weather_condition_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,441 :: 		}
IT	AL
BAL	L_getData65
L_getData64:
;api_wifi.c,451 :: 		if (( p_endPtr - p_startPtr ) <= WEATHER_CONDITION_BUFFER_SIZE )
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R0, R0, R3
CMP	R0, #60
IT	HI
BHI	L_getData66
;api_wifi.c,453 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
STRB	R1, [R0, #0]
; p_startPtr end address is: 12 (R3)
L_getData67:
; p_startPtr start address is: 12 (R3)
LDR	R0, [SP, #8]
SUB	R1, R0, R3
MOVW	R0, #lo_addr(api_wifi_i+0)
MOVT	R0, #hi_addr(api_wifi_i+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	HI
BHI	L_getData68
;api_wifi.c,455 :: 		weather_condition_buffer[ i ] = *( p_startPtr + i );
MOVW	R2, #lo_addr(api_wifi_i+0)
MOVT	R2, #hi_addr(api_wifi_i+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(api_wifi_weather_condition_buffer+0)
MOVT	R0, #hi_addr(api_wifi_weather_condition_buffer+0)
ADDS	R1, R0, R1
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R3, R0
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;api_wifi.c,453 :: 		for (i = 0; i <= ( p_endPtr - p_startPtr ); i++)
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
;api_wifi.c,456 :: 		}
IT	AL
BAL	L_getData67
L_getData68:
;api_wifi.c,458 :: 		weather_condition_data_size = ( p_endPtr - p_startPtr );
LDR	R0, [SP, #8]
SUB	R1, R0, R3
; p_startPtr end address is: 12 (R3)
MOVW	R0, #lo_addr(api_wifi_weather_condition_data_size+0)
MOVT	R0, #hi_addr(api_wifi_weather_condition_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,459 :: 		}
IT	AL
BAL	L_getData70
L_getData66:
;api_wifi.c,462 :: 		weather_condition_buffer[0] = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_weather_condition_buffer+0)
MOVT	R0, #hi_addr(api_wifi_weather_condition_buffer+0)
STRB	R1, [R0, #0]
;api_wifi.c,463 :: 		weather_condition_data_size = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(api_wifi_weather_condition_data_size+0)
MOVT	R0, #hi_addr(api_wifi_weather_condition_data_size+0)
STRB	R1, [R0, #0]
;api_wifi.c,464 :: 		}
L_getData70:
;api_wifi.c,472 :: 		}
L_getData65:
;api_wifi.c,480 :: 		return SUCCESS;
MOVS	R0, #0
;api_wifi.c,481 :: 		}
L_end_getData:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _getData
_createConnection:
;api_wifi.c,483 :: 		_i32 createConnection ( void )
SUB	SP, SP, #24
STR	LR, [SP, #0]
;api_wifi.c,487 :: 		_i16 sd = 0;
;api_wifi.c,488 :: 		_i16 AddrSize = 0;
;api_wifi.c,489 :: 		_i32 ret_val = 0;
;api_wifi.c,491 :: 		Addr.sin_family = SL_AF_INET;
MOVS	R0, #2
STRH	R0, [SP, #4]
;api_wifi.c,492 :: 		Addr.sin_port = sl_Htons( 80 );
MOVS	R0, #80
BL	_sl_Htons+0
STRH	R0, [SP, #6]
;api_wifi.c,493 :: 		Addr.sin_addr.s_addr = sl_Htonl( g_AppData.DestinationIP );
MOVW	R0, #lo_addr(_g_AppData+2624)
MOVT	R0, #hi_addr(_g_AppData+2624)
LDR	R0, [R0, #0]
BL	_sl_Htonl+0
STR	R0, [SP, #8]
;api_wifi.c,494 :: 		AddrSize = sizeof( SlSockAddrIn_t );
MOVS	R0, #16
SXTH	R0, R0
STRH	R0, [SP, #22]
;api_wifi.c,496 :: 		sd = sl_Socket( SL_AF_INET,SL_SOCK_STREAM, 0 );
MOVS	R2, #0
SXTH	R2, R2
MOVS	R1, #1
SXTH	R1, R1
MOVS	R0, #2
SXTH	R0, R0
BL	_sl_Socket+0
STRH	R0, [SP, #20]
;api_wifi.c,498 :: 		if ( sd < 0 )
CMP	R0, #0
IT	GE
BGE	L_createConnection71
;api_wifi.c,507 :: 		api_wifi_prerror( sd );
LDRSH	R0, [SP, #20]
BL	_api_wifi_prerror+0
;api_wifi.c,508 :: 		}
L_createConnection71:
;api_wifi.c,510 :: 		ret_val = sl_Connect( sd, ( SlSockAddr_t *)&Addr, AddrSize );
ADD	R0, SP, #4
LDRSH	R2, [SP, #22]
MOV	R1, R0
LDRSH	R0, [SP, #20]
BL	_sl_Connect+0
; ret_val start address is: 4 (R1)
SXTH	R1, R0
;api_wifi.c,512 :: 		if ( ret_val < 0 )
CMP	R1, #0
IT	GE
BGE	L_createConnection72
;api_wifi.c,521 :: 		api_wifi_prerror( ret_val );
SXTH	R0, R1
; ret_val end address is: 4 (R1)
BL	_api_wifi_prerror+0
;api_wifi.c,522 :: 		}
L_createConnection72:
;api_wifi.c,524 :: 		return sd;
LDRSH	R0, [SP, #20]
;api_wifi.c,525 :: 		}
L_end_createConnection:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of _createConnection
_getHostIP:
;api_wifi.c,527 :: 		_i32 getHostIP ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;api_wifi.c,533 :: 		strlen(g_AppData.HostName),
MOVW	R0, #lo_addr(_g_AppData+2560)
MOVT	R0, #hi_addr(_g_AppData+2560)
BL	_strlen+0
;api_wifi.c,534 :: 		&g_AppData.DestinationIP, SL_AF_INET
MOVS	R3, #2
MOVW	R2, #lo_addr(_g_AppData+2624)
MOVT	R2, #hi_addr(_g_AppData+2624)
;api_wifi.c,533 :: 		strlen(g_AppData.HostName),
UXTH	R1, R0
;api_wifi.c,532 :: 		g_AppData.HostName,
MOVW	R0, #lo_addr(_g_AppData+2560)
MOVT	R0, #hi_addr(_g_AppData+2560)
;api_wifi.c,534 :: 		&g_AppData.DestinationIP, SL_AF_INET
BL	_sl_NetAppDnsGetHostByName+0
;api_wifi.c,535 :: 		);
; status start address is: 0 (R0)
;api_wifi.c,536 :: 		api_wifi_prerror( status );
SXTH	R0, R0
; status end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,538 :: 		return SUCCESS;
MOVS	R0, #0
;api_wifi.c,539 :: 		}
L_end_getHostIP:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _getHostIP
_getWeather:
;api_wifi.c,541 :: 		_i32 getWeather ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;api_wifi.c,543 :: 		_i32 retVal = -1;
;api_wifi.c,545 :: 		strcpy( ( char * ) g_AppData.HostName, WEATHER_SERVER );
MOVW	R0, #lo_addr(?lstr21_api_wifi+0)
MOVT	R0, #hi_addr(?lstr21_api_wifi+0)
MOV	R1, R0
MOVW	R0, #lo_addr(_g_AppData+2560)
MOVT	R0, #hi_addr(_g_AppData+2560)
BL	_strcpy+0
;api_wifi.c,547 :: 		retVal = getHostIP( );
BL	_getHostIP+0
; retVal start address is: 4 (R1)
MOV	R1, R0
;api_wifi.c,549 :: 		if ( retVal < 0 )
CMP	R0, #0
IT	GE
BGE	L_getWeather73
;api_wifi.c,558 :: 		api_wifi_prerror( retVal );
SXTH	R0, R1
; retVal end address is: 4 (R1)
BL	_api_wifi_prerror+0
;api_wifi.c,559 :: 		}
L_getWeather73:
;api_wifi.c,561 :: 		g_AppData.SockID = createConnection( );
BL	_createConnection+0
MOVW	R1, #lo_addr(_g_AppData+2628)
MOVT	R1, #hi_addr(_g_AppData+2628)
STRH	R0, [R1, #0]
;api_wifi.c,562 :: 		api_wifi_prerror( g_AppData.SockID );
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,564 :: 		memset( g_AppData.CityName, 0x00, sizeof( g_AppData.CityName ) );
MOVS	R2, #32
SXTH	R2, R2
MOVS	R1, #0
MOVW	R0, #lo_addr(_g_AppData+2592)
MOVT	R0, #hi_addr(_g_AppData+2592)
BL	_memset+0
;api_wifi.c,565 :: 		memcpy( g_AppData.CityName, CITY_NAME, strlen( CITY_NAME ) );
MOVW	R0, #lo_addr(?lstr23_api_wifi+0)
MOVT	R0, #hi_addr(?lstr23_api_wifi+0)
BL	_strlen+0
MOVW	R1, #lo_addr(?lstr22_api_wifi+0)
MOVT	R1, #hi_addr(?lstr22_api_wifi+0)
SXTH	R2, R0
MOVW	R0, #lo_addr(_g_AppData+2592)
MOVT	R0, #hi_addr(_g_AppData+2592)
BL	_memcpy+0
;api_wifi.c,566 :: 		g_AppData.CityName[strlen( CITY_NAME )] = '\0';
MOVW	R0, #lo_addr(?lstr24_api_wifi+0)
MOVT	R0, #hi_addr(?lstr24_api_wifi+0)
BL	_strlen+0
MOVW	R1, #lo_addr(_g_AppData+2592)
MOVT	R1, #hi_addr(_g_AppData+2592)
ADDS	R1, R1, R0
MOVS	R0, #0
STRB	R0, [R1, #0]
;api_wifi.c,568 :: 		retVal = getData( );
BL	_getData+0
;api_wifi.c,569 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,572 :: 		retVal = sl_Close( g_AppData.SockID );
MOVW	R0, #lo_addr(_g_AppData+2628)
MOVT	R0, #hi_addr(_g_AppData+2628)
LDRSH	R0, [R0, #0]
BL	_sl_Close+0
; retVal start address is: 0 (R0)
;api_wifi.c,573 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,575 :: 		return 0;
MOVS	R0, #0
;api_wifi.c,576 :: 		}
L_end_getWeather:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _getWeather
_configureSimpleLinkToDefaultState:
;api_wifi.c,578 :: 		_i32 configureSimpleLinkToDefaultState ( void )
SUB	SP, SP, #76
STR	LR, [SP, #0]
;api_wifi.c,580 :: 		SlVersionFull ver = { 0 };
ADD	R11, SP, #8
ADD	R10, R11, #68
MOVW	R12, #lo_addr(?ICSconfigureSimpleLinkToDefaultState_ver_L0+0)
MOVT	R12, #hi_addr(?ICSconfigureSimpleLinkToDefaultState_ver_L0+0)
BL	___CC2DW+0
;api_wifi.c,581 :: 		_WlanRxFilterOperationCommandBuff_t RxFilterIdMask = { 0 };
;api_wifi.c,583 :: 		_u8           val = 1;
;api_wifi.c,584 :: 		_u8           configOpt = 0;
;api_wifi.c,585 :: 		_u8           configLen = 0;
;api_wifi.c,586 :: 		_u8           power = 0;
;api_wifi.c,587 :: 		_i32          retVal = -1;
;api_wifi.c,588 :: 		_i32          mode = -1;
;api_wifi.c,590 :: 		mode = sl_Start( 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
MOVS	R0, #0
BL	_sl_Start+0
; mode start address is: 0 (R0)
;api_wifi.c,591 :: 		api_wifi_prerror( mode );
STR	R0, [SP, #4]
SXTH	R0, R0
BL	_api_wifi_prerror+0
LDR	R0, [SP, #4]
;api_wifi.c,593 :: 		if ( ROLE_STA != mode )
CMP	R0, #0
IT	EQ
BEQ	L_configureSimpleLinkToDefaultState74
;api_wifi.c,595 :: 		if ( ROLE_AP == mode )
CMP	R0, #2
IT	NE
BNE	L_configureSimpleLinkToDefaultState75
; mode end address is: 0 (R0)
;api_wifi.c,597 :: 		while ( !IS_IP_ACQUIRED( g_Status ) )
L_configureSimpleLinkToDefaultState76:
MOVW	R0, #lo_addr(_g_Status+0)
MOVT	R0, #hi_addr(_g_Status+0)
LDR	R0, [R0, #0]
AND	R0, R0, #4
CMP	R0, #0
IT	NE
BNE	L_configureSimpleLinkToDefaultState77
;api_wifi.c,599 :: 		_SlNonOsMainLoopTask( );
BL	__SlNonOsMainLoopTask+0
;api_wifi.c,600 :: 		}
IT	AL
BAL	L_configureSimpleLinkToDefaultState76
L_configureSimpleLinkToDefaultState77:
;api_wifi.c,601 :: 		}
L_configureSimpleLinkToDefaultState75:
;api_wifi.c,603 :: 		retVal = sl_WlanSetMode( ROLE_STA );
MOVS	R0, #0
BL	_sl_WlanSetMode+0
; retVal start address is: 0 (R0)
;api_wifi.c,604 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,606 :: 		retVal = sl_Stop( SL_STOP_TIMEOUT );
MOVS	R0, #255
BL	_sl_Stop+0
; retVal start address is: 0 (R0)
;api_wifi.c,607 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,609 :: 		retVal = sl_Start( 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
MOVS	R0, #0
BL	_sl_Start+0
; retVal start address is: 0 (R0)
;api_wifi.c,610 :: 		api_wifi_prerror( retVal );
STR	R0, [SP, #4]
SXTH	R0, R0
BL	_api_wifi_prerror+0
LDR	R0, [SP, #4]
;api_wifi.c,612 :: 		if ( ROLE_STA != retVal )
CMP	R0, #0
IT	EQ
BEQ	L_configureSimpleLinkToDefaultState78
; retVal end address is: 0 (R0)
;api_wifi.c,614 :: 		api_wifi_prerror( DEVICE_NOT_IN_STATION_MODE );
MOVW	R0, #63536
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,615 :: 		}
L_configureSimpleLinkToDefaultState78:
;api_wifi.c,616 :: 		}
L_configureSimpleLinkToDefaultState74:
;api_wifi.c,618 :: 		configOpt = SL_DEVICE_GENERAL_VERSION;
MOVS	R0, #12
STRB	R0, [SP, #73]
;api_wifi.c,619 :: 		configLen = sizeof( ver );
MOVS	R0, #44
STRB	R0, [SP, #74]
;api_wifi.c,620 :: 		retVal = sl_DevGet( SL_DEVICE_GENERAL_CONFIGURATION, &configOpt, &configLen, ( _u8 * ) &ver );
ADD	R2, SP, #8
ADD	R1, SP, #74
ADD	R0, SP, #73
MOV	R3, R2
MOV	R2, R1
MOV	R1, R0
MOVS	R0, #1
BL	_sl_DevGet+0
;api_wifi.c,621 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,623 :: 		retVal = sl_WlanPolicySet( SL_POLICY_CONNECTION, SL_CONNECTION_POLICY( 1, 0, 0, 0, 1 ), NULL, 0 );
MOVS	R3, #0
MOVS	R2, #0
MOVS	R1, #17
MOVS	R0, #16
BL	_sl_WlanPolicySet+0
; retVal start address is: 0 (R0)
;api_wifi.c,624 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,626 :: 		retVal = sl_WlanProfileDel( 0xFF );
MOVS	R0, #255
SXTH	R0, R0
BL	_sl_WlanProfileDel+0
; retVal start address is: 0 (R0)
;api_wifi.c,627 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,629 :: 		retVal = sl_WlanDisconnect( );
BL	_sl_WlanDisconnect+0
; retVal start address is: 0 (R0)
;api_wifi.c,631 :: 		if ( 0 == retVal )
CMP	R0, #0
IT	NE
BNE	L_configureSimpleLinkToDefaultState79
; retVal end address is: 0 (R0)
;api_wifi.c,633 :: 		while ( IS_CONNECTED( g_Status ) )
L_configureSimpleLinkToDefaultState80:
MOVW	R0, #lo_addr(_g_Status+0)
MOVT	R0, #hi_addr(_g_Status+0)
LDR	R0, [R0, #0]
AND	R0, R0, #1
CMP	R0, #0
IT	EQ
BEQ	L_configureSimpleLinkToDefaultState81
;api_wifi.c,635 :: 		_SlNonOsMainLoopTask( );
BL	__SlNonOsMainLoopTask+0
;api_wifi.c,636 :: 		}
IT	AL
BAL	L_configureSimpleLinkToDefaultState80
L_configureSimpleLinkToDefaultState81:
;api_wifi.c,637 :: 		}
L_configureSimpleLinkToDefaultState79:
;api_wifi.c,639 :: 		retVal = sl_NetCfgSet( SL_IPV4_STA_P2P_CL_DHCP_ENABLE, 1, 1, &val );
ADD	R0, SP, #72
MOV	R3, R0
MOVS	R2, #1
MOVS	R1, #1
MOVS	R0, #4
BL	_sl_NetCfgSet+0
;api_wifi.c,640 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
BL	_api_wifi_prerror+0
;api_wifi.c,642 :: 		configOpt = SL_SCAN_POLICY( 0 );
MOVS	R0, #0
STRB	R0, [SP, #73]
;api_wifi.c,643 :: 		retVal = sl_WlanPolicySet( SL_POLICY_SCAN , configOpt, NULL, 0 );
MOVS	R3, #0
MOVS	R2, #0
MOVS	R1, #0
MOVS	R0, #32
BL	_sl_WlanPolicySet+0
; retVal start address is: 0 (R0)
;api_wifi.c,644 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,646 :: 		power = 0;
MOVS	R0, #0
STRB	R0, [SP, #75]
;api_wifi.c,647 :: 		retVal = sl_WlanSet( SL_WLAN_CFG_GENERAL_PARAM_ID, WLAN_GENERAL_PARAM_OPT_STA_TX_POWER, 1, ( _u8 * ) &power );
ADD	R0, SP, #75
MOV	R3, R0
MOVS	R2, #1
MOVS	R1, #10
MOVS	R0, #1
BL	_sl_WlanSet+0
; retVal start address is: 0 (R0)
;api_wifi.c,648 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,650 :: 		retVal = sl_WlanPolicySet( SL_POLICY_PM , SL_NORMAL_POLICY, NULL, 0 );
MOVS	R3, #0
MOVS	R2, #0
MOVS	R1, #0
MOVS	R0, #48
BL	_sl_WlanPolicySet+0
; retVal start address is: 0 (R0)
;api_wifi.c,651 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,653 :: 		retVal = sl_NetAppMDNSUnRegisterService( 0, 0 );
MOVS	R1, #0
MOVS	R0, #0
BL	_sl_NetAppMDNSUnRegisterService+0
; retVal start address is: 0 (R0)
;api_wifi.c,654 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,656 :: 		memset( RxFilterIdMask.FilterIdMask, 0xFF, 8 );
ADD	R0, SP, #52
MOVS	R2, #8
SXTH	R2, R2
MOVS	R1, #255
BL	_memset+0
;api_wifi.c,657 :: 		retVal = sl_WlanRxFilterSet( SL_REMOVE_RX_FILTER, ( _u8 * ) &RxFilterIdMask,
ADD	R0, SP, #52
;api_wifi.c,658 :: 		sizeof( _WlanRxFilterOperationCommandBuff_t ) );
MOVS	R2, #20
;api_wifi.c,657 :: 		retVal = sl_WlanRxFilterSet( SL_REMOVE_RX_FILTER, ( _u8 * ) &RxFilterIdMask,
MOV	R1, R0
MOVS	R0, #1
;api_wifi.c,658 :: 		sizeof( _WlanRxFilterOperationCommandBuff_t ) );
BL	_sl_WlanRxFilterSet+0
; retVal start address is: 0 (R0)
;api_wifi.c,659 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,661 :: 		retVal = sl_Stop( SL_STOP_TIMEOUT );
MOVS	R0, #255
BL	_sl_Stop+0
; retVal start address is: 0 (R0)
;api_wifi.c,662 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,664 :: 		retVal = initializeAppVariables( );
BL	_initializeAppVariables+0
; retVal start address is: 4 (R1)
MOV	R1, R0
;api_wifi.c,665 :: 		api_wifi_prerror( retVal );
STR	R1, [SP, #4]
SXTH	R0, R0
BL	_api_wifi_prerror+0
LDR	R1, [SP, #4]
;api_wifi.c,667 :: 		return retVal;
MOV	R0, R1
; retVal end address is: 4 (R1)
;api_wifi.c,668 :: 		}
L_end_configureSimpleLinkToDefaultState:
LDR	LR, [SP, #0]
ADD	SP, SP, #76
BX	LR
; end of _configureSimpleLinkToDefaultState
_establishConnectionWithAP:
;api_wifi.c,670 :: 		_i32 establishConnectionWithAP ( void )
SUB	SP, SP, #28
STR	LR, [SP, #0]
;api_wifi.c,672 :: 		SlSecParams_t secParams = { 0 };
ADD	R11, SP, #8
ADD	R10, R11, #12
MOVW	R12, #lo_addr(?ICSestablishConnectionWithAP_secParams_L0+0)
MOVT	R12, #hi_addr(?ICSestablishConnectionWithAP_secParams_L0+0)
BL	___CC2DW+0
;api_wifi.c,674 :: 		_i32 retVal = 0;
;api_wifi.c,676 :: 		secParams.Key = PASSKEY;
MOVW	R0, #lo_addr(?lstr25_api_wifi+0)
MOVT	R0, #hi_addr(?lstr25_api_wifi+0)
STR	R0, [SP, #12]
;api_wifi.c,677 :: 		secParams.KeyLen = PASSKEY_LEN;
MOVW	R0, #lo_addr(?lstr26_api_wifi+0)
MOVT	R0, #hi_addr(?lstr26_api_wifi+0)
BL	_strlen+0
STRB	R0, [SP, #16]
;api_wifi.c,678 :: 		secParams.Type = SEC_TYPE;
MOVS	R0, #2
STRB	R0, [SP, #8]
;api_wifi.c,680 :: 		retVal = sl_WlanConnect( SSID_NAME, strlen( SSID_NAME ), 0, &secParams, 0 );
MOVS	R0, #0
STR	R0, [SP, #24]
ADD	R0, SP, #8
STR	R0, [SP, #20]
MOVW	R0, #lo_addr(?lstr28_api_wifi+0)
MOVT	R0, #hi_addr(?lstr28_api_wifi+0)
BL	_strlen+0
MOVW	R3, #lo_addr(?lstr_27_api_wifi+0)
MOVT	R3, #hi_addr(?lstr_27_api_wifi+0)
LDR	R2, [SP, #24]
LDR	R1, [SP, #20]
PUSH	(R2)
STRH	R0, [SP, #8]
MOVS	R2, #0
MOV	R0, R3
MOV	R3, R1
LDRSH	R1, [SP, #8]
BL	_sl_WlanConnect+0
ADD	SP, SP, #4
; retVal start address is: 0 (R0)
;api_wifi.c,681 :: 		api_wifi_prerror( retVal );
SXTH	R0, R0
; retVal end address is: 0 (R0)
BL	_api_wifi_prerror+0
;api_wifi.c,683 :: 		while ( ( !IS_CONNECTED( g_Status ) ) || ( !IS_IP_ACQUIRED( g_Status ) ) )
L_establishConnectionWithAP82:
MOVW	R0, #lo_addr(_g_Status+0)
MOVT	R0, #hi_addr(_g_Status+0)
LDR	R0, [R0, #0]
AND	R0, R0, #1
CMP	R0, #0
IT	EQ
BEQ	L__establishConnectionWithAP96
MOVW	R0, #lo_addr(_g_Status+0)
MOVT	R0, #hi_addr(_g_Status+0)
LDR	R0, [R0, #0]
AND	R0, R0, #4
CMP	R0, #0
IT	EQ
BEQ	L__establishConnectionWithAP95
IT	AL
BAL	L_establishConnectionWithAP83
L__establishConnectionWithAP96:
L__establishConnectionWithAP95:
;api_wifi.c,685 :: 		_SlNonOsMainLoopTask( );
BL	__SlNonOsMainLoopTask+0
;api_wifi.c,686 :: 		}
IT	AL
BAL	L_establishConnectionWithAP82
L_establishConnectionWithAP83:
;api_wifi.c,688 :: 		return SUCCESS;
MOVS	R0, #0
;api_wifi.c,689 :: 		}
L_end_establishConnectionWithAP:
LDR	LR, [SP, #0]
ADD	SP, SP, #28
BX	LR
; end of _establishConnectionWithAP
_disconnectFromAP:
;api_wifi.c,691 :: 		_i32 disconnectFromAP ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;api_wifi.c,693 :: 		_i32 retVal = -1;
;api_wifi.c,695 :: 		retVal = sl_WlanDisconnect( );
BL	_sl_WlanDisconnect+0
; retVal start address is: 0 (R0)
;api_wifi.c,697 :: 		if ( 0 == retVal )
CMP	R0, #0
IT	NE
BNE	L_disconnectFromAP86
; retVal end address is: 0 (R0)
;api_wifi.c,699 :: 		while ( IS_CONNECTED( g_Status ) )
L_disconnectFromAP87:
MOVW	R0, #lo_addr(_g_Status+0)
MOVT	R0, #hi_addr(_g_Status+0)
LDR	R0, [R0, #0]
AND	R0, R0, #1
CMP	R0, #0
IT	EQ
BEQ	L_disconnectFromAP88
;api_wifi.c,701 :: 		_SlNonOsMainLoopTask( );
BL	__SlNonOsMainLoopTask+0
;api_wifi.c,702 :: 		}
IT	AL
BAL	L_disconnectFromAP87
L_disconnectFromAP88:
;api_wifi.c,703 :: 		}
L_disconnectFromAP86:
;api_wifi.c,705 :: 		return SUCCESS;
MOVS	R0, #0
;api_wifi.c,706 :: 		}
L_end_disconnectFromAP:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _disconnectFromAP
_initializeAppVariables:
;api_wifi.c,708 :: 		_i32 initializeAppVariables ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;api_wifi.c,710 :: 		g_Status = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_g_Status+0)
MOVT	R0, #hi_addr(_g_Status+0)
STR	R1, [R0, #0]
;api_wifi.c,712 :: 		memset( &g_AppData, 0, sizeof( g_AppData ) );
MOVW	R2, #2632
SXTH	R2, R2
MOVS	R1, #0
MOVW	R0, #lo_addr(_g_AppData+0)
MOVT	R0, #hi_addr(_g_AppData+0)
BL	_memset+0
;api_wifi.c,714 :: 		return SUCCESS;
MOVS	R0, #0
;api_wifi.c,715 :: 		}
L_end_initializeAppVariables:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _initializeAppVariables
