device_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of device_Write_to_Data_Lines
device_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	device_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_Set_Index
device_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	device_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_Write_Command
device_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	device_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_Write_Data
device_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(device_Write_Data+0)
MOVT	R2, #hi_addr(device_Write_Data+0)
MOVW	R1, #lo_addr(device_Write_Command+0)
MOVT	R1, #hi_addr(device_Write_Command+0)
MOVW	R0, #lo_addr(device_Set_Index+0)
MOVT	R0, #hi_addr(device_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_display_init
device_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_device_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_device_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_device_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_device_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_device_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_device_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_device_hal_touch_init0
L_device_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_device_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_device_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_touch_init
device_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_console_init
device_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_power_init
device_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_microsd_init
device_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_flash_init
device_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_rf_init
device_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_mp3_init
device_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_device_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_device_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_device_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_device_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_accel_init
device_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_wifi_init
device_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of device_hal_buzzer_init
device_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_device_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_device_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_device_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_device_hal_rtc_init13
IT	AL
BAL	L_device_hal_rtc_init12
L_device_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_device_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_device_hal_rtc_init15
IT	AL
BAL	L_device_hal_rtc_init14
L_device_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of device_hal_rtc_init
device_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of device_hal_shuttle_init
__sl_GetStartResponseConvert:
;device.c,67 :: 		_i16 _sl_GetStartResponseConvert( _u32 Status )
; Status start address is: 0 (R0)
; Status end address is: 0 (R0)
; Status start address is: 0 (R0)
;device.c,69 :: 		return ( _i16 )StartResponseLUT[Status & 0x7];
AND	R2, R0, #7
; Status end address is: 0 (R0)
MOVW	R1, #lo_addr(_StartResponseLUT+0)
MOVT	R1, #hi_addr(_StartResponseLUT+0)
ADDS	R1, R1, R2
LDRSB	R1, [R1, #0]
SXTH	R0, R1
;device.c,70 :: 		}
L_end__sl_GetStartResponseConvert:
BX	LR
; end of __sl_GetStartResponseConvert
_sl_Task:
;device.c,82 :: 		void sl_Task( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;device.c,85 :: 		_SlTaskEntry();
BL	__SlNonOsMainLoopTask+0
;device.c,87 :: 		}
L_end_sl_Task:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_Task
_sl_Start:
;device.c,95 :: 		const P_INIT_CALLBACK pInitCallBack )
; pIfHdl start address is: 0 (R0)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STR	R1, [SP, #12]
STR	R2, [SP, #16]
; pIfHdl end address is: 0 (R0)
; pIfHdl start address is: 0 (R0)
;device.c,97 :: 		_i16 ObjIdx = MAX_CONCURRENT_ACTIONS;
;device.c,104 :: 		_SlDrvDriverCBInit();
STR	R0, [SP, #4]
BL	__SlDrvDriverCBInit+0
LDR	R0, [SP, #4]
;device.c,107 :: 		if ( NULL == pIfHdl )
CMP	R0, #0
IT	NE
BNE	L_sl_Start16
; pIfHdl end address is: 0 (R0)
;device.c,108 :: 		g_pCB->FD = sl_IfOpen( ( void * )pDevName, 0 );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
STR	R3, [SP, #28]
MOVS	R1, #0
LDR	R0, [SP, #12]
BL	_bsp_wifi_device_open+0
LDR	R3, [SP, #28]
STRH	R0, [R3, #0]
IT	AL
BAL	L_sl_Start17
L_sl_Start16:
;device.c,110 :: 		g_pCB->FD = ( _SlFd_t )pIfHdl; //TODO: Check types
; pIfHdl start address is: 0 (R0)
SXTH	R4, R0
; pIfHdl end address is: 0 (R0)
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
STRH	R4, [R3, #0]
L_sl_Start17:
;device.c,112 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, START_STOP_ID,
ADD	R3, SP, #8
;device.c,113 :: 		SL_MAX_SOCKETS );
MOVS	R2, #8
;device.c,112 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, START_STOP_ID,
MOVS	R1, #14
MOV	R0, R3
;device.c,113 :: 		SL_MAX_SOCKETS );
BL	__SlDrvProtectAsyncRespSetting+0
STRH	R0, [SP, #20]
;device.c,115 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
LDRSH	R3, [SP, #20]
CMP	R3, #10
IT	NE
BNE	L_sl_Start18
;device.c,116 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Start
L_sl_Start18:
;device.c,118 :: 		if( g_pCB->FD >= ( _SlFd_t )0 )
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
LDRSH	R3, [R3, #0]
CMP	R3, #0
IT	LT
BLT	L_sl_Start19
;device.c,120 :: 		sl_DeviceDisable();
BL	_bsp_wifi_device_disable+0
;device.c,122 :: 		sl_IfRegIntHdlr( ( SL_P_EVENT_HANDLER )_SlDrvRxIrqHandler, NULL );
MOVS	R1, #0
MOVW	R0, #lo_addr(__SlDrvRxIrqHandler+0)
MOVT	R0, #hi_addr(__SlDrvRxIrqHandler+0)
BL	_bsp_wifi_driver_set_handler+0
;device.c,124 :: 		g_pCB->pInitCallback = pInitCallBack;
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDW	R4, R3, #8
LDR	R3, [SP, #16]
STR	R3, [R4, #0]
;device.c,125 :: 		sl_DeviceEnable();
BL	_bsp_wifi_device_enable+0
;device.c,127 :: 		if ( NULL == pInitCallBack )
LDR	R3, [SP, #16]
CMP	R3, #0
IT	NE
BNE	L_sl_Start20
;device.c,129 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDW	R5, R3, #12
LDRSH	R4, [SP, #20]
MOVS	R3, #12
MULS	R3, R4, R3
ADDS	R3, R5, R3
MOV	R0, R3
BL	__SlDrvSyncObjWaitForever+0
;device.c,132 :: 		_SlDrvReleasePoolObj( g_pCB->FunctionParams.AsyncExt.ActionIndex );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDS	R3, #152
ADDS	R3, #12
ADDS	R3, R3, #4
LDRB	R3, [R3, #0]
UXTB	R0, R3
BL	__SlDrvReleasePoolObj+0
;device.c,133 :: 		return _sl_GetStartResponseConvert( AsyncRsp.Status );
LDR	R0, [SP, #8]
BL	__sl_GetStartResponseConvert+0
IT	AL
BAL	L_end_sl_Start
;device.c,134 :: 		}
L_sl_Start20:
;device.c,136 :: 		return SL_RET_CODE_OK;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Start
;device.c,137 :: 		}
L_sl_Start19:
;device.c,138 :: 		return SL_BAD_INTERFACE;
MOVW	R0, #63532
SXTH	R0, R0
;device.c,139 :: 		}
L_end_sl_Start:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _sl_Start
__sl_HandleAsync_InitComplete:
;device.c,146 :: 		void _sl_HandleAsync_InitComplete( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;device.c,148 :: 		InitComplete_t     *pMsgArgs   = ( InitComplete_t * )_SL_RESP_ARGS_START(
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;device.c,151 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;device.c,153 :: 		if( g_pCB->pInitCallback )
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
ADDS	R1, #8
LDR	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L__sl_HandleAsync_InitComplete22
;device.c,154 :: 		g_pCB->pInitCallback( _sl_GetStartResponseConvert( pMsgArgs->Status ) );
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
ADDS	R1, #8
LDR	R1, [R1, #0]
STR	R1, [SP, #8]
LDR	R1, [R0, #0]
; pMsgArgs end address is: 0 (R0)
MOV	R0, R1
BL	__sl_GetStartResponseConvert+0
LDR	R4, [SP, #8]
BLX	R4
IT	AL
BAL	L__sl_HandleAsync_InitComplete23
L__sl_HandleAsync_InitComplete22:
;device.c,158 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
; pMsgArgs start address is: 0 (R0)
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;device.c,159 :: 		pMsgArgs, sizeof( InitComplete_t ) );
MOVS	R2, #4
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;device.c,158 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;device.c,159 :: 		pMsgArgs, sizeof( InitComplete_t ) );
BL	_memcpy+0
;device.c,161 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;device.c,162 :: 		}
L__sl_HandleAsync_InitComplete23:
;device.c,164 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;device.c,166 :: 		if( g_pCB->pInitCallback )
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
ADDS	R1, #8
LDR	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L__sl_HandleAsync_InitComplete24
;device.c,167 :: 		_SlDrvReleasePoolObj( g_pCB->FunctionParams.AsyncExt.ActionIndex );
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R1, [R1, #0]
UXTB	R0, R1
BL	__SlDrvReleasePoolObj+0
L__sl_HandleAsync_InitComplete24:
;device.c,169 :: 		}
L_end__sl_HandleAsync_InitComplete:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __sl_HandleAsync_InitComplete
__sl_HandleAsync_Stop:
;device.c,175 :: 		void _sl_HandleAsync_Stop( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;device.c,177 :: 		_BasicResponse_t     *pMsgArgs   = ( _BasicResponse_t * )_SL_RESP_ARGS_START(
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;device.c,182 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;device.c,185 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;device.c,186 :: 		pMsgArgs, sizeof( _BasicResponse_t ) );
MOVS	R2, #4
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;device.c,185 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;device.c,186 :: 		pMsgArgs, sizeof( _BasicResponse_t ) );
BL	_memcpy+0
;device.c,189 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;device.c,190 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;device.c,192 :: 		return;
;device.c,193 :: 		}
L_end__sl_HandleAsync_Stop:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Stop
_sl_Stop:
;device.c,213 :: 		_i16 sl_Stop( const _u16 timeout )
; timeout start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
; timeout end address is: 0 (R0)
; timeout start address is: 0 (R0)
;device.c,215 :: 		_i16 RetVal = 0;
MOVW	R1, #0
STRH	R1, [SP, #12]
;device.c,218 :: 		_i8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;device.c,220 :: 		if( 0 == timeout )
CMP	R0, #0
IT	NE
BNE	L_sl_Stop25
; timeout end address is: 0 (R0)
;device.c,222 :: 		sl_IfRegIntHdlr( NULL, NULL );
MOVS	R1, #0
MOVS	R0, #0
BL	_bsp_wifi_driver_set_handler+0
;device.c,223 :: 		sl_DeviceDisable();
BL	_bsp_wifi_device_disable+0
;device.c,224 :: 		RetVal = sl_IfClose( g_pCB->FD );
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
LDRSH	R1, [R1, #0]
UXTH	R1, R1
UXTH	R0, R1
BL	_bsp_wifi_device_close+0
STRH	R0, [SP, #12]
;device.c,226 :: 		}
IT	AL
BAL	L_sl_Stop26
L_sl_Stop25:
;device.c,230 :: 		Msg.Cmd.Timeout = timeout;
; timeout start address is: 0 (R0)
STRH	R0, [SP, #4]
; timeout end address is: 0 (R0)
;device.c,232 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, START_STOP_ID,
ADD	R1, SP, #8
;device.c,233 :: 		SL_MAX_SOCKETS );
MOVS	R2, #8
;device.c,232 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, START_STOP_ID,
MOV	R0, R1
MOVS	R1, #14
;device.c,233 :: 		SL_MAX_SOCKETS );
BL	__SlDrvProtectAsyncRespSetting+0
STRB	R0, [SP, #14]
;device.c,234 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
SXTB	R1, R0
CMP	R1, #10
IT	NE
BNE	L_sl_Stop27
;device.c,235 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Stop
L_sl_Stop27:
;device.c,237 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlStopCmdCtrl, &Msg, NULL ) );
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlStopCmdCtrl+0)
MOVT	R0, #hi_addr(__SlStopCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Stop28
L_sl_Stop29:
IT	AL
BAL	L_sl_Stop29
L_sl_Stop28:
;device.c,239 :: 		if( SL_OS_RET_CODE_OK == ( _i16 )Msg.Rsp.status )
LDRSH	R1, [SP, #4]
CMP	R1, #0
IT	NE
BNE	L_sl_Stop31
;device.c,241 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
ADDW	R3, R1, #12
LDRSB	R2, [SP, #14]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjWaitForever+0
;device.c,242 :: 		Msg.Rsp.status = AsyncRsp.status;
LDRSH	R1, [SP, #8]
STRH	R1, [SP, #4]
;device.c,243 :: 		RetVal = Msg.Rsp.status;
LDRSH	R1, [SP, #8]
STRH	R1, [SP, #12]
;device.c,244 :: 		}
L_sl_Stop31:
;device.c,246 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRSB	R0, [SP, #14]
BL	__SlDrvReleasePoolObj+0
;device.c,247 :: 		sl_IfRegIntHdlr( NULL, NULL );
MOVS	R1, #0
MOVS	R0, #0
BL	_bsp_wifi_driver_set_handler+0
;device.c,248 :: 		sl_DeviceDisable();
BL	_bsp_wifi_device_disable+0
;device.c,249 :: 		sl_IfClose( g_pCB->FD );
MOVW	R1, #lo_addr(_g_pCB+0)
MOVT	R1, #hi_addr(_g_pCB+0)
LDR	R1, [R1, #0]
LDRSH	R1, [R1, #0]
UXTH	R1, R1
UXTH	R0, R1
BL	_bsp_wifi_device_close+0
;device.c,250 :: 		}
L_sl_Stop26:
;device.c,251 :: 		_SlDrvDriverCBDeinit();
BL	__SlDrvDriverCBDeinit+0
;device.c,253 :: 		return RetVal;
LDRSH	R0, [SP, #12]
;device.c,254 :: 		}
L_end_sl_Stop:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _sl_Stop
_sl_EventMaskSet:
;device.c,280 :: 		_i16 sl_EventMaskSet( const _u8 EventClass , const _u32 Mask )
; Mask start address is: 4 (R1)
; EventClass start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; Mask end address is: 4 (R1)
; EventClass end address is: 0 (R0)
; EventClass start address is: 0 (R0)
; Mask start address is: 4 (R1)
;device.c,284 :: 		Msg.Cmd.group = EventClass;
STR	R0, [SP, #4]
; EventClass end address is: 0 (R0)
;device.c,285 :: 		Msg.Cmd.mask = Mask;
STR	R1, [SP, #8]
; Mask end address is: 4 (R1)
;device.c,287 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlEventMaskSetCmdCtrl, &Msg,
ADD	R2, SP, #4
MOV	R1, R2
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlEventMaskSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlEventMaskSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_EventMaskSet32
L_sl_EventMaskSet33:
IT	AL
BAL	L_sl_EventMaskSet33
L_sl_EventMaskSet32:
;device.c,290 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;device.c,291 :: 		}
L_end_sl_EventMaskSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _sl_EventMaskSet
_sl_EventMaskGet:
;device.c,315 :: 		_i16 sl_EventMaskGet( const _u8 EventClass, _u32 *pMask )
; EventClass start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R1, [SP, #12]
; EventClass end address is: 0 (R0)
; EventClass start address is: 0 (R0)
;device.c,319 :: 		Msg.Cmd.group = EventClass;
STR	R0, [SP, #4]
; EventClass end address is: 0 (R0)
;device.c,321 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlEventMaskGetCmdCtrl, &Msg,
ADD	R2, SP, #4
MOV	R1, R2
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlEventMaskGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlEventMaskGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_EventMaskGet35
L_sl_EventMaskGet36:
IT	AL
BAL	L_sl_EventMaskGet36
L_sl_EventMaskGet35:
;device.c,324 :: 		*pMask = Msg.Rsp.mask;
LDR	R3, [SP, #8]
LDR	R2, [SP, #12]
STR	R3, [R2, #0]
;device.c,325 :: 		return SL_RET_CODE_OK;
MOVS	R0, #0
SXTH	R0, R0
;device.c,326 :: 		}
L_end_sl_EventMaskGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _sl_EventMaskGet
_sl_DevGet:
;device.c,353 :: 		_u8 *pValues )
; pValues start address is: 12 (R3)
; pConfigLen start address is: 8 (R2)
; pOption start address is: 4 (R1)
; DeviceGetId start address is: 0 (R0)
SUB	SP, SP, #44
STR	LR, [SP, #0]
; pValues end address is: 12 (R3)
; pConfigLen end address is: 8 (R2)
; pOption end address is: 4 (R1)
; DeviceGetId end address is: 0 (R0)
; DeviceGetId start address is: 0 (R0)
; pOption start address is: 4 (R1)
; pConfigLen start address is: 8 (R2)
; pValues start address is: 12 (R3)
;device.c,358 :: 		if ( *pConfigLen == 0 )
LDRB	R4, [R2, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_DevGet38
; DeviceGetId end address is: 0 (R0)
; pOption end address is: 4 (R1)
; pConfigLen end address is: 8 (R2)
; pValues end address is: 12 (R3)
;device.c,359 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
MOVT	R0, #65535
IT	AL
BAL	L_end_sl_DevGet
L_sl_DevGet38:
;device.c,361 :: 		if( pOption )
; pValues start address is: 12 (R3)
; pConfigLen start address is: 8 (R2)
; pOption start address is: 4 (R1)
; DeviceGetId start address is: 0 (R0)
CMP	R1, #0
IT	EQ
BEQ	L_sl_DevGet39
;device.c,364 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #28
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STR	R1, [SP, #12]
STRB	R0, [SP, #16]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #16]
LDR	R1, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;device.c,365 :: 		CmdExt.RxPayloadLen = *pConfigLen;
LDRB	R4, [R2, #0]
STRH	R4, [SP, #30]
;device.c,366 :: 		CmdExt.pRxPayload = ( _u8 * )pValues;
STR	R3, [SP, #40]
; pValues end address is: 12 (R3)
;device.c,368 :: 		Msg.Cmd.DeviceSetId = DeviceGetId;
STRH	R0, [SP, #22]
; DeviceGetId end address is: 0 (R0)
;device.c,370 :: 		Msg.Cmd.Option   = ( _u16 ) * pOption;
LDRB	R4, [R1, #0]
STRH	R4, [SP, #24]
;device.c,372 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlDeviceGetCmdCtrl, &Msg,
ADD	R5, SP, #28
ADD	R4, SP, #20
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlDeviceGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlDeviceGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_DevGet40
; pOption end address is: 4 (R1)
; pConfigLen end address is: 8 (R2)
L_sl_DevGet41:
IT	AL
BAL	L_sl_DevGet41
L_sl_DevGet40:
;device.c,375 :: 		if( pOption )
; pConfigLen start address is: 8 (R2)
; pOption start address is: 4 (R1)
CMP	R1, #0
IT	EQ
BEQ	L_sl_DevGet43
;device.c,376 :: 		*pOption = ( _u8 )Msg.Rsp.Option;
LDRB	R4, [SP, #24]
STRB	R4, [R1, #0]
; pOption end address is: 4 (R1)
L_sl_DevGet43:
;device.c,378 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
LDRSH	R5, [SP, #32]
LDRSH	R4, [SP, #30]
CMP	R4, R5
IT	GE
BGE	L_sl_DevGet44
;device.c,380 :: 		*pConfigLen = ( _u8 )CmdExt.RxPayloadLen;
LDRB	R4, [SP, #30]
STRB	R4, [R2, #0]
; pConfigLen end address is: 8 (R2)
;device.c,381 :: 		return SL_ESMALLBUF;
MVN	R0, #2000
IT	AL
BAL	L_end_sl_DevGet
;device.c,382 :: 		}
L_sl_DevGet44:
;device.c,384 :: 		*pConfigLen = ( _u8 )CmdExt.ActualRxPayloadLen;
; pConfigLen start address is: 8 (R2)
LDRB	R4, [SP, #32]
STRB	R4, [R2, #0]
; pConfigLen end address is: 8 (R2)
;device.c,386 :: 		return ( _i16 )Msg.Rsp.Status;
LDRSH	R0, [SP, #20]
IT	AL
BAL	L_end_sl_DevGet
;device.c,387 :: 		}
L_sl_DevGet39:
;device.c,389 :: 		return -1;
MOV	R0, #-1
;device.c,390 :: 		}
L_end_sl_DevGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_DevGet
_sl_DevSet:
;device.c,414 :: 		const _u8 *pValues )
; ConfigLen start address is: 8 (R2)
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRB	R0, [SP, #32]
UXTB	R0, R2
STRB	R1, [SP, #36]
STR	R3, [SP, #40]
; ConfigLen end address is: 8 (R2)
; ConfigLen start address is: 0 (R0)
;device.c,420 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
STRB	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;device.c,422 :: 		CmdExt.TxPayloadLen = ( ConfigLen + 3 ) & ( ~3 );
ADDS	R5, R0, #3
SXTH	R5, R5
MOVW	R4, #65532
SXTH	R4, R4
AND	R4, R5, R4, LSL #0
STRH	R4, [SP, #16]
;device.c,423 :: 		CmdExt.pTxPayload = ( _u8 * )pValues;
LDR	R4, [SP, #40]
STR	R4, [SP, #24]
;device.c,425 :: 		Msg.Cmd.DeviceSetId    = DeviceSetId;
LDRB	R4, [SP, #32]
STRH	R4, [SP, #10]
;device.c,426 :: 		Msg.Cmd.ConfigLen   = ConfigLen;
STRH	R0, [SP, #14]
; ConfigLen end address is: 0 (R0)
;device.c,427 :: 		Msg.Cmd.Option   = Option;
LDRB	R4, [SP, #36]
STRH	R4, [SP, #12]
;device.c,429 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlDeviceSetCmdCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlDeviceSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlDeviceSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_DevSet47
L_sl_DevSet48:
IT	AL
BAL	L_sl_DevSet48
L_sl_DevSet47:
;device.c,432 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;device.c,433 :: 		}
L_end_sl_DevSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_DevSet
__SlDrvDeviceEventHandler:
;device.c,440 :: 		void _SlDrvDeviceEventHandler( void *pArgs )
; pArgs start address is: 0 (R0)
SUB	SP, SP, #32
STR	LR, [SP, #0]
; pArgs end address is: 0 (R0)
; pArgs start address is: 0 (R0)
;device.c,442 :: 		_SlResponseHeader_t      *pHdr       = ( _SlResponseHeader_t * )pArgs;
; pHdr start address is: 12 (R3)
MOV	R3, R0
;device.c,444 :: 		switch( pHdr->GenHeader.Opcode )
MOV	R1, R0
STR	R1, [SP, #28]
IT	AL
BAL	L__SlDrvDeviceEventHandler50
; pArgs end address is: 0 (R0)
;device.c,446 :: 		case SL_OPCODE_DEVICE_INITCOMPLETE:
L__SlDrvDeviceEventHandler52:
;device.c,447 :: 		_sl_HandleAsync_InitComplete( pHdr );
MOV	R0, R3
; pHdr end address is: 12 (R3)
BL	__sl_HandleAsync_InitComplete+0
;device.c,448 :: 		break;
IT	AL
BAL	L__SlDrvDeviceEventHandler51
;device.c,449 :: 		case SL_OPCODE_DEVICE_STOP_ASYNC_RESPONSE:
L__SlDrvDeviceEventHandler53:
;device.c,450 :: 		_sl_HandleAsync_Stop( pHdr );
; pHdr start address is: 12 (R3)
MOV	R0, R3
; pHdr end address is: 12 (R3)
BL	__sl_HandleAsync_Stop+0
;device.c,451 :: 		break;
IT	AL
BAL	L__SlDrvDeviceEventHandler51
;device.c,454 :: 		case SL_OPCODE_DEVICE_ABORT:
L__SlDrvDeviceEventHandler54:
;device.c,458 :: 		devHandler.Event = SL_DEVICE_ABORT_ERROR_EVENT;
; pArgs start address is: 0 (R0)
MOVS	R1, #2
STR	R1, [SP, #4]
;device.c,459 :: 		devHandler.EventData.deviceReport.AbortType = *( ( _u32 * )pArgs + 2 );
ADDW	R1, R0, #8
LDR	R1, [R1, #0]
STR	R1, [SP, #8]
;device.c,460 :: 		devHandler.EventData.deviceReport.AbortData = *( ( _u32 * )pArgs + 3 );
ADDW	R1, R0, #12
; pArgs end address is: 0 (R0)
LDR	R1, [R1, #0]
STR	R1, [SP, #12]
;device.c,461 :: 		_SlDrvHandleGeneralEvents( &devHandler );
ADD	R1, SP, #4
MOV	R0, R1
BL	_api_wifi_general_event_handler+0
;device.c,464 :: 		break;
IT	AL
BAL	L__SlDrvDeviceEventHandler51
;device.c,466 :: 		case  SL_OPCODE_DEVICE_DEVICEASYNCFATALERROR:
L__SlDrvDeviceEventHandler55:
;device.c,469 :: 		_BasicResponse_t     *pMsgArgs   = ( _BasicResponse_t * )_SL_RESP_ARGS_START(
; pHdr start address is: 12 (R3)
ADDW	R2, R3, #8
; pHdr end address is: 12 (R3)
;device.c,472 :: 		devHandler.Event = SL_DEVICE_FATAL_ERROR_EVENT;
MOVS	R1, #1
STR	R1, [SP, #16]
;device.c,473 :: 		devHandler.EventData.deviceEvent.status = pMsgArgs->status & 0xFF;
LDRSH	R1, [R2, #0]
AND	R1, R1, #255
STRB	R1, [SP, #20]
;device.c,475 :: 		pMsgArgs->status >> 8 ) & 0xFF );
LDRSH	R1, [R2, #0]
ASRS	R1, R1, #8
SXTH	R1, R1
AND	R1, R1, #255
UXTB	R1, R1
STRB	R1, [SP, #21]
;device.c,476 :: 		_SlDrvHandleGeneralEvents( &devHandler );
ADD	R1, SP, #16
MOV	R0, R1
BL	_api_wifi_general_event_handler+0
;device.c,479 :: 		break;
IT	AL
BAL	L__SlDrvDeviceEventHandler51
;device.c,480 :: 		default:
L__SlDrvDeviceEventHandler56:
;device.c,484 :: 		}
IT	AL
BAL	L__SlDrvDeviceEventHandler51
L__SlDrvDeviceEventHandler50:
; pHdr start address is: 12 (R3)
; pArgs start address is: 0 (R0)
LDR	R2, [SP, #28]
LDRH	R1, [R2, #0]
CMP	R1, #8
IT	EQ
BEQ	L__SlDrvDeviceEventHandler52
LDRH	R1, [R2, #0]
CMP	R1, #115
IT	EQ
BEQ	L__SlDrvDeviceEventHandler53
LDRH	R1, [R2, #0]
CMP	R1, #12
IT	EQ
BEQ	L__SlDrvDeviceEventHandler54
; pArgs end address is: 0 (R0)
LDRH	R1, [R2, #0]
CMP	R1, #120
IT	EQ
BEQ	L__SlDrvDeviceEventHandler55
; pHdr end address is: 12 (R3)
IT	AL
BAL	L__SlDrvDeviceEventHandler56
L__SlDrvDeviceEventHandler51:
;device.c,485 :: 		}
L_end__SlDrvDeviceEventHandler:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of __SlDrvDeviceEventHandler
