fs_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of fs_Write_to_Data_Lines
fs_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	fs_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_Set_Index
fs_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	fs_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_Write_Command
fs_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	fs_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_Write_Data
fs_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(fs_Write_Data+0)
MOVT	R2, #hi_addr(fs_Write_Data+0)
MOVW	R1, #lo_addr(fs_Write_Command+0)
MOVT	R1, #hi_addr(fs_Write_Command+0)
MOVW	R0, #lo_addr(fs_Set_Index+0)
MOVT	R0, #hi_addr(fs_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_display_init
fs_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_fs_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_fs_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_fs_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_fs_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_fs_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_fs_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_fs_hal_touch_init0
L_fs_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_fs_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_fs_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_touch_init
fs_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_console_init
fs_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_power_init
fs_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_microsd_init
fs_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_flash_init
fs_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_rf_init
fs_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_mp3_init
fs_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_fs_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_fs_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_fs_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_fs_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_accel_init
fs_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_wifi_init
fs_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of fs_hal_buzzer_init
fs_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_fs_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_fs_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_fs_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_fs_hal_rtc_init13
IT	AL
BAL	L_fs_hal_rtc_init12
L_fs_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_fs_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_fs_hal_rtc_init15
IT	AL
BAL	L_fs_hal_rtc_init14
L_fs_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of fs_hal_rtc_init
fs_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of fs_hal_shuttle_init
__sl_Strlen:
;fs.c,63 :: 		_u16 _sl_Strlen( const _u8 *buffer )
; buffer start address is: 0 (R0)
MOV	R1, R0
; buffer end address is: 0 (R0)
; buffer start address is: 4 (R1)
;fs.c,65 :: 		_u16 len = 0;
; len start address is: 0 (R0)
MOVW	R0, #0
;fs.c,66 :: 		if( buffer != NULL )
CMP	R1, #0
IT	EQ
BEQ	L___sl_Strlen65
; buffer end address is: 4 (R1)
; len end address is: 0 (R0)
MOV	R3, R1
;fs.c,68 :: 		while( *buffer++ ) len++;
L__sl_Strlen17:
; len start address is: 0 (R0)
; buffer start address is: 12 (R3)
; buffer start address is: 12 (R3)
MOV	R2, R3
ADDS	R1, R3, #1
MOV	R3, R1
; buffer end address is: 12 (R3)
LDRB	R1, [R2, #0]
CMP	R1, #0
IT	EQ
BEQ	L__sl_Strlen18
; buffer end address is: 12 (R3)
; buffer start address is: 12 (R3)
ADDS	R0, R0, #1
UXTH	R0, R0
; buffer end address is: 12 (R3)
IT	AL
BAL	L__sl_Strlen17
L__sl_Strlen18:
;fs.c,69 :: 		}
IT	AL
BAL	L__sl_Strlen16
; len end address is: 0 (R0)
L___sl_Strlen65:
;fs.c,66 :: 		if( buffer != NULL )
;fs.c,69 :: 		}
L__sl_Strlen16:
;fs.c,70 :: 		return len;
; len start address is: 0 (R0)
; len end address is: 0 (R0)
;fs.c,71 :: 		}
L_end__sl_Strlen:
BX	LR
; end of __sl_Strlen
__sl_GetCreateFsMode:
;fs.c,76 :: 		_u32 _sl_GetCreateFsMode( _u32 maxSizeInBytes, _u32 accessFlags )
; accessFlags start address is: 4 (R1)
; maxSizeInBytes start address is: 0 (R0)
SUB	SP, SP, #24
STR	LR, [SP, #0]
; accessFlags end address is: 4 (R1)
; maxSizeInBytes end address is: 0 (R0)
; maxSizeInBytes start address is: 0 (R0)
; accessFlags start address is: 4 (R1)
;fs.c,78 :: 		_u32 granIdx = 0;
;fs.c,79 :: 		_u32 granNum = 0;
;fs.c,80 :: 		_u32 granTable[_FS_MAX_MODE_SIZE_GRAN] = {256, 1024, 4096, 16384, 65536};
ADD	R11, SP, #4
ADD	R10, R11, #20
MOVW	R12, #lo_addr(?ICS_sl_GetCreateFsMode_granTable_L0+0)
MOVT	R12, #hi_addr(?ICS_sl_GetCreateFsMode_granTable_L0+0)
BL	___CC2DW+0
;fs.c,81 :: 		for( granIdx = _FS_MODE_SIZE_GRAN_256B ; granIdx < _FS_MAX_MODE_SIZE_GRAN;
; granIdx start address is: 8 (R2)
MOVS	R2, #0
; maxSizeInBytes end address is: 0 (R0)
; accessFlags end address is: 4 (R1)
; granIdx end address is: 8 (R2)
MOV	R4, R0
MOV	R0, R1
MOV	R1, R2
L__sl_GetCreateFsMode19:
; granIdx start address is: 4 (R1)
; accessFlags start address is: 0 (R0)
; maxSizeInBytes start address is: 16 (R4)
CMP	R1, #5
IT	CS
BCS	L__sl_GetCreateFsMode20
;fs.c,84 :: 		if( granTable[granIdx] * 255 >= maxSizeInBytes )
ADD	R3, SP, #4
LSLS	R2, R1, #2
ADDS	R2, R3, R2
LDR	R3, [R2, #0]
MOVS	R2, #255
MULS	R2, R3, R2
CMP	R2, R4
IT	CC
BCC	L__sl_GetCreateFsMode22
;fs.c,85 :: 		break;
IT	AL
BAL	L__sl_GetCreateFsMode20
L__sl_GetCreateFsMode22:
;fs.c,82 :: 		granIdx++ )
ADDS	R1, R1, #1
;fs.c,86 :: 		}
IT	AL
BAL	L__sl_GetCreateFsMode19
L__sl_GetCreateFsMode20:
;fs.c,87 :: 		granNum = maxSizeInBytes / granTable[granIdx];
ADD	R3, SP, #4
LSLS	R2, R1, #2
ADDS	R2, R3, R2
LDR	R3, [R2, #0]
UDIV	R2, R4, R3
; granNum start address is: 20 (R5)
MOV	R5, R2
;fs.c,88 :: 		if( maxSizeInBytes % granTable[granIdx] != 0 )
UDIV	R2, R4, R3
MLS	R2, R3, R2, R4
; maxSizeInBytes end address is: 16 (R4)
CMP	R2, #0
IT	EQ
BEQ	L___sl_GetCreateFsMode66
;fs.c,89 :: 		granNum++;
ADDS	R4, R5, #1
; granNum end address is: 20 (R5)
; granNum start address is: 16 (R4)
; granNum end address is: 16 (R4)
IT	AL
BAL	L__sl_GetCreateFsMode23
L___sl_GetCreateFsMode66:
;fs.c,88 :: 		if( maxSizeInBytes % granTable[granIdx] != 0 )
MOV	R4, R5
;fs.c,89 :: 		granNum++;
L__sl_GetCreateFsMode23:
;fs.c,91 :: 		return _FS_MODE( _FS_MODE_OPEN_WRITE_CREATE_IF_NOT_EXIST,  granIdx, granNum,
; granNum start address is: 16 (R4)
AND	R2, R1, #15
; granIdx end address is: 4 (R1)
LSLS	R2, R2, #8
ORR	R3, R2, #12288
AND	R2, R4, #255
; granNum end address is: 16 (R4)
ORRS	R3, R2
AND	R2, R0, #255
; accessFlags end address is: 0 (R0)
LSLS	R2, R2, #16
ORR	R2, R3, R2, LSL #0
MOV	R0, R2
;fs.c,93 :: 		}
L_end__sl_GetCreateFsMode:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of __sl_GetCreateFsMode
_sl_FsOpen:
;fs.c,121 :: 		_u32 *pToken, _i32 *pFileHandle )
; pFileHandle start address is: 12 (R3)
; pToken start address is: 8 (R2)
; AccessModeAndMaxSize start address is: 4 (R1)
; pFileName start address is: 0 (R0)
SUB	SP, SP, #36
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
MOV	R1, R2
MOV	R2, R3
; pFileHandle end address is: 12 (R3)
; pToken end address is: 8 (R2)
; AccessModeAndMaxSize end address is: 4 (R1)
; pFileName end address is: 0 (R0)
; pFileName start address is: 24 (R6)
; AccessModeAndMaxSize start address is: 28 (R7)
; pToken start address is: 4 (R1)
; pFileHandle start address is: 8 (R2)
;fs.c,127 :: 		CmdExt.TxPayloadLen = ( _sl_Strlen( pFileName ) + 4 ) &
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R0, R6
BL	__sl_Strlen+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
ADDS	R5, R0, #4
UXTH	R5, R5
;fs.c,128 :: 		( ~3 ); /* add 4: 1 for NULL and the 3 for align */
MOVW	R4, #65532
AND	R4, R5, R4, LSL #0
STRH	R4, [SP, #20]
;fs.c,129 :: 		CmdExt.RxPayloadLen = 0;
MOVS	R4, #0
SXTH	R4, R4
STRH	R4, [SP, #22]
;fs.c,130 :: 		CmdExt.pTxPayload = ( _u8 * )pFileName;
MOV	R4, R6
; pFileName end address is: 24 (R6)
STR	R4, [SP, #28]
;fs.c,131 :: 		CmdExt.pRxPayload = NULL;
MOVS	R4, #0
STR	R4, [SP, #32]
;fs.c,133 :: 		Msg.Cmd.Mode          =  AccessModeAndMaxSize;
STR	R7, [SP, #12]
; AccessModeAndMaxSize end address is: 28 (R7)
;fs.c,135 :: 		if( pToken != NULL )
CMP	R1, #0
IT	EQ
BEQ	L_sl_FsOpen24
;fs.c,136 :: 		Msg.Cmd.Token         = *pToken;
LDR	R4, [R1, #0]
STR	R4, [SP, #16]
IT	AL
BAL	L_sl_FsOpen25
L_sl_FsOpen24:
;fs.c,138 :: 		Msg.Cmd.Token         = 0;
MOVS	R4, #0
STR	R4, [SP, #16]
L_sl_FsOpen25:
;fs.c,140 :: 		RetVal = _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlFsOpenCmdCtrl, &Msg, &CmdExt );
ADD	R5, SP, #20
ADD	R4, SP, #12
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlFsOpenCmdCtrl+0)
MOVT	R0, #hi_addr(__SlFsOpenCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
; RetVal start address is: 0 (R0)
;fs.c,141 :: 		*pFileHandle = Msg.Rsp.FileHandle;
LDR	R4, [SP, #12]
STR	R4, [R2, #0]
;fs.c,142 :: 		if ( pToken != NULL )
CMP	R1, #0
IT	EQ
BEQ	L_sl_FsOpen26
;fs.c,143 :: 		*pToken =      Msg.Rsp.Token;
LDR	R4, [SP, #16]
STR	R4, [R1, #0]
; pToken end address is: 4 (R1)
L_sl_FsOpen26:
;fs.c,146 :: 		if( *pFileHandle < 0 )
LDR	R4, [R2, #0]
CMP	R4, #0
IT	GE
BGE	L_sl_FsOpen27
; RetVal end address is: 0 (R0)
;fs.c,147 :: 		return *pFileHandle;
LDR	R4, [R2, #0]
; pFileHandle end address is: 8 (R2)
MOV	R0, R4
IT	AL
BAL	L_end_sl_FsOpen
L_sl_FsOpen27:
;fs.c,148 :: 		return ( _i32 )RetVal;
; RetVal start address is: 0 (R0)
SXTH	R4, R0
; RetVal end address is: 0 (R0)
MOV	R0, R4
;fs.c,149 :: 		}
L_end_sl_FsOpen:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_FsOpen
_sl_FsClose:
;fs.c,172 :: 		const _u8  *pSignature , const _u32 SignatureLen )
; SignatureLen start address is: 12 (R3)
; pSignature start address is: 8 (R2)
; pCeritificateFileName start address is: 4 (R1)
; FileHdl start address is: 0 (R0)
SUB	SP, SP, #32
STR	LR, [SP, #0]
MOV	R6, R1
MOV	R7, R2
MOV	R8, R3
; SignatureLen end address is: 12 (R3)
; pSignature end address is: 8 (R2)
; pCeritificateFileName end address is: 4 (R1)
; FileHdl end address is: 0 (R0)
; FileHdl start address is: 0 (R0)
; pCeritificateFileName start address is: 24 (R6)
; pSignature start address is: 28 (R7)
; SignatureLen start address is: 32 (R8)
;fs.c,174 :: 		_SlFsCloseMsg_u Msg = {0};
ADD	R11, SP, #20
ADD	R10, R11, #12
MOVW	R12, #lo_addr(?ICSsl_FsClose_Msg_L0+0)
MOVT	R12, #hi_addr(?ICSsl_FsClose_Msg_L0+0)
BL	___CC2DW+0
;fs.c,177 :: 		Msg.Cmd.FileHandle             = FileHdl;
STR	R0, [SP, #20]
; FileHdl end address is: 0 (R0)
;fs.c,178 :: 		if( pCeritificateFileName != NULL )
CMP	R6, #0
IT	EQ
BEQ	L_sl_FsClose28
;fs.c,180 :: 		Msg.Cmd.CertificFileNameLength = ( _sl_Strlen( pCeritificateFileName ) + 4 )
MOV	R0, R6
BL	__sl_Strlen+0
ADDS	R5, R0, #4
UXTH	R5, R5
;fs.c,181 :: 		& ( ~3 ); /* add 4: 1 for NULL and the 3 for align */
MOVW	R4, #65532
AND	R4, R5, R4, LSL #0
UXTH	R4, R4
STR	R4, [SP, #24]
;fs.c,182 :: 		}
L_sl_FsClose28:
;fs.c,183 :: 		Msg.Cmd.SignatureLen           = SignatureLen;
STR	R8, [SP, #28]
;fs.c,185 :: 		ExtCtrl.TxPayloadLen = ( ( SignatureLen + 3 ) & ( ~3 ) ); /* align */
ADD	R5, R8, #3
; SignatureLen end address is: 32 (R8)
MVN	R4, #3
AND	R4, R5, R4, LSL #0
STRH	R4, [SP, #4]
;fs.c,186 :: 		ExtCtrl.pTxPayload   = ( _u8 * )pSignature;
MOV	R4, R7
; pSignature end address is: 28 (R7)
STR	R4, [SP, #12]
;fs.c,187 :: 		ExtCtrl.RxPayloadLen = ( _i16 )Msg.Cmd.CertificFileNameLength;
LDRSH	R4, [SP, #24]
STRH	R4, [SP, #6]
;fs.c,188 :: 		ExtCtrl.pRxPayload   = ( _u8 * )pCeritificateFileName; /* Add signature */
MOV	R4, R6
; pCeritificateFileName end address is: 24 (R6)
STR	R4, [SP, #16]
;fs.c,190 :: 		if( ExtCtrl.pRxPayload != NULL &&  ExtCtrl.RxPayloadLen != 0 )
CMP	R4, #0
IT	EQ
BEQ	L__sl_FsClose69
LDRSH	R4, [SP, #6]
CMP	R4, #0
IT	EQ
BEQ	L__sl_FsClose68
L__sl_FsClose67:
;fs.c,191 :: 		ExtCtrl.RxPayloadLen = ExtCtrl.RxPayloadLen * ( -1 );
LDRSH	R5, [SP, #6]
MOVW	R4, #65535
SXTH	R4, R4
MULS	R4, R5, R4
STRH	R4, [SP, #6]
;fs.c,190 :: 		if( ExtCtrl.pRxPayload != NULL &&  ExtCtrl.RxPayloadLen != 0 )
L__sl_FsClose69:
L__sl_FsClose68:
;fs.c,193 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlFsCloseCmdCtrl, &Msg,
ADD	R5, SP, #4
ADD	R4, SP, #20
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlFsCloseCmdCtrl+0)
MOVT	R0, #hi_addr(__SlFsCloseCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_FsClose32
L_sl_FsClose33:
IT	AL
BAL	L_sl_FsClose33
L_sl_FsClose32:
;fs.c,196 :: 		return ( _i16 )( ( _i16 )Msg.Rsp.status );
LDRSH	R0, [SP, #20]
;fs.c,197 :: 		}
L_end_sl_FsClose:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _sl_FsClose
_sl_FsRead:
;fs.c,220 :: 		_i32 sl_FsRead( const _i32 FileHdl, _u32 Offset, _u8  *pData, _u32 Len )
; Len start address is: 12 (R3)
; pData start address is: 8 (R2)
; Offset start address is: 4 (R1)
; FileHdl start address is: 0 (R0)
SUB	SP, SP, #52
STR	LR, [SP, #0]
; Len end address is: 12 (R3)
; pData end address is: 8 (R2)
; Offset end address is: 4 (R1)
; FileHdl end address is: 0 (R0)
; FileHdl start address is: 0 (R0)
; Offset start address is: 4 (R1)
; pData start address is: 8 (R2)
; Len start address is: 12 (R3)
;fs.c,225 :: 		_SlReturnVal_t      RetVal = 0;
;fs.c,226 :: 		_i32                RetCount = 0;
; RetCount start address is: 20 (R5)
MOV	R5, #0
;fs.c,228 :: 		ExtCtrl.TxPayloadLen = 0;
MOVS	R4, #0
STRH	R4, [SP, #36]
;fs.c,229 :: 		ExtCtrl.pTxPayload   = NULL;
MOVS	R4, #0
STR	R4, [SP, #44]
;fs.c,231 :: 		ChunkLen = ( _u16 )sl_min( MAX_NVMEM_CHUNK_SIZE, Len );
MOVW	R4, #1460
CMP	R3, R4
IT	LS
BLS	L_sl_FsRead35
; ?FLOC___sl_FsRead?T166 start address is: 24 (R6)
MOVW	R6, #1460
; ?FLOC___sl_FsRead?T166 end address is: 24 (R6)
IT	AL
BAL	L_sl_FsRead36
L_sl_FsRead35:
; ?FLOC___sl_FsRead?T166 start address is: 24 (R6)
MOV	R6, R3
; ?FLOC___sl_FsRead?T166 end address is: 24 (R6)
L_sl_FsRead36:
; ?FLOC___sl_FsRead?T166 start address is: 24 (R6)
; ChunkLen start address is: 28 (R7)
UXTH	R7, R6
;fs.c,232 :: 		ExtCtrl.RxPayloadLen = ChunkLen;
SXTH	R4, R6
STRH	R4, [SP, #38]
;fs.c,233 :: 		ExtCtrl.pRxPayload   = ( _u8 * )( pData );
STR	R2, [SP, #48]
; pData end address is: 8 (R2)
;fs.c,234 :: 		Msg.Cmd.Offset       = Offset;
STR	R1, [SP, #28]
;fs.c,235 :: 		Msg.Cmd.Len          = ChunkLen;
UXTH	R4, R6
; ?FLOC___sl_FsRead?T166 end address is: 24 (R6)
STRH	R4, [SP, #32]
;fs.c,236 :: 		Msg.Cmd.FileHandle   = FileHdl;
STR	R0, [SP, #24]
; FileHdl end address is: 0 (R0)
; Offset end address is: 4 (R1)
; Len end address is: 12 (R3)
; RetCount end address is: 20 (R5)
; ChunkLen end address is: 28 (R7)
MOV	R6, R3
UXTH	R3, R7
MOV	R7, R1
MOV	R1, R0
MOV	R8, R5
;fs.c,237 :: 		do
IT	AL
BAL	L_sl_FsRead37
L__sl_FsRead70:
;fs.c,262 :: 		while( ChunkLen > 0 );
MOV	R8, R0
;fs.c,237 :: 		do
L_sl_FsRead37:
;fs.c,239 :: 		RetVal = _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlFsReadCmdCtrl, &Msg, &ExtCtrl );
; ChunkLen start address is: 12 (R3)
; FileHdl start address is: 4 (R1)
; RetCount start address is: 32 (R8)
; Len start address is: 24 (R6)
; Offset start address is: 28 (R7)
; FileHdl start address is: 4 (R1)
; FileHdl end address is: 4 (R1)
ADD	R5, SP, #36
ADD	R4, SP, #24
STR	R1, [SP, #4]
STR	R7, [SP, #8]
STR	R6, [SP, #12]
STR	R8, [SP, #16]
STRH	R3, [SP, #20]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlFsReadCmdCtrl+0)
MOVT	R0, #hi_addr(__SlFsReadCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDRH	R3, [SP, #20]
LDR	R8, [SP, #16]
LDR	R6, [SP, #12]
LDR	R7, [SP, #8]
LDR	R1, [SP, #4]
; RetVal start address is: 8 (R2)
SXTH	R2, R0
;fs.c,240 :: 		if( SL_OS_RET_CODE_OK == RetVal )
CMP	R0, #0
IT	NE
BNE	L_sl_FsRead40
; FileHdl end address is: 4 (R1)
;fs.c,242 :: 		if( Msg.Rsp.status < 0 )
; FileHdl start address is: 4 (R1)
LDRSH	R4, [SP, #24]
CMP	R4, #0
IT	GE
BGE	L_sl_FsRead41
; FileHdl end address is: 4 (R1)
; RetVal end address is: 8 (R2)
; Len end address is: 24 (R6)
; Offset end address is: 28 (R7)
; ChunkLen end address is: 12 (R3)
;fs.c,244 :: 		if( RetCount > 0 )
CMP	R8, #0
IT	LE
BLE	L_sl_FsRead42
;fs.c,245 :: 		return RetCount;
MOV	R0, R8
; RetCount end address is: 32 (R8)
IT	AL
BAL	L_end_sl_FsRead
L_sl_FsRead42:
;fs.c,247 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #24]
IT	AL
BAL	L_end_sl_FsRead
;fs.c,248 :: 		}
L_sl_FsRead41:
;fs.c,249 :: 		RetCount += ( _i32 )Msg.Rsp.status;
; ChunkLen start address is: 12 (R3)
; Offset start address is: 28 (R7)
; Len start address is: 24 (R6)
; RetVal start address is: 8 (R2)
; FileHdl start address is: 4 (R1)
; RetCount start address is: 32 (R8)
LDRSH	R4, [SP, #24]
ADD	R4, R8, R4, LSL #0
; RetCount end address is: 32 (R8)
; RetCount start address is: 0 (R0)
MOV	R0, R4
;fs.c,250 :: 		Len -= ChunkLen;
SUB	R5, R6, R3
MOV	R6, R5
;fs.c,251 :: 		Offset += ChunkLen;
ADDS	R4, R7, R3
MOV	R7, R4
;fs.c,252 :: 		Msg.Cmd.Offset      = Offset;
STR	R4, [SP, #28]
;fs.c,253 :: 		ExtCtrl.pRxPayload   += ChunkLen;
LDR	R4, [SP, #48]
ADDS	R4, R4, R3
; ChunkLen end address is: 12 (R3)
STR	R4, [SP, #48]
;fs.c,254 :: 		ChunkLen = ( _u16 )sl_min( MAX_NVMEM_CHUNK_SIZE, Len );
MOVW	R4, #1460
CMP	R5, R4
IT	LS
BLS	L_sl_FsRead44
; ?FLOC___sl_FsRead?T183 start address is: 20 (R5)
MOVW	R5, #1460
; ?FLOC___sl_FsRead?T183 end address is: 20 (R5)
IT	AL
BAL	L_sl_FsRead45
L_sl_FsRead44:
; ?FLOC___sl_FsRead?T183 start address is: 20 (R5)
MOV	R5, R6
; ?FLOC___sl_FsRead?T183 end address is: 20 (R5)
L_sl_FsRead45:
; ?FLOC___sl_FsRead?T183 start address is: 20 (R5)
; ChunkLen start address is: 12 (R3)
UXTH	R3, R5
;fs.c,255 :: 		ExtCtrl.RxPayloadLen  = ChunkLen;
SXTH	R4, R5
STRH	R4, [SP, #38]
;fs.c,256 :: 		Msg.Cmd.Len           = ChunkLen;
UXTH	R4, R5
; ?FLOC___sl_FsRead?T183 end address is: 20 (R5)
STRH	R4, [SP, #32]
;fs.c,257 :: 		Msg.Cmd.FileHandle  = FileHdl;
STR	R1, [SP, #24]
;fs.c,258 :: 		}
IT	AL
BAL	L_sl_FsRead46
; FileHdl end address is: 4 (R1)
; RetCount end address is: 0 (R0)
; Len end address is: 24 (R6)
; Offset end address is: 28 (R7)
; ChunkLen end address is: 12 (R3)
L_sl_FsRead40:
;fs.c,260 :: 		return RetVal;
SXTH	R0, R2
; RetVal end address is: 8 (R2)
IT	AL
BAL	L_end_sl_FsRead
L_sl_FsRead46:
;fs.c,262 :: 		while( ChunkLen > 0 );
; ChunkLen start address is: 12 (R3)
; Offset start address is: 28 (R7)
; Len start address is: 24 (R6)
; RetCount start address is: 0 (R0)
; RetVal start address is: 8 (R2)
; FileHdl start address is: 4 (R1)
CMP	R3, #0
IT	HI
BHI	L__sl_FsRead70
; FileHdl end address is: 4 (R1)
; RetVal end address is: 8 (R2)
; Len end address is: 24 (R6)
; Offset end address is: 28 (R7)
; ChunkLen end address is: 12 (R3)
;fs.c,264 :: 		return ( _i32 )RetCount;
; RetCount end address is: 0 (R0)
;fs.c,265 :: 		}
L_end_sl_FsRead:
LDR	LR, [SP, #0]
ADD	SP, SP, #52
BX	LR
; end of _sl_FsRead
_sl_FsWrite:
;fs.c,287 :: 		_i32 sl_FsWrite( const _i32 FileHdl, _u32 Offset, _u8  *pData, _u32 Len )
; Len start address is: 12 (R3)
; pData start address is: 8 (R2)
; Offset start address is: 4 (R1)
; FileHdl start address is: 0 (R0)
SUB	SP, SP, #52
STR	LR, [SP, #0]
; Len end address is: 12 (R3)
; pData end address is: 8 (R2)
; Offset end address is: 4 (R1)
; FileHdl end address is: 0 (R0)
; FileHdl start address is: 0 (R0)
; Offset start address is: 4 (R1)
; pData start address is: 8 (R2)
; Len start address is: 12 (R3)
;fs.c,293 :: 		_i32                RetCount = 0;
; RetCount start address is: 20 (R5)
MOV	R5, #0
;fs.c,295 :: 		ExtCtrl.RxPayloadLen = 0;
MOVS	R4, #0
SXTH	R4, R4
STRH	R4, [SP, #38]
;fs.c,296 :: 		ExtCtrl.pRxPayload   = NULL;
MOVS	R4, #0
STR	R4, [SP, #48]
;fs.c,298 :: 		ChunkLen = ( _u16 )sl_min( MAX_NVMEM_CHUNK_SIZE, Len );
MOVW	R4, #1460
CMP	R3, R4
IT	LS
BLS	L_sl_FsWrite47
; ?FLOC___sl_FsWrite?T188 start address is: 24 (R6)
MOVW	R6, #1460
; ?FLOC___sl_FsWrite?T188 end address is: 24 (R6)
IT	AL
BAL	L_sl_FsWrite48
L_sl_FsWrite47:
; ?FLOC___sl_FsWrite?T188 start address is: 24 (R6)
MOV	R6, R3
; ?FLOC___sl_FsWrite?T188 end address is: 24 (R6)
L_sl_FsWrite48:
; ?FLOC___sl_FsWrite?T188 start address is: 24 (R6)
; ChunkLen start address is: 28 (R7)
UXTH	R7, R6
;fs.c,299 :: 		ExtCtrl.TxPayloadLen = ChunkLen;
UXTH	R4, R6
STRH	R4, [SP, #36]
;fs.c,300 :: 		ExtCtrl.pTxPayload   = ( _u8 * )( pData );
STR	R2, [SP, #44]
; pData end address is: 8 (R2)
;fs.c,301 :: 		Msg.Cmd.Offset      = Offset;
STR	R1, [SP, #28]
;fs.c,302 :: 		Msg.Cmd.Len          = ChunkLen;
UXTH	R4, R6
; ?FLOC___sl_FsWrite?T188 end address is: 24 (R6)
STRH	R4, [SP, #32]
;fs.c,303 :: 		Msg.Cmd.FileHandle  = FileHdl;
STR	R0, [SP, #24]
; FileHdl end address is: 0 (R0)
; Offset end address is: 4 (R1)
; Len end address is: 12 (R3)
; RetCount end address is: 20 (R5)
; ChunkLen end address is: 28 (R7)
MOV	R6, R3
UXTH	R3, R7
MOV	R7, R1
MOV	R1, R0
MOV	R8, R5
;fs.c,305 :: 		do
IT	AL
BAL	L_sl_FsWrite49
L__sl_FsWrite71:
;fs.c,332 :: 		while( ChunkLen > 0 );
MOV	R8, R0
;fs.c,305 :: 		do
L_sl_FsWrite49:
;fs.c,308 :: 		RetVal = _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlFsWriteCmdCtrl, &Msg, &ExtCtrl );
; ChunkLen start address is: 12 (R3)
; FileHdl start address is: 4 (R1)
; RetCount start address is: 32 (R8)
; Len start address is: 24 (R6)
; Offset start address is: 28 (R7)
; FileHdl start address is: 4 (R1)
; FileHdl end address is: 4 (R1)
ADD	R5, SP, #36
ADD	R4, SP, #24
STR	R1, [SP, #4]
STR	R7, [SP, #8]
STR	R6, [SP, #12]
STR	R8, [SP, #16]
STRH	R3, [SP, #20]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlFsWriteCmdCtrl+0)
MOVT	R0, #hi_addr(__SlFsWriteCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDRH	R3, [SP, #20]
LDR	R8, [SP, #16]
LDR	R6, [SP, #12]
LDR	R7, [SP, #8]
LDR	R1, [SP, #4]
; RetVal start address is: 8 (R2)
SXTH	R2, R0
;fs.c,309 :: 		if( SL_OS_RET_CODE_OK == RetVal )
CMP	R0, #0
IT	NE
BNE	L_sl_FsWrite52
; FileHdl end address is: 4 (R1)
;fs.c,311 :: 		if( Msg.Rsp.status < 0 )
; FileHdl start address is: 4 (R1)
LDRSH	R4, [SP, #24]
CMP	R4, #0
IT	GE
BGE	L_sl_FsWrite53
; FileHdl end address is: 4 (R1)
; RetVal end address is: 8 (R2)
; Len end address is: 24 (R6)
; Offset end address is: 28 (R7)
; ChunkLen end address is: 12 (R3)
;fs.c,313 :: 		if( RetCount > 0 )
CMP	R8, #0
IT	LE
BLE	L_sl_FsWrite54
;fs.c,314 :: 		return RetCount;
MOV	R0, R8
; RetCount end address is: 32 (R8)
IT	AL
BAL	L_end_sl_FsWrite
L_sl_FsWrite54:
;fs.c,316 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #24]
IT	AL
BAL	L_end_sl_FsWrite
;fs.c,317 :: 		}
L_sl_FsWrite53:
;fs.c,319 :: 		RetCount += ( _i32 )Msg.Rsp.status;
; ChunkLen start address is: 12 (R3)
; Offset start address is: 28 (R7)
; Len start address is: 24 (R6)
; RetVal start address is: 8 (R2)
; FileHdl start address is: 4 (R1)
; RetCount start address is: 32 (R8)
LDRSH	R4, [SP, #24]
ADD	R4, R8, R4, LSL #0
; RetCount end address is: 32 (R8)
; RetCount start address is: 0 (R0)
MOV	R0, R4
;fs.c,320 :: 		Len -= ChunkLen;
SUB	R5, R6, R3
MOV	R6, R5
;fs.c,321 :: 		Offset += ChunkLen;
ADDS	R4, R7, R3
MOV	R7, R4
;fs.c,322 :: 		Msg.Cmd.Offset        = Offset;
STR	R4, [SP, #28]
;fs.c,323 :: 		ExtCtrl.pTxPayload   += ChunkLen;
LDR	R4, [SP, #44]
ADDS	R4, R4, R3
; ChunkLen end address is: 12 (R3)
STR	R4, [SP, #44]
;fs.c,324 :: 		ChunkLen = ( _u16 )sl_min( MAX_NVMEM_CHUNK_SIZE, Len );
MOVW	R4, #1460
CMP	R5, R4
IT	LS
BLS	L_sl_FsWrite56
; ?FLOC___sl_FsWrite?T205 start address is: 20 (R5)
MOVW	R5, #1460
; ?FLOC___sl_FsWrite?T205 end address is: 20 (R5)
IT	AL
BAL	L_sl_FsWrite57
L_sl_FsWrite56:
; ?FLOC___sl_FsWrite?T205 start address is: 20 (R5)
MOV	R5, R6
; ?FLOC___sl_FsWrite?T205 end address is: 20 (R5)
L_sl_FsWrite57:
; ?FLOC___sl_FsWrite?T205 start address is: 20 (R5)
; ChunkLen start address is: 12 (R3)
UXTH	R3, R5
;fs.c,325 :: 		ExtCtrl.TxPayloadLen  = ChunkLen;
UXTH	R4, R5
STRH	R4, [SP, #36]
;fs.c,326 :: 		Msg.Cmd.Len           = ChunkLen;
UXTH	R4, R5
; ?FLOC___sl_FsWrite?T205 end address is: 20 (R5)
STRH	R4, [SP, #32]
;fs.c,327 :: 		Msg.Cmd.FileHandle  = FileHdl;
STR	R1, [SP, #24]
;fs.c,328 :: 		}
IT	AL
BAL	L_sl_FsWrite58
; FileHdl end address is: 4 (R1)
; RetCount end address is: 0 (R0)
; Len end address is: 24 (R6)
; Offset end address is: 28 (R7)
; ChunkLen end address is: 12 (R3)
L_sl_FsWrite52:
;fs.c,330 :: 		return RetVal;
SXTH	R0, R2
; RetVal end address is: 8 (R2)
IT	AL
BAL	L_end_sl_FsWrite
L_sl_FsWrite58:
;fs.c,332 :: 		while( ChunkLen > 0 );
; ChunkLen start address is: 12 (R3)
; Offset start address is: 28 (R7)
; Len start address is: 24 (R6)
; RetCount start address is: 0 (R0)
; RetVal start address is: 8 (R2)
; FileHdl start address is: 4 (R1)
CMP	R3, #0
IT	HI
BHI	L__sl_FsWrite71
; FileHdl end address is: 4 (R1)
; RetVal end address is: 8 (R2)
; Len end address is: 24 (R6)
; Offset end address is: 28 (R7)
; ChunkLen end address is: 12 (R3)
;fs.c,334 :: 		return ( _i32 )RetCount;
; RetCount end address is: 0 (R0)
;fs.c,335 :: 		}
L_end_sl_FsWrite:
LDR	LR, [SP, #0]
ADD	SP, SP, #52
BX	LR
; end of _sl_FsWrite
_sl_FsGetInfo:
;fs.c,359 :: 		SlFsFileInfo_t *pFsFileInfo )
; pFsFileInfo start address is: 8 (R2)
; Token start address is: 4 (R1)
; pFileName start address is: 0 (R0)
SUB	SP, SP, #52
STR	LR, [SP, #0]
MOV	R5, R0
MOV	R6, R1
MOV	R1, R2
; pFsFileInfo end address is: 8 (R2)
; Token end address is: 4 (R1)
; pFileName end address is: 0 (R0)
; pFileName start address is: 20 (R5)
; Token start address is: 24 (R6)
; pFsFileInfo start address is: 4 (R1)
;fs.c,364 :: 		CmdExt.TxPayloadLen = ( _sl_Strlen( pFileName ) + 4 ) &
STR	R1, [SP, #4]
MOV	R0, R5
BL	__sl_Strlen+0
ADDS	R4, R0, #4
UXTH	R4, R4
;fs.c,365 :: 		( ~3 ); /* add 4: 1 for NULL and the 3 for align  */
MOVW	R3, #65532
AND	R3, R4, R3, LSL #0
STRH	R3, [SP, #36]
;fs.c,366 :: 		CmdExt.RxPayloadLen = 0;
MOVS	R3, #0
SXTH	R3, R3
STRH	R3, [SP, #38]
;fs.c,367 :: 		CmdExt.pTxPayload   = ( _u8 * )pFileName;
MOV	R3, R5
; pFileName end address is: 20 (R5)
STR	R3, [SP, #44]
;fs.c,368 :: 		CmdExt.pRxPayload   = NULL;
MOVS	R3, #0
STR	R3, [SP, #48]
;fs.c,369 :: 		Msg.Cmd.Token       = Token;
STR	R6, [SP, #8]
; Token end address is: 24 (R6)
;fs.c,371 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlFsGetInfoCmdCtrl, &Msg,
ADD	R4, SP, #36
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlFsGetInfoCmdCtrl+0)
MOVT	R0, #hi_addr(__SlFsGetInfoCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_FsGetInfo59
; pFsFileInfo end address is: 4 (R1)
L_sl_FsGetInfo60:
IT	AL
BAL	L_sl_FsGetInfo60
L_sl_FsGetInfo59:
;fs.c,374 :: 		pFsFileInfo->flags        = Msg.Rsp.flags;
; pFsFileInfo start address is: 4 (R1)
LDRH	R3, [SP, #10]
STRH	R3, [R1, #0]
;fs.c,375 :: 		pFsFileInfo->FileLen      = Msg.Rsp.FileLen;
ADDS	R4, R1, #4
LDR	R3, [SP, #12]
STR	R3, [R4, #0]
;fs.c,376 :: 		pFsFileInfo->AllocatedLen = Msg.Rsp.AllocatedLen;
ADDW	R4, R1, #8
LDR	R3, [SP, #16]
STR	R3, [R4, #0]
;fs.c,377 :: 		pFsFileInfo->Token[0]     = Msg.Rsp.Token[0];
ADDW	R4, R1, #12
ADD	R5, SP, #20
LDR	R3, [R5, #0]
STR	R3, [R4, #0]
;fs.c,378 :: 		pFsFileInfo->Token[1]     = Msg.Rsp.Token[1];
ADDW	R3, R1, #12
ADDS	R4, R3, #4
ADDS	R3, R5, #4
LDR	R3, [R3, #0]
STR	R3, [R4, #0]
;fs.c,379 :: 		pFsFileInfo->Token[2]     = Msg.Rsp.Token[2];
ADDW	R3, R1, #12
ADDW	R4, R3, #8
ADDW	R3, R5, #8
LDR	R3, [R3, #0]
STR	R3, [R4, #0]
;fs.c,380 :: 		pFsFileInfo->Token[3]     = Msg.Rsp.Token[3];
ADDW	R3, R1, #12
; pFsFileInfo end address is: 4 (R1)
ADDW	R4, R3, #12
ADDW	R3, R5, #12
LDR	R3, [R3, #0]
STR	R3, [R4, #0]
;fs.c,381 :: 		return  ( _i16 )( ( _i16 )Msg.Rsp.Status );
LDRSH	R0, [SP, #8]
;fs.c,382 :: 		}
L_end_sl_FsGetInfo:
LDR	LR, [SP, #0]
ADD	SP, SP, #52
BX	LR
; end of _sl_FsGetInfo
_sl_FsDel:
;fs.c,404 :: 		_i16 sl_FsDel( const _u8 *pFileName, const _u32 Token )
; Token start address is: 4 (R1)
; pFileName start address is: 0 (R0)
SUB	SP, SP, #24
STR	LR, [SP, #0]
MOV	R4, R0
MOV	R5, R1
; Token end address is: 4 (R1)
; pFileName end address is: 0 (R0)
; pFileName start address is: 16 (R4)
; Token start address is: 20 (R5)
;fs.c,409 :: 		CmdExt.TxPayloadLen = ( _sl_Strlen( pFileName ) + 4 ) &
MOV	R0, R4
BL	__sl_Strlen+0
ADDS	R3, R0, #4
UXTH	R3, R3
;fs.c,410 :: 		( ~3 ); /* add 4: 1 for NULL and the 3 for align */
MOVW	R2, #65532
AND	R2, R3, R2, LSL #0
STRH	R2, [SP, #8]
;fs.c,411 :: 		CmdExt.RxPayloadLen = 0;
MOVS	R2, #0
SXTH	R2, R2
STRH	R2, [SP, #10]
;fs.c,412 :: 		CmdExt.pTxPayload   = ( _u8 * )pFileName;
MOV	R2, R4
; pFileName end address is: 16 (R4)
STR	R2, [SP, #16]
;fs.c,413 :: 		CmdExt.pRxPayload   = NULL;
MOVS	R2, #0
STR	R2, [SP, #20]
;fs.c,414 :: 		Msg.Cmd.Token       = Token;
STR	R5, [SP, #4]
; Token end address is: 20 (R5)
;fs.c,417 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlFsDeleteCmdCtrl, &Msg,
ADD	R3, SP, #8
ADD	R2, SP, #4
MOV	R1, R2
MOV	R2, R3
MOVW	R0, #lo_addr(__SlFsDeleteCmdCtrl+0)
MOVT	R0, #hi_addr(__SlFsDeleteCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_FsDel62
L_sl_FsDel63:
IT	AL
BAL	L_sl_FsDel63
L_sl_FsDel62:
;fs.c,420 :: 		return  ( _i16 )( ( _i16 )Msg.Rsp.status );
LDRSH	R0, [SP, #4]
;fs.c,421 :: 		}
L_end_sl_FsDel:
LDR	LR, [SP, #0]
ADD	SP, SP, #24
BX	LR
; end of _sl_FsDel
