netapp_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of netapp_Write_to_Data_Lines
netapp_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	netapp_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_Set_Index
netapp_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	netapp_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_Write_Command
netapp_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	netapp_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_Write_Data
netapp_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(netapp_Write_Data+0)
MOVT	R2, #hi_addr(netapp_Write_Data+0)
MOVW	R1, #lo_addr(netapp_Write_Command+0)
MOVT	R1, #hi_addr(netapp_Write_Command+0)
MOVW	R0, #lo_addr(netapp_Set_Index+0)
MOVT	R0, #hi_addr(netapp_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_display_init
netapp_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_netapp_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_netapp_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_netapp_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_netapp_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_netapp_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_netapp_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_netapp_hal_touch_init0
L_netapp_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_netapp_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_netapp_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_touch_init
netapp_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_console_init
netapp_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_power_init
netapp_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_microsd_init
netapp_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_flash_init
netapp_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_rf_init
netapp_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_mp3_init
netapp_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_netapp_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_netapp_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_netapp_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_netapp_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_accel_init
netapp_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_wifi_init
netapp_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of netapp_hal_buzzer_init
netapp_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_netapp_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_netapp_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_netapp_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_netapp_hal_rtc_init13
IT	AL
BAL	L_netapp_hal_rtc_init12
L_netapp_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_netapp_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_netapp_hal_rtc_init15
IT	AL
BAL	L_netapp_hal_rtc_init14
L_netapp_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of netapp_hal_rtc_init
netapp_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of netapp_hal_shuttle_init
_sl_NetAppStart:
;netapp.c,99 :: 		_i16 sl_NetAppStart( const _u32 AppBitMap )
; AppBitMap start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; AppBitMap end address is: 0 (R0)
; AppBitMap start address is: 0 (R0)
;netapp.c,102 :: 		Msg.Cmd.appId = AppBitMap;
STR	R0, [SP, #4]
; AppBitMap end address is: 0 (R0)
;netapp.c,103 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlNetAppStartCtrl, &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlNetAppStartCtrl+0)
MOVT	R0, #hi_addr(__SlNetAppStartCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppStart16
L_sl_NetAppStart17:
IT	AL
BAL	L_sl_NetAppStart17
L_sl_NetAppStart16:
;netapp.c,106 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;netapp.c,107 :: 		}
L_end_sl_NetAppStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_NetAppStart
_sl_NetAppStop:
;netapp.c,125 :: 		_i16 sl_NetAppStop( const _u32 AppBitMap )
; AppBitMap start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; AppBitMap end address is: 0 (R0)
; AppBitMap start address is: 0 (R0)
;netapp.c,128 :: 		Msg.Cmd.appId = AppBitMap;
STR	R0, [SP, #4]
; AppBitMap end address is: 0 (R0)
;netapp.c,129 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlNetAppStopCtrl, &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlNetAppStopCtrl+0)
MOVT	R0, #hi_addr(__SlNetAppStopCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppStop19
L_sl_NetAppStop20:
IT	AL
BAL	L_sl_NetAppStop20
L_sl_NetAppStop19:
;netapp.c,132 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;netapp.c,133 :: 		}
L_end_sl_NetAppStop:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_NetAppStop
_sl_NetAppGetServiceList:
;netapp.c,169 :: 		)
; Flags start address is: 8 (R2)
; MaxServiceCount start address is: 4 (R1)
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRB	R0, [SP, #32]
UXTB	R0, R1
UXTB	R1, R2
STR	R3, [SP, #36]
; Flags end address is: 8 (R2)
; MaxServiceCount end address is: 4 (R1)
; MaxServiceCount start address is: 0 (R0)
; Flags start address is: 4 (R1)
; RxBufferLength start address is: 8 (R2)
LDR	R2, [SP, #44]
;netapp.c,172 :: 		_i32                     retVal = 0;
;netapp.c,175 :: 		_u16               ServiceSize = 0;
;netapp.c,176 :: 		_u16               BufferSize = 0;
;netapp.c,184 :: 		switch( Flags )
IT	AL
BAL	L_sl_NetAppGetServiceList22
;netapp.c,186 :: 		case SL_NET_APP_FULL_SERVICE_WITH_TEXT_IPV4_TYPE:
L_sl_NetAppGetServiceList24:
;netapp.c,187 :: 		ServiceSize =  sizeof( SlNetAppGetFullServiceWithTextIpv4List_t );
; ServiceSize start address is: 24 (R6)
MOVW	R6, #388
;netapp.c,188 :: 		break;
UXTH	R3, R6
; ServiceSize end address is: 24 (R6)
IT	AL
BAL	L_sl_NetAppGetServiceList23
;netapp.c,190 :: 		case SL_NET_APP_FULL_SERVICE_IPV4_TYPE:
L_sl_NetAppGetServiceList25:
;netapp.c,191 :: 		ServiceSize =  sizeof( SlNetAppGetFullServiceIpv4List_t );
; ServiceSize start address is: 24 (R6)
MOVS	R6, #132
;netapp.c,192 :: 		break;
UXTH	R3, R6
; ServiceSize end address is: 24 (R6)
IT	AL
BAL	L_sl_NetAppGetServiceList23
;netapp.c,194 :: 		case SL_NET_APP_SHORT_SERVICE_IPV4_TYPE:
L_sl_NetAppGetServiceList26:
;netapp.c,195 :: 		ServiceSize =  sizeof( SlNetAppGetShortServiceIpv4List_t );
; ServiceSize start address is: 24 (R6)
MOVS	R6, #8
;netapp.c,196 :: 		break;
UXTH	R3, R6
; ServiceSize end address is: 24 (R6)
IT	AL
BAL	L_sl_NetAppGetServiceList23
;netapp.c,198 :: 		default:
L_sl_NetAppGetServiceList27:
;netapp.c,199 :: 		ServiceSize =  sizeof( _BasicResponse_t );
; ServiceSize start address is: 24 (R6)
MOVS	R6, #4
;netapp.c,200 :: 		break;
UXTH	R3, R6
; ServiceSize end address is: 24 (R6)
IT	AL
BAL	L_sl_NetAppGetServiceList23
;netapp.c,201 :: 		}
L_sl_NetAppGetServiceList22:
CMP	R1, #1
IT	EQ
BEQ	L_sl_NetAppGetServiceList24
CMP	R1, #2
IT	EQ
BEQ	L_sl_NetAppGetServiceList25
CMP	R1, #3
IT	EQ
BEQ	L_sl_NetAppGetServiceList26
IT	AL
BAL	L_sl_NetAppGetServiceList27
L_sl_NetAppGetServiceList23:
;netapp.c,205 :: 		BufferSize =  MaxServiceCount * ServiceSize;
; ServiceSize start address is: 12 (R3)
MUL	R4, R0, R3
UXTH	R4, R4
; ServiceSize end address is: 12 (R3)
STRH	R4, [SP, #40]
;netapp.c,209 :: 		if( RxBufferLength <= BufferSize )
CMP	R2, R4
IT	HI
BHI	L_sl_NetAppGetServiceList28
; MaxServiceCount end address is: 0 (R0)
; Flags end address is: 4 (R1)
; RxBufferLength end address is: 8 (R2)
;netapp.c,210 :: 		return SL_ERROR_NETAPP_RX_BUFFER_LENGTH_ERROR;
MOVW	R0, #65306
SXTH	R0, R0
IT	AL
BAL	L_end_sl_NetAppGetServiceList
L_sl_NetAppGetServiceList28:
;netapp.c,212 :: 		_SlDrvResetCmdExt( &CmdExt );
; Flags start address is: 4 (R1)
; MaxServiceCount start address is: 0 (R0)
ADD	R4, SP, #16
STRB	R1, [SP, #4]
STRB	R0, [SP, #8]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #8]
LDRB	R1, [SP, #4]
;netapp.c,213 :: 		CmdExt.RxPayloadLen = BufferSize;
LDRH	R4, [SP, #40]
STRH	R4, [SP, #18]
;netapp.c,214 :: 		CmdExt.pRxPayload = ( _u8 * )pBuffer;
LDR	R4, [SP, #36]
STR	R4, [SP, #28]
;netapp.c,216 :: 		Msg.Cmd.IndexOffest     = IndexOffest;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #12]
;netapp.c,217 :: 		Msg.Cmd.MaxServiceCount = MaxServiceCount;
STRB	R0, [SP, #13]
; MaxServiceCount end address is: 0 (R0)
;netapp.c,218 :: 		Msg.Cmd.Flags           = Flags;
STRB	R1, [SP, #14]
; Flags end address is: 4 (R1)
;netapp.c,219 :: 		Msg.Cmd.Padding         = 0;
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [SP, #15]
;netapp.c,221 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlGetServiceListeCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #12
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlGetServiceListeCtrl+0)
MOVT	R0, #hi_addr(__SlGetServiceListeCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppGetServiceList29
L_sl_NetAppGetServiceList30:
IT	AL
BAL	L_sl_NetAppGetServiceList30
L_sl_NetAppGetServiceList29:
;netapp.c,223 :: 		retVal = Msg.Rsp.status;
; retVal start address is: 0 (R0)
LDRSH	R0, [SP, #12]
;netapp.c,225 :: 		return ( _i16 )retVal;
SXTH	R0, R0
; retVal end address is: 0 (R0)
;netapp.c,226 :: 		}
L_end_sl_NetAppGetServiceList:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_NetAppGetServiceList
_sl_NetAppMDNSRegisterUnregisterService:
;netapp.c,358 :: 		const _u32   Options )
SUB	SP, SP, #304
STR	LR, [SP, #0]
STR	R0, [SP, #288]
STRB	R1, [SP, #292]
STR	R2, [SP, #296]
STRB	R3, [SP, #300]
; Port start address is: 0 (R0)
LDRH	R0, [SP, #304]
; TTL start address is: 4 (R1)
LDR	R1, [SP, #308]
; Options start address is: 8 (R2)
LDR	R2, [SP, #312]
;netapp.c,386 :: 		Msg.Cmd.ServiceNameLen  = ServiceNameLen;
LDRB	R4, [SP, #292]
STRB	R4, [SP, #4]
;netapp.c,387 :: 		Msg.Cmd.Options         = Options;
STR	R2, [SP, #12]
; Options end address is: 8 (R2)
;netapp.c,388 :: 		Msg.Cmd.Port            = Port;
STRH	R0, [SP, #6]
; Port end address is: 0 (R0)
;netapp.c,389 :: 		Msg.Cmd.TextLen         = TextLen;
LDRB	R4, [SP, #300]
STRB	R4, [SP, #5]
;netapp.c,390 :: 		Msg.Cmd.TTL             = TTL;
STR	R1, [SP, #8]
; TTL end address is: 4 (R1)
;netapp.c,397 :: 		if( TextLen + ServiceNameLen > ( NETAPP_MDNS_MAX_SERVICE_NAME_AND_TEXT_LENGTH
LDRB	R5, [SP, #292]
LDRB	R4, [SP, #300]
ADDS	R4, R4, R5
SXTH	R4, R4
;netapp.c,398 :: 		- 1 ) ) /*-1 is for giving a place to set null termination at the end of the text*/
CMP	R4, #254
IT	LE
BLE	L_sl_NetAppMDNSRegisterUnregisterService32
;netapp.c,399 :: 		return -1;
MOVW	R0, #65535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_NetAppMDNSRegisterUnregisterService
L_sl_NetAppMDNSRegisterUnregisterService32:
;netapp.c,401 :: 		_SlDrvMemZero( ServiceNameAndTextBuffer,
ADD	R4, SP, #32
;netapp.c,402 :: 		NETAPP_MDNS_MAX_SERVICE_NAME_AND_TEXT_LENGTH );
MOVS	R1, #255
;netapp.c,401 :: 		_SlDrvMemZero( ServiceNameAndTextBuffer,
MOV	R0, R4
;netapp.c,402 :: 		NETAPP_MDNS_MAX_SERVICE_NAME_AND_TEXT_LENGTH );
BL	__SlDrvMemZero+0
;netapp.c,406 :: 		sl_Memcpy( ServiceNameAndTextBuffer,
ADD	R4, SP, #32
;netapp.c,408 :: 		ServiceNameLen );
LDRB	R2, [SP, #292]
;netapp.c,407 :: 		pServiceName,
LDR	R1, [SP, #288]
;netapp.c,406 :: 		sl_Memcpy( ServiceNameAndTextBuffer,
MOV	R0, R4
;netapp.c,408 :: 		ServiceNameLen );
BL	_memcpy+0
;netapp.c,410 :: 		if( TextLen > 0 )
LDRB	R4, [SP, #300]
CMP	R4, #0
IT	LS
BLS	L_sl_NetAppMDNSRegisterUnregisterService33
;netapp.c,413 :: 		TextPtr = &ServiceNameAndTextBuffer[ServiceNameLen];
ADD	R5, SP, #32
LDRB	R4, [SP, #292]
ADDS	R4, R5, R4
;netapp.c,417 :: 		TextLen );
LDRB	R2, [SP, #300]
;netapp.c,416 :: 		pText,
LDR	R1, [SP, #296]
;netapp.c,415 :: 		sl_Memcpy( TextPtr,
MOV	R0, R4
;netapp.c,417 :: 		TextLen );
BL	_memcpy+0
;netapp.c,420 :: 		}
L_sl_NetAppMDNSRegisterUnregisterService33:
;netapp.c,422 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
;netapp.c,423 :: 		CmdExt.TxPayloadLen = ( TextLen + ServiceNameLen );
LDRB	R5, [SP, #292]
LDRB	R4, [SP, #300]
ADDS	R4, R4, R5
STRH	R4, [SP, #16]
;netapp.c,424 :: 		CmdExt.pTxPayload   = ( _u8 * )ServiceNameAndTextBuffer;
ADD	R4, SP, #32
STR	R4, [SP, #24]
;netapp.c,427 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRegisterServiceCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #4
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlRegisterServiceCtrl+0)
MOVT	R0, #hi_addr(__SlRegisterServiceCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppMDNSRegisterUnregisterService34
L_sl_NetAppMDNSRegisterUnregisterService35:
IT	AL
BAL	L_sl_NetAppMDNSRegisterUnregisterService35
L_sl_NetAppMDNSRegisterUnregisterService34:
;netapp.c,430 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;netapp.c,433 :: 		}
L_end_sl_NetAppMDNSRegisterUnregisterService:
LDR	LR, [SP, #0]
ADD	SP, SP, #304
BX	LR
; end of _sl_NetAppMDNSRegisterUnregisterService
_sl_NetAppMDNSRegisterService:
;netapp.c,445 :: 		_u32    Options )
; TextLen start address is: 12 (R3)
; pText start address is: 8 (R2)
; ServiceNameLen start address is: 4 (R1)
; pServiceName start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; TextLen end address is: 12 (R3)
; pText end address is: 8 (R2)
; ServiceNameLen end address is: 4 (R1)
; pServiceName end address is: 0 (R0)
; pServiceName start address is: 0 (R0)
; ServiceNameLen start address is: 4 (R1)
; pText start address is: 8 (R2)
; TextLen start address is: 12 (R3)
; Port start address is: 28 (R7)
LDRH	R7, [SP, #4]
; TTL start address is: 32 (R8)
LDR	R8, [SP, #8]
; Options start address is: 20 (R5)
LDR	R5, [SP, #12]
;netapp.c,469 :: 		Options |=  NETAPP_MDNS_OPTIONS_ADD_SERVICE_BIT;
ORR	R4, R5, #-2147483648
; Options end address is: 20 (R5)
; Options start address is: 16 (R4)
; Options end address is: 16 (R4)
;netapp.c,477 :: 		Options );
MOV	R6, R4
;netapp.c,476 :: 		TTL,
MOV	R5, R8
; TTL end address is: 32 (R8)
;netapp.c,475 :: 		Port,
UXTH	R4, R7
; Port end address is: 28 (R7)
;netapp.c,474 :: 		TextLen,
; TextLen end address is: 12 (R3)
;netapp.c,473 :: 		pText,
; pText end address is: 8 (R2)
;netapp.c,472 :: 		ServiceNameLen,
; ServiceNameLen end address is: 4 (R1)
;netapp.c,471 :: 		return  sl_NetAppMDNSRegisterUnregisterService( pServiceName,
; pServiceName end address is: 0 (R0)
;netapp.c,477 :: 		Options );
PUSH	(R6)
;netapp.c,476 :: 		TTL,
PUSH	(R5)
;netapp.c,475 :: 		Port,
PUSH	(R4)
;netapp.c,477 :: 		Options );
BL	_sl_NetAppMDNSRegisterUnregisterService+0
ADD	SP, SP, #12
;netapp.c,480 :: 		}
L_end_sl_NetAppMDNSRegisterService:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_NetAppMDNSRegisterService
_sl_NetAppMDNSUnRegisterService:
;netapp.c,490 :: 		const _u8   ServiceNameLen )
; ServiceNameLen start address is: 4 (R1)
; pServiceName start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; ServiceNameLen end address is: 4 (R1)
; pServiceName end address is: 0 (R0)
; pServiceName start address is: 0 (R0)
; ServiceNameLen start address is: 4 (R1)
;netapp.c,494 :: 		_u32    Options = 0;
; Options start address is: 12 (R3)
MOV	R3, #0
;netapp.c,512 :: 		Options &=  ( ~NETAPP_MDNS_OPTIONS_ADD_SERVICE_BIT );
MVN	R2, #-2147483648
AND	R2, R3, R2, LSL #0
; Options end address is: 12 (R3)
;netapp.c,520 :: 		Options );
MOV	R4, R2
;netapp.c,519 :: 		0,
MOVS	R3, #0
;netapp.c,518 :: 		0,
MOVS	R2, #0
;netapp.c,520 :: 		Options );
PUSH	(R4)
;netapp.c,519 :: 		0,
PUSH	(R3)
;netapp.c,518 :: 		0,
PUSH	(R2)
;netapp.c,517 :: 		0,
MOVS	R3, #0
;netapp.c,516 :: 		NULL,
MOVS	R2, #0
;netapp.c,515 :: 		ServiceNameLen,
; ServiceNameLen end address is: 4 (R1)
;netapp.c,514 :: 		return  sl_NetAppMDNSRegisterUnregisterService( pServiceName,
; pServiceName end address is: 0 (R0)
;netapp.c,520 :: 		Options );
;netapp.c,519 :: 		0,
;netapp.c,518 :: 		0,
;netapp.c,520 :: 		Options );
BL	_sl_NetAppMDNSRegisterUnregisterService+0
ADD	SP, SP, #12
;netapp.c,523 :: 		}
L_end_sl_NetAppMDNSUnRegisterService:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_NetAppMDNSUnRegisterService
_sl_NetAppDnsGetHostByService:
;netapp.c,628 :: 		)
; ServiceLen start address is: 4 (R1)
SUB	SP, SP, #64
STR	LR, [SP, #0]
STR	R0, [SP, #48]
UXTB	R0, R1
STRB	R2, [SP, #52]
STR	R3, [SP, #56]
; ServiceLen end address is: 4 (R1)
; ServiceLen start address is: 0 (R0)
LDR	R4, [SP, #64]
STR	R4, [SP, #64]
LDR	R4, [SP, #68]
STR	R4, [SP, #68]
LDR	R4, [SP, #72]
STR	R4, [SP, #72]
;netapp.c,633 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;netapp.c,655 :: 		Msg.Cmd.ServiceLen = ServiceLen;
STRB	R0, [SP, #8]
;netapp.c,656 :: 		Msg.Cmd.AddrLen    = Family;
LDRB	R4, [SP, #52]
STRB	R4, [SP, #9]
;netapp.c,661 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRB	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;netapp.c,662 :: 		CmdExt.TxPayloadLen = ServiceLen;
STRH	R0, [SP, #12]
; ServiceLen end address is: 0 (R0)
;netapp.c,663 :: 		CmdExt.pTxPayload   = ( _u8 * )pServiceName;
LDR	R4, [SP, #48]
STR	R4, [SP, #20]
;netapp.c,669 :: 		AsyncRsp.out_pText     = pText;
LDR	R4, [SP, #72]
STR	R4, [SP, #44]
;netapp.c,670 :: 		AsyncRsp.inout_TextLen = ( _u16 * )pTextLen;
LDR	R4, [SP, #68]
STR	R4, [SP, #40]
;netapp.c,671 :: 		AsyncRsp.out_pPort     = pPort;
LDR	R4, [SP, #64]
STR	R4, [SP, #36]
;netapp.c,672 :: 		AsyncRsp.out_pAddr     = ( _u32 * )pAddr;
LDR	R4, [SP, #56]
STR	R4, [SP, #32]
;netapp.c,675 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp,
ADD	R4, SP, #28
;netapp.c,676 :: 		GETHOSYBYSERVICE_ID, SL_MAX_SOCKETS );
MOVS	R2, #8
MOVS	R1, #12
;netapp.c,675 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp,
MOV	R0, R4
;netapp.c,676 :: 		GETHOSYBYSERVICE_ID, SL_MAX_SOCKETS );
BL	__SlDrvProtectAsyncRespSetting+0
STRB	R0, [SP, #60]
;netapp.c,678 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_NetAppDnsGetHostByService37
;netapp.c,679 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
MOVT	R0, #65535
IT	AL
BAL	L_end_sl_NetAppDnsGetHostByService
L_sl_NetAppDnsGetHostByService37:
;netapp.c,682 :: 		if ( SL_AF_INET6 == Family )
LDRB	R4, [SP, #52]
CMP	R4, #3
IT	NE
BNE	L_sl_NetAppDnsGetHostByService38
;netapp.c,683 :: 		g_pCB->ObjPool[ObjIdx].AdditionalData |= SL_NETAPP_FAMILY_MASK;
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #60]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
ADDW	R5, R4, #9
LDRB	R4, [R5, #0]
ORR	R4, R4, #128
STRB	R4, [R5, #0]
L_sl_NetAppDnsGetHostByService38:
;netapp.c,685 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlGetHostByServiceCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlGetHostByServiceCtrl+0)
MOVT	R0, #hi_addr(__SlGetHostByServiceCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppDnsGetHostByService39
L_sl_NetAppDnsGetHostByService40:
IT	AL
BAL	L_sl_NetAppDnsGetHostByService40
L_sl_NetAppDnsGetHostByService39:
;netapp.c,691 :: 		if( SL_RET_CODE_OK == Msg.Rsp.status )
LDRSH	R4, [SP, #8]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppDnsGetHostByService42
;netapp.c,693 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #60]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
MOV	R0, R4
BL	__SlDrvSyncObjWaitForever+0
;netapp.c,698 :: 		Msg.Rsp.status = AsyncRsp.Status;
LDRSH	R4, [SP, #28]
STRH	R4, [SP, #8]
;netapp.c,699 :: 		}
L_sl_NetAppDnsGetHostByService42:
;netapp.c,701 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #60]
BL	__SlDrvReleasePoolObj+0
;netapp.c,702 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;netapp.c,703 :: 		}
L_end_sl_NetAppDnsGetHostByService:
LDR	LR, [SP, #0]
ADD	SP, SP, #64
BX	LR
; end of _sl_NetAppDnsGetHostByService
__sl_HandleAsync_DnsGetHostByService:
;netapp.c,765 :: 		void _sl_HandleAsync_DnsGetHostByService( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;netapp.c,777 :: 		( _GetHostByServiceIPv4AsyncResponse_t * )_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;netapp.c,783 :: 		if( g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].AdditionalData
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, #9
LDRB	R1, [R1, #0]
;netapp.c,784 :: 		& SL_NETAPP_FAMILY_MASK )
AND	R1, R1, #128
UXTB	R1, R1
CMP	R1, #0
IT	EQ
BEQ	L__sl_HandleAsync_DnsGetHostByService43
; pMsgArgs end address is: 0 (R0)
;netapp.c,785 :: 		return;
IT	AL
BAL	L_end__sl_HandleAsync_DnsGetHostByService
L__sl_HandleAsync_DnsGetHostByService43:
;netapp.c,795 :: 		TextLen = pMsgArgs->TextLen;
; pMsgArgs start address is: 0 (R0)
ADDS	R1, R0, #2
LDRH	R1, [R1, #0]
; TextLen start address is: 16 (R4)
UXTH	R4, R1
;netapp.c,799 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs;
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
; Res start address is: 12 (R3)
MOV	R3, R1
;netapp.c,804 :: 		Res->out_pAddr[0]   = pMsgArgs->Address;
ADDS	R1, R1, #4
LDR	R2, [R1, #0]
ADDW	R1, R0, #8
LDR	R1, [R1, #0]
STR	R1, [R2, #0]
;netapp.c,805 :: 		Res->out_pPort[0]   = pMsgArgs->Port;
ADDW	R1, R3, #8
LDR	R2, [R1, #0]
ADDS	R1, R0, #4
LDR	R1, [R1, #0]
STR	R1, [R2, #0]
;netapp.c,806 :: 		Res->Status         = pMsgArgs->Status;
LDRH	R1, [R0, #0]
STRH	R1, [R3, #0]
;netapp.c,809 :: 		UserTextLen         = Res->inout_TextLen[0];
ADDW	R1, R3, #12
LDR	R1, [R1, #0]
LDRH	R1, [R1, #0]
; UserTextLen start address is: 8 (R2)
UXTH	R2, R1
;netapp.c,812 :: 		UserTextLen = ( TextLen <= UserTextLen ) ? TextLen : UserTextLen;
CMP	R4, R1
IT	HI
BHI	L__sl_HandleAsync_DnsGetHostByService45
; UserTextLen end address is: 8 (R2)
; ?FLOC____sl_HandleAsync_DnsGetHostByService?T283 start address is: 8 (R2)
UXTH	R2, R4
; TextLen end address is: 16 (R4)
; ?FLOC____sl_HandleAsync_DnsGetHostByService?T283 end address is: 8 (R2)
IT	AL
BAL	L__sl_HandleAsync_DnsGetHostByService46
L__sl_HandleAsync_DnsGetHostByService45:
; ?FLOC____sl_HandleAsync_DnsGetHostByService?T283 start address is: 4 (R1)
; UserTextLen start address is: 8 (R2)
UXTH	R1, R2
; UserTextLen end address is: 8 (R2)
; ?FLOC____sl_HandleAsync_DnsGetHostByService?T283 end address is: 4 (R1)
UXTH	R2, R1
L__sl_HandleAsync_DnsGetHostByService46:
; ?FLOC____sl_HandleAsync_DnsGetHostByService?T283 start address is: 8 (R2)
; UserTextLen start address is: 16 (R4)
UXTH	R4, R2
;netapp.c,813 :: 		Res->inout_TextLen[0] = UserTextLen ;
ADDW	R1, R3, #12
LDR	R1, [R1, #0]
STRH	R2, [R1, #0]
; ?FLOC____sl_HandleAsync_DnsGetHostByService?T283 end address is: 8 (R2)
;netapp.c,822 :: 		( _i8 * )( & pMsgArgs[1] )
ADDW	R2, R0, #12
; pMsgArgs end address is: 0 (R0)
;netapp.c,821 :: 		sl_Memcpy( Res->out_pText          ,
ADDW	R1, R3, #16
; Res end address is: 12 (R3)
LDR	R1, [R1, #0]
;netapp.c,824 :: 		UserTextLen              );
;netapp.c,821 :: 		sl_Memcpy( Res->out_pText          ,
MOV	R0, R1
; UserTextLen end address is: 16 (R4)
;netapp.c,822 :: 		( _i8 * )( & pMsgArgs[1] )
MOV	R1, R2
;netapp.c,824 :: 		UserTextLen              );
SXTH	R2, R4
BL	_memcpy+0
;netapp.c,830 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;netapp.c,831 :: 		return;
;netapp.c,833 :: 		}
L_end__sl_HandleAsync_DnsGetHostByService:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __sl_HandleAsync_DnsGetHostByService
__sl_HandleAsync_DnsGetHostByAddr:
;netapp.c,838 :: 		void _sl_HandleAsync_DnsGetHostByAddr( void *pVoidBuf )
;netapp.c,842 :: 		return;
;netapp.c,843 :: 		}
L_end__sl_HandleAsync_DnsGetHostByAddr:
BX	LR
; end of __sl_HandleAsync_DnsGetHostByAddr
_sl_NetAppDnsGetHostByName:
;netapp.c,871 :: 		_u32  *out_ip_addr, const _u8 family )
; usNameLen start address is: 4 (R1)
SUB	SP, SP, #60
STR	LR, [SP, #0]
STR	R0, [SP, #48]
UXTH	R0, R1
STR	R2, [SP, #52]
STRB	R3, [SP, #56]
; usNameLen end address is: 4 (R1)
; usNameLen start address is: 0 (R0)
;netapp.c,876 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;netapp.c,879 :: 		_SlDrvResetCmdExt( &ExtCtrl );
ADD	R4, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;netapp.c,880 :: 		ExtCtrl.TxPayloadLen = usNameLen;
STRH	R0, [SP, #12]
;netapp.c,881 :: 		ExtCtrl.pTxPayload = ( _u8 * )hostname;
LDR	R4, [SP, #48]
STR	R4, [SP, #20]
;netapp.c,883 :: 		Msg.Cmd.Len = usNameLen;
STRH	R0, [SP, #8]
; usNameLen end address is: 0 (R0)
;netapp.c,884 :: 		Msg.Cmd.family = family;
LDRB	R4, [SP, #56]
STRB	R4, [SP, #10]
;netapp.c,887 :: 		ObjIdx = ( _u8 )_SlDrvWaitForPoolObj( GETHOSYBYNAME_ID, SL_MAX_SOCKETS );
MOVS	R1, #8
MOVS	R0, #11
BL	__SlDrvWaitForPoolObj+0
STRB	R0, [SP, #57]
;netapp.c,888 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_NetAppDnsGetHostByName47
;netapp.c,889 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_NetAppDnsGetHostByName
L_sl_NetAppDnsGetHostByName47:
;netapp.c,891 :: 		_SlDrvProtectionObjLockWaitForever();
BL	__SlDrvProtectionObjLockWaitForever+0
;netapp.c,893 :: 		g_pCB->ObjPool[ObjIdx].pRespArgs =  ( _u8 * )&AsyncRsp;
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #57]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
ADDS	R5, R4, #4
ADD	R4, SP, #28
STR	R4, [R5, #0]
;netapp.c,895 :: 		if ( SL_AF_INET6 == family )
LDRB	R4, [SP, #56]
CMP	R4, #3
IT	NE
BNE	L_sl_NetAppDnsGetHostByName48
;netapp.c,896 :: 		g_pCB->ObjPool[ObjIdx].AdditionalData |= SL_NETAPP_FAMILY_MASK;
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #57]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
ADDW	R5, R4, #9
LDRB	R4, [R5, #0]
ORR	R4, R4, #128
STRB	R4, [R5, #0]
L_sl_NetAppDnsGetHostByName48:
;netapp.c,898 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;netapp.c,900 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlGetHostByNameCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlGetHostByNameCtrl+0)
MOVT	R0, #hi_addr(__SlGetHostByNameCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppDnsGetHostByName49
L_sl_NetAppDnsGetHostByName50:
IT	AL
BAL	L_sl_NetAppDnsGetHostByName50
L_sl_NetAppDnsGetHostByName49:
;netapp.c,903 :: 		if( SL_RET_CODE_OK == Msg.Rsp.status )
LDRSH	R4, [SP, #8]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppDnsGetHostByName52
;netapp.c,905 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #57]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
MOV	R0, R4
BL	__SlDrvSyncObjWaitForever+0
;netapp.c,907 :: 		Msg.Rsp.status = AsyncRsp.IpV4.status;
LDRH	R4, [SP, #28]
STRH	R4, [SP, #8]
;netapp.c,909 :: 		if( SL_OS_RET_CODE_OK == ( _i16 )Msg.Rsp.status )
LDRSH	R4, [SP, #28]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppDnsGetHostByName53
;netapp.c,913 :: 		( SL_AF_INET == family ) ? SL_IPV4_ADDRESS_SIZE : SL_IPV6_ADDRESS_SIZE );
LDRB	R4, [SP, #56]
CMP	R4, #2
IT	NE
BNE	L_sl_NetAppDnsGetHostByName54
; ?FLOC___sl_NetAppDnsGetHostByName?T377 start address is: 0 (R0)
MOVS	R0, #4
SXTH	R0, R0
; ?FLOC___sl_NetAppDnsGetHostByName?T377 end address is: 0 (R0)
IT	AL
BAL	L_sl_NetAppDnsGetHostByName55
L_sl_NetAppDnsGetHostByName54:
; ?FLOC___sl_NetAppDnsGetHostByName?T377 start address is: 0 (R0)
MOVW	R0, #16
SXTH	R0, R0
; ?FLOC___sl_NetAppDnsGetHostByName?T377 end address is: 0 (R0)
L_sl_NetAppDnsGetHostByName55:
;netapp.c,912 :: 		( _i8 * )&AsyncRsp.IpV4.ip0,
; ?FLOC___sl_NetAppDnsGetHostByName?T377 start address is: 0 (R0)
ADD	R4, SP, #32
;netapp.c,913 :: 		( SL_AF_INET == family ) ? SL_IPV4_ADDRESS_SIZE : SL_IPV6_ADDRESS_SIZE );
SXTH	R2, R0
; ?FLOC___sl_NetAppDnsGetHostByName?T377 end address is: 0 (R0)
;netapp.c,912 :: 		( _i8 * )&AsyncRsp.IpV4.ip0,
MOV	R1, R4
;netapp.c,911 :: 		sl_Memcpy( ( _i8 * )out_ip_addr,
LDR	R0, [SP, #52]
;netapp.c,913 :: 		( SL_AF_INET == family ) ? SL_IPV4_ADDRESS_SIZE : SL_IPV6_ADDRESS_SIZE );
BL	_memcpy+0
;netapp.c,914 :: 		}
L_sl_NetAppDnsGetHostByName53:
;netapp.c,915 :: 		}
L_sl_NetAppDnsGetHostByName52:
;netapp.c,916 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #57]
BL	__SlDrvReleasePoolObj+0
;netapp.c,917 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;netapp.c,918 :: 		}
L_end_sl_NetAppDnsGetHostByName:
LDR	LR, [SP, #0]
ADD	SP, SP, #60
BX	LR
; end of _sl_NetAppDnsGetHostByName
__sl_HandleAsync_DnsGetHostByName:
;netapp.c,925 :: 		void _sl_HandleAsync_DnsGetHostByName( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;netapp.c,928 :: 		( _GetHostByNameIPv4AsyncResponse_t * )_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;netapp.c,930 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;netapp.c,936 :: 		if( g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].AdditionalData
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, #9
LDRB	R1, [R1, #0]
;netapp.c,937 :: 		& SL_NETAPP_FAMILY_MASK )
AND	R1, R1, #128
UXTB	R1, R1
CMP	R1, #0
IT	EQ
BEQ	L__sl_HandleAsync_DnsGetHostByName56
;netapp.c,939 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;netapp.c,940 :: 		pMsgArgs, sizeof( _GetHostByNameIPv6AsyncResponse_t ) );
MOVS	R2, #20
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;netapp.c,939 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;netapp.c,940 :: 		pMsgArgs, sizeof( _GetHostByNameIPv6AsyncResponse_t ) );
BL	_memcpy+0
IT	AL
BAL	L__sl_HandleAsync_DnsGetHostByName57
L__sl_HandleAsync_DnsGetHostByName56:
;netapp.c,944 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
; pMsgArgs start address is: 0 (R0)
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;netapp.c,945 :: 		pMsgArgs, sizeof( _GetHostByNameIPv4AsyncResponse_t ) );
MOVS	R2, #8
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;netapp.c,944 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;netapp.c,945 :: 		pMsgArgs, sizeof( _GetHostByNameIPv4AsyncResponse_t ) );
BL	_memcpy+0
L__sl_HandleAsync_DnsGetHostByName57:
;netapp.c,947 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;netapp.c,948 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;netapp.c,949 :: 		return;
;netapp.c,950 :: 		}
L_end__sl_HandleAsync_DnsGetHostByName:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_DnsGetHostByName
_CopyPingResultsToReport:
;netapp.c,955 :: 		SlPingReport_t *pReport )
; pReport start address is: 4 (R1)
; pResults start address is: 0 (R0)
; pReport end address is: 4 (R1)
; pResults end address is: 0 (R0)
; pResults start address is: 0 (R0)
; pReport start address is: 4 (R1)
;netapp.c,957 :: 		pReport->PacketsSent     = pResults->numSendsPings;
ADDW	R2, R0, #12
LDR	R2, [R2, #0]
STR	R2, [R1, #0]
;netapp.c,958 :: 		pReport->PacketsReceived = pResults->numSuccsessPings;
ADDS	R3, R1, #4
ADDW	R2, R0, #8
LDR	R2, [R2, #0]
STR	R2, [R3, #0]
;netapp.c,959 :: 		pReport->MinRoundTime    = pResults->rttMin;
ADDW	R3, R1, #8
ADDS	R2, R0, #2
LDRH	R2, [R2, #0]
STRH	R2, [R3, #0]
;netapp.c,960 :: 		pReport->MaxRoundTime    = pResults->rttMax;
ADDW	R3, R1, #10
ADDS	R2, R0, #4
LDRH	R2, [R2, #0]
STRH	R2, [R3, #0]
;netapp.c,961 :: 		pReport->AvgRoundTime    = pResults->rttAvg;
ADDW	R3, R1, #12
ADDS	R2, R0, #6
LDRH	R2, [R2, #0]
STRH	R2, [R3, #0]
;netapp.c,962 :: 		pReport->TestTime        = pResults->testTime;
ADDW	R3, R1, #16
; pReport end address is: 4 (R1)
ADDW	R2, R0, #16
; pResults end address is: 0 (R0)
LDR	R2, [R2, #0]
STR	R2, [R3, #0]
;netapp.c,963 :: 		}
L_end_CopyPingResultsToReport:
BX	LR
; end of _CopyPingResultsToReport
__sl_HandleAsync_PingResponse:
;netapp.c,968 :: 		void _sl_HandleAsync_PingResponse( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #28
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;netapp.c,971 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;netapp.c,974 :: 		if( pPingCallBackFunc )
MOVW	R1, #lo_addr(_pPingCallBackFunc+0)
MOVT	R1, #hi_addr(_pPingCallBackFunc+0)
LDR	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L__sl_HandleAsync_PingResponse58
;netapp.c,976 :: 		CopyPingResultsToReport( pMsgArgs, &pingReport );
ADD	R1, SP, #8
; pMsgArgs end address is: 0 (R0)
BL	_CopyPingResultsToReport+0
;netapp.c,977 :: 		pPingCallBackFunc( &pingReport );
ADD	R4, SP, #8
MOV	R0, R4
MOVW	R4, #lo_addr(_pPingCallBackFunc+0)
MOVT	R4, #hi_addr(_pPingCallBackFunc+0)
LDR	R4, [R4, #0]
BLX	R4
;netapp.c,978 :: 		}
IT	AL
BAL	L__sl_HandleAsync_PingResponse59
L__sl_HandleAsync_PingResponse58:
;netapp.c,982 :: 		_SlDrvProtectionObjLockWaitForever();
; pMsgArgs start address is: 0 (R0)
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;netapp.c,987 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs )
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L__sl_HandleAsync_PingResponse60
;netapp.c,990 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;netapp.c,991 :: 		pMsgArgs, sizeof( _PingReportResponse_t ) );
MOVS	R2, #20
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;netapp.c,990 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;netapp.c,991 :: 		pMsgArgs, sizeof( _PingReportResponse_t ) );
BL	_memcpy+0
;netapp.c,993 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;netapp.c,994 :: 		}
L__sl_HandleAsync_PingResponse60:
;netapp.c,995 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;netapp.c,996 :: 		}
L__sl_HandleAsync_PingResponse59:
;netapp.c,997 :: 		return;
;netapp.c,998 :: 		}
L_end__sl_HandleAsync_PingResponse:
LDR	LR, [SP, #0]
ADD	SP, SP, #28
BX	LR
; end of __sl_HandleAsync_PingResponse
_sl_NetAppPingStart:
;netapp.c,1021 :: 		const P_SL_DEV_PING_CALLBACK pPingCallback )
; family start address is: 4 (R1)
; pPingParams start address is: 0 (R0)
SUB	SP, SP, #72
STR	LR, [SP, #0]
MOV	R6, R0
UXTB	R0, R1
STR	R2, [SP, #64]
STR	R3, [SP, #68]
; family end address is: 4 (R1)
; pPingParams end address is: 0 (R0)
; pPingParams start address is: 24 (R6)
; family start address is: 0 (R0)
;netapp.c,1023 :: 		_SlCmdCtrl_t                CmdCtrl = {0, sizeof( _PingStartCommand_t ), sizeof( _BasicResponse_t )};
MOVW	R4, #0
STRH	R4, [SP, #56]
MOVS	R4, #32
STRB	R4, [SP, #58]
MOVS	R4, #4
STRB	R4, [SP, #59]
MOVS	R4, #10
STRB	R4, [SP, #60]
;netapp.c,1026 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;netapp.c,1028 :: 		if( 0 == pPingParams->Ip )
ADDW	R4, R6, #16
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppPingStart61
; pPingParams end address is: 24 (R6)
; family end address is: 0 (R0)
;netapp.c,1031 :: 		return _SlDrvBasicCmd( SL_OPCODE_NETAPP_PINGSTOP );
MOVW	R0, #39971
BL	__SlDrvBasicCmd+0
IT	AL
BAL	L_end_sl_NetAppPingStart
;netapp.c,1032 :: 		}
L_sl_NetAppPingStart61:
;netapp.c,1034 :: 		if( SL_AF_INET == family )
; family start address is: 0 (R0)
; pPingParams start address is: 24 (R6)
CMP	R0, #2
IT	NE
BNE	L_sl_NetAppPingStart62
; family end address is: 0 (R0)
;netapp.c,1036 :: 		CmdCtrl.Opcode = SL_OPCODE_NETAPP_PINGSTART;
MOVW	R4, #39969
STRH	R4, [SP, #56]
;netapp.c,1037 :: 		sl_Memcpy( &Msg.Cmd.ip0, &pPingParams->Ip, SL_IPV4_ADDRESS_SIZE );
ADDW	R5, R6, #16
ADD	R4, SP, #20
MOVS	R2, #4
SXTH	R2, R2
MOV	R1, R5
MOV	R0, R4
BL	_memcpy+0
;netapp.c,1038 :: 		}
IT	AL
BAL	L_sl_NetAppPingStart63
L_sl_NetAppPingStart62:
;netapp.c,1041 :: 		CmdCtrl.Opcode = SL_OPCODE_NETAPP_PINGSTART_V6;
MOVW	R4, #40481
STRH	R4, [SP, #56]
;netapp.c,1042 :: 		sl_Memcpy( &Msg.Cmd.ip0, &pPingParams->Ip, SL_IPV6_ADDRESS_SIZE );
ADDW	R5, R6, #16
ADD	R4, SP, #20
MOVW	R2, #16
SXTH	R2, R2
MOV	R1, R5
MOV	R0, R4
BL	_memcpy+0
;netapp.c,1043 :: 		}
L_sl_NetAppPingStart63:
;netapp.c,1045 :: 		Msg.Cmd.pingIntervalTime        = pPingParams->PingIntervalTime;
LDR	R4, [R6, #0]
STR	R4, [SP, #4]
;netapp.c,1046 :: 		Msg.Cmd.PingSize                = pPingParams->PingSize;
ADDS	R4, R6, #4
LDRH	R4, [R4, #0]
STRH	R4, [SP, #8]
;netapp.c,1047 :: 		Msg.Cmd.pingRequestTimeout      = pPingParams->PingRequestTimeout;
ADDS	R4, R6, #6
LDRH	R4, [R4, #0]
STRH	R4, [SP, #10]
;netapp.c,1048 :: 		Msg.Cmd.totalNumberOfAttempts   = pPingParams->TotalNumberOfAttempts;
ADDW	R4, R6, #8
LDR	R4, [R4, #0]
STR	R4, [SP, #12]
;netapp.c,1049 :: 		Msg.Cmd.flags                   = pPingParams->Flags;
ADDW	R4, R6, #12
; pPingParams end address is: 24 (R6)
LDR	R4, [R4, #0]
STR	R4, [SP, #16]
;netapp.c,1052 :: 		if( pPingCallback )
LDR	R4, [SP, #68]
CMP	R4, #0
IT	EQ
BEQ	L_sl_NetAppPingStart64
;netapp.c,1053 :: 		pPingCallBackFunc = pPingCallback;
LDR	R5, [SP, #68]
MOVW	R4, #lo_addr(_pPingCallBackFunc+0)
MOVT	R4, #hi_addr(_pPingCallBackFunc+0)
STR	R5, [R4, #0]
IT	AL
BAL	L_sl_NetAppPingStart65
L_sl_NetAppPingStart64:
;netapp.c,1057 :: 		ObjIdx = ( _u8 )_SlDrvWaitForPoolObj( PING_ID, SL_MAX_SOCKETS );
MOVS	R1, #8
MOVS	R0, #13
BL	__SlDrvWaitForPoolObj+0
STRB	R0, [SP, #60]
;netapp.c,1058 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_NetAppPingStart66
;netapp.c,1059 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_NetAppPingStart
L_sl_NetAppPingStart66:
;netapp.c,1060 :: 		OSI_RET_OK_CHECK( sl_LockObjLock( &g_pCB->ProtectionLockObj,
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDS	R4, #140
MOVS	R3, #255
MOVS	R2, #68
MOVS	R1, #51
MOV	R0, R4
BL	__SlNonOsSemGet+0
; _RetVal start address is: 0 (R0)
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppPingStart67
; _RetVal end address is: 0 (R0)
L_sl_NetAppPingStart68:
IT	AL
BAL	L_sl_NetAppPingStart68
L_sl_NetAppPingStart67:
;netapp.c,1063 :: 		g_pCB->ObjPool[ObjIdx].pRespArgs = ( _u8 * )&PingRsp;
MOVW	R7, #lo_addr(_g_pCB+0)
MOVT	R7, #hi_addr(_g_pCB+0)
LDR	R4, [R7, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #60]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
ADDS	R5, R4, #4
ADD	R4, SP, #36
STR	R4, [R5, #0]
;netapp.c,1064 :: 		pPingCallBackFunc = NULL;
MOVS	R5, #0
MOVW	R4, #lo_addr(_pPingCallBackFunc+0)
MOVT	R4, #hi_addr(_pPingCallBackFunc+0)
STR	R5, [R4, #0]
;netapp.c,1065 :: 		OSI_RET_OK_CHECK( sl_LockObjUnlock( &g_pCB->ProtectionLockObj ) );
MOV	R4, R7
LDR	R4, [R4, #0]
ADDS	R4, #140
MOVS	R1, #51
MOV	R0, R4
BL	__SlNonOsSemSet+0
; _RetVal start address is: 0 (R0)
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppPingStart70
; _RetVal end address is: 0 (R0)
L_sl_NetAppPingStart71:
IT	AL
BAL	L_sl_NetAppPingStart71
L_sl_NetAppPingStart70:
;netapp.c,1066 :: 		}
L_sl_NetAppPingStart65:
;netapp.c,1069 :: 		VERIFY_RET_OK( _SlDrvCmdOp( &CmdCtrl, &Msg, NULL ) );
ADD	R5, SP, #4
ADD	R4, SP, #56
MOVS	R2, #0
MOV	R1, R5
MOV	R0, R4
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppPingStart73
L_sl_NetAppPingStart74:
IT	AL
BAL	L_sl_NetAppPingStart74
L_sl_NetAppPingStart73:
;netapp.c,1072 :: 		CMD_PING_TEST_STOPPED == ( _i16 )Msg.Rsp.status )
LDRSH	R4, [SP, #4]
CMP	R4, #0
IT	EQ
BEQ	L__sl_NetAppPingStart110
LDRSH	R4, [SP, #4]
CMP	R4, #1
IT	EQ
BEQ	L__sl_NetAppPingStart109
IT	AL
BAL	L_sl_NetAppPingStart78
L__sl_NetAppPingStart110:
L__sl_NetAppPingStart109:
;netapp.c,1075 :: 		if( NULL == pPingCallback )
LDR	R4, [SP, #68]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppPingStart79
;netapp.c,1077 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #60]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
MOV	R0, R4
BL	__SlDrvSyncObjWaitForever+0
;netapp.c,1079 :: 		if( SL_OS_RET_CODE_OK == ( _i16 )PingRsp.status )
LDRSH	R4, [SP, #36]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppPingStart80
;netapp.c,1080 :: 		CopyPingResultsToReport( &PingRsp, pReport );
ADD	R4, SP, #36
LDR	R1, [SP, #64]
MOV	R0, R4
BL	_CopyPingResultsToReport+0
L_sl_NetAppPingStart80:
;netapp.c,1081 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #60]
BL	__SlDrvReleasePoolObj+0
;netapp.c,1082 :: 		}
L_sl_NetAppPingStart79:
;netapp.c,1083 :: 		}
IT	AL
BAL	L_sl_NetAppPingStart81
L_sl_NetAppPingStart78:
;netapp.c,1087 :: 		if( NULL == pPingCallback )
LDR	R4, [SP, #68]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppPingStart82
;netapp.c,1088 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #60]
BL	__SlDrvReleasePoolObj+0
L_sl_NetAppPingStart82:
;netapp.c,1089 :: 		}
L_sl_NetAppPingStart81:
;netapp.c,1091 :: 		return Msg.Rsp.status;
LDRH	R0, [SP, #4]
;netapp.c,1092 :: 		}
L_end_sl_NetAppPingStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #72
BX	LR
; end of _sl_NetAppPingStart
_sl_NetAppSet:
;netapp.c,1115 :: 		const  _u8 *pOptionValue )
; OptionLen start address is: 8 (R2)
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRB	R0, [SP, #32]
UXTB	R0, R2
STRB	R1, [SP, #36]
STR	R3, [SP, #40]
; OptionLen end address is: 8 (R2)
; OptionLen start address is: 0 (R0)
;netapp.c,1121 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
STRB	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;netapp.c,1122 :: 		CmdExt.TxPayloadLen = ( OptionLen + 3 ) & ( ~3 );
ADDS	R5, R0, #3
SXTH	R5, R5
MOVW	R4, #65532
SXTH	R4, R4
AND	R4, R5, R4, LSL #0
STRH	R4, [SP, #16]
;netapp.c,1123 :: 		CmdExt.pTxPayload = ( _u8 * )pOptionValue;
LDR	R4, [SP, #40]
STR	R4, [SP, #24]
;netapp.c,1126 :: 		Msg.Cmd.AppId    = AppId;
LDRB	R4, [SP, #32]
STRH	R4, [SP, #10]
;netapp.c,1127 :: 		Msg.Cmd.ConfigLen   = OptionLen;
STRH	R0, [SP, #14]
; OptionLen end address is: 0 (R0)
;netapp.c,1128 :: 		Msg.Cmd.ConfigOpt   = Option;
LDRB	R4, [SP, #36]
STRH	R4, [SP, #12]
;netapp.c,1130 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlNetAppSetCmdCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlNetAppSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlNetAppSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppSet83
L_sl_NetAppSet84:
IT	AL
BAL	L_sl_NetAppSet84
L_sl_NetAppSet83:
;netapp.c,1133 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;netapp.c,1134 :: 		}
L_end_sl_NetAppSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_NetAppSet
__sl_NetAppSendTokenValue:
;netapp.c,1156 :: 		_u16 _sl_NetAppSendTokenValue( slHttpServerData_t *Token_value )
; Token_value start address is: 0 (R0)
SUB	SP, SP, #44
STR	LR, [SP, #0]
; Token_value end address is: 0 (R0)
; Token_value start address is: 0 (R0)
;netapp.c,1161 :: 		CmdExt.TxPayloadLen = ( Token_value->value_len + 3 ) & ( ~3 );
LDRB	R1, [R0, #0]
ADDS	R2, R1, #3
SXTH	R2, R2
MOVW	R1, #65532
SXTH	R1, R1
AND	R1, R2, R1, LSL #0
STRH	R1, [SP, #28]
;netapp.c,1162 :: 		CmdExt.RxPayloadLen = 0;
MOVS	R1, #0
SXTH	R1, R1
STRH	R1, [SP, #30]
;netapp.c,1163 :: 		CmdExt.pTxPayload = ( _u8 * ) Token_value->token_value;
ADDS	R1, R0, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #36]
;netapp.c,1164 :: 		CmdExt.pRxPayload = NULL;
MOVS	R1, #0
STR	R1, [SP, #40]
;netapp.c,1166 :: 		Msg.Cmd.token_value_len = Token_value->value_len;
LDRB	R1, [R0, #0]
STRB	R1, [SP, #4]
;netapp.c,1167 :: 		Msg.Cmd.token_name_len = Token_value->name_len;
ADDS	R2, R0, #1
LDRB	R1, [R2, #0]
STRB	R1, [SP, #5]
;netapp.c,1169 :: 		Token_value->name_len );
LDRB	R1, [R2, #0]
UXTB	R3, R1
;netapp.c,1168 :: 		sl_Memcpy( &Msg.Cmd.token_name[0], Token_value->token_name,
ADDW	R1, R0, #8
; Token_value end address is: 0 (R0)
LDR	R1, [R1, #0]
MOV	R2, R1
ADD	R1, SP, #6
MOV	R0, R1
MOV	R1, R2
;netapp.c,1169 :: 		Token_value->name_len );
SXTH	R2, R3
BL	_memcpy+0
;netapp.c,1172 :: 		VERIFY_RET_OK( _SlDrvCmdSend( ( _SlCmdCtrl_t * )
ADD	R2, SP, #28
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__SlNetAppSendTokenValueCmdCtrl+0)
MOVT	R0, #hi_addr(__SlNetAppSendTokenValueCmdCtrl+0)
BL	__SlDrvCmdSend+0
CMP	R0, #0
IT	EQ
BEQ	L__sl_NetAppSendTokenValue86
L__sl_NetAppSendTokenValue87:
IT	AL
BAL	L__sl_NetAppSendTokenValue87
L__sl_NetAppSendTokenValue86:
;netapp.c,1175 :: 		return Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;netapp.c,1176 :: 		}
L_end__sl_NetAppSendTokenValue:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of __sl_NetAppSendTokenValue
_sl_NetAppGet:
;netapp.c,1199 :: 		_u8 *pOptionValue )
; pOptionLen start address is: 8 (R2)
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRB	R0, [SP, #32]
STRB	R1, [SP, #36]
MOV	R1, R2
STR	R3, [SP, #40]
; pOptionLen end address is: 8 (R2)
; pOptionLen start address is: 4 (R1)
;netapp.c,1204 :: 		if ( *pOptionLen == 0 )
LDRB	R4, [R1, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_NetAppGet89
; pOptionLen end address is: 4 (R1)
;netapp.c,1205 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
MOVT	R0, #65535
IT	AL
BAL	L_end_sl_NetAppGet
L_sl_NetAppGet89:
;netapp.c,1207 :: 		_SlDrvResetCmdExt( &CmdExt );
; pOptionLen start address is: 4 (R1)
ADD	R4, SP, #16
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;netapp.c,1208 :: 		CmdExt.RxPayloadLen = *pOptionLen;
LDRB	R4, [R1, #0]
STRH	R4, [SP, #18]
;netapp.c,1209 :: 		CmdExt.pRxPayload = ( _u8 * )pOptionValue;
LDR	R4, [SP, #40]
STR	R4, [SP, #28]
;netapp.c,1211 :: 		Msg.Cmd.AppId    = AppId;
LDRB	R4, [SP, #32]
STRH	R4, [SP, #10]
;netapp.c,1212 :: 		Msg.Cmd.ConfigOpt   = Option;
LDRB	R4, [SP, #36]
STRH	R4, [SP, #12]
;netapp.c,1213 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlNetAppGetCmdCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #8
STR	R1, [SP, #4]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlNetAppGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlNetAppGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_NetAppGet90
; pOptionLen end address is: 4 (R1)
L_sl_NetAppGet91:
IT	AL
BAL	L_sl_NetAppGet91
L_sl_NetAppGet90:
;netapp.c,1217 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
; pOptionLen start address is: 4 (R1)
LDRSH	R5, [SP, #20]
LDRSH	R4, [SP, #18]
CMP	R4, R5
IT	GE
BGE	L_sl_NetAppGet93
;netapp.c,1219 :: 		*pOptionLen = ( _u8 )CmdExt.RxPayloadLen;
LDRB	R4, [SP, #18]
STRB	R4, [R1, #0]
; pOptionLen end address is: 4 (R1)
;netapp.c,1220 :: 		return SL_ESMALLBUF;
MVN	R0, #2000
IT	AL
BAL	L_end_sl_NetAppGet
;netapp.c,1221 :: 		}
L_sl_NetAppGet93:
;netapp.c,1223 :: 		*pOptionLen = ( _u8 )CmdExt.ActualRxPayloadLen;
; pOptionLen start address is: 4 (R1)
LDRB	R4, [SP, #20]
STRB	R4, [R1, #0]
; pOptionLen end address is: 4 (R1)
;netapp.c,1225 :: 		return ( _i16 )Msg.Rsp.Status;
LDRSH	R0, [SP, #8]
;netapp.c,1226 :: 		}
L_end_sl_NetAppGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_NetAppGet
__SlDrvNetAppEventHandler:
;netapp.c,1233 :: 		void _SlDrvNetAppEventHandler( void *pArgs )
; pArgs start address is: 0 (R0)
SUB	SP, SP, #60
STR	LR, [SP, #0]
MOV	R4, R0
; pArgs end address is: 0 (R0)
; pArgs start address is: 16 (R4)
;netapp.c,1235 :: 		_SlResponseHeader_t     *pHdr       = ( _SlResponseHeader_t * )pArgs;
; pHdr start address is: 0 (R0)
MOV	R0, R4
;netapp.c,1241 :: 		switch( pHdr->GenHeader.Opcode )
MOV	R1, R4
STR	R1, [SP, #56]
IT	AL
BAL	L__SlDrvNetAppEventHandler95
; pHdr end address is: 0 (R0)
;netapp.c,1243 :: 		case SL_OPCODE_NETAPP_DNSGETHOSTBYNAMEASYNCRESPONSE:
L__SlDrvNetAppEventHandler97:
;netapp.c,1244 :: 		case SL_OPCODE_NETAPP_DNSGETHOSTBYNAMEASYNCRESPONSE_V6:
L__SlDrvNetAppEventHandler98:
;netapp.c,1245 :: 		_sl_HandleAsync_DnsGetHostByName( pArgs );
MOV	R0, R4
; pArgs end address is: 16 (R4)
BL	__sl_HandleAsync_DnsGetHostByName+0
;netapp.c,1246 :: 		break;
IT	AL
BAL	L__SlDrvNetAppEventHandler96
;netapp.c,1248 :: 		case SL_OPCODE_NETAPP_MDNSGETHOSTBYSERVICEASYNCRESPONSE:
L__SlDrvNetAppEventHandler99:
;netapp.c,1249 :: 		case SL_OPCODE_NETAPP_MDNSGETHOSTBYSERVICEASYNCRESPONSE_V6:
; pArgs start address is: 16 (R4)
L__SlDrvNetAppEventHandler100:
;netapp.c,1250 :: 		_sl_HandleAsync_DnsGetHostByService( pArgs );
MOV	R0, R4
; pArgs end address is: 16 (R4)
BL	__sl_HandleAsync_DnsGetHostByService+0
;netapp.c,1251 :: 		break;
IT	AL
BAL	L__SlDrvNetAppEventHandler96
;netapp.c,1252 :: 		case SL_OPCODE_NETAPP_PINGREPORTREQUESTRESPONSE:
L__SlDrvNetAppEventHandler101:
;netapp.c,1253 :: 		_sl_HandleAsync_PingResponse( pArgs );
; pArgs start address is: 16 (R4)
MOV	R0, R4
; pArgs end address is: 16 (R4)
BL	__sl_HandleAsync_PingResponse+0
;netapp.c,1254 :: 		break;
IT	AL
BAL	L__SlDrvNetAppEventHandler96
;netapp.c,1258 :: 		case SL_OPCODE_NETAPP_HTTPGETTOKENVALUE:
L__SlDrvNetAppEventHandler102:
;netapp.c,1263 :: 		* )_SL_RESP_ARGS_START( pHdr );
; pHdr start address is: 0 (R0)
ADDW	R3, R0, #8
;netapp.c,1264 :: 		pTokenName = ( _u8 * )( ( sl_NetAppHttpServerGetToken_t * )httpGetToken + 1 );
ADDS	R2, R3, #4
;netapp.c,1266 :: 		httpServerResponse.Response = SL_NETAPP_HTTPSETTOKENVALUE;
MOVS	R1, #1
STR	R1, [SP, #44]
;netapp.c,1267 :: 		httpServerResponse.ResponseData.token_value.len = MAX_TOKEN_VALUE_LEN;
MOVS	R1, #64
STRB	R1, [SP, #48]
;netapp.c,1271 :: 		_SL_RESP_ARGS_START( pHdr ) + MAX_TOKEN_NAME_LEN;
ADDW	R1, R0, #8
; pHdr end address is: 0 (R0)
ADDS	R1, #20
STR	R1, [SP, #52]
;netapp.c,1273 :: 		httpServerEvent.Event = SL_NETAPP_HTTPGETTOKENVALUE_EVENT;
MOVS	R1, #1
STR	R1, [SP, #16]
;netapp.c,1274 :: 		httpServerEvent.EventData.httpTokenName.len = httpGetToken->token_name_len;
LDRB	R1, [R3, #0]
STRB	R1, [SP, #20]
;netapp.c,1275 :: 		httpServerEvent.EventData.httpTokenName.data = pTokenName;
STR	R2, [SP, #24]
;netapp.c,1277 :: 		Token_value.token_name =  pTokenName;
STR	R2, [SP, #12]
;netapp.c,1279 :: 		_SlDrvHandleHttpServerEvents ( &httpServerEvent, &httpServerResponse );
ADD	R2, SP, #44
ADD	R1, SP, #16
MOV	R0, R1
MOV	R1, R2
BL	_api_wifi_http_server_callback+0
;netapp.c,1281 :: 		Token_value.value_len = httpServerResponse.ResponseData.token_value.len;
LDRB	R1, [SP, #48]
STRB	R1, [SP, #4]
;netapp.c,1282 :: 		Token_value.name_len = httpServerEvent.EventData.httpTokenName.len;
LDRB	R1, [SP, #20]
STRB	R1, [SP, #5]
;netapp.c,1283 :: 		Token_value.token_value = httpServerResponse.ResponseData.token_value.data;
LDR	R1, [SP, #52]
STR	R1, [SP, #8]
;netapp.c,1286 :: 		_sl_NetAppSendTokenValue( &Token_value );
ADD	R1, SP, #4
MOV	R0, R1
BL	__sl_NetAppSendTokenValue+0
;netapp.c,1288 :: 		break;
IT	AL
BAL	L__SlDrvNetAppEventHandler96
;netapp.c,1290 :: 		case SL_OPCODE_NETAPP_HTTPPOSTTOKENVALUE:
L__SlDrvNetAppEventHandler103:
;netapp.c,1295 :: 		( sl_NetAppHttpServerPostToken_t * )_SL_RESP_ARGS_START( pHdr );
; pHdr start address is: 0 (R0)
ADDW	R4, R0, #8
; pHdr end address is: 0 (R0)
;netapp.c,1297 :: 		+ 1 );
ADDS	R2, R4, #4
;netapp.c,1299 :: 		httpServerEvent.Event = SL_NETAPP_HTTPPOSTTOKENVALUE_EVENT;
MOVS	R1, #2
STR	R1, [SP, #16]
;netapp.c,1302 :: 		httpPostTokenArgs->post_action_len;
LDRB	R1, [R4, #0]
STRB	R1, [SP, #20]
;netapp.c,1303 :: 		httpServerEvent.EventData.httpPostData.action.data = pPostParams;
STR	R2, [SP, #24]
;netapp.c,1304 :: 		pPostParams += httpPostTokenArgs->post_action_len;
LDRB	R1, [R4, #0]
ADDS	R3, R2, R1
;netapp.c,1307 :: 		httpPostTokenArgs->token_name_len;
ADDS	R2, R4, #1
LDRB	R1, [R2, #0]
STRB	R1, [SP, #28]
;netapp.c,1308 :: 		httpServerEvent.EventData.httpPostData.token_name.data = pPostParams;
STR	R3, [SP, #32]
;netapp.c,1309 :: 		pPostParams += httpPostTokenArgs->token_name_len;
LDRB	R1, [R2, #0]
ADDS	R2, R3, R1
;netapp.c,1312 :: 		httpPostTokenArgs->token_value_len;
ADDS	R1, R4, #2
LDRB	R1, [R1, #0]
STRB	R1, [SP, #36]
;netapp.c,1313 :: 		httpServerEvent.EventData.httpPostData.token_value.data = pPostParams;
STR	R2, [SP, #40]
;netapp.c,1315 :: 		httpServerResponse.Response = SL_NETAPP_RESPONSE_NONE;
MOVS	R1, #0
STR	R1, [SP, #44]
;netapp.c,1317 :: 		_SlDrvHandleHttpServerEvents ( &httpServerEvent, &httpServerResponse );
ADD	R2, SP, #44
ADD	R1, SP, #16
MOV	R0, R1
MOV	R1, R2
BL	_api_wifi_http_server_callback+0
;netapp.c,1320 :: 		break;
IT	AL
BAL	L__SlDrvNetAppEventHandler96
;netapp.c,1324 :: 		default:
L__SlDrvNetAppEventHandler104:
;netapp.c,1328 :: 		VERIFY_PROTOCOL( 0 );
L__SlDrvNetAppEventHandler106:
IT	AL
BAL	L__SlDrvNetAppEventHandler106
;netapp.c,1329 :: 		}
L__SlDrvNetAppEventHandler95:
; pHdr start address is: 0 (R0)
; pArgs start address is: 16 (R4)
LDR	R3, [SP, #56]
LDRH	R1, [R3, #0]
CMP	R1, #6176
IT	EQ
BEQ	L__SlDrvNetAppEventHandler97
LDRH	R1, [R3, #0]
CMP	R1, #6688
IT	EQ
BEQ	L__SlDrvNetAppEventHandler98
LDRH	R2, [R3, #0]
MOVW	R1, #6197
CMP	R2, R1
IT	EQ
BEQ	L__SlDrvNetAppEventHandler99
LDRH	R2, [R3, #0]
MOVW	R1, #6709
CMP	R2, R1
IT	EQ
BEQ	L__SlDrvNetAppEventHandler100
LDRH	R2, [R3, #0]
MOVW	R1, #6178
CMP	R2, R1
IT	EQ
BEQ	L__SlDrvNetAppEventHandler101
; pArgs end address is: 16 (R4)
LDRH	R2, [R3, #0]
MOVW	R1, #6190
CMP	R2, R1
IT	EQ
BEQ	L__SlDrvNetAppEventHandler102
LDRH	R2, [R3, #0]
MOVW	R1, #6192
CMP	R2, R1
IT	EQ
BEQ	L__SlDrvNetAppEventHandler103
; pHdr end address is: 0 (R0)
IT	AL
BAL	L__SlDrvNetAppEventHandler104
L__SlDrvNetAppEventHandler96:
;netapp.c,1330 :: 		}
L_end__SlDrvNetAppEventHandler:
LDR	LR, [SP, #0]
ADD	SP, SP, #60
BX	LR
; end of __SlDrvNetAppEventHandler
