wlan_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of wlan_Write_to_Data_Lines
wlan_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	wlan_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_Set_Index
wlan_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	wlan_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_Write_Command
wlan_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	wlan_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_Write_Data
wlan_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(wlan_Write_Data+0)
MOVT	R2, #hi_addr(wlan_Write_Data+0)
MOVW	R1, #lo_addr(wlan_Write_Command+0)
MOVT	R1, #hi_addr(wlan_Write_Command+0)
MOVW	R0, #lo_addr(wlan_Set_Index+0)
MOVT	R0, #hi_addr(wlan_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_display_init
wlan_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_wlan_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_wlan_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_wlan_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_wlan_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_wlan_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_wlan_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_wlan_hal_touch_init0
L_wlan_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_wlan_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_wlan_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_touch_init
wlan_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_console_init
wlan_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_power_init
wlan_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_microsd_init
wlan_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_flash_init
wlan_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_rf_init
wlan_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_mp3_init
wlan_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_wlan_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_wlan_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_wlan_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_wlan_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_accel_init
wlan_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_wifi_init
wlan_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of wlan_hal_buzzer_init
wlan_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_wlan_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_wlan_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_wlan_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_wlan_hal_rtc_init13
IT	AL
BAL	L_wlan_hal_rtc_init12
L_wlan_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_wlan_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_wlan_hal_rtc_init15
IT	AL
BAL	L_wlan_hal_rtc_init14
L_wlan_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of wlan_hal_rtc_init
wlan_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of wlan_hal_shuttle_init
_sl_WlanConnect:
;wlan.c,78 :: 		const SlSecParamsExt_t *pSecExtParams )
; pSecParams start address is: 12 (R3)
; pMacAddr start address is: 8 (R2)
; NameLen start address is: 4 (R1)
; pName start address is: 0 (R0)
SUB	SP, SP, #192
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R0, R2
SXTH	R7, R1
MOV	R8, R3
; pSecParams end address is: 12 (R3)
; pMacAddr end address is: 8 (R2)
; NameLen end address is: 4 (R1)
; pName end address is: 0 (R0)
; pName start address is: 24 (R6)
; NameLen start address is: 28 (R7)
; pMacAddr start address is: 0 (R0)
; pSecParams start address is: 32 (R8)
; pSecExtParams start address is: 4 (R1)
LDR	R1, [SP, #192]
;wlan.c,80 :: 		_SlWlanConnectMsg_u    Msg = {0};
ADD	R11, SP, #12
ADD	R10, R11, #180
MOVW	R12, #lo_addr(?ICSsl_WlanConnect_Msg_L0+0)
MOVT	R12, #hi_addr(?ICSsl_WlanConnect_Msg_L0+0)
BL	___CC2DW+0
;wlan.c,81 :: 		_SlCmdCtrl_t           CmdCtrl = {0};
;wlan.c,83 :: 		CmdCtrl.TxDescLen = 0;/* init */
MOVS	R4, #0
STRB	R4, [SP, #190]
;wlan.c,84 :: 		CmdCtrl.RxDescLen = sizeof( _BasicResponse_t );
MOVS	R4, #4
STRB	R4, [SP, #191]
;wlan.c,87 :: 		VERIFY_PROTOCOL( NameLen <= MAX_SSID_LEN );
CMP	R7, #32
IT	LE
BLE	L_sl_WlanConnect16
; pName end address is: 24 (R6)
; NameLen end address is: 28 (R7)
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
L_sl_WlanConnect17:
IT	AL
BAL	L_sl_WlanConnect17
L_sl_WlanConnect16:
;wlan.c,89 :: 		if( NULL == pName )
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
; NameLen start address is: 28 (R7)
; pName start address is: 24 (R6)
CMP	R6, #0
IT	NE
BNE	L_sl_WlanConnect19
; pName end address is: 24 (R6)
; NameLen end address is: 28 (R7)
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
;wlan.c,90 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect19:
;wlan.c,92 :: 		Msg.Cmd.Args.Common.SsidLen = ( _u8 )NameLen;
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
; NameLen start address is: 28 (R7)
; pName start address is: 24 (R6)
UXTB	R4, R7
STRB	R4, [SP, #13]
;wlan.c,96 :: 		if ( NULL != pSecExtParams )
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanConnect20
;wlan.c,99 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_WLANCONNECTEAPCOMMAND;
MOVW	R4, #35970
STRH	R4, [SP, #188]
;wlan.c,100 :: 		CmdCtrl.TxDescLen += sizeof( _WlanConnectEapCommand_t );
LDRB	R4, [SP, #190]
ADDS	R4, #16
STRB	R4, [SP, #190]
;wlan.c,102 :: 		sl_Memcpy( EAP_SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #12
ADDS	R4, #16
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R7
MOV	R1, R6
; pName end address is: 24 (R6)
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,103 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #190]
ADDS	R4, R4, R7
; NameLen end address is: 28 (R7)
STRB	R4, [SP, #190]
;wlan.c,105 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
CMP	R8, #0
IT	EQ
BEQ	L__sl_WlanConnect140
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L__sl_WlanConnect139
L__sl_WlanConnect138:
;wlan.c,108 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R8, #0]
STRB	R4, [SP, #12]
;wlan.c,110 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanConnect24
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
;wlan.c,111 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect24:
;wlan.c,113 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
STRB	R4, [SP, #20]
;wlan.c,114 :: 		ARG_CHECK_PTR( pSecParams->Key );
ADD	R4, R8, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanConnect25
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
L_sl_WlanConnect26:
IT	AL
BAL	L_sl_WlanConnect26
L_sl_WlanConnect25:
;wlan.c,116 :: 		sl_Memcpy( EAP_PASSWORD_STRING( &Msg ), pSecParams->Key, pSecParams->KeyLen );
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
ADD	R4, R8, #4
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #12
ADDW	R5, R4, #16
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R7
MOV	R1, R6
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,117 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
ADD	R4, R8, #8
; pSecParams end address is: 32 (R8)
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,118 :: 		}
IT	AL
BAL	L_sl_WlanConnect28
;wlan.c,105 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
L__sl_WlanConnect140:
L__sl_WlanConnect139:
;wlan.c,120 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #20]
L_sl_WlanConnect28:
;wlan.c,122 :: 		ARG_CHECK_PTR( pSecExtParams );
CMP	R1, #0
IT	NE
BNE	L_sl_WlanConnect29
; pMacAddr end address is: 0 (R0)
; pSecExtParams end address is: 4 (R1)
L_sl_WlanConnect30:
IT	AL
BAL	L_sl_WlanConnect30
L_sl_WlanConnect29:
;wlan.c,124 :: 		Msg.Cmd.Args.EapBitmask = pSecExtParams->EapMethod;
; pSecExtParams start address is: 4 (R1)
; pMacAddr start address is: 0 (R0)
ADDW	R4, R1, #16
LDR	R4, [R4, #0]
STR	R4, [SP, #24]
;wlan.c,126 :: 		Msg.Cmd.Args.CertIndex = pSecExtParams->CertIndex;
ADDW	R4, R1, #13
LDRB	R4, [R4, #0]
STRB	R4, [SP, #23]
;wlan.c,128 :: 		if ( pSecExtParams->UserLen > MAX_USER_LEN )
ADDS	R4, R1, #4
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanConnect32
; pMacAddr end address is: 0 (R0)
; pSecExtParams end address is: 4 (R1)
;wlan.c,129 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect32:
;wlan.c,130 :: 		Msg.Cmd.Args.UserLen = pSecExtParams->UserLen;
; pSecExtParams start address is: 4 (R1)
; pMacAddr start address is: 0 (R0)
ADDS	R5, R1, #4
LDRB	R4, [R5, #0]
STRB	R4, [SP, #21]
;wlan.c,132 :: 		if( pSecExtParams->UserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanConnect33
;wlan.c,135 :: 		pSecExtParams->UserLen );
ADDS	R4, R1, #4
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,134 :: 		sl_Memcpy( EAP_USER_STRING( &Msg ), pSecExtParams->User,
LDR	R4, [R1, #0]
MOV	R7, R4
ADD	R6, SP, #12
ADDW	R5, R6, #16
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,135 :: 		pSecExtParams->UserLen );
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R8
;wlan.c,134 :: 		sl_Memcpy( EAP_USER_STRING( &Msg ), pSecExtParams->User,
MOV	R1, R7
MOV	R0, R4
;wlan.c,135 :: 		pSecExtParams->UserLen );
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,136 :: 		CmdCtrl.TxDescLen += pSecExtParams->UserLen;
ADDS	R4, R1, #4
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,137 :: 		}
L_sl_WlanConnect33:
;wlan.c,139 :: 		if ( pSecExtParams->AnonUserLen > MAX_ANON_USER_LEN )
ADDW	R4, R1, #12
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanConnect34
; pMacAddr end address is: 0 (R0)
; pSecExtParams end address is: 4 (R1)
;wlan.c,140 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect34:
;wlan.c,141 :: 		Msg.Cmd.Args.AnonUserLen = pSecExtParams->AnonUserLen;
; pSecExtParams start address is: 4 (R1)
; pMacAddr start address is: 0 (R0)
ADDW	R5, R1, #12
LDRB	R4, [R5, #0]
STRB	R4, [SP, #22]
;wlan.c,143 :: 		if( pSecExtParams->AnonUserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanConnect35
;wlan.c,146 :: 		pSecExtParams->AnonUserLen );
ADDW	R4, R1, #12
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,145 :: 		sl_Memcpy( EAP_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
ADDW	R4, R1, #8
LDR	R4, [R4, #0]
MOV	R7, R4
ADD	R6, SP, #12
ADDW	R5, R6, #16
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,146 :: 		pSecExtParams->AnonUserLen );
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R8
;wlan.c,145 :: 		sl_Memcpy( EAP_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
MOV	R1, R7
MOV	R0, R4
;wlan.c,146 :: 		pSecExtParams->AnonUserLen );
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,147 :: 		CmdCtrl.TxDescLen += pSecExtParams->AnonUserLen;
ADDW	R4, R1, #12
; pSecExtParams end address is: 4 (R1)
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,148 :: 		}
L_sl_WlanConnect35:
;wlan.c,150 :: 		}
IT	AL
BAL	L_sl_WlanConnect36
L_sl_WlanConnect20:
;wlan.c,156 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_WLANCONNECTCOMMAND;
; pSecParams start address is: 32 (R8)
; NameLen start address is: 28 (R7)
; pName start address is: 24 (R6)
MOVW	R4, #35968
STRH	R4, [SP, #188]
;wlan.c,157 :: 		CmdCtrl.TxDescLen += sizeof( _WlanConnectCommon_t );
LDRB	R4, [SP, #190]
ADDS	R4, #9
STRB	R4, [SP, #190]
;wlan.c,159 :: 		sl_Memcpy( SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #12
ADDS	R4, #9
STR	R0, [SP, #4]
SXTH	R2, R7
MOV	R1, R6
; pName end address is: 24 (R6)
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #4]
;wlan.c,160 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #190]
ADDS	R4, R4, R7
; NameLen end address is: 28 (R7)
STRB	R4, [SP, #190]
;wlan.c,162 :: 		if( NULL != pSecParams )
CMP	R8, #0
IT	EQ
BEQ	L_sl_WlanConnect37
;wlan.c,165 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R8, #0]
STRB	R4, [SP, #12]
;wlan.c,167 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanConnect38
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
;wlan.c,168 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect38:
;wlan.c,170 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
ADD	R5, R8, #8
LDRB	R4, [R5, #0]
STRB	R4, [SP, #20]
;wlan.c,171 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
LDRB	R5, [R5, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,173 :: 		if( NULL != pSecParams->Key )
ADD	R4, R8, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_sl_WlanConnect39
;wlan.c,174 :: 		sl_Memcpy( PASSWORD_STRING( &Msg ), pSecParams->Key, pSecParams->KeyLen );
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
ADD	R4, R8, #4
; pSecParams end address is: 32 (R8)
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #12
ADDW	R5, R4, #9
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
STR	R0, [SP, #4]
SXTH	R2, R7
MOV	R1, R6
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #4]
L_sl_WlanConnect39:
;wlan.c,175 :: 		}
IT	AL
BAL	L_sl_WlanConnect40
L_sl_WlanConnect37:
;wlan.c,179 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #20]
;wlan.c,180 :: 		Msg.Cmd.Args.Common.SecType = SL_SEC_TYPE_OPEN;
MOVS	R4, #0
STRB	R4, [SP, #12]
;wlan.c,181 :: 		}
L_sl_WlanConnect40:
;wlan.c,182 :: 		}
L_sl_WlanConnect36:
;wlan.c,184 :: 		if( NULL != pMacAddr )
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanConnect41
;wlan.c,185 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
ADD	R4, SP, #14
;wlan.c,186 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R2, #6
SXTH	R2, R2
;wlan.c,185 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
MOV	R1, R0
; pMacAddr end address is: 0 (R0)
MOV	R0, R4
;wlan.c,186 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	_memcpy+0
IT	AL
BAL	L_sl_WlanConnect42
L_sl_WlanConnect41:
;wlan.c,188 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
ADD	R4, SP, #14
;wlan.c,189 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R1, #6
;wlan.c,188 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
MOV	R0, R4
;wlan.c,189 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	__SlDrvMemZero+0
L_sl_WlanConnect42:
;wlan.c,192 :: 		VERIFY_RET_OK ( _SlDrvCmdOp( &CmdCtrl, &Msg, NULL ) );
ADD	R5, SP, #12
ADD	R4, SP, #188
MOVS	R2, #0
MOV	R1, R5
MOV	R0, R4
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanConnect43
L_sl_WlanConnect44:
IT	AL
BAL	L_sl_WlanConnect44
L_sl_WlanConnect43:
;wlan.c,194 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #12]
;wlan.c,195 :: 		}
L_end_sl_WlanConnect:
LDR	LR, [SP, #0]
ADD	SP, SP, #192
BX	LR
; end of _sl_WlanConnect
_sl_WlanDisconnect:
;wlan.c,202 :: 		_i16 sl_WlanDisconnect( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,204 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_WLANDISCONNECTCOMMAND );
MOVW	R0, #35969
BL	__SlDrvBasicCmd+0
;wlan.c,205 :: 		}
L_end_sl_WlanDisconnect:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanDisconnect
_sl_WlanPolicySet:
;wlan.c,227 :: 		const _u8 ValLen )
; ValLen start address is: 12 (R3)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTB	R0, R3
STRB	R1, [SP, #32]
STR	R2, [SP, #36]
; ValLen end address is: 12 (R3)
; ValLen start address is: 0 (R0)
;wlan.c,233 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRB	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;wlan.c,234 :: 		CmdExt.TxPayloadLen = ValLen;
STRH	R0, [SP, #12]
;wlan.c,235 :: 		CmdExt.pTxPayload = ( _u8 * )pVal;
LDR	R4, [SP, #36]
STR	R4, [SP, #20]
;wlan.c,238 :: 		Msg.Cmd.PolicyType        = Type;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;wlan.c,239 :: 		Msg.Cmd.PolicyOption      = Policy;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #10]
;wlan.c,240 :: 		Msg.Cmd.PolicyOptionLen   = ValLen;
STRB	R0, [SP, #11]
; ValLen end address is: 0 (R0)
;wlan.c,242 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlPolicySetCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlPolicySetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlPolicySetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanPolicySet46
L_sl_WlanPolicySet47:
IT	AL
BAL	L_sl_WlanPolicySet47
L_sl_WlanPolicySet46:
;wlan.c,245 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;wlan.c,246 :: 		}
L_end_sl_WlanPolicySet:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_WlanPolicySet
_sl_WlanPolicyGet:
;wlan.c,268 :: 		_i16 sl_WlanPolicyGet( const _u8 Type , _u8 Policy, _u8 *pVal, _u8 *pValLen )
; pValLen start address is: 12 (R3)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
STRB	R1, [SP, #32]
MOV	R1, R3
STR	R2, [SP, #36]
; pValLen end address is: 12 (R3)
; pValLen start address is: 4 (R1)
;wlan.c,273 :: 		if ( *pValLen == 0 )
LDRB	R4, [R1, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanPolicyGet49
; pValLen end address is: 4 (R1)
;wlan.c,274 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanPolicyGet
L_sl_WlanPolicyGet49:
;wlan.c,276 :: 		_SlDrvResetCmdExt( &CmdExt );
; pValLen start address is: 4 (R1)
ADD	R4, SP, #12
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;wlan.c,277 :: 		CmdExt.RxPayloadLen = *pValLen;
LDRB	R4, [R1, #0]
STRH	R4, [SP, #14]
;wlan.c,278 :: 		CmdExt.pRxPayload = pVal;
LDR	R4, [SP, #36]
STR	R4, [SP, #24]
;wlan.c,280 :: 		Msg.Cmd.PolicyType = Type;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;wlan.c,281 :: 		Msg.Cmd.PolicyOption = Policy;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #10]
;wlan.c,282 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlPolicyGetCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
STR	R1, [SP, #4]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlPolicyGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlPolicyGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanPolicyGet50
; pValLen end address is: 4 (R1)
L_sl_WlanPolicyGet51:
IT	AL
BAL	L_sl_WlanPolicyGet51
L_sl_WlanPolicyGet50:
;wlan.c,286 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
; pValLen start address is: 4 (R1)
LDRSH	R5, [SP, #16]
LDRSH	R4, [SP, #14]
CMP	R4, R5
IT	GE
BGE	L_sl_WlanPolicyGet53
;wlan.c,288 :: 		*pValLen = Msg.Rsp.PolicyOptionLen;
LDRB	R4, [SP, #11]
STRB	R4, [R1, #0]
; pValLen end address is: 4 (R1)
;wlan.c,289 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanPolicyGet
;wlan.c,290 :: 		}
L_sl_WlanPolicyGet53:
;wlan.c,294 :: 		*pValLen = ( _u8 )CmdExt.ActualRxPayloadLen;
; pValLen start address is: 4 (R1)
LDRB	R4, [SP, #16]
STRB	R4, [R1, #0]
;wlan.c,295 :: 		if( 0 == CmdExt.ActualRxPayloadLen )
LDRSH	R4, [SP, #16]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanPolicyGet55
;wlan.c,297 :: 		*pValLen = 1;
MOVS	R4, #1
STRB	R4, [R1, #0]
; pValLen end address is: 4 (R1)
;wlan.c,298 :: 		pVal[0] = Msg.Rsp.PolicyOption;
LDRB	R5, [SP, #10]
LDR	R4, [SP, #36]
STRB	R5, [R4, #0]
;wlan.c,299 :: 		}
L_sl_WlanPolicyGet55:
;wlan.c,301 :: 		return ( _i16 )SL_OS_RET_CODE_OK;
MOVW	R0, #0
SXTH	R0, R0
;wlan.c,302 :: 		}
L_end_sl_WlanPolicyGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_WlanPolicyGet
_sl_WlanProfileAdd:
;wlan.c,328 :: 		const _u32  Options )
; pSecParams start address is: 12 (R3)
; pMacAddr start address is: 8 (R2)
; NameLen start address is: 4 (R1)
; pName start address is: 0 (R0)
SUB	SP, SP, #188
STR	LR, [SP, #0]
MOV	R7, R0
SXTH	R8, R1
MOV	R9, R2
MOV	R6, R3
; pSecParams end address is: 12 (R3)
; pMacAddr end address is: 8 (R2)
; NameLen end address is: 4 (R1)
; pName end address is: 0 (R0)
; pName start address is: 28 (R7)
; NameLen start address is: 32 (R8)
; pMacAddr start address is: 36 (R9)
; pSecParams start address is: 24 (R6)
; pSecExtParams start address is: 40 (R10)
LDR	R10, [SP, #188]
; Priority start address is: 0 (R0)
LDR	R0, [SP, #192]
; Options start address is: 16 (R4)
LDR	R4, [SP, #196]
; Options end address is: 16 (R4)
;wlan.c,331 :: 		_SlCmdCtrl_t           CmdCtrl = {0};
MOVW	R4, #0
STRH	R4, [SP, #184]
MOVS	R4, #0
STRB	R4, [SP, #186]
STRB	R4, [SP, #187]
;wlan.c,332 :: 		CmdCtrl.TxDescLen = 0;/* init */
MOVS	R4, #0
STRB	R4, [SP, #186]
;wlan.c,333 :: 		CmdCtrl.RxDescLen = sizeof( _BasicResponse_t );
MOVS	R4, #4
STRB	R4, [SP, #187]
;wlan.c,336 :: 		Msg.Cmd.Args.Common.Priority = ( _u8 )Priority;
UXTB	R4, R0
; Priority end address is: 0 (R0)
STRB	R4, [SP, #6]
;wlan.c,338 :: 		if( NULL == pName )
CMP	R7, #0
IT	NE
BNE	L_sl_WlanProfileAdd56
; pName end address is: 28 (R7)
; NameLen end address is: 32 (R8)
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
;wlan.c,339 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd56:
;wlan.c,341 :: 		VERIFY_PROTOCOL( NameLen <= MAX_SSID_LEN );
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
; NameLen start address is: 32 (R8)
; pName start address is: 28 (R7)
CMP	R8, #32
IT	LE
BLE	L_sl_WlanProfileAdd57
; pName end address is: 28 (R7)
; NameLen end address is: 32 (R8)
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd58:
IT	AL
BAL	L_sl_WlanProfileAdd58
L_sl_WlanProfileAdd57:
;wlan.c,343 :: 		Msg.Cmd.Args.Common.SsidLen = ( _u8 )NameLen;
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
; NameLen start address is: 32 (R8)
; pName start address is: 28 (R7)
UXTB	R4, R8
STRB	R4, [SP, #5]
;wlan.c,347 :: 		if  ( NULL != pSecExtParams )
CMP	R10, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd60
;wlan.c,350 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_EAP_PROFILEADDCOMMAND;
MOVW	R4, #35943
STRH	R4, [SP, #184]
;wlan.c,351 :: 		CmdCtrl.TxDescLen += sizeof( _WlanAddGetEapProfile_t );
LDRB	R4, [SP, #186]
ADDS	R4, #20
STRB	R4, [SP, #186]
;wlan.c,354 :: 		sl_Memcpy( EAP_PROFILE_SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #4
ADDS	R4, #20
SXTH	R2, R8
MOV	R1, R7
; pName end address is: 28 (R7)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,355 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #186]
ADD	R4, R4, R8, LSL #0
; NameLen end address is: 32 (R8)
STRB	R4, [SP, #186]
;wlan.c,358 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
CMP	R6, #0
IT	EQ
BEQ	L__sl_WlanProfileAdd143
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L__sl_WlanProfileAdd142
L__sl_WlanProfileAdd141:
;wlan.c,361 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R6, #0]
STRB	R4, [SP, #4]
;wlan.c,363 :: 		if( SL_SEC_TYPE_WEP == Msg.Cmd.Args.Common.SecType )
SXTB	R4, R4
CMP	R4, #1
IT	NE
BNE	L_sl_WlanProfileAdd64
;wlan.c,364 :: 		Msg.Cmd.Args.Common.WepKeyId = 0;
MOVS	R4, #0
STRB	R4, [SP, #14]
L_sl_WlanProfileAdd64:
;wlan.c,367 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanProfileAdd65
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
;wlan.c,368 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd65:
;wlan.c,369 :: 		VERIFY_PROTOCOL( pSecParams->KeyLen <= MAX_KEY_LEN );
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanProfileAdd66
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd67:
IT	AL
BAL	L_sl_WlanProfileAdd67
L_sl_WlanProfileAdd66:
;wlan.c,371 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R5, R6, #8
LDRB	R4, [R5, #0]
STRB	R4, [SP, #13]
;wlan.c,372 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
LDRB	R5, [R5, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,373 :: 		ARG_CHECK_PTR( pSecParams->Key );
ADDS	R4, R6, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanProfileAdd69
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd70:
IT	AL
BAL	L_sl_WlanProfileAdd70
L_sl_WlanProfileAdd69:
;wlan.c,376 :: 		pSecParams->KeyLen );
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,375 :: 		sl_Memcpy( EAP_PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
ADDS	R4, R6, #4
; pSecParams end address is: 24 (R6)
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #4
ADDW	R5, R4, #20
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,376 :: 		pSecParams->KeyLen );
SXTH	R2, R7
;wlan.c,375 :: 		sl_Memcpy( EAP_PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
MOV	R1, R6
MOV	R0, R4
;wlan.c,376 :: 		pSecParams->KeyLen );
BL	_memcpy+0
;wlan.c,377 :: 		}
IT	AL
BAL	L_sl_WlanProfileAdd72
;wlan.c,358 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
L__sl_WlanProfileAdd143:
L__sl_WlanProfileAdd142:
;wlan.c,379 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #13]
L_sl_WlanProfileAdd72:
;wlan.c,381 :: 		ARG_CHECK_PTR( pSecExtParams );
CMP	R10, #0
IT	NE
BNE	L_sl_WlanProfileAdd73
; pMacAddr end address is: 36 (R9)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd74:
IT	AL
BAL	L_sl_WlanProfileAdd74
L_sl_WlanProfileAdd73:
;wlan.c,383 :: 		Msg.Cmd.Args.EapBitmask = pSecExtParams->EapMethod;
; pSecExtParams start address is: 40 (R10)
; pMacAddr start address is: 36 (R9)
ADD	R4, R10, #16
LDR	R4, [R4, #0]
STR	R4, [SP, #20]
;wlan.c,385 :: 		Msg.Cmd.Args.CertIndex = pSecExtParams->CertIndex;
ADD	R4, R10, #13
LDRB	R4, [R4, #0]
STRB	R4, [SP, #17]
;wlan.c,387 :: 		if ( pSecExtParams->UserLen > MAX_USER_LEN )
ADD	R4, R10, #4
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanProfileAdd76
; pMacAddr end address is: 36 (R9)
; pSecExtParams end address is: 40 (R10)
;wlan.c,388 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd76:
;wlan.c,389 :: 		Msg.Cmd.Args.UserLen = pSecExtParams->UserLen;
; pSecExtParams start address is: 40 (R10)
; pMacAddr start address is: 36 (R9)
ADD	R5, R10, #4
LDRB	R4, [R5, #0]
STRB	R4, [SP, #15]
;wlan.c,391 :: 		if( pSecExtParams->UserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileAdd77
;wlan.c,394 :: 		pSecExtParams->UserLen );
ADD	R4, R10, #4
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,393 :: 		sl_Memcpy( EAP_PROFILE_USER_STRING( &Msg ), pSecExtParams->User,
LDR	R4, [R10, #0]
MOV	R7, R4
ADD	R6, SP, #4
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,394 :: 		pSecExtParams->UserLen );
SXTH	R2, R8
;wlan.c,393 :: 		sl_Memcpy( EAP_PROFILE_USER_STRING( &Msg ), pSecExtParams->User,
MOV	R1, R7
MOV	R0, R4
;wlan.c,394 :: 		pSecExtParams->UserLen );
BL	_memcpy+0
;wlan.c,395 :: 		CmdCtrl.TxDescLen += pSecExtParams->UserLen;
ADD	R4, R10, #4
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,396 :: 		}
L_sl_WlanProfileAdd77:
;wlan.c,399 :: 		if ( pSecExtParams->AnonUserLen > MAX_ANON_USER_LEN )
ADD	R4, R10, #12
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanProfileAdd78
; pMacAddr end address is: 36 (R9)
; pSecExtParams end address is: 40 (R10)
;wlan.c,400 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd78:
;wlan.c,401 :: 		Msg.Cmd.Args.AnonUserLen = pSecExtParams->AnonUserLen;
; pSecExtParams start address is: 40 (R10)
; pMacAddr start address is: 36 (R9)
ADD	R5, R10, #12
LDRB	R4, [R5, #0]
STRB	R4, [SP, #16]
;wlan.c,404 :: 		if( pSecExtParams->AnonUserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileAdd79
;wlan.c,407 :: 		pSecExtParams->AnonUserLen );
ADD	R4, R10, #12
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,406 :: 		sl_Memcpy( EAP_PROFILE_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
ADD	R4, R10, #8
LDR	R4, [R4, #0]
MOV	R7, R4
ADD	R6, SP, #4
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #11
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,407 :: 		pSecExtParams->AnonUserLen );
SXTH	R2, R8
;wlan.c,406 :: 		sl_Memcpy( EAP_PROFILE_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
MOV	R1, R7
MOV	R0, R4
;wlan.c,407 :: 		pSecExtParams->AnonUserLen );
BL	_memcpy+0
;wlan.c,408 :: 		CmdCtrl.TxDescLen += pSecExtParams->AnonUserLen;
ADD	R4, R10, #12
; pSecExtParams end address is: 40 (R10)
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,409 :: 		}
L_sl_WlanProfileAdd79:
;wlan.c,411 :: 		}
IT	AL
BAL	L_sl_WlanProfileAdd80
L_sl_WlanProfileAdd60:
;wlan.c,416 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_PROFILEADDCOMMAND;
; pSecParams start address is: 24 (R6)
; NameLen start address is: 32 (R8)
; pName start address is: 28 (R7)
MOVW	R4, #35971
STRH	R4, [SP, #184]
;wlan.c,418 :: 		CmdCtrl.TxDescLen += sizeof( _WlanAddGetProfile_t );
LDRB	R4, [SP, #186]
ADDS	R4, #11
STRB	R4, [SP, #186]
;wlan.c,420 :: 		if ( NULL != pName )
CMP	R7, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd81
;wlan.c,423 :: 		sl_Memcpy( PROFILE_SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #4
ADDS	R4, #11
SXTH	R2, R8
MOV	R1, R7
; pName end address is: 28 (R7)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,424 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #186]
ADD	R4, R4, R8, LSL #0
; NameLen end address is: 32 (R8)
STRB	R4, [SP, #186]
;wlan.c,425 :: 		}
L_sl_WlanProfileAdd81:
;wlan.c,428 :: 		if( NULL != pSecParams )
CMP	R6, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd82
;wlan.c,431 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R6, #0]
STRB	R4, [SP, #4]
;wlan.c,433 :: 		if( SL_SEC_TYPE_WEP == Msg.Cmd.Args.Common.SecType )
SXTB	R4, R4
CMP	R4, #1
IT	NE
BNE	L_sl_WlanProfileAdd83
;wlan.c,434 :: 		Msg.Cmd.Args.Common.WepKeyId = 0;
MOVS	R4, #0
STRB	R4, [SP, #14]
L_sl_WlanProfileAdd83:
;wlan.c,437 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanProfileAdd84
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
;wlan.c,438 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd84:
;wlan.c,440 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R5, R6, #8
LDRB	R4, [R5, #0]
STRB	R4, [SP, #13]
;wlan.c,441 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
LDRB	R5, [R5, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,443 :: 		if( NULL != pSecParams->Key )
ADDS	R4, R6, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd85
;wlan.c,445 :: 		pSecParams->KeyLen );
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,444 :: 		sl_Memcpy( PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
ADDS	R4, R6, #4
; pSecParams end address is: 24 (R6)
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #4
ADDW	R5, R4, #11
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,445 :: 		pSecParams->KeyLen );
SXTH	R2, R7
;wlan.c,444 :: 		sl_Memcpy( PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
MOV	R1, R6
MOV	R0, R4
;wlan.c,445 :: 		pSecParams->KeyLen );
BL	_memcpy+0
L_sl_WlanProfileAdd85:
;wlan.c,446 :: 		}
IT	AL
BAL	L_sl_WlanProfileAdd86
L_sl_WlanProfileAdd82:
;wlan.c,449 :: 		Msg.Cmd.Args.Common.SecType = SL_SEC_TYPE_OPEN;
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [SP, #4]
;wlan.c,450 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #13]
;wlan.c,451 :: 		}
L_sl_WlanProfileAdd86:
;wlan.c,453 :: 		}
L_sl_WlanProfileAdd80:
;wlan.c,457 :: 		if( NULL != pMacAddr )
CMP	R9, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd87
;wlan.c,458 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
ADD	R4, SP, #7
;wlan.c,459 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R2, #6
SXTH	R2, R2
;wlan.c,458 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
MOV	R1, R9
; pMacAddr end address is: 36 (R9)
MOV	R0, R4
;wlan.c,459 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	_memcpy+0
IT	AL
BAL	L_sl_WlanProfileAdd88
L_sl_WlanProfileAdd87:
;wlan.c,461 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
ADD	R4, SP, #7
;wlan.c,462 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R1, #6
;wlan.c,461 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
MOV	R0, R4
;wlan.c,462 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	__SlDrvMemZero+0
L_sl_WlanProfileAdd88:
;wlan.c,464 :: 		VERIFY_RET_OK( _SlDrvCmdOp( &CmdCtrl, &Msg, NULL ) );
ADD	R5, SP, #4
ADD	R4, SP, #184
MOVS	R2, #0
MOV	R1, R5
MOV	R0, R4
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd89
L_sl_WlanProfileAdd90:
IT	AL
BAL	L_sl_WlanProfileAdd90
L_sl_WlanProfileAdd89:
;wlan.c,466 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,467 :: 		}
L_end_sl_WlanProfileAdd:
LDR	LR, [SP, #0]
ADD	SP, SP, #188
BX	LR
; end of _sl_WlanProfileAdd
_sl_WlanProfileGet:
;wlan.c,490 :: 		_u32 *pPriority )
; Index start address is: 0 (R0)
SUB	SP, SP, #204
STR	LR, [SP, #0]
STR	R1, [SP, #192]
STR	R2, [SP, #196]
STR	R3, [SP, #200]
; Index end address is: 0 (R0)
; Index start address is: 0 (R0)
; pSecParams start address is: 8 (R2)
LDR	R2, [SP, #204]
; pEntParams start address is: 4 (R1)
LDR	R1, [SP, #208]
LDR	R4, [SP, #212]
STR	R4, [SP, #212]
;wlan.c,493 :: 		Msg.Cmd.index = ( _u8 )Index;
UXTB	R4, R0
; Index end address is: 0 (R0)
STRB	R4, [SP, #12]
;wlan.c,495 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlProfileGetCmdCtrl, &Msg,
ADD	R4, SP, #12
STR	R1, [SP, #4]
STR	R2, [SP, #8]
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlProfileGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlProfileGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R2, [SP, #8]
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanProfileGet92
; pSecParams end address is: 8 (R2)
; pEntParams end address is: 4 (R1)
L_sl_WlanProfileGet93:
IT	AL
BAL	L_sl_WlanProfileGet93
L_sl_WlanProfileGet92:
;wlan.c,498 :: 		pSecParams->Type = Msg.Rsp.Args.Common.SecType;
; pEntParams start address is: 4 (R1)
; pSecParams start address is: 8 (R2)
LDRSB	R4, [SP, #12]
STRB	R4, [R2, #0]
;wlan.c,500 :: 		pSecParams->KeyLen = Msg.Rsp.Args.Common.PasswordLen;
ADDW	R5, R2, #8
; pSecParams end address is: 8 (R2)
LDRB	R4, [SP, #21]
STRB	R4, [R5, #0]
;wlan.c,501 :: 		if ( NULL != pEntParams )
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanProfileGet95
;wlan.c,503 :: 		pEntParams->UserLen = Msg.Rsp.Args.UserLen;
ADDW	R5, R1, #32
LDRB	R4, [SP, #23]
STRB	R4, [R5, #0]
;wlan.c,505 :: 		if ( pEntParams->UserLen > 0 )
ADDW	R4, R1, #32
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileGet96
;wlan.c,507 :: 		pEntParams->UserLen );
ADDW	R4, R1, #32
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,506 :: 		sl_Memcpy( pEntParams->User, EAP_PROFILE_USER_STRING( &Msg ),
ADD	R6, SP, #12
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,507 :: 		pEntParams->UserLen );
STR	R1, [SP, #4]
SXTH	R2, R7
;wlan.c,506 :: 		sl_Memcpy( pEntParams->User, EAP_PROFILE_USER_STRING( &Msg ),
MOV	R0, R1
MOV	R1, R4
;wlan.c,507 :: 		pEntParams->UserLen );
BL	_memcpy+0
LDR	R1, [SP, #4]
L_sl_WlanProfileGet96:
;wlan.c,508 :: 		pEntParams->AnonUserLen = Msg.Rsp.Args.AnonUserLen;
ADDW	R5, R1, #65
LDRB	R4, [SP, #24]
STRB	R4, [R5, #0]
;wlan.c,510 :: 		if ( pEntParams->AnonUserLen > 0 )
ADDW	R4, R1, #65
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileGet97
;wlan.c,512 :: 		pEntParams->AnonUserLen );
ADDW	R4, R1, #65
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,511 :: 		sl_Memcpy( pEntParams->AnonUser, EAP_PROFILE_ANON_USER_STRING( &Msg ),
ADD	R6, SP, #12
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #11
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R1, #33
; pEntParams end address is: 4 (R1)
;wlan.c,512 :: 		pEntParams->AnonUserLen );
SXTH	R2, R7
;wlan.c,511 :: 		sl_Memcpy( pEntParams->AnonUser, EAP_PROFILE_ANON_USER_STRING( &Msg ),
MOV	R1, R5
MOV	R0, R4
;wlan.c,512 :: 		pEntParams->AnonUserLen );
BL	_memcpy+0
L_sl_WlanProfileGet97:
;wlan.c,513 :: 		}
L_sl_WlanProfileGet95:
;wlan.c,515 :: 		*pNameLen  = Msg.Rsp.Args.Common.SsidLen;
LDRB	R5, [SP, #13]
LDR	R4, [SP, #196]
STRH	R5, [R4, #0]
;wlan.c,516 :: 		*pPriority = Msg.Rsp.Args.Common.Priority;
LDRB	R5, [SP, #14]
LDR	R4, [SP, #212]
STR	R5, [R4, #0]
;wlan.c,518 :: 		if ( NULL != Msg.Rsp.Args.Common.Bssid )
ADD	R4, SP, #15
CMP	R4, #0
IT	EQ
BEQ	L_sl_WlanProfileGet98
;wlan.c,519 :: 		sl_Memcpy( pMacAddr, Msg.Rsp.Args.Common.Bssid,
ADD	R4, SP, #15
;wlan.c,520 :: 		sizeof( Msg.Rsp.Args.Common.Bssid ) );
MOVS	R2, #6
SXTH	R2, R2
;wlan.c,519 :: 		sl_Memcpy( pMacAddr, Msg.Rsp.Args.Common.Bssid,
MOV	R1, R4
LDR	R0, [SP, #200]
;wlan.c,520 :: 		sizeof( Msg.Rsp.Args.Common.Bssid ) );
BL	_memcpy+0
L_sl_WlanProfileGet98:
;wlan.c,522 :: 		sl_Memcpy( pName, EAP_PROFILE_SSID_STRING( &Msg ), *pNameLen );
LDR	R4, [SP, #196]
LDRSH	R4, [R4, #0]
SXTH	R5, R4
ADD	R4, SP, #12
ADDS	R4, #20
SXTH	R2, R5
MOV	R1, R4
LDR	R0, [SP, #192]
BL	_memcpy+0
;wlan.c,524 :: 		return ( _i16 )Msg.Rsp.Args.Common.SecType;
LDRSB	R4, [SP, #12]
SXTH	R0, R4
;wlan.c,526 :: 		}
L_end_sl_WlanProfileGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #204
BX	LR
; end of _sl_WlanProfileGet
_sl_WlanProfileDel:
;wlan.c,547 :: 		_i16 sl_WlanProfileDel( const _i16 Index )
; Index start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; Index end address is: 0 (R0)
; Index start address is: 0 (R0)
;wlan.c,551 :: 		Msg.Cmd.index = ( _u8 )Index;
UXTB	R1, R0
; Index end address is: 0 (R0)
STRB	R1, [SP, #4]
;wlan.c,553 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlProfileDelCmdCtrl, &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlProfileDelCmdCtrl+0)
MOVT	R0, #hi_addr(__SlProfileDelCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanProfileDel99
L_sl_WlanProfileDel100:
IT	AL
BAL	L_sl_WlanProfileDel100
L_sl_WlanProfileDel99:
;wlan.c,556 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,557 :: 		}
L_end_sl_WlanProfileDel:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_WlanProfileDel
_sl_WlanGetNetworkList:
;wlan.c,581 :: 		Sl_WlanNetworkEntry_t *pEntries )
; Count start address is: 4 (R1)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTB	R0, R1
STR	R2, [SP, #32]
; Count end address is: 4 (R1)
; Count start address is: 0 (R0)
;wlan.c,583 :: 		_i16 retVal = 0;
;wlan.c,587 :: 		if ( Count == 0 )
CMP	R0, #0
IT	NE
BNE	L_sl_WlanGetNetworkList102
; Count end address is: 0 (R0)
;wlan.c,588 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanGetNetworkList
L_sl_WlanGetNetworkList102:
;wlan.c,590 :: 		_SlDrvResetCmdExt( &CmdExt );
; Count start address is: 0 (R0)
ADD	R3, SP, #12
STRB	R0, [SP, #4]
MOV	R0, R3
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;wlan.c,591 :: 		CmdExt.RxPayloadLen = sizeof( Sl_WlanNetworkEntry_t ) * ( Count );
MOVS	R3, #44
SXTH	R3, R3
MULS	R3, R0, R3
STRH	R3, [SP, #14]
;wlan.c,592 :: 		CmdExt.pRxPayload = ( _u8 * )pEntries;
LDR	R3, [SP, #32]
STR	R3, [SP, #24]
;wlan.c,594 :: 		Msg.Cmd.index = Index;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #8]
;wlan.c,595 :: 		Msg.Cmd.count = Count;
STRB	R0, [SP, #9]
; Count end address is: 0 (R0)
;wlan.c,597 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanGetNetworkListCtrl,
ADD	R4, SP, #12
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlWlanGetNetworkListCtrl+0)
MOVT	R0, #hi_addr(__SlWlanGetNetworkListCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanGetNetworkList103
L_sl_WlanGetNetworkList104:
IT	AL
BAL	L_sl_WlanGetNetworkList104
L_sl_WlanGetNetworkList103:
;wlan.c,601 :: 		return ( _i16 )retVal;
LDRSH	R0, [SP, #8]
;wlan.c,602 :: 		}
L_end_sl_WlanGetNetworkList:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_WlanGetNetworkList
_sl_WlanRxFilterAdd:
;wlan.c,655 :: 		SlrxFilterID_t                     *pFilterId )
; Action start address is: 12 (R3)
; Trigger start address is: 8 (R2)
; Rule start address is: 4 (R1)
; RuleType start address is: 0 (R0)
SUB	SP, SP, #84
STR	LR, [SP, #0]
; Action end address is: 12 (R3)
; Trigger end address is: 8 (R2)
; Rule end address is: 4 (R1)
; RuleType end address is: 0 (R0)
; RuleType start address is: 0 (R0)
; Rule start address is: 4 (R1)
; Trigger start address is: 8 (R2)
; Action start address is: 12 (R3)
LDR	R4, [SP, #88]
STR	R4, [SP, #88]
;wlan.c,660 :: 		Msg.Cmd.RuleType = RuleType;
STRB	R0, [SP, #4]
; RuleType end address is: 0 (R0)
;wlan.c,662 :: 		Msg.Cmd.FilterId = 0;
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [SP, #6]
;wlan.c,663 :: 		Msg.Cmd.FilterFlags = FilterFlags;
MOV	R7, #1
ADD	R6, SP, #5
ADD	R5, SP, #84
; Rule end address is: 4 (R1)
; Trigger end address is: 8 (R2)
; Action end address is: 12 (R3)
MOV	R0, R1
MOV	R9, R2
MOV	R8, R3
IT	AL
BAL	L_sl_WlanRxFilterAdd106
L__sl_WlanRxFilterAdd144:
L_sl_WlanRxFilterAdd106:
; Rule start address is: 0 (R0)
; Trigger start address is: 36 (R9)
; Action start address is: 32 (R8)
; Action start address is: 32 (R8)
; Action end address is: 32 (R8)
; Trigger start address is: 36 (R9)
; Trigger end address is: 36 (R9)
; Rule start address is: 0 (R0)
; Rule end address is: 0 (R0)
LDRB	R4, [R5, #0]
STRB	R4, [R6, #0]
SUBS	R7, R7, #1
ADDS	R5, R5, #1
ADDS	R6, R6, #1
CMP	R7, #0
IT	NE
BNE	L__sl_WlanRxFilterAdd144
; Action end address is: 32 (R8)
; Trigger end address is: 36 (R9)
; Rule end address is: 0 (R0)
;wlan.c,664 :: 		sl_Memcpy( &( Msg.Cmd.Rule ), Rule, sizeof( SlrxFilterRule_t ) );
; Rule start address is: 0 (R0)
; Trigger start address is: 36 (R9)
; Action start address is: 32 (R8)
ADD	R4, SP, #8
MOVS	R2, #56
SXTH	R2, R2
MOV	R1, R0
; Rule end address is: 0 (R0)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,665 :: 		sl_Memcpy( &( Msg.Cmd.Trigger ), Trigger, sizeof( SlrxFilterTrigger_t ) );
ADD	R4, SP, #64
MOVS	R2, #12
SXTH	R2, R2
MOV	R1, R9
; Trigger end address is: 36 (R9)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,666 :: 		sl_Memcpy( &( Msg.Cmd.Action ), Action, sizeof( SlrxFilterAction_t ) );
ADD	R4, SP, #76
MOVS	R2, #8
SXTH	R2, R2
MOV	R1, R8
; Action end address is: 32 (R8)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,667 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRxFilterAddtCmdCtrl, &Msg,
ADD	R4, SP, #4
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlRxFilterAddtCmdCtrl+0)
MOVT	R0, #hi_addr(__SlRxFilterAddtCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxFilterAdd107
L_sl_WlanRxFilterAdd108:
IT	AL
BAL	L_sl_WlanRxFilterAdd108
L_sl_WlanRxFilterAdd107:
;wlan.c,669 :: 		*pFilterId = Msg.Rsp.FilterId;
LDRSB	R5, [SP, #4]
LDR	R4, [SP, #88]
STRB	R5, [R4, #0]
;wlan.c,670 :: 		return ( _i16 )Msg.Rsp.Status;
LDRB	R4, [SP, #5]
SXTB	R0, R4
;wlan.c,672 :: 		}
L_end_sl_WlanRxFilterAdd:
LDR	LR, [SP, #0]
ADD	SP, SP, #84
BX	LR
; end of _sl_WlanRxFilterAdd
_sl_WlanRxFilterSet:
;wlan.c,691 :: 		_u16 InputbufferLength )
; InputbufferLength start address is: 8 (R2)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTH	R0, R2
STR	R1, [SP, #32]
; InputbufferLength end address is: 8 (R2)
; InputbufferLength start address is: 0 (R0)
;wlan.c,697 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R3, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R3
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;wlan.c,698 :: 		CmdExt.TxPayloadLen = InputbufferLength;
STRH	R0, [SP, #12]
;wlan.c,699 :: 		CmdExt.pTxPayload   = ( _u8 * )pInputBuffer;
LDR	R3, [SP, #32]
STR	R3, [SP, #20]
;wlan.c,701 :: 		Msg.Cmd.RxFilterOperation = RxFilterOperation;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #10]
;wlan.c,702 :: 		Msg.Cmd.InputBufferLength = InputbufferLength;
STRH	R0, [SP, #8]
; InputbufferLength end address is: 0 (R0)
;wlan.c,705 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRxFilterSetCmdCtrl, &Msg,
ADD	R4, SP, #12
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlRxFilterSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlRxFilterSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxFilterSet110
L_sl_WlanRxFilterSet111:
IT	AL
BAL	L_sl_WlanRxFilterSet111
L_sl_WlanRxFilterSet110:
;wlan.c,709 :: 		return ( _i16 )Msg.Rsp.Status;
LDRB	R3, [SP, #8]
SXTH	R0, R3
;wlan.c,710 :: 		}
L_end_sl_WlanRxFilterSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_WlanRxFilterSet
_sl_WlanRxFilterGet:
;wlan.c,728 :: 		_u16 OutputbufferLength )
; OutputbufferLength start address is: 8 (R2)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTH	R0, R2
STR	R1, [SP, #32]
; OutputbufferLength end address is: 8 (R2)
; OutputbufferLength start address is: 0 (R0)
;wlan.c,733 :: 		if ( OutputbufferLength == 0 )
CMP	R0, #0
IT	NE
BNE	L_sl_WlanRxFilterGet113
; OutputbufferLength end address is: 0 (R0)
;wlan.c,734 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanRxFilterGet
L_sl_WlanRxFilterGet113:
;wlan.c,736 :: 		_SlDrvResetCmdExt( &CmdExt );
; OutputbufferLength start address is: 0 (R0)
ADD	R3, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R3
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;wlan.c,737 :: 		CmdExt.RxPayloadLen = OutputbufferLength;
STRH	R0, [SP, #14]
;wlan.c,738 :: 		CmdExt.pRxPayload   = ( _u8 * )pOutputBuffer;
LDR	R3, [SP, #32]
STR	R3, [SP, #24]
;wlan.c,740 :: 		Msg.Cmd.RxFilterOperation = RxFilterOperation;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #10]
;wlan.c,741 :: 		Msg.Cmd.OutputBufferLength = OutputbufferLength;
STRH	R0, [SP, #8]
; OutputbufferLength end address is: 0 (R0)
;wlan.c,744 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRxFilterGetCmdCtrl, &Msg,
ADD	R4, SP, #12
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlRxFilterGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlRxFilterGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxFilterGet114
L_sl_WlanRxFilterGet115:
IT	AL
BAL	L_sl_WlanRxFilterGet115
L_sl_WlanRxFilterGet114:
;wlan.c,747 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
LDRSH	R4, [SP, #16]
LDRSH	R3, [SP, #14]
CMP	R3, R4
IT	GE
BGE	L_sl_WlanRxFilterGet117
;wlan.c,748 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanRxFilterGet
L_sl_WlanRxFilterGet117:
;wlan.c,750 :: 		return ( _i16 )Msg.Rsp.Status;
LDRB	R3, [SP, #8]
SXTH	R0, R3
;wlan.c,751 :: 		}
L_end_sl_WlanRxFilterGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_WlanRxFilterGet
_sl_WlanRxStatStart:
;wlan.c,758 :: 		_i16 sl_WlanRxStatStart( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,760 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_STARTRXSTATCOMMAND );
MOVW	R0, #36012
BL	__SlDrvBasicCmd+0
;wlan.c,761 :: 		}
L_end_sl_WlanRxStatStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanRxStatStart
_sl_WlanRxStatStop:
;wlan.c,765 :: 		_i16 sl_WlanRxStatStop( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,767 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_STOPRXSTATCOMMAND );
MOVW	R0, #36013
BL	__SlDrvBasicCmd+0
;wlan.c,768 :: 		}
L_end_sl_WlanRxStatStop:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanRxStatStop
_sl_WlanRxStatGet:
;wlan.c,772 :: 		_i16 sl_WlanRxStatGet( SlGetRxStatResponse_t *pRxStat, const _u32 Flags )
; pRxStat start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; pRxStat end address is: 0 (R0)
; pRxStat start address is: 0 (R0)
;wlan.c,774 :: 		_SlCmdCtrl_t            CmdCtrl = {SL_OPCODE_WLAN_GETRXSTATCOMMAND, 0, sizeof( SlGetRxStatResponse_t )};
MOVW	R2, #36015
STRH	R2, [SP, #8]
MOVS	R2, #0
STRB	R2, [SP, #10]
MOVS	R2, #76
STRB	R2, [SP, #11]
;wlan.c,776 :: 		_SlDrvMemZero( pRxStat, sizeof( SlGetRxStatResponse_t ) );
STR	R0, [SP, #4]
MOVS	R1, #76
BL	__SlDrvMemZero+0
LDR	R0, [SP, #4]
;wlan.c,777 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&CmdCtrl, pRxStat, NULL ) );
ADD	R2, SP, #8
MOV	R1, R0
MOV	R0, R2
; pRxStat end address is: 0 (R0)
MOVS	R2, #0
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxStatGet118
L_sl_WlanRxStatGet119:
IT	AL
BAL	L_sl_WlanRxStatGet119
L_sl_WlanRxStatGet118:
;wlan.c,779 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;wlan.c,780 :: 		}
L_end_sl_WlanRxStatGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _sl_WlanRxStatGet
_sl_WlanSmartConfigStop:
;wlan.c,789 :: 		_i16 sl_WlanSmartConfigStop( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,791 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_SMART_CONFIG_STOP_COMMAND );
MOVW	R0, #36019
BL	__SlDrvBasicCmd+0
;wlan.c,792 :: 		}
L_end_sl_WlanSmartConfigStop:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanSmartConfigStop
_sl_WlanSmartConfigStart:
;wlan.c,830 :: 		const _u8    *pGroup2Key )
; group1KeyLen start address is: 12 (R3)
; publicKeyLen start address is: 8 (R2)
; cipher start address is: 4 (R1)
; groupIdBitmask start address is: 0 (R0)
SUB	SP, SP, #60
STR	LR, [SP, #0]
UXTB	R6, R3
; group1KeyLen end address is: 12 (R3)
; publicKeyLen end address is: 8 (R2)
; cipher end address is: 4 (R1)
; groupIdBitmask end address is: 0 (R0)
; groupIdBitmask start address is: 0 (R0)
; cipher start address is: 4 (R1)
; publicKeyLen start address is: 8 (R2)
; group1KeyLen start address is: 24 (R6)
; group2KeyLen start address is: 28 (R7)
LDRB	R7, [SP, #60]
; pPublicKey start address is: 12 (R3)
LDR	R3, [SP, #64]
; pGroup1Key start address is: 36 (R9)
LDR	R9, [SP, #68]
; pGroup2Key start address is: 32 (R8)
LDR	R8, [SP, #72]
;wlan.c,834 :: 		Msg.Cmd.Args.groupIdBitmask = ( _u8 )groupIdBitmask;
UXTB	R4, R0
; groupIdBitmask end address is: 0 (R0)
STR	R4, [SP, #4]
;wlan.c,835 :: 		Msg.Cmd.Args.cipher         = ( _u8 )cipher;
STRB	R1, [SP, #8]
; cipher end address is: 4 (R1)
;wlan.c,836 :: 		Msg.Cmd.Args.publicKeyLen   = ( _u8 )publicKeyLen;
STRB	R2, [SP, #9]
;wlan.c,837 :: 		Msg.Cmd.Args.group1KeyLen   = ( _u8 )group1KeyLen;
STRB	R6, [SP, #10]
;wlan.c,838 :: 		Msg.Cmd.Args.group2KeyLen   = ( _u8 )group2KeyLen;
STRB	R7, [SP, #11]
;wlan.c,841 :: 		sl_Memcpy( SMART_CONFIG_START_PUBLIC_KEY_STRING( &Msg ), pPublicKey,
ADD	R4, SP, #4
ADDS	R4, #8
;wlan.c,842 :: 		publicKeyLen );
; publicKeyLen end address is: 8 (R2)
;wlan.c,841 :: 		sl_Memcpy( SMART_CONFIG_START_PUBLIC_KEY_STRING( &Msg ), pPublicKey,
MOV	R1, R3
; pPublicKey end address is: 12 (R3)
MOV	R0, R4
;wlan.c,842 :: 		publicKeyLen );
BL	_memcpy+0
;wlan.c,843 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP1_KEY_STRING( &Msg ), pGroup1Key,
ADD	R4, SP, #4
ADDW	R5, R4, #8
ADDS	R4, R4, #5
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,844 :: 		group1KeyLen );
UXTB	R2, R6
; group1KeyLen end address is: 24 (R6)
;wlan.c,843 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP1_KEY_STRING( &Msg ), pGroup1Key,
MOV	R1, R9
; pGroup1Key end address is: 36 (R9)
MOV	R0, R4
;wlan.c,844 :: 		group1KeyLen );
BL	_memcpy+0
;wlan.c,845 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP2_KEY_STRING( &Msg ), pGroup2Key,
ADD	R6, SP, #4
ADDW	R5, R6, #8
ADDS	R4, R6, #5
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDS	R4, R6, #6
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,846 :: 		group2KeyLen );
UXTB	R2, R7
; group2KeyLen end address is: 28 (R7)
;wlan.c,845 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP2_KEY_STRING( &Msg ), pGroup2Key,
MOV	R1, R8
; pGroup2Key end address is: 32 (R8)
MOV	R0, R4
;wlan.c,846 :: 		group2KeyLen );
BL	_memcpy+0
;wlan.c,848 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSmartConfigStartCmdCtrl ,
ADD	R4, SP, #4
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlSmartConfigStartCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSmartConfigStartCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanSmartConfigStart121
L_sl_WlanSmartConfigStart122:
IT	AL
BAL	L_sl_WlanSmartConfigStart122
L_sl_WlanSmartConfigStart121:
;wlan.c,851 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,854 :: 		}
L_end_sl_WlanSmartConfigStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #60
BX	LR
; end of _sl_WlanSmartConfigStart
_sl_WlanSetMode:
;wlan.c,880 :: 		_i16 sl_WlanSetMode( const _u8    mode )
; mode start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; mode end address is: 0 (R0)
; mode start address is: 0 (R0)
;wlan.c,884 :: 		Msg.Cmd.mode  = mode;
STRB	R0, [SP, #4]
; mode end address is: 0 (R0)
;wlan.c,886 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanSetModeCmdCtrl , &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlWlanSetModeCmdCtrl+0)
MOVT	R0, #hi_addr(__SlWlanSetModeCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanSetMode124
L_sl_WlanSetMode125:
IT	AL
BAL	L_sl_WlanSetMode125
L_sl_WlanSetMode124:
;wlan.c,889 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,890 :: 		}
L_end_sl_WlanSetMode:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_WlanSetMode
_sl_WlanSet:
;wlan.c,916 :: 		const _u16 ConfigLen, const  _u8 *pValues )
; ConfigLen start address is: 8 (R2)
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRH	R0, [SP, #32]
UXTH	R0, R2
STRH	R1, [SP, #36]
STR	R3, [SP, #40]
; ConfigLen end address is: 8 (R2)
; ConfigLen start address is: 0 (R0)
;wlan.c,921 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
STRH	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;wlan.c,922 :: 		CmdExt.TxPayloadLen = ( ConfigLen + 3 ) & ( ~3 );
ADDS	R5, R0, #3
UXTH	R5, R5
MOVW	R4, #65532
AND	R4, R5, R4, LSL #0
STRH	R4, [SP, #16]
;wlan.c,923 :: 		CmdExt.pTxPayload = ( _u8 * )pValues;
LDR	R4, [SP, #40]
STR	R4, [SP, #24]
;wlan.c,925 :: 		Msg.Cmd.ConfigId    = ConfigId;
LDRH	R4, [SP, #32]
STRH	R4, [SP, #10]
;wlan.c,926 :: 		Msg.Cmd.ConfigLen   = ConfigLen;
STRH	R0, [SP, #14]
; ConfigLen end address is: 0 (R0)
;wlan.c,927 :: 		Msg.Cmd.ConfigOpt   = ConfigOpt;
LDRH	R4, [SP, #36]
STRH	R4, [SP, #12]
;wlan.c,929 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanCfgSetCmdCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlWlanCfgSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlWlanCfgSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanSet127
L_sl_WlanSet128:
IT	AL
BAL	L_sl_WlanSet128
L_sl_WlanSet127:
;wlan.c,932 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;wlan.c,933 :: 		}
L_end_sl_WlanSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_WlanSet
_sl_WlanGet:
;wlan.c,956 :: 		_u8 *pValues )
; pValues start address is: 12 (R3)
; pConfigLen start address is: 8 (R2)
; pConfigOpt start address is: 4 (R1)
; ConfigId start address is: 0 (R0)
SUB	SP, SP, #44
STR	LR, [SP, #0]
; pValues end address is: 12 (R3)
; pConfigLen end address is: 8 (R2)
; pConfigOpt end address is: 4 (R1)
; ConfigId end address is: 0 (R0)
; ConfigId start address is: 0 (R0)
; pConfigOpt start address is: 4 (R1)
; pConfigLen start address is: 8 (R2)
; pValues start address is: 12 (R3)
;wlan.c,961 :: 		if ( *pConfigLen == 0 )
LDRH	R4, [R2, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanGet130
; ConfigId end address is: 0 (R0)
; pConfigOpt end address is: 4 (R1)
; pConfigLen end address is: 8 (R2)
; pValues end address is: 12 (R3)
;wlan.c,962 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanGet
L_sl_WlanGet130:
;wlan.c,964 :: 		_SlDrvResetCmdExt( &CmdExt );
; pValues start address is: 12 (R3)
; pConfigLen start address is: 8 (R2)
; pConfigOpt start address is: 4 (R1)
; ConfigId start address is: 0 (R0)
ADD	R4, SP, #28
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STR	R1, [SP, #12]
STRH	R0, [SP, #16]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #16]
LDR	R1, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;wlan.c,965 :: 		CmdExt.RxPayloadLen = *pConfigLen;
LDRH	R4, [R2, #0]
STRH	R4, [SP, #30]
;wlan.c,966 :: 		CmdExt.pRxPayload = ( _u8 * )pValues;
STR	R3, [SP, #40]
; pValues end address is: 12 (R3)
;wlan.c,968 :: 		Msg.Cmd.ConfigId    = ConfigId;
STRH	R0, [SP, #22]
; ConfigId end address is: 0 (R0)
;wlan.c,969 :: 		if( pConfigOpt )
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanGet131
;wlan.c,970 :: 		Msg.Cmd.ConfigOpt   = ( _u16 ) * pConfigOpt;
LDRH	R4, [R1, #0]
STRH	R4, [SP, #24]
L_sl_WlanGet131:
;wlan.c,971 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanCfgGetCmdCtrl, &Msg,
ADD	R5, SP, #28
ADD	R4, SP, #20
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlWlanCfgGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlWlanCfgGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanGet132
; pConfigOpt end address is: 4 (R1)
; pConfigLen end address is: 8 (R2)
L_sl_WlanGet133:
IT	AL
BAL	L_sl_WlanGet133
L_sl_WlanGet132:
;wlan.c,974 :: 		if( pConfigOpt )
; pConfigLen start address is: 8 (R2)
; pConfigOpt start address is: 4 (R1)
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanGet135
;wlan.c,975 :: 		*pConfigOpt = ( _u8 )Msg.Rsp.ConfigOpt;
LDRB	R4, [SP, #24]
STRH	R4, [R1, #0]
; pConfigOpt end address is: 4 (R1)
L_sl_WlanGet135:
;wlan.c,976 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
LDRSH	R5, [SP, #32]
LDRSH	R4, [SP, #30]
CMP	R4, R5
IT	GE
BGE	L_sl_WlanGet136
;wlan.c,978 :: 		*pConfigLen = ( _u8 )CmdExt.RxPayloadLen;
LDRB	R4, [SP, #30]
STRH	R4, [R2, #0]
; pConfigLen end address is: 8 (R2)
;wlan.c,979 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanGet
;wlan.c,980 :: 		}
L_sl_WlanGet136:
;wlan.c,982 :: 		*pConfigLen = ( _u8 )CmdExt.ActualRxPayloadLen;
; pConfigLen start address is: 8 (R2)
LDRB	R4, [SP, #32]
STRH	R4, [R2, #0]
; pConfigLen end address is: 8 (R2)
;wlan.c,985 :: 		return ( _i16 )Msg.Rsp.Status;
LDRSH	R0, [SP, #20]
;wlan.c,986 :: 		}
L_end_sl_WlanGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_WlanGet
