test_console_Write_to_Data_Lines:
;mmb_5_fpi_stm32.h,86 :: 		static void Write_to_Data_Lines ( unsigned char _hi, unsigned char _lo )
; _lo start address is: 4 (R1)
; _hi start address is: 0 (R0)
; _lo end address is: 4 (R1)
; _hi end address is: 0 (R0)
; _hi start address is: 0 (R0)
; _lo start address is: 4 (R1)
;mmb_5_fpi_stm32.h,88 :: 		GPIOE_ODR = ( unsigned int ) ( _lo | ( _hi << 8 ) );
LSLS	R2, R0, #8
UXTH	R2, R2
; _hi end address is: 0 (R0)
ORR	R3, R1, R2, LSL #0
UXTH	R3, R3
; _lo end address is: 4 (R1)
MOVW	R2, #lo_addr(GPIOE_ODR+0)
MOVT	R2, #hi_addr(GPIOE_ODR+0)
STR	R3, [R2, #0]
;mmb_5_fpi_stm32.h,89 :: 		}
L_end_Write_to_Data_Lines:
BX	LR
; end of test_console_Write_to_Data_Lines
test_console_Set_Index:
;mmb_5_fpi_stm32.h,91 :: 		static void Set_Index ( unsigned short index )
; index start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;mmb_5_fpi_stm32.h,93 :: 		TFT_RS = 0;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
BFC	R1, BitPos(TFT_RS+0), #1
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,94 :: 		Write_to_Data_Lines( 0, index );
UXTB	R1, R0
; index end address is: 0 (R0)
MOVS	R0, #0
BL	test_console_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,95 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,96 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,97 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,98 :: 		}
L_end_Set_Index:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_Set_Index
test_console_Write_Command:
;mmb_5_fpi_stm32.h,100 :: 		static void Write_Command ( unsigned short cmd )
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;mmb_5_fpi_stm32.h,102 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,103 :: 		Write_to_Data_Lines( 0, cmd );
UXTB	R1, R0
; cmd end address is: 0 (R0)
MOVS	R0, #0
BL	test_console_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,104 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,105 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,106 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,107 :: 		}
L_end_Write_Command:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_Write_Command
test_console_Write_Data:
;mmb_5_fpi_stm32.h,109 :: 		static void Write_Data ( unsigned int _data )
; _data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 0 (R0)
; _data start address is: 0 (R0)
;mmb_5_fpi_stm32.h,111 :: 		TFT_RS = 1;
MOVW	R2, #lo_addr(TFT_RS+0)
MOVT	R2, #hi_addr(TFT_RS+0)
_LX	[R2, ByteOffset(TFT_RS+0)]
ORR	R1, R1, BitMask(TFT_RS+0)
_SX	[R2, ByteOffset(TFT_RS+0)]
;mmb_5_fpi_stm32.h,112 :: 		Write_to_Data_Lines( ( _data >> 8 ), ( _data & 0x00FF ) );
AND	R2, R0, #255
LSRS	R1, R0, #8
; _data end address is: 0 (R0)
UXTB	R0, R1
UXTB	R1, R2
BL	test_console_Write_to_Data_Lines+0
;mmb_5_fpi_stm32.h,113 :: 		TFT_WR = 0;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
BFC	R1, BitPos(TFT_WR+0), #1
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,114 :: 		asm nop;
NOP
;mmb_5_fpi_stm32.h,115 :: 		TFT_WR = 1;
MOVW	R2, #lo_addr(TFT_WR+0)
MOVT	R2, #hi_addr(TFT_WR+0)
_LX	[R2, ByteOffset(TFT_WR+0)]
ORR	R1, R1, BitMask(TFT_WR+0)
_SX	[R2, ByteOffset(TFT_WR+0)]
;mmb_5_fpi_stm32.h,116 :: 		}
L_end_Write_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_Write_Data
test_console_hal_display_init:
;mmb_5_fpi_stm32.h,118 :: 		static void hal_display_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,122 :: 		TFT_Set_Default_Mode( );
BL	_TFT_Set_Default_Mode+0
;mmb_5_fpi_stm32.h,123 :: 		TFT_Set_Active( Set_Index, Write_Command, Write_Data );
MOVW	R2, #lo_addr(test_console_Write_Data+0)
MOVT	R2, #hi_addr(test_console_Write_Data+0)
MOVW	R1, #lo_addr(test_console_Write_Command+0)
MOVT	R1, #hi_addr(test_console_Write_Command+0)
MOVW	R0, #lo_addr(test_console_Set_Index+0)
MOVT	R0, #hi_addr(test_console_Set_Index+0)
BL	_TFT_Set_Active+0
;mmb_5_fpi_stm32.h,124 :: 		TFT_Init_SSD1963_Board_70( 800, 480 );
MOVW	R1, #480
MOVW	R0, #800
BL	_TFT_Init_SSD1963_Board_70+0
;mmb_5_fpi_stm32.h,125 :: 		TFT_Set_DBC_SSD1963( 255 );
MOVS	R0, #255
BL	_TFT_Set_DBC_SSD1963+0
;mmb_5_fpi_stm32.h,126 :: 		}
L_end_hal_display_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_display_init
test_console_hal_touch_init:
;mmb_5_fpi_stm32.h,132 :: 		static uint8_t hal_touch_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,136 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,137 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,139 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,141 :: 		while ( GPIOB_IDR.B7 == 0 )
L_test_console_hal_touch_init0:
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #7, #1
CMP	R0, #0
IT	NE
BNE	L_test_console_hal_touch_init1
;mmb_5_fpi_stm32.h,143 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,144 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_test_console_hal_touch_init2:
SUBS	R7, R7, #1
BNE	L_test_console_hal_touch_init2
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,145 :: 		GPIOB_ODR.B6 = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #64
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,146 :: 		Delay_us( 10 );
MOVW	R7, #2154
MOVT	R7, #0
NOP
NOP
L_test_console_hal_touch_init4:
SUBS	R7, R7, #1
BNE	L_test_console_hal_touch_init4
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,147 :: 		}
IT	AL
BAL	L_test_console_hal_touch_init0
L_test_console_hal_touch_init1:
;mmb_5_fpi_stm32.h,149 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,151 :: 		FT5XX6_SetI2CAddress( 0x38 );
MOVS	R0, #56
BL	_FT5XX6_SetI2CAddress+0
;mmb_5_fpi_stm32.h,153 :: 		if ( FT5XX6_IsOperational( ) != FT5XX6_OK )
BL	_FT5XX6_IsOperational+0
CMP	R0, #0
IT	EQ
BEQ	L_test_console_hal_touch_init6
;mmb_5_fpi_stm32.h,155 :: 		return FT5XX6_FAILURE;
MOVS	R0, #1
IT	AL
BAL	L_end_hal_touch_init
;mmb_5_fpi_stm32.h,156 :: 		}
L_test_console_hal_touch_init6:
;mmb_5_fpi_stm32.h,158 :: 		FT5XX6_SetDefaultMode( );
BL	_FT5XX6_SetDefaultMode+0
;mmb_5_fpi_stm32.h,159 :: 		FT5XX6_SetController( _TC_FT5X16 );
MOVS	R0, #2
BL	_FT5XX6_SetController+0
;mmb_5_fpi_stm32.h,160 :: 		FT5XX6_SetSizeAndRotation( 800, 480, 2 );
MOVS	R2, #2
MOVW	R1, #480
MOVW	R0, #800
BL	_FT5XX6_SetSizeAndRotation+0
;mmb_5_fpi_stm32.h,162 :: 		return FT5XX6_OK;
MOVS	R0, #0
;mmb_5_fpi_stm32.h,163 :: 		}
L_end_hal_touch_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_touch_init
test_console_hal_console_init:
;mmb_5_fpi_stm32.h,175 :: 		static void hal_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
MOVW	R0, #lo_addr(__GPIO_MODULE_UART6_PC67+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_UART6_PC67+0)
PUSH	(R0)
;mmb_5_fpi_stm32.h,183 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;mmb_5_fpi_stm32.h,182 :: 		_UART_NOPARITY,
MOVW	R2, #0
;mmb_5_fpi_stm32.h,181 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;mmb_5_fpi_stm32.h,180 :: 		115200,
MOV	R0, #115200
;mmb_5_fpi_stm32.h,184 :: 		&_GPIO_MODULE_UART6_PC67
BL	_UART6_Init_Advanced+0
ADD	SP, SP, #4
;mmb_5_fpi_stm32.h,186 :: 		}
L_end_hal_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_console_init
test_console_hal_power_init:
;mmb_5_fpi_stm32.h,219 :: 		static void hal_power_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,223 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,227 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_3 );
MOVW	R1, #8
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,231 :: 		GPIO_Analog_Input( &GPIOF_BASE, _GPIO_PINMASK_5 );
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Analog_Input+0
;mmb_5_fpi_stm32.h,235 :: 		ADC_Set_Input_Channel( BSP_POWER_ADC_CHANNEL );
MOVS	R0, #15
BL	_ADC_Set_Input_Channel+0
;mmb_5_fpi_stm32.h,236 :: 		ADC3_Init( );
BL	_ADC3_Init+0
;mmb_5_fpi_stm32.h,237 :: 		}
L_end_hal_power_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_power_init
test_console_hal_microsd_init:
;mmb_5_fpi_stm32.h,255 :: 		static void hal_microsd_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,259 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_2);
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,271 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,263 :: 		SPI1_Init_Advanced( _SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,272 :: 		&_GPIO_MODULE_SPI1_PA56_PB5 );
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,273 :: 		}
L_end_hal_microsd_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_microsd_init
test_console_hal_flash_init:
;mmb_5_fpi_stm32.h,291 :: 		static void hal_flash_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,295 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,308 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,300 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,309 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,312 :: 		BSP_FLASH_CE = 1;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #2048
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,313 :: 		}
L_end_hal_flash_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_flash_init
test_console_hal_rf_init:
;mmb_5_fpi_stm32.h,402 :: 		static void hal_rf_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,406 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,410 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_12 );
MOVW	R1, #4096
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,414 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_9);
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,427 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,419 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,428 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,431 :: 		}
L_end_hal_rf_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_rf_init
test_console_hal_mp3_init:
;mmb_5_fpi_stm32.h,453 :: 		static void hal_mp3_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,457 :: 		GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,461 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_11 );
MOVW	R1, #2048
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,465 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,469 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI2_PB13_14_15+0)
;mmb_5_fpi_stm32.h,482 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,474 :: 		_SPI_FPCLK_DIV256,
MOVS	R0, #7
;mmb_5_fpi_stm32.h,483 :: 		&_GPIO_MODULE_SPI2_PB13_14_15
BL	_SPI2_Init_Advanced+0
;mmb_5_fpi_stm32.h,485 :: 		}
L_end_hal_mp3_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_mp3_init
test_console_hal_accel_init:
;mmb_5_fpi_stm32.h,505 :: 		static void hal_accel_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,509 :: 		GPIO_Digital_Input( &GPIOB_BASE, _GPIO_PINMASK_9 );
MOVW	R1, #512
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,513 :: 		GPIO_Digital_Input( &GPIOF_BASE, _GPIO_PINMASK_2 );
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,516 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_6 );
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,518 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_7 );
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,520 :: 		GPIOB_ODR.B6 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #6, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,521 :: 		GPIOB_ODR.B7 = 0;
MOVW	R1, #lo_addr(GPIOB_ODR+0)
MOVT	R1, #hi_addr(GPIOB_ODR+0)
LDR	R0, [R1, #0]
BFC	R0, #7, #1
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,523 :: 		Delay_ms(100);
MOVW	R7, #38650
MOVT	R7, #329
NOP
NOP
L_test_console_hal_accel_init7:
SUBS	R7, R7, #1
BNE	L_test_console_hal_accel_init7
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,525 :: 		I2C1_Init_Advanced( 400000, &_GPIO_MODULE_I2C1_PB67 );
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C1_Init_Advanced+0
;mmb_5_fpi_stm32.h,526 :: 		Delay_ms(500);
MOVW	R7, #62202
MOVT	R7, #1647
NOP
NOP
L_test_console_hal_accel_init9:
SUBS	R7, R7, #1
BNE	L_test_console_hal_accel_init9
NOP
NOP
NOP
;mmb_5_fpi_stm32.h,527 :: 		}
L_end_hal_accel_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_accel_init
test_console_hal_wifi_init:
;mmb_5_fpi_stm32.h,606 :: 		static void hal_wifi_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,610 :: 		NVIC_IntDisable( IVT_INT_EXTI0 );
MOVW	R0, #22
BL	_NVIC_IntDisable+0
;mmb_5_fpi_stm32.h,614 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_10 );
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,618 :: 		GPIO_Digital_Output( &GPIOG_BASE, _GPIO_PINMASK_1 );
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,622 :: 		GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,626 :: 		GPIO_Digital_Input( &GPIOG_BASE, _GPIO_PINMASK_0 );
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOG_BASE+0)
MOVT	R0, #hi_addr(GPIOG_BASE+0)
BL	_GPIO_Digital_Input+0
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI1_PA56_PB5+0)
;mmb_5_fpi_stm32.h,645 :: 		_SPI_SSI_1,
MOVW	R1, #772
;mmb_5_fpi_stm32.h,637 :: 		_SPI_FPCLK_DIV16,
MOVS	R0, #3
;mmb_5_fpi_stm32.h,646 :: 		&_GPIO_MODULE_SPI1_PA56_PB5
BL	_SPI1_Init_Advanced+0
;mmb_5_fpi_stm32.h,649 :: 		CC3100_CS_PIN = 1;
MOVW	R1, #lo_addr(GPIOC_ODR+0)
MOVT	R1, #hi_addr(GPIOC_ODR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,650 :: 		}
L_end_hal_wifi_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_wifi_init
test_console_hal_buzzer_init:
;mmb_5_fpi_stm32.h,659 :: 		static void hal_buzzer_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;mmb_5_fpi_stm32.h,663 :: 		GPIO_Digital_Output( &GPIOB_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;mmb_5_fpi_stm32.h,667 :: 		Sound_Init( &GPIOB_ODR, 8 );
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_Sound_Init+0
;mmb_5_fpi_stm32.h,668 :: 		}
L_end_hal_buzzer_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of test_console_hal_buzzer_init
test_console_hal_rtc_init:
;mmb_5_fpi_stm32.h,695 :: 		static void hal_rtc_init ( void )
;mmb_5_fpi_stm32.h,699 :: 		RCC_APB1ENR.PWREN = 1;            // Enable RTC clock
MOVW	R1, #lo_addr(RCC_APB1ENR+0)
MOVT	R1, #hi_addr(RCC_APB1ENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,700 :: 		RCC_APB1LPENR.PWREN = 1;
MOVW	R1, #lo_addr(RCC_APB1LPENR+0)
MOVT	R1, #hi_addr(RCC_APB1LPENR+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #268435456
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,701 :: 		if (RCC_BDCR.RTCEN == 0){         // if RTC is disabled ...
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #15, #1
CMP	R0, #0
IT	NE
BNE	L_test_console_hal_rtc_init11
;mmb_5_fpi_stm32.h,702 :: 		PWR_CR1.DBP = 1;                 // Allow access to RTC
MOVW	R1, #lo_addr(PWR_CR1+0)
MOVT	R1, #hi_addr(PWR_CR1+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #256
STR	R0, [R1, #0]
;mmb_5_fpi_stm32.h,704 :: 		RCC_BDCR |= 0x00010000;
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #65536
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,707 :: 		RTC_WPR = 0xCA;                 //unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,708 :: 		RTC_WPR = 0x53;                 //unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,709 :: 		RCC_CSR = 0x00000000ul;
MOV	R1, #0
MOVW	R0, #lo_addr(RCC_CSR+0)
MOVT	R0, #hi_addr(RCC_CSR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,710 :: 		RCC_BDCR = 0x8101u;          // RTCEN = 1, LSE, LSEON
MOVW	R1, #33025
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,711 :: 		RTC_CR |= 0x00880000ul;
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #8912896
MOVW	R0, #lo_addr(RTC_CR+0)
MOVT	R0, #hi_addr(RTC_CR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,712 :: 		LSERDYIE_bit = 1;
MOVW	R1, #lo_addr(LSERDYIE_bit+0)
MOVT	R1, #hi_addr(LSERDYIE_bit+0)
_LX	[R1, ByteOffset(LSERDYIE_bit+0)]
ORR	R0, R0, BitMask(LSERDYIE_bit+0)
_SX	[R1, ByteOffset(LSERDYIE_bit+0)]
;mmb_5_fpi_stm32.h,713 :: 		}
L_test_console_hal_rtc_init11:
;mmb_5_fpi_stm32.h,714 :: 		while(RTC_ISR.B5 != 1){}         // Wait for RTC APB registers synchronisation
L_test_console_hal_rtc_init12:
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #5, #1
CMP	R0, #0
IT	NE
BNE	L_test_console_hal_rtc_init13
IT	AL
BAL	L_test_console_hal_rtc_init12
L_test_console_hal_rtc_init13:
;mmb_5_fpi_stm32.h,716 :: 		while(RCC_BDCR.LSERDY != 1){};    // Wait till LSE is ready
L_test_console_hal_rtc_init14:
MOVW	R0, #lo_addr(RCC_BDCR+0)
MOVT	R0, #hi_addr(RCC_BDCR+0)
LDR	R1, [R0, #0]
UBFX	R0, R1, #1, #1
CMP	R0, #0
IT	NE
BNE	L_test_console_hal_rtc_init15
IT	AL
BAL	L_test_console_hal_rtc_init14
L_test_console_hal_rtc_init15:
;mmb_5_fpi_stm32.h,719 :: 		RTC_WPR = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;mmb_5_fpi_stm32.h,720 :: 		}
L_end_hal_rtc_init:
BX	LR
; end of test_console_hal_rtc_init
test_console_hal_shuttle_init:
;mmb_5_fpi_stm32.h,761 :: 		static void hal_shuttle_init ( void ) {
;mmb_5_fpi_stm32.h,764 :: 		}
L_end_hal_shuttle_init:
BX	LR
; end of test_console_hal_shuttle_init
_test_console_write_text:
;test_console.c,41 :: 		void test_console_write_text ( uint8_t * x )
; x start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; x end address is: 0 (R0)
; x start address is: 0 (R0)
;test_console.c,55 :: 		if ( x == NULL )
CMP	R0, #0
IT	NE
BNE	L_test_console_write_text16
; x end address is: 0 (R0)
;test_console.c,57 :: 		return;
IT	AL
BAL	L_end_test_console_write_text
;test_console.c,58 :: 		}
L_test_console_write_text16:
;test_console.c,70 :: 		TFT_Write_Text( x, row_pointer, line_pointer );
; x start address is: 0 (R0)
MOVW	R1, #lo_addr(test_console_line_pointer+0)
MOVT	R1, #hi_addr(test_console_line_pointer+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(test_console_row_pointer+0)
MOVT	R1, #hi_addr(test_console_row_pointer+0)
LDRH	R1, [R1, #0]
STR	R0, [SP, #4]
BL	_TFT_Write_Text+0
LDR	R0, [SP, #4]
;test_console.c,74 :: 		row_pointer += strlen(x) * 10;
; x end address is: 0 (R0)
BL	_strlen+0
MOVS	R1, #10
SXTH	R1, R1
MUL	R3, R0, R1
SXTH	R3, R3
MOVW	R2, #lo_addr(test_console_row_pointer+0)
MOVT	R2, #hi_addr(test_console_row_pointer+0)
LDRH	R1, [R2, #0]
ADDS	R1, R1, R3
UXTH	R1, R1
STRH	R1, [R2, #0]
;test_console.c,76 :: 		if ( row_pointer >= TEST_SCREEN_W )
CMP	R1, #800
IT	CC
BCC	L_test_console_write_text17
;test_console.c,78 :: 		row_pointer = TEST_SCREEN_LINE_W_OFFSET;
MOVS	R2, #5
MOVW	R1, #lo_addr(test_console_row_pointer+0)
MOVT	R1, #hi_addr(test_console_row_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,79 :: 		line_pointer += TEST_SCREEN_LINE_H_OFFSET;
MOVW	R2, #lo_addr(test_console_line_pointer+0)
MOVT	R2, #hi_addr(test_console_line_pointer+0)
LDRH	R1, [R2, #0]
ADDS	R1, #20
UXTH	R1, R1
STRH	R1, [R2, #0]
;test_console.c,81 :: 		if ( ( line_pointer + TEST_SCREEN_LINE_H_OFFSET ) > TEST_SCREEN_H_TCH_OFF )
ADDS	R1, #20
UXTH	R1, R1
CMP	R1, #400
IT	LS
BLS	L_test_console_write_text18
;test_console.c,83 :: 		line_pointer = TEST_SCREEN_H_TXT_OFF;
MOVS	R2, #20
MOVW	R1, #lo_addr(test_console_line_pointer+0)
MOVT	R1, #hi_addr(test_console_line_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,96 :: 		TFT_Set_Brush( 1, CL_BLACK, 0, 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,97 :: 		TFT_Rectangle( TEST_SCREEN_LINE_W_OFFSET, TEST_SCREEN_H_TXT_OFF, TEST_SCREEN_W, TEST_SCREEN_H_TCH_OFF );
MOVW	R3, #400
SXTH	R3, R3
MOVW	R2, #800
SXTH	R2, R2
MOVS	R1, #20
SXTH	R1, R1
MOVS	R0, #5
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,100 :: 		}
L_test_console_write_text18:
;test_console.c,101 :: 		}
L_test_console_write_text17:
;test_console.c,108 :: 		}
L_end_test_console_write_text:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _test_console_write_text
_test_console_write_line:
;test_console.c,110 :: 		void test_console_write_line ( uint8_t * x )
; x start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; x end address is: 0 (R0)
; x start address is: 0 (R0)
;test_console.c,126 :: 		if ( x == NULL )
CMP	R0, #0
IT	NE
BNE	L_test_console_write_line19
; x end address is: 0 (R0)
;test_console.c,128 :: 		row_pointer = TEST_SCREEN_LINE_W_OFFSET;
MOVS	R2, #5
MOVW	R1, #lo_addr(test_console_row_pointer+0)
MOVT	R1, #hi_addr(test_console_row_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,129 :: 		line_pointer += TEST_SCREEN_LINE_H_OFFSET;
MOVW	R2, #lo_addr(test_console_line_pointer+0)
MOVT	R2, #hi_addr(test_console_line_pointer+0)
LDRH	R1, [R2, #0]
ADDS	R1, #20
UXTH	R1, R1
STRH	R1, [R2, #0]
;test_console.c,131 :: 		if ( ( line_pointer + TEST_SCREEN_LINE_H_OFFSET ) > TEST_SCREEN_H_TCH_OFF )
ADDS	R1, #20
UXTH	R1, R1
CMP	R1, #400
IT	LS
BLS	L_test_console_write_line20
;test_console.c,133 :: 		line_pointer = TEST_SCREEN_H_TXT_OFF;
MOVS	R2, #20
MOVW	R1, #lo_addr(test_console_line_pointer+0)
MOVT	R1, #hi_addr(test_console_line_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,146 :: 		TFT_Set_Brush( 1, CL_BLACK, 0, 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,147 :: 		TFT_Rectangle( TEST_SCREEN_LINE_W_OFFSET, TEST_SCREEN_H_TXT_OFF, TEST_SCREEN_W, TEST_SCREEN_H_TCH_OFF );
MOVW	R3, #400
SXTH	R3, R3
MOVW	R2, #800
SXTH	R2, R2
MOVS	R1, #20
SXTH	R1, R1
MOVS	R0, #5
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,150 :: 		}
L_test_console_write_line20:
;test_console.c,152 :: 		return;
IT	AL
BAL	L_end_test_console_write_line
;test_console.c,153 :: 		}
L_test_console_write_line19:
;test_console.c,165 :: 		TFT_Write_Text( x, TEST_SCREEN_LINE_W_OFFSET, line_pointer );
; x start address is: 0 (R0)
MOVW	R1, #lo_addr(test_console_line_pointer+0)
MOVT	R1, #hi_addr(test_console_line_pointer+0)
LDRH	R1, [R1, #0]
UXTH	R2, R1
MOVS	R1, #5
; x end address is: 0 (R0)
BL	_TFT_Write_Text+0
;test_console.c,169 :: 		row_pointer = TEST_SCREEN_LINE_W_OFFSET;
MOVS	R2, #5
MOVW	R1, #lo_addr(test_console_row_pointer+0)
MOVT	R1, #hi_addr(test_console_row_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,170 :: 		line_pointer += TEST_SCREEN_LINE_H_OFFSET;
MOVW	R2, #lo_addr(test_console_line_pointer+0)
MOVT	R2, #hi_addr(test_console_line_pointer+0)
LDRH	R1, [R2, #0]
ADDS	R1, #20
UXTH	R1, R1
STRH	R1, [R2, #0]
;test_console.c,172 :: 		if ( ( line_pointer + TEST_SCREEN_LINE_H_OFFSET ) > TEST_SCREEN_H_TCH_OFF )
ADDS	R1, #20
UXTH	R1, R1
CMP	R1, #400
IT	LS
BLS	L_test_console_write_line21
;test_console.c,174 :: 		line_pointer = TEST_SCREEN_H_TXT_OFF;
MOVS	R2, #20
MOVW	R1, #lo_addr(test_console_line_pointer+0)
MOVT	R1, #hi_addr(test_console_line_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,187 :: 		TFT_Set_Brush( 1, CL_BLACK, 0, 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,188 :: 		TFT_Rectangle( TEST_SCREEN_LINE_W_OFFSET, TEST_SCREEN_H_TXT_OFF, TEST_SCREEN_W, TEST_SCREEN_H_TCH_OFF );
MOVW	R3, #400
SXTH	R3, R3
MOVW	R2, #800
SXTH	R2, R2
MOVS	R1, #20
SXTH	R1, R1
MOVS	R0, #5
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,191 :: 		}
L_test_console_write_line21:
;test_console.c,195 :: 		}
L_end_test_console_write_line:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _test_console_write_line
_test_console_read:
;test_console.c,197 :: 		uint8_t test_console_read ( void )
SUB	SP, SP, #8
STR	LR, [SP, #0]
;test_console.c,213 :: 		if ( !bsp_ui_touch_process( &x, &y ) )
ADD	R1, SP, #6
ADD	R0, SP, #4
BL	_bsp_ui_touch_process+0
CMP	R0, #0
IT	NE
BNE	L_test_console_read22
;test_console.c,215 :: 		if ( y > TEST_SCREEN_H_TCH_OFF )
LDRH	R0, [SP, #6]
CMP	R0, #400
IT	LS
BLS	L_test_console_read23
;test_console.c,217 :: 		if ( ( x >= 0 ) && ( x < TEST_SCREEN_W_REP_OFF ) )
LDRH	R0, [SP, #4]
CMP	R0, #0
IT	CC
BCC	L__test_console_read69
LDRH	R0, [SP, #4]
CMP	R0, #200
IT	CS
BCS	L__test_console_read68
L__test_console_read67:
;test_console.c,219 :: 		return 'a';
MOVS	R0, #97
IT	AL
BAL	L_end_test_console_read
;test_console.c,217 :: 		if ( ( x >= 0 ) && ( x < TEST_SCREEN_W_REP_OFF ) )
L__test_console_read69:
L__test_console_read68:
;test_console.c,222 :: 		if ( ( x >= TEST_SCREEN_W_REP_OFF ) && ( x < TEST_SCREEN_W_NXT_OFF ) )
LDRH	R0, [SP, #4]
CMP	R0, #200
IT	CC
BCC	L__test_console_read71
LDRH	R0, [SP, #4]
CMP	R0, #400
IT	CS
BCS	L__test_console_read70
L__test_console_read66:
;test_console.c,224 :: 		return 'r';
MOVS	R0, #114
IT	AL
BAL	L_end_test_console_read
;test_console.c,222 :: 		if ( ( x >= TEST_SCREEN_W_REP_OFF ) && ( x < TEST_SCREEN_W_NXT_OFF ) )
L__test_console_read71:
L__test_console_read70:
;test_console.c,227 :: 		if ( ( x >= TEST_SCREEN_W_NXT_OFF ) && ( x < TEST_SCREEN_W ) )
LDRH	R0, [SP, #4]
CMP	R0, #400
IT	CC
BCC	L__test_console_read73
LDRH	R0, [SP, #4]
CMP	R0, #800
IT	CS
BCS	L__test_console_read72
L__test_console_read65:
;test_console.c,229 :: 		return 'n';
MOVS	R0, #110
IT	AL
BAL	L_end_test_console_read
;test_console.c,227 :: 		if ( ( x >= TEST_SCREEN_W_NXT_OFF ) && ( x < TEST_SCREEN_W ) )
L__test_console_read73:
L__test_console_read72:
;test_console.c,231 :: 		}
IT	AL
BAL	L_test_console_read33
L_test_console_read23:
;test_console.c,234 :: 		return 's';
MOVS	R0, #115
IT	AL
BAL	L_end_test_console_read
;test_console.c,235 :: 		}
L_test_console_read33:
;test_console.c,236 :: 		}
L_test_console_read22:
;test_console.c,240 :: 		return 0;
MOVS	R0, #0
;test_console.c,241 :: 		}
L_end_test_console_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _test_console_read
_test_console_init:
;test_console.c,243 :: 		void test_console_init ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;test_console.c,254 :: 		line_pointer = TEST_SCREEN_H_TXT_OFF;
MOVS	R1, #20
MOVW	R0, #lo_addr(test_console_line_pointer+0)
MOVT	R0, #hi_addr(test_console_line_pointer+0)
STRH	R1, [R0, #0]
;test_console.c,256 :: 		hal_display_init( );
BL	test_console_hal_display_init+0
;test_console.c,269 :: 		TFT_Set_Font( FONT_DEFAULT, CL_WHITE, FO_HORIZONTAL );
MOVS	R2, #0
MOVW	R1, #65535
MOVW	R0, #lo_addr(test_console_FONT_DEFAULT+0)
MOVT	R0, #hi_addr(test_console_FONT_DEFAULT+0)
BL	_TFT_Set_Font+0
;test_console.c,270 :: 		TFT_Fill_Screen( CL_BLACK );
MOVW	R0, #0
BL	_TFT_Fill_Screen+0
;test_console.c,274 :: 		if ( hal_touch_init( ) )
BL	test_console_hal_touch_init+0
CMP	R0, #0
IT	EQ
BEQ	L_test_console_init34
;test_console.c,278 :: 		test_console_write_line( "TOUCH INIT ERROR" );
MOVW	R0, #lo_addr(?lstr1_test_console+0)
MOVT	R0, #hi_addr(?lstr1_test_console+0)
BL	_test_console_write_line+0
;test_console.c,279 :: 		}
L_test_console_init34:
;test_console.c,298 :: 		TFT_Set_Brush( 1, CL_RED, 0, 0, 0, 0 );
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #63488
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,299 :: 		TFT_Rectangle( 0, TEST_SCREEN_H_TCH_OFF, TEST_SCREEN_W_REP_OFF, TEST_SCREEN_H );
MOVW	R3, #480
SXTH	R3, R3
MOVS	R2, #200
SXTH	R2, R2
MOVW	R1, #400
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,301 :: 		TFT_Set_Brush( 1, CL_YELLOW, 0, 0, 0, 0 );
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65504
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,302 :: 		TFT_Rectangle( TEST_SCREEN_W_REP_OFF, TEST_SCREEN_H_TCH_OFF, TEST_SCREEN_W_NXT_OFF, TEST_SCREEN_H );
MOVW	R3, #480
SXTH	R3, R3
MOVW	R2, #400
SXTH	R2, R2
MOVW	R1, #400
SXTH	R1, R1
MOVS	R0, #200
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,304 :: 		TFT_Set_Brush( 1, CL_GREEN, 0, 0, 0, 0 );
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #1024
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,305 :: 		TFT_Rectangle( TEST_SCREEN_W_NXT_OFF, TEST_SCREEN_H_TCH_OFF, TEST_SCREEN_W, TEST_SCREEN_H );
MOVW	R3, #480
SXTH	R3, R3
MOVW	R2, #800
SXTH	R2, R2
MOVW	R1, #400
SXTH	R1, R1
MOVW	R0, #400
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,311 :: 		}
L_end_test_console_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _test_console_init
_test_sequence_start:
;test_console.c,313 :: 		void test_sequence_start ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;test_console.c,317 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,318 :: 		test_console_write_line( "==============================================" );
MOVW	R0, #lo_addr(?lstr2_test_console+0)
MOVT	R0, #hi_addr(?lstr2_test_console+0)
BL	_test_console_write_line+0
;test_console.c,319 :: 		test_console_write_line( "          Testing Sequence Started            " );
MOVW	R0, #lo_addr(?lstr3_test_console+0)
MOVT	R0, #hi_addr(?lstr3_test_console+0)
BL	_test_console_write_line+0
;test_console.c,320 :: 		test_console_write_line( "==============================================" );
MOVW	R0, #lo_addr(?lstr4_test_console+0)
MOVT	R0, #hi_addr(?lstr4_test_console+0)
BL	_test_console_write_line+0
;test_console.c,321 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,322 :: 		test_console_write_line( "[!] Press \"s\" to start execution" );
MOVW	R0, #lo_addr(?lstr5_test_console+0)
MOVT	R0, #hi_addr(?lstr5_test_console+0)
BL	_test_console_write_line+0
;test_console.c,323 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,324 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,326 :: 		for ( ; ; )
L_test_sequence_start35:
;test_console.c,328 :: 		if ( ( rc = test_console_read( ) ) != 0 )
BL	_test_console_read+0
; rc start address is: 4 (R1)
UXTB	R1, R0
CMP	R0, #0
IT	EQ
BEQ	L_test_sequence_start38
;test_console.c,330 :: 		switch ( rc )
IT	AL
BAL	L_test_sequence_start39
; rc end address is: 4 (R1)
;test_console.c,332 :: 		case 's' : case 'S' : return;
L_test_sequence_start41:
L_test_sequence_start42:
IT	AL
BAL	L_end_test_sequence_start
;test_console.c,333 :: 		default  : break;
L_test_sequence_start43:
IT	AL
BAL	L_test_sequence_start40
;test_console.c,334 :: 		}
L_test_sequence_start39:
; rc start address is: 4 (R1)
CMP	R1, #115
IT	EQ
BEQ	L_test_sequence_start41
CMP	R1, #83
IT	EQ
BEQ	L_test_sequence_start42
; rc end address is: 4 (R1)
IT	AL
BAL	L_test_sequence_start43
L_test_sequence_start40:
;test_console.c,335 :: 		}
L_test_sequence_start38:
;test_console.c,336 :: 		}
IT	AL
BAL	L_test_sequence_start35
;test_console.c,337 :: 		}
L_end_test_sequence_start:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _test_sequence_start
_test_sequence_finish:
;test_console.c,339 :: 		void test_sequence_finish ( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;test_console.c,343 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,344 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,345 :: 		test_console_write_line( "==============================================" );
MOVW	R0, #lo_addr(?lstr6_test_console+0)
MOVT	R0, #hi_addr(?lstr6_test_console+0)
BL	_test_console_write_line+0
;test_console.c,346 :: 		test_console_write_line( "          Testing Sequence Finished           " );
MOVW	R0, #lo_addr(?lstr7_test_console+0)
MOVT	R0, #hi_addr(?lstr7_test_console+0)
BL	_test_console_write_line+0
;test_console.c,347 :: 		test_console_write_line( "==============================================" );
MOVW	R0, #lo_addr(?lstr8_test_console+0)
MOVT	R0, #hi_addr(?lstr8_test_console+0)
BL	_test_console_write_line+0
;test_console.c,348 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,349 :: 		test_console_write_line( "[!] Press \"r\" for restart test flow." );
MOVW	R0, #lo_addr(?lstr9_test_console+0)
MOVT	R0, #hi_addr(?lstr9_test_console+0)
BL	_test_console_write_line+0
;test_console.c,350 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,351 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,353 :: 		for ( ; ; )
L_test_sequence_finish44:
;test_console.c,355 :: 		if ( ( rc = test_console_read( ) ) != 0 )
BL	_test_console_read+0
; rc start address is: 4 (R1)
UXTB	R1, R0
CMP	R0, #0
IT	EQ
BEQ	L_test_sequence_finish47
;test_console.c,357 :: 		switch ( rc )
IT	AL
BAL	L_test_sequence_finish48
; rc end address is: 4 (R1)
;test_console.c,359 :: 		case 'r' : case 'R' : return;
L_test_sequence_finish50:
L_test_sequence_finish51:
IT	AL
BAL	L_end_test_sequence_finish
;test_console.c,360 :: 		default  : break;
L_test_sequence_finish52:
IT	AL
BAL	L_test_sequence_finish49
;test_console.c,361 :: 		}
L_test_sequence_finish48:
; rc start address is: 4 (R1)
CMP	R1, #114
IT	EQ
BEQ	L_test_sequence_finish50
CMP	R1, #82
IT	EQ
BEQ	L_test_sequence_finish51
; rc end address is: 4 (R1)
IT	AL
BAL	L_test_sequence_finish52
L_test_sequence_finish49:
;test_console.c,362 :: 		}
L_test_sequence_finish47:
;test_console.c,363 :: 		}
IT	AL
BAL	L_test_sequence_finish44
;test_console.c,364 :: 		}
L_end_test_sequence_finish:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _test_sequence_finish
_test_console_header:
;test_console.c,366 :: 		void test_console_header ( uint8_t * desc )
SUB	SP, SP, #8
STR	LR, [SP, #0]
STR	R0, [SP, #4]
;test_console.c,399 :: 		TFT_Set_Brush( 1, CL_BLACK, 0, 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,400 :: 		TFT_Rectangle( 0, 0, TEST_SCREEN_W, TEST_SCREEN_H_TXT_OFF );
MOVS	R3, #20
SXTH	R3, R3
MOVW	R2, #800
SXTH	R2, R2
MOVS	R1, #0
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,401 :: 		TFT_Write_Text( desc, 40, 0 );
MOVS	R2, #0
MOVS	R1, #40
LDR	R0, [SP, #4]
BL	_TFT_Write_Text+0
;test_console.c,405 :: 		line_pointer = TEST_SCREEN_H_TXT_OFF;
MOVS	R2, #20
MOVW	R1, #lo_addr(test_console_line_pointer+0)
MOVT	R1, #hi_addr(test_console_line_pointer+0)
STRH	R2, [R1, #0]
;test_console.c,418 :: 		TFT_Set_Brush( 1, CL_BLACK, 0, 0, 0, 0 );
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;test_console.c,419 :: 		TFT_Rectangle( TEST_SCREEN_LINE_W_OFFSET, TEST_SCREEN_H_TXT_OFF, TEST_SCREEN_W, TEST_SCREEN_H_TCH_OFF );
MOVW	R3, #400
SXTH	R3, R3
MOVW	R2, #800
SXTH	R2, R2
MOVS	R1, #20
SXTH	R1, R1
MOVS	R0, #5
SXTH	R0, R0
BL	_TFT_Rectangle+0
;test_console.c,425 :: 		}
L_end_test_console_header:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _test_console_header
_test_console_sub_header:
;test_console.c,427 :: 		void test_console_sub_header ( uint8_t * desc, uint8_t * info )
; info start address is: 4 (R1)
; desc start address is: 0 (R0)
SUBW	SP, SP, #1028
STR	LR, [SP, #0]
MOV	R6, R1
; info end address is: 4 (R1)
; desc end address is: 0 (R0)
; desc start address is: 0 (R0)
; info start address is: 24 (R6)
;test_console.c,435 :: 		strcpy( txt, desc );
ADD	R2, SP, #4
MOV	R1, R0
; desc end address is: 0 (R0)
MOV	R0, R2
BL	_strcpy+0
;test_console.c,436 :: 		strcat( txt, " - " );
MOVW	R3, #lo_addr(?lstr10_test_console+0)
MOVT	R3, #hi_addr(?lstr10_test_console+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;test_console.c,437 :: 		strcat( txt, info );
ADD	R2, SP, #4
MOV	R1, R6
; info end address is: 24 (R6)
MOV	R0, R2
BL	_strcat+0
;test_console.c,439 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,441 :: 		test_console_write_line( txt );
ADD	R2, SP, #4
MOV	R0, R2
BL	_test_console_write_line+0
;test_console.c,442 :: 		test_console_write_line( "----------------------------------------------" );
MOVW	R2, #lo_addr(?lstr11_test_console+0)
MOVT	R2, #hi_addr(?lstr11_test_console+0)
MOV	R0, R2
BL	_test_console_write_line+0
;test_console.c,443 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,445 :: 		}
L_end_test_console_sub_header:
LDR	LR, [SP, #0]
ADDW	SP, SP, #1028
BX	LR
; end of _test_console_sub_header
_test_console_operation:
;test_console.c,447 :: 		void test_console_operation ( uint8_t step, uint8_t * desc )
; desc start address is: 4 (R1)
; step start address is: 0 (R0)
SUBW	SP, SP, #1092
STR	LR, [SP, #0]
MOV	R6, R1
; desc end address is: 4 (R1)
; step end address is: 0 (R0)
; step start address is: 0 (R0)
; desc start address is: 24 (R6)
;test_console.c,456 :: 		ByteToStr( step, ts );
ADDW	R2, SP, #1028
MOV	R1, R2
; step end address is: 0 (R0)
BL	_ByteToStr+0
;test_console.c,457 :: 		Ltrim( ts );
ADDW	R2, SP, #1028
MOV	R0, R2
BL	_Ltrim+0
;test_console.c,459 :: 		strcpy( txt, "(" );
MOVW	R3, #lo_addr(?lstr12_test_console+0)
MOVT	R3, #hi_addr(?lstr12_test_console+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcpy+0
;test_console.c,460 :: 		strcat( txt, ts );
ADDW	R3, SP, #1028
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;test_console.c,461 :: 		strcat( txt, ") - " );
MOVW	R3, #lo_addr(?lstr13_test_console+0)
MOVT	R3, #hi_addr(?lstr13_test_console+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;test_console.c,462 :: 		strcat( txt, desc );
ADD	R2, SP, #4
MOV	R1, R6
; desc end address is: 24 (R6)
MOV	R0, R2
BL	_strcat+0
;test_console.c,465 :: 		test_console_write_line( txt );
ADD	R2, SP, #4
MOV	R0, R2
BL	_test_console_write_line+0
;test_console.c,466 :: 		test_console_write_line( NULL );
MOVS	R0, #0
BL	_test_console_write_line+0
;test_console.c,467 :: 		}
L_end_test_console_operation:
LDR	LR, [SP, #0]
ADDW	SP, SP, #1092
BX	LR
; end of _test_console_operation
_test_console_output:
;test_console.c,469 :: 		void test_console_output ( uint8_t * desc, void * output, data_format_t fmt, uint8_t * fin )
; fin start address is: 12 (R3)
; fmt start address is: 8 (R2)
; output start address is: 4 (R1)
; desc start address is: 0 (R0)
SUBW	SP, SP, #1096
STR	LR, [SP, #0]
MOV	R7, R0
MOV	R8, R1
UXTB	R6, R2
MOV	R9, R3
; fin end address is: 12 (R3)
; fmt end address is: 8 (R2)
; output end address is: 4 (R1)
; desc end address is: 0 (R0)
; desc start address is: 28 (R7)
; output start address is: 32 (R8)
; fmt start address is: 24 (R6)
; fin start address is: 36 (R9)
;test_console.c,479 :: 		ptxt = &ts[0];
ADD	R4, SP, #1032
STR	R4, [SP, #4]
;test_console.c,481 :: 		strcpy( txt, desc );
ADD	R4, SP, #8
MOV	R1, R7
MOV	R0, R4
BL	_strcpy+0
;test_console.c,483 :: 		if ( desc[0] != 0 )
LDRB	R4, [R7, #0]
; desc end address is: 28 (R7)
CMP	R4, #0
IT	EQ
BEQ	L_test_console_output53
;test_console.c,485 :: 		strcat( txt, " : " );
MOVW	R5, #lo_addr(?lstr14_test_console+0)
MOVT	R5, #hi_addr(?lstr14_test_console+0)
ADD	R4, SP, #8
MOV	R1, R5
MOV	R0, R4
BL	_strcat+0
;test_console.c,486 :: 		}
L_test_console_output53:
;test_console.c,488 :: 		switch ( fmt )
IT	AL
BAL	L_test_console_output54
; fmt end address is: 24 (R6)
;test_console.c,490 :: 		case HEX_FORMAT :
L_test_console_output56:
;test_console.c,493 :: 		ByteToHex( *val, ts );
ADD	R5, SP, #1032
LDRB	R4, [R8, #0]
; output end address is: 32 (R8)
MOV	R1, R5
UXTB	R0, R4
BL	_ByteToHex+0
;test_console.c,494 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,496 :: 		case BYTE_FORMAT :
L_test_console_output57:
;test_console.c,499 :: 		ByteToStr( *val, ts );
; output start address is: 32 (R8)
ADD	R5, SP, #1032
LDRB	R4, [R8, #0]
; output end address is: 32 (R8)
MOV	R1, R5
UXTB	R0, R4
BL	_ByteToStr+0
;test_console.c,500 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,502 :: 		case UNSIGNED_WORD_FORMAT :
L_test_console_output58:
;test_console.c,505 :: 		WordToStr( *val, ts );
; output start address is: 32 (R8)
ADD	R5, SP, #1032
LDRH	R4, [R8, #0]
; output end address is: 32 (R8)
MOV	R1, R5
UXTH	R0, R4
BL	_WordToStr+0
;test_console.c,506 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,508 :: 		case SIGNED_WORD_FORMAT :
L_test_console_output59:
;test_console.c,511 :: 		IntToStr( *val, ts );
; output start address is: 32 (R8)
ADD	R5, SP, #1032
LDRSH	R4, [R8, #0]
; output end address is: 32 (R8)
MOV	R1, R5
SXTH	R0, R4
BL	_IntToStr+0
;test_console.c,512 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,514 :: 		case UNSIGNED_LONG_FORMAT :
L_test_console_output60:
;test_console.c,517 :: 		LongWordToStr( *val, ts );
; output start address is: 32 (R8)
ADD	R5, SP, #1032
LDR	R4, [R8, #0]
; output end address is: 32 (R8)
MOV	R1, R5
MOV	R0, R4
BL	_LongWordToStr+0
;test_console.c,518 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,520 :: 		case SIGNED_LONG_FORMAT :
L_test_console_output61:
;test_console.c,523 :: 		LongToStr( *val, ts );
; output start address is: 32 (R8)
ADD	R5, SP, #1032
LDR	R4, [R8, #0]
; output end address is: 32 (R8)
MOV	R1, R5
MOV	R0, R4
BL	_LongToStr+0
;test_console.c,524 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,526 :: 		case FLOAT_FORMAT :
L_test_console_output62:
;test_console.c,529 :: 		FloatToStr( *val, ts );
; output start address is: 32 (R8)
ADD	R4, SP, #1032
VLDR	#1, S0, [R8, #0]
; output end address is: 32 (R8)
MOV	R0, R4
BL	_FloatToStr+0
;test_console.c,530 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,532 :: 		case STRING_FORMAT :
L_test_console_output63:
;test_console.c,534 :: 		ptxt = ( uint8_t * ) output;
; output start address is: 32 (R8)
STR	R8, [SP, #4]
; output end address is: 32 (R8)
;test_console.c,536 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,538 :: 		default :
L_test_console_output64:
;test_console.c,540 :: 		break;
IT	AL
BAL	L_test_console_output55
;test_console.c,541 :: 		}
L_test_console_output54:
; fmt start address is: 24 (R6)
; output start address is: 32 (R8)
CMP	R6, #0
IT	EQ
BEQ	L_test_console_output56
CMP	R6, #1
IT	EQ
BEQ	L_test_console_output57
CMP	R6, #3
IT	EQ
BEQ	L_test_console_output58
CMP	R6, #2
IT	EQ
BEQ	L_test_console_output59
CMP	R6, #5
IT	EQ
BEQ	L_test_console_output60
CMP	R6, #4
IT	EQ
BEQ	L_test_console_output61
CMP	R6, #6
IT	EQ
BEQ	L_test_console_output62
CMP	R6, #7
IT	EQ
BEQ	L_test_console_output63
; output end address is: 32 (R8)
; fmt end address is: 24 (R6)
IT	AL
BAL	L_test_console_output64
L_test_console_output55:
;test_console.c,543 :: 		Ltrim( ts );
ADD	R4, SP, #1032
MOV	R0, R4
BL	_Ltrim+0
;test_console.c,544 :: 		strcat( txt, ptxt );
ADD	R4, SP, #8
LDR	R1, [SP, #4]
MOV	R0, R4
BL	_strcat+0
;test_console.c,545 :: 		strcat( txt, fin );
ADD	R4, SP, #8
MOV	R1, R9
; fin end address is: 36 (R9)
MOV	R0, R4
BL	_strcat+0
;test_console.c,547 :: 		test_console_write_text( txt );
ADD	R4, SP, #8
MOV	R0, R4
BL	_test_console_write_text+0
;test_console.c,548 :: 		}
L_end_test_console_output:
LDR	LR, [SP, #0]
ADDW	SP, SP, #1096
BX	LR
; end of _test_console_output
